#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 11
#define STATE_COUNT 1351
#define LARGE_STATE_COUNT 40
#define SYMBOL_COUNT 256
#define ALIAS_COUNT 2
#define TOKEN_COUNT 84
#define EXTERNAL_TOKEN_COUNT 83
#define FIELD_COUNT 2
#define MAX_ALIAS_SEQUENCE_LENGTH 5

enum {
  sym__eof = 1,
  sym__s_dir_yml_bgn = 2,
  sym__r_dir_yml_ver = 3,
  sym__s_dir_tag_bgn = 4,
  sym__r_dir_tag_hdl = 5,
  sym__r_dir_tag_pfx = 6,
  sym__s_dir_rsv_bgn = 7,
  sym__r_dir_rsv_prm = 8,
  sym__s_drs_end = 9,
  sym__s_doc_end = 10,
  sym__r_blk_seq_bgn = 11,
  sym__br_blk_seq_bgn = 12,
  sym__b_blk_seq_bgn = 13,
  sym__r_blk_key_bgn = 14,
  sym__br_blk_key_bgn = 15,
  sym__b_blk_key_bgn = 16,
  sym__r_blk_val_bgn = 17,
  sym__br_blk_val_bgn = 18,
  sym__b_blk_val_bgn = 19,
  sym__r_blk_imp_bgn = 20,
  sym__r_blk_lit_bgn = 21,
  sym__br_blk_lit_bgn = 22,
  sym__r_blk_fld_bgn = 23,
  sym__br_blk_fld_bgn = 24,
  sym__br_blk_str_ctn = 25,
  sym__r_flw_seq_bgn = 26,
  sym__br_flw_seq_bgn = 27,
  sym__b_flw_seq_bgn = 28,
  sym__r_flw_seq_end = 29,
  sym__br_flw_seq_end = 30,
  sym__r_flw_map_bgn = 31,
  sym__br_flw_map_bgn = 32,
  sym__b_flw_map_bgn = 33,
  sym__r_flw_map_end = 34,
  sym__br_flw_map_end = 35,
  sym__r_flw_sep_bgn = 36,
  sym__br_flw_sep_bgn = 37,
  sym__r_flw_key_bgn = 38,
  sym__br_flw_key_bgn = 39,
  sym__r_flw_jsv_bgn = 40,
  sym__br_flw_jsv_bgn = 41,
  sym__r_flw_njv_bgn = 42,
  sym__br_flw_njv_bgn = 43,
  sym__r_dqt_str_bgn = 44,
  sym__br_dqt_str_bgn = 45,
  sym__b_dqt_str_bgn = 46,
  sym__r_dqt_str_ctn = 47,
  sym__br_dqt_str_ctn = 48,
  sym__r_dqt_esc_nwl = 49,
  sym__br_dqt_esc_nwl = 50,
  sym__r_dqt_esc_seq = 51,
  sym__br_dqt_esc_seq = 52,
  sym__r_dqt_str_end = 53,
  sym__br_dqt_str_end = 54,
  sym__r_sqt_str_bgn = 55,
  sym__br_sqt_str_bgn = 56,
  sym__b_sqt_str_bgn = 57,
  sym__r_sqt_str_ctn = 58,
  sym__br_sqt_str_ctn = 59,
  sym__r_sqt_esc_sqt = 60,
  sym__br_sqt_esc_sqt = 61,
  sym__r_sqt_str_end = 62,
  sym__br_sqt_str_end = 63,
  sym__r_sgl_pln_blk = 64,
  sym__br_sgl_pln_blk = 65,
  sym__b_sgl_pln_blk = 66,
  sym__r_sgl_pln_flw = 67,
  sym__br_sgl_pln_flw = 68,
  sym__r_mtl_pln_blk = 69,
  sym__br_mtl_pln_blk = 70,
  sym__r_mtl_pln_flw = 71,
  sym__br_mtl_pln_flw = 72,
  sym__r_tag = 73,
  sym__br_tag = 74,
  sym__b_tag = 75,
  sym__r_acr = 76,
  sym__br_acr = 77,
  sym__b_acr = 78,
  sym__r_als = 79,
  sym__br_als = 80,
  sym__b_als = 81,
  sym__bl = 82,
  sym_comment = 83,
  sym_stream = 84,
  sym__doc_w_bgn_w_end_seq = 85,
  sym__doc_w_bgn_wo_end_seq = 86,
  sym__doc_wo_bgn_w_end_seq = 87,
  sym__doc_wo_bgn_wo_end_seq = 88,
  sym__doc_w_bgn_w_end = 89,
  sym__doc_w_bgn_wo_end = 90,
  sym__doc_wo_bgn_w_end = 91,
  sym__doc_wo_bgn_wo_end = 92,
  sym__bgn_imp_doc = 93,
  sym__drs_doc = 94,
  sym__exp_doc = 95,
  sym__imp_doc = 96,
  sym__drs_doc_end = 97,
  sym__exp_doc_end = 98,
  sym__imp_doc_end = 99,
  sym__bgn_imp_doc_end = 100,
  sym__doc_end = 101,
  sym__exp_doc_tal = 102,
  sym__s_dir = 103,
  sym__s_dir_yml = 104,
  sym__s_dir_tag = 105,
  sym__s_dir_rsv = 106,
  sym__r_prp_val = 107,
  sym__br_prp_val = 108,
  sym__r_sgl_prp_val = 109,
  sym__br_sgl_prp_val = 110,
  sym__b_sgl_prp_val = 111,
  sym__r_prp = 112,
  sym__br_prp = 113,
  sym__r_sgl_prp = 114,
  sym__br_sgl_prp = 115,
  sym__b_sgl_prp = 116,
  sym__r_blk_seq_r_val = 117,
  sym__r_blk_seq_br_val = 118,
  sym__br_blk_seq_val = 119,
  sym__r_blk_seq_spc_val = 120,
  sym__br_blk_seq_spc_val = 121,
  sym__b_blk_seq_spc_val = 122,
  sym__r_blk_seq = 123,
  sym__br_blk_seq = 124,
  sym__b_blk_seq_spc = 125,
  sym__r_blk_seq_itm = 126,
  sym__br_blk_seq_itm = 127,
  sym__b_blk_seq_itm = 128,
  sym__blk_seq_itm_tal = 129,
  sym__r_blk_map_r_val = 130,
  sym__r_blk_map_br_val = 131,
  sym__br_blk_map_val = 132,
  sym__r_blk_map = 133,
  sym__br_blk_map = 134,
  sym__r_blk_map_itm = 135,
  sym__br_blk_map_itm = 136,
  sym__b_blk_map_itm = 137,
  sym__r_blk_exp_itm = 138,
  sym__br_blk_exp_itm = 139,
  sym__b_blk_exp_itm = 140,
  sym__r_blk_key_itm = 141,
  sym__br_blk_key_itm = 142,
  sym__b_blk_key_itm = 143,
  sym__r_blk_val_itm = 144,
  sym__br_blk_val_itm = 145,
  sym__b_blk_val_itm = 146,
  sym__r_blk_imp_itm = 147,
  sym__br_blk_imp_itm = 148,
  sym__b_blk_imp_itm = 149,
  sym__blk_exp_itm_tal = 150,
  sym__blk_imp_itm_tal = 151,
  sym__r_blk_str_val = 152,
  sym__br_blk_str_val = 153,
  sym__r_blk_str = 154,
  sym__br_blk_str = 155,
  sym__r_flw_seq_val = 156,
  sym__br_flw_seq_val = 157,
  sym__r_sgl_flw_seq_val = 158,
  sym__br_sgl_flw_seq_val = 159,
  sym__b_sgl_flw_seq_val = 160,
  sym__r_flw_seq = 161,
  sym__br_flw_seq = 162,
  sym__r_sgl_flw_seq = 163,
  sym__br_sgl_flw_seq = 164,
  sym__b_sgl_flw_seq = 165,
  sym__flw_seq_tal = 166,
  sym__sgl_flw_seq_tal = 167,
  sym__r_flw_map_val = 168,
  sym__br_flw_map_val = 169,
  sym__r_sgl_flw_map_val = 170,
  sym__br_sgl_flw_map_val = 171,
  sym__b_sgl_flw_map_val = 172,
  sym__r_flw_map = 173,
  sym__br_flw_map = 174,
  sym__r_sgl_flw_map = 175,
  sym__br_sgl_flw_map = 176,
  sym__b_sgl_flw_map = 177,
  sym__flw_map_tal = 178,
  sym__sgl_flw_map_tal = 179,
  sym__r_flw_seq_dat = 180,
  sym__br_flw_seq_dat = 181,
  sym__r_flw_map_dat = 182,
  sym__br_flw_map_dat = 183,
  sym__r_sgl_flw_col_dat = 184,
  sym__flw_seq_dat_rpt = 185,
  sym__flw_map_dat_rpt = 186,
  sym__sgl_flw_col_dat_rpt = 187,
  sym__r_flw_seq_itm = 188,
  sym__br_flw_seq_itm = 189,
  sym__r_flw_map_itm = 190,
  sym__br_flw_map_itm = 191,
  sym__r_sgl_flw_col_itm = 192,
  sym__r_flw_exp_par = 193,
  sym__br_flw_exp_par = 194,
  sym__r_sgl_flw_exp_par = 195,
  sym__r_flw_imp_r_par = 196,
  sym__r_flw_imp_br_par = 197,
  sym__br_flw_imp_r_par = 198,
  sym__br_flw_imp_br_par = 199,
  sym__r_sgl_flw_imp_par = 200,
  sym__r_flw_jsl_ann_par = 201,
  sym__br_flw_jsl_ann_par = 202,
  sym__r_sgl_flw_jsl_ann_par = 203,
  sym__r_flw_njl_ann_par = 204,
  sym__br_flw_njl_ann_par = 205,
  sym__r_sgl_flw_njl_ann_par = 206,
  sym__flw_ann_par_tal = 207,
  sym__sgl_flw_ann_par_tal = 208,
  sym__r_dqt_str_val = 209,
  sym__br_dqt_str_val = 210,
  sym__r_sgl_dqt_str_val = 211,
  sym__br_sgl_dqt_str_val = 212,
  sym__b_sgl_dqt_str_val = 213,
  sym__r_dqt_str = 214,
  sym__br_dqt_str = 215,
  sym__r_sgl_dqt_str = 216,
  sym__br_sgl_dqt_str = 217,
  sym__b_sgl_dqt_str = 218,
  aux_sym__r_sgl_dqt_ctn = 219,
  sym__br_mtl_dqt_ctn = 220,
  sym__r_sqt_str_val = 221,
  sym__br_sqt_str_val = 222,
  sym__r_sgl_sqt_str_val = 223,
  sym__br_sgl_sqt_str_val = 224,
  sym__b_sgl_sqt_str_val = 225,
  sym__r_sqt_str = 226,
  sym__br_sqt_str = 227,
  sym__r_sgl_sqt_str = 228,
  sym__br_sgl_sqt_str = 229,
  sym__b_sgl_sqt_str = 230,
  aux_sym__r_sgl_sqt_ctn = 231,
  sym__br_mtl_sqt_ctn = 232,
  sym__r_pln_blk_val = 233,
  sym__br_pln_blk_val = 234,
  sym__r_sgl_pln_blk_val = 235,
  sym__br_sgl_pln_blk_val = 236,
  sym__b_sgl_pln_blk_val = 237,
  sym__r_pln_flw_val = 238,
  sym__br_pln_flw_val = 239,
  sym__r_sgl_pln_flw_val = 240,
  sym__r_als_val = 241,
  sym__br_als_val = 242,
  sym__b_als_val = 243,
  aux_sym__drs_doc_repeat1 = 244,
  aux_sym__s_dir_rsv_repeat1 = 245,
  aux_sym__r_blk_seq_repeat1 = 246,
  aux_sym__r_blk_map_repeat1 = 247,
  aux_sym__r_blk_str_repeat1 = 248,
  aux_sym__r_flw_seq_dat_repeat1 = 249,
  aux_sym__r_flw_map_dat_repeat1 = 250,
  aux_sym__r_sgl_flw_col_dat_repeat1 = 251,
  aux_sym__r_dqt_str_repeat1 = 252,
  aux_sym__br_mtl_dqt_ctn_repeat1 = 253,
  aux_sym__r_sqt_str_repeat1 = 254,
  aux_sym__br_mtl_sqt_ctn_repeat1 = 255,
  alias_sym_document = 256,
  alias_sym_flow_pair = 257,
};

static const char *ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym__eof] = "_eof",
  [sym__s_dir_yml_bgn] = "_s_dir_yml_bgn",
  [sym__r_dir_yml_ver] = "yaml_version",
  [sym__s_dir_tag_bgn] = "_s_dir_tag_bgn",
  [sym__r_dir_tag_hdl] = "tag_handle",
  [sym__r_dir_tag_pfx] = "tag_prefix",
  [sym__s_dir_rsv_bgn] = "directive_name",
  [sym__r_dir_rsv_prm] = "directive_parameter",
  [sym__s_drs_end] = "---",
  [sym__s_doc_end] = "...",
  [sym__r_blk_seq_bgn] = "-",
  [sym__br_blk_seq_bgn] = "-",
  [sym__b_blk_seq_bgn] = "-",
  [sym__r_blk_key_bgn] = "?",
  [sym__br_blk_key_bgn] = "?",
  [sym__b_blk_key_bgn] = "?",
  [sym__r_blk_val_bgn] = ":",
  [sym__br_blk_val_bgn] = ":",
  [sym__b_blk_val_bgn] = ":",
  [sym__r_blk_imp_bgn] = ":",
  [sym__r_blk_lit_bgn] = "|",
  [sym__br_blk_lit_bgn] = "|",
  [sym__r_blk_fld_bgn] = ">",
  [sym__br_blk_fld_bgn] = ">",
  [sym__br_blk_str_ctn] = "_br_blk_str_ctn",
  [sym__r_flw_seq_bgn] = "[",
  [sym__br_flw_seq_bgn] = "[",
  [sym__b_flw_seq_bgn] = "[",
  [sym__r_flw_seq_end] = "]",
  [sym__br_flw_seq_end] = "]",
  [sym__r_flw_map_bgn] = "{",
  [sym__br_flw_map_bgn] = "{",
  [sym__b_flw_map_bgn] = "{",
  [sym__r_flw_map_end] = "}",
  [sym__br_flw_map_end] = "}",
  [sym__r_flw_sep_bgn] = ",",
  [sym__br_flw_sep_bgn] = ",",
  [sym__r_flw_key_bgn] = "?",
  [sym__br_flw_key_bgn] = "?",
  [sym__r_flw_jsv_bgn] = ":",
  [sym__br_flw_jsv_bgn] = ":",
  [sym__r_flw_njv_bgn] = ":",
  [sym__br_flw_njv_bgn] = ":",
  [sym__r_dqt_str_bgn] = "\"",
  [sym__br_dqt_str_bgn] = "\"",
  [sym__b_dqt_str_bgn] = "\"",
  [sym__r_dqt_str_ctn] = "_r_dqt_str_ctn",
  [sym__br_dqt_str_ctn] = "_br_dqt_str_ctn",
  [sym__r_dqt_esc_nwl] = "escape_sequence",
  [sym__br_dqt_esc_nwl] = "escape_sequence",
  [sym__r_dqt_esc_seq] = "escape_sequence",
  [sym__br_dqt_esc_seq] = "escape_sequence",
  [sym__r_dqt_str_end] = "\"",
  [sym__br_dqt_str_end] = "\"",
  [sym__r_sqt_str_bgn] = "'",
  [sym__br_sqt_str_bgn] = "'",
  [sym__b_sqt_str_bgn] = "'",
  [sym__r_sqt_str_ctn] = "_r_sqt_str_ctn",
  [sym__br_sqt_str_ctn] = "_br_sqt_str_ctn",
  [sym__r_sqt_esc_sqt] = "escape_sequence",
  [sym__br_sqt_esc_sqt] = "escape_sequence",
  [sym__r_sqt_str_end] = "'",
  [sym__br_sqt_str_end] = "'",
  [sym__r_sgl_pln_blk] = "plain_scalar",
  [sym__br_sgl_pln_blk] = "plain_scalar",
  [sym__b_sgl_pln_blk] = "plain_scalar",
  [sym__r_sgl_pln_flw] = "plain_scalar",
  [sym__br_sgl_pln_flw] = "plain_scalar",
  [sym__r_mtl_pln_blk] = "plain_scalar",
  [sym__br_mtl_pln_blk] = "plain_scalar",
  [sym__r_mtl_pln_flw] = "plain_scalar",
  [sym__br_mtl_pln_flw] = "plain_scalar",
  [sym__r_tag] = "tag",
  [sym__br_tag] = "tag",
  [sym__b_tag] = "tag",
  [sym__r_acr] = "anchor",
  [sym__br_acr] = "anchor",
  [sym__b_acr] = "anchor",
  [sym__r_als] = "alias",
  [sym__br_als] = "alias",
  [sym__b_als] = "alias",
  [sym__bl] = "_bl",
  [sym_comment] = "comment",
  [sym_stream] = "stream",
  [sym__doc_w_bgn_w_end_seq] = "_doc_w_bgn_w_end_seq",
  [sym__doc_w_bgn_wo_end_seq] = "_doc_w_bgn_wo_end_seq",
  [sym__doc_wo_bgn_w_end_seq] = "_doc_wo_bgn_w_end_seq",
  [sym__doc_wo_bgn_wo_end_seq] = "_doc_wo_bgn_wo_end_seq",
  [sym__doc_w_bgn_w_end] = "_doc_w_bgn_w_end",
  [sym__doc_w_bgn_wo_end] = "_doc_w_bgn_wo_end",
  [sym__doc_wo_bgn_w_end] = "_doc_wo_bgn_w_end",
  [sym__doc_wo_bgn_wo_end] = "_doc_wo_bgn_wo_end",
  [sym__bgn_imp_doc] = "_bgn_imp_doc",
  [sym__drs_doc] = "_drs_doc",
  [sym__exp_doc] = "_exp_doc",
  [sym__imp_doc] = "_imp_doc",
  [sym__drs_doc_end] = "document",
  [sym__exp_doc_end] = "document",
  [sym__imp_doc_end] = "document",
  [sym__bgn_imp_doc_end] = "document",
  [sym__doc_end] = "document",
  [sym__exp_doc_tal] = "_exp_doc_tal",
  [sym__s_dir] = "_s_dir",
  [sym__s_dir_yml] = "yaml_directive",
  [sym__s_dir_tag] = "tag_directive",
  [sym__s_dir_rsv] = "reserved_directive",
  [sym__r_prp_val] = "flow_node",
  [sym__br_prp_val] = "flow_node",
  [sym__r_sgl_prp_val] = "flow_node",
  [sym__br_sgl_prp_val] = "flow_node",
  [sym__b_sgl_prp_val] = "flow_node",
  [sym__r_prp] = "_r_prp",
  [sym__br_prp] = "_br_prp",
  [sym__r_sgl_prp] = "_r_sgl_prp",
  [sym__br_sgl_prp] = "_br_sgl_prp",
  [sym__b_sgl_prp] = "_b_sgl_prp",
  [sym__r_blk_seq_r_val] = "block_node",
  [sym__r_blk_seq_br_val] = "block_node",
  [sym__br_blk_seq_val] = "block_node",
  [sym__r_blk_seq_spc_val] = "block_node",
  [sym__br_blk_seq_spc_val] = "block_node",
  [sym__b_blk_seq_spc_val] = "block_node",
  [sym__r_blk_seq] = "block_sequence",
  [sym__br_blk_seq] = "block_sequence",
  [sym__b_blk_seq_spc] = "block_sequence",
  [sym__r_blk_seq_itm] = "block_sequence_item",
  [sym__br_blk_seq_itm] = "block_sequence_item",
  [sym__b_blk_seq_itm] = "block_sequence_item",
  [sym__blk_seq_itm_tal] = "_blk_seq_itm_tal",
  [sym__r_blk_map_r_val] = "block_node",
  [sym__r_blk_map_br_val] = "block_node",
  [sym__br_blk_map_val] = "block_node",
  [sym__r_blk_map] = "block_mapping",
  [sym__br_blk_map] = "block_mapping",
  [sym__r_blk_map_itm] = "_r_blk_map_itm",
  [sym__br_blk_map_itm] = "_br_blk_map_itm",
  [sym__b_blk_map_itm] = "_b_blk_map_itm",
  [sym__r_blk_exp_itm] = "block_mapping_pair",
  [sym__br_blk_exp_itm] = "block_mapping_pair",
  [sym__b_blk_exp_itm] = "block_mapping_pair",
  [sym__r_blk_key_itm] = "_r_blk_key_itm",
  [sym__br_blk_key_itm] = "_br_blk_key_itm",
  [sym__b_blk_key_itm] = "_b_blk_key_itm",
  [sym__r_blk_val_itm] = "_r_blk_val_itm",
  [sym__br_blk_val_itm] = "_br_blk_val_itm",
  [sym__b_blk_val_itm] = "_b_blk_val_itm",
  [sym__r_blk_imp_itm] = "block_mapping_pair",
  [sym__br_blk_imp_itm] = "block_mapping_pair",
  [sym__b_blk_imp_itm] = "block_mapping_pair",
  [sym__blk_exp_itm_tal] = "_blk_exp_itm_tal",
  [sym__blk_imp_itm_tal] = "_blk_imp_itm_tal",
  [sym__r_blk_str_val] = "block_node",
  [sym__br_blk_str_val] = "block_node",
  [sym__r_blk_str] = "block_scalar",
  [sym__br_blk_str] = "block_scalar",
  [sym__r_flw_seq_val] = "flow_node",
  [sym__br_flw_seq_val] = "flow_node",
  [sym__r_sgl_flw_seq_val] = "flow_node",
  [sym__br_sgl_flw_seq_val] = "flow_node",
  [sym__b_sgl_flw_seq_val] = "flow_node",
  [sym__r_flw_seq] = "flow_sequence",
  [sym__br_flw_seq] = "flow_sequence",
  [sym__r_sgl_flw_seq] = "flow_sequence",
  [sym__br_sgl_flw_seq] = "flow_sequence",
  [sym__b_sgl_flw_seq] = "flow_sequence",
  [sym__flw_seq_tal] = "_flw_seq_tal",
  [sym__sgl_flw_seq_tal] = "_sgl_flw_seq_tal",
  [sym__r_flw_map_val] = "flow_node",
  [sym__br_flw_map_val] = "flow_node",
  [sym__r_sgl_flw_map_val] = "flow_node",
  [sym__br_sgl_flw_map_val] = "flow_node",
  [sym__b_sgl_flw_map_val] = "flow_node",
  [sym__r_flw_map] = "flow_mapping",
  [sym__br_flw_map] = "flow_mapping",
  [sym__r_sgl_flw_map] = "flow_mapping",
  [sym__br_sgl_flw_map] = "flow_mapping",
  [sym__b_sgl_flw_map] = "flow_mapping",
  [sym__flw_map_tal] = "_flw_map_tal",
  [sym__sgl_flw_map_tal] = "_sgl_flw_map_tal",
  [sym__r_flw_seq_dat] = "_r_flw_seq_dat",
  [sym__br_flw_seq_dat] = "_br_flw_seq_dat",
  [sym__r_flw_map_dat] = "_r_flw_map_dat",
  [sym__br_flw_map_dat] = "_br_flw_map_dat",
  [sym__r_sgl_flw_col_dat] = "_r_sgl_flw_col_dat",
  [sym__flw_seq_dat_rpt] = "_flw_seq_dat_rpt",
  [sym__flw_map_dat_rpt] = "_flw_map_dat_rpt",
  [sym__sgl_flw_col_dat_rpt] = "_sgl_flw_col_dat_rpt",
  [sym__r_flw_seq_itm] = "_r_flw_seq_itm",
  [sym__br_flw_seq_itm] = "_br_flw_seq_itm",
  [sym__r_flw_map_itm] = "_r_flw_map_itm",
  [sym__br_flw_map_itm] = "_br_flw_map_itm",
  [sym__r_sgl_flw_col_itm] = "_r_sgl_flw_col_itm",
  [sym__r_flw_exp_par] = "flow_pair",
  [sym__br_flw_exp_par] = "flow_pair",
  [sym__r_sgl_flw_exp_par] = "flow_pair",
  [sym__r_flw_imp_r_par] = "_r_flw_imp_r_par",
  [sym__r_flw_imp_br_par] = "_r_flw_imp_br_par",
  [sym__br_flw_imp_r_par] = "_br_flw_imp_r_par",
  [sym__br_flw_imp_br_par] = "_br_flw_imp_br_par",
  [sym__r_sgl_flw_imp_par] = "_r_sgl_flw_imp_par",
  [sym__r_flw_jsl_ann_par] = "_r_flw_jsl_ann_par",
  [sym__br_flw_jsl_ann_par] = "_br_flw_jsl_ann_par",
  [sym__r_sgl_flw_jsl_ann_par] = "_r_sgl_flw_jsl_ann_par",
  [sym__r_flw_njl_ann_par] = "_r_flw_njl_ann_par",
  [sym__br_flw_njl_ann_par] = "_br_flw_njl_ann_par",
  [sym__r_sgl_flw_njl_ann_par] = "_r_sgl_flw_njl_ann_par",
  [sym__flw_ann_par_tal] = "_flw_ann_par_tal",
  [sym__sgl_flw_ann_par_tal] = "_sgl_flw_ann_par_tal",
  [sym__r_dqt_str_val] = "flow_node",
  [sym__br_dqt_str_val] = "flow_node",
  [sym__r_sgl_dqt_str_val] = "flow_node",
  [sym__br_sgl_dqt_str_val] = "flow_node",
  [sym__b_sgl_dqt_str_val] = "flow_node",
  [sym__r_dqt_str] = "double_quote_scalar",
  [sym__br_dqt_str] = "double_quote_scalar",
  [sym__r_sgl_dqt_str] = "double_quote_scalar",
  [sym__br_sgl_dqt_str] = "double_quote_scalar",
  [sym__b_sgl_dqt_str] = "double_quote_scalar",
  [aux_sym__r_sgl_dqt_ctn] = "_r_sgl_dqt_ctn",
  [sym__br_mtl_dqt_ctn] = "_br_mtl_dqt_ctn",
  [sym__r_sqt_str_val] = "flow_node",
  [sym__br_sqt_str_val] = "flow_node",
  [sym__r_sgl_sqt_str_val] = "flow_node",
  [sym__br_sgl_sqt_str_val] = "flow_node",
  [sym__b_sgl_sqt_str_val] = "flow_node",
  [sym__r_sqt_str] = "single_quote_scalar",
  [sym__br_sqt_str] = "single_quote_scalar",
  [sym__r_sgl_sqt_str] = "single_quote_scalar",
  [sym__br_sgl_sqt_str] = "single_quote_scalar",
  [sym__b_sgl_sqt_str] = "single_quote_scalar",
  [aux_sym__r_sgl_sqt_ctn] = "_r_sgl_sqt_ctn",
  [sym__br_mtl_sqt_ctn] = "_br_mtl_sqt_ctn",
  [sym__r_pln_blk_val] = "flow_node",
  [sym__br_pln_blk_val] = "flow_node",
  [sym__r_sgl_pln_blk_val] = "flow_node",
  [sym__br_sgl_pln_blk_val] = "flow_node",
  [sym__b_sgl_pln_blk_val] = "flow_node",
  [sym__r_pln_flw_val] = "flow_node",
  [sym__br_pln_flw_val] = "flow_node",
  [sym__r_sgl_pln_flw_val] = "flow_node",
  [sym__r_als_val] = "flow_node",
  [sym__br_als_val] = "flow_node",
  [sym__b_als_val] = "flow_node",
  [aux_sym__drs_doc_repeat1] = "_drs_doc_repeat1",
  [aux_sym__s_dir_rsv_repeat1] = "_s_dir_rsv_repeat1",
  [aux_sym__r_blk_seq_repeat1] = "_r_blk_seq_repeat1",
  [aux_sym__r_blk_map_repeat1] = "_r_blk_map_repeat1",
  [aux_sym__r_blk_str_repeat1] = "_r_blk_str_repeat1",
  [aux_sym__r_flw_seq_dat_repeat1] = "_r_flw_seq_dat_repeat1",
  [aux_sym__r_flw_map_dat_repeat1] = "_r_flw_map_dat_repeat1",
  [aux_sym__r_sgl_flw_col_dat_repeat1] = "_r_sgl_flw_col_dat_repeat1",
  [aux_sym__r_dqt_str_repeat1] = "_r_dqt_str_repeat1",
  [aux_sym__br_mtl_dqt_ctn_repeat1] = "_br_mtl_dqt_ctn_repeat1",
  [aux_sym__r_sqt_str_repeat1] = "_r_sqt_str_repeat1",
  [aux_sym__br_mtl_sqt_ctn_repeat1] = "_br_mtl_sqt_ctn_repeat1",
  [alias_sym_document] = "document",
  [alias_sym_flow_pair] = "flow_pair",
};

static TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym__eof] = sym__eof,
  [sym__s_dir_yml_bgn] = sym__s_dir_yml_bgn,
  [sym__r_dir_yml_ver] = sym__r_dir_yml_ver,
  [sym__s_dir_tag_bgn] = sym__s_dir_tag_bgn,
  [sym__r_dir_tag_hdl] = sym__r_dir_tag_hdl,
  [sym__r_dir_tag_pfx] = sym__r_dir_tag_pfx,
  [sym__s_dir_rsv_bgn] = sym__s_dir_rsv_bgn,
  [sym__r_dir_rsv_prm] = sym__r_dir_rsv_prm,
  [sym__s_drs_end] = sym__s_drs_end,
  [sym__s_doc_end] = sym__s_doc_end,
  [sym__r_blk_seq_bgn] = sym__r_blk_seq_bgn,
  [sym__br_blk_seq_bgn] = sym__r_blk_seq_bgn,
  [sym__b_blk_seq_bgn] = sym__r_blk_seq_bgn,
  [sym__r_blk_key_bgn] = sym__r_blk_key_bgn,
  [sym__br_blk_key_bgn] = sym__r_blk_key_bgn,
  [sym__b_blk_key_bgn] = sym__r_blk_key_bgn,
  [sym__r_blk_val_bgn] = sym__r_blk_val_bgn,
  [sym__br_blk_val_bgn] = sym__r_blk_val_bgn,
  [sym__b_blk_val_bgn] = sym__r_blk_val_bgn,
  [sym__r_blk_imp_bgn] = sym__r_blk_val_bgn,
  [sym__r_blk_lit_bgn] = sym__r_blk_lit_bgn,
  [sym__br_blk_lit_bgn] = sym__r_blk_lit_bgn,
  [sym__r_blk_fld_bgn] = sym__r_blk_fld_bgn,
  [sym__br_blk_fld_bgn] = sym__r_blk_fld_bgn,
  [sym__br_blk_str_ctn] = sym__br_blk_str_ctn,
  [sym__r_flw_seq_bgn] = sym__r_flw_seq_bgn,
  [sym__br_flw_seq_bgn] = sym__r_flw_seq_bgn,
  [sym__b_flw_seq_bgn] = sym__r_flw_seq_bgn,
  [sym__r_flw_seq_end] = sym__r_flw_seq_end,
  [sym__br_flw_seq_end] = sym__r_flw_seq_end,
  [sym__r_flw_map_bgn] = sym__r_flw_map_bgn,
  [sym__br_flw_map_bgn] = sym__r_flw_map_bgn,
  [sym__b_flw_map_bgn] = sym__r_flw_map_bgn,
  [sym__r_flw_map_end] = sym__r_flw_map_end,
  [sym__br_flw_map_end] = sym__r_flw_map_end,
  [sym__r_flw_sep_bgn] = sym__r_flw_sep_bgn,
  [sym__br_flw_sep_bgn] = sym__r_flw_sep_bgn,
  [sym__r_flw_key_bgn] = sym__r_blk_key_bgn,
  [sym__br_flw_key_bgn] = sym__r_blk_key_bgn,
  [sym__r_flw_jsv_bgn] = sym__r_blk_val_bgn,
  [sym__br_flw_jsv_bgn] = sym__r_blk_val_bgn,
  [sym__r_flw_njv_bgn] = sym__r_blk_val_bgn,
  [sym__br_flw_njv_bgn] = sym__r_blk_val_bgn,
  [sym__r_dqt_str_bgn] = sym__r_dqt_str_bgn,
  [sym__br_dqt_str_bgn] = sym__r_dqt_str_bgn,
  [sym__b_dqt_str_bgn] = sym__r_dqt_str_bgn,
  [sym__r_dqt_str_ctn] = sym__r_dqt_str_ctn,
  [sym__br_dqt_str_ctn] = sym__br_dqt_str_ctn,
  [sym__r_dqt_esc_nwl] = sym__r_dqt_esc_nwl,
  [sym__br_dqt_esc_nwl] = sym__r_dqt_esc_nwl,
  [sym__r_dqt_esc_seq] = sym__r_dqt_esc_nwl,
  [sym__br_dqt_esc_seq] = sym__r_dqt_esc_nwl,
  [sym__r_dqt_str_end] = sym__r_dqt_str_bgn,
  [sym__br_dqt_str_end] = sym__r_dqt_str_bgn,
  [sym__r_sqt_str_bgn] = sym__r_sqt_str_bgn,
  [sym__br_sqt_str_bgn] = sym__r_sqt_str_bgn,
  [sym__b_sqt_str_bgn] = sym__r_sqt_str_bgn,
  [sym__r_sqt_str_ctn] = sym__r_sqt_str_ctn,
  [sym__br_sqt_str_ctn] = sym__br_sqt_str_ctn,
  [sym__r_sqt_esc_sqt] = sym__r_dqt_esc_nwl,
  [sym__br_sqt_esc_sqt] = sym__r_dqt_esc_nwl,
  [sym__r_sqt_str_end] = sym__r_sqt_str_bgn,
  [sym__br_sqt_str_end] = sym__r_sqt_str_bgn,
  [sym__r_sgl_pln_blk] = sym__r_sgl_pln_blk,
  [sym__br_sgl_pln_blk] = sym__r_sgl_pln_blk,
  [sym__b_sgl_pln_blk] = sym__r_sgl_pln_blk,
  [sym__r_sgl_pln_flw] = sym__r_sgl_pln_blk,
  [sym__br_sgl_pln_flw] = sym__r_sgl_pln_blk,
  [sym__r_mtl_pln_blk] = sym__r_sgl_pln_blk,
  [sym__br_mtl_pln_blk] = sym__r_sgl_pln_blk,
  [sym__r_mtl_pln_flw] = sym__r_sgl_pln_blk,
  [sym__br_mtl_pln_flw] = sym__r_sgl_pln_blk,
  [sym__r_tag] = sym__r_tag,
  [sym__br_tag] = sym__r_tag,
  [sym__b_tag] = sym__r_tag,
  [sym__r_acr] = sym__r_acr,
  [sym__br_acr] = sym__r_acr,
  [sym__b_acr] = sym__r_acr,
  [sym__r_als] = sym__r_als,
  [sym__br_als] = sym__r_als,
  [sym__b_als] = sym__r_als,
  [sym__bl] = sym__bl,
  [sym_comment] = sym_comment,
  [sym_stream] = sym_stream,
  [sym__doc_w_bgn_w_end_seq] = sym__doc_w_bgn_w_end_seq,
  [sym__doc_w_bgn_wo_end_seq] = sym__doc_w_bgn_wo_end_seq,
  [sym__doc_wo_bgn_w_end_seq] = sym__doc_wo_bgn_w_end_seq,
  [sym__doc_wo_bgn_wo_end_seq] = sym__doc_wo_bgn_wo_end_seq,
  [sym__doc_w_bgn_w_end] = sym__doc_w_bgn_w_end,
  [sym__doc_w_bgn_wo_end] = sym__doc_w_bgn_wo_end,
  [sym__doc_wo_bgn_w_end] = sym__doc_wo_bgn_w_end,
  [sym__doc_wo_bgn_wo_end] = sym__doc_wo_bgn_wo_end,
  [sym__bgn_imp_doc] = sym__bgn_imp_doc,
  [sym__drs_doc] = sym__drs_doc,
  [sym__exp_doc] = sym__exp_doc,
  [sym__imp_doc] = sym__imp_doc,
  [sym__drs_doc_end] = sym__drs_doc_end,
  [sym__exp_doc_end] = sym__drs_doc_end,
  [sym__imp_doc_end] = sym__drs_doc_end,
  [sym__bgn_imp_doc_end] = sym__drs_doc_end,
  [sym__doc_end] = sym__drs_doc_end,
  [sym__exp_doc_tal] = sym__exp_doc_tal,
  [sym__s_dir] = sym__s_dir,
  [sym__s_dir_yml] = sym__s_dir_yml,
  [sym__s_dir_tag] = sym__s_dir_tag,
  [sym__s_dir_rsv] = sym__s_dir_rsv,
  [sym__r_prp_val] = sym__r_prp_val,
  [sym__br_prp_val] = sym__r_prp_val,
  [sym__r_sgl_prp_val] = sym__r_prp_val,
  [sym__br_sgl_prp_val] = sym__r_prp_val,
  [sym__b_sgl_prp_val] = sym__r_prp_val,
  [sym__r_prp] = sym__r_prp,
  [sym__br_prp] = sym__br_prp,
  [sym__r_sgl_prp] = sym__r_sgl_prp,
  [sym__br_sgl_prp] = sym__br_sgl_prp,
  [sym__b_sgl_prp] = sym__b_sgl_prp,
  [sym__r_blk_seq_r_val] = sym__r_blk_seq_r_val,
  [sym__r_blk_seq_br_val] = sym__r_blk_seq_r_val,
  [sym__br_blk_seq_val] = sym__r_blk_seq_r_val,
  [sym__r_blk_seq_spc_val] = sym__r_blk_seq_r_val,
  [sym__br_blk_seq_spc_val] = sym__r_blk_seq_r_val,
  [sym__b_blk_seq_spc_val] = sym__r_blk_seq_r_val,
  [sym__r_blk_seq] = sym__r_blk_seq,
  [sym__br_blk_seq] = sym__r_blk_seq,
  [sym__b_blk_seq_spc] = sym__r_blk_seq,
  [sym__r_blk_seq_itm] = sym__r_blk_seq_itm,
  [sym__br_blk_seq_itm] = sym__r_blk_seq_itm,
  [sym__b_blk_seq_itm] = sym__r_blk_seq_itm,
  [sym__blk_seq_itm_tal] = sym__blk_seq_itm_tal,
  [sym__r_blk_map_r_val] = sym__r_blk_seq_r_val,
  [sym__r_blk_map_br_val] = sym__r_blk_seq_r_val,
  [sym__br_blk_map_val] = sym__r_blk_seq_r_val,
  [sym__r_blk_map] = sym__r_blk_map,
  [sym__br_blk_map] = sym__r_blk_map,
  [sym__r_blk_map_itm] = sym__r_blk_map_itm,
  [sym__br_blk_map_itm] = sym__br_blk_map_itm,
  [sym__b_blk_map_itm] = sym__b_blk_map_itm,
  [sym__r_blk_exp_itm] = sym__r_blk_exp_itm,
  [sym__br_blk_exp_itm] = sym__r_blk_exp_itm,
  [sym__b_blk_exp_itm] = sym__r_blk_exp_itm,
  [sym__r_blk_key_itm] = sym__r_blk_key_itm,
  [sym__br_blk_key_itm] = sym__br_blk_key_itm,
  [sym__b_blk_key_itm] = sym__b_blk_key_itm,
  [sym__r_blk_val_itm] = sym__r_blk_val_itm,
  [sym__br_blk_val_itm] = sym__br_blk_val_itm,
  [sym__b_blk_val_itm] = sym__b_blk_val_itm,
  [sym__r_blk_imp_itm] = sym__r_blk_exp_itm,
  [sym__br_blk_imp_itm] = sym__r_blk_exp_itm,
  [sym__b_blk_imp_itm] = sym__r_blk_exp_itm,
  [sym__blk_exp_itm_tal] = sym__blk_exp_itm_tal,
  [sym__blk_imp_itm_tal] = sym__blk_imp_itm_tal,
  [sym__r_blk_str_val] = sym__r_blk_seq_r_val,
  [sym__br_blk_str_val] = sym__r_blk_seq_r_val,
  [sym__r_blk_str] = sym__r_blk_str,
  [sym__br_blk_str] = sym__r_blk_str,
  [sym__r_flw_seq_val] = sym__r_prp_val,
  [sym__br_flw_seq_val] = sym__r_prp_val,
  [sym__r_sgl_flw_seq_val] = sym__r_prp_val,
  [sym__br_sgl_flw_seq_val] = sym__r_prp_val,
  [sym__b_sgl_flw_seq_val] = sym__r_prp_val,
  [sym__r_flw_seq] = sym__r_flw_seq,
  [sym__br_flw_seq] = sym__r_flw_seq,
  [sym__r_sgl_flw_seq] = sym__r_flw_seq,
  [sym__br_sgl_flw_seq] = sym__r_flw_seq,
  [sym__b_sgl_flw_seq] = sym__r_flw_seq,
  [sym__flw_seq_tal] = sym__flw_seq_tal,
  [sym__sgl_flw_seq_tal] = sym__sgl_flw_seq_tal,
  [sym__r_flw_map_val] = sym__r_prp_val,
  [sym__br_flw_map_val] = sym__r_prp_val,
  [sym__r_sgl_flw_map_val] = sym__r_prp_val,
  [sym__br_sgl_flw_map_val] = sym__r_prp_val,
  [sym__b_sgl_flw_map_val] = sym__r_prp_val,
  [sym__r_flw_map] = sym__r_flw_map,
  [sym__br_flw_map] = sym__r_flw_map,
  [sym__r_sgl_flw_map] = sym__r_flw_map,
  [sym__br_sgl_flw_map] = sym__r_flw_map,
  [sym__b_sgl_flw_map] = sym__r_flw_map,
  [sym__flw_map_tal] = sym__flw_map_tal,
  [sym__sgl_flw_map_tal] = sym__sgl_flw_map_tal,
  [sym__r_flw_seq_dat] = sym__r_flw_seq_dat,
  [sym__br_flw_seq_dat] = sym__br_flw_seq_dat,
  [sym__r_flw_map_dat] = sym__r_flw_map_dat,
  [sym__br_flw_map_dat] = sym__br_flw_map_dat,
  [sym__r_sgl_flw_col_dat] = sym__r_sgl_flw_col_dat,
  [sym__flw_seq_dat_rpt] = sym__flw_seq_dat_rpt,
  [sym__flw_map_dat_rpt] = sym__flw_map_dat_rpt,
  [sym__sgl_flw_col_dat_rpt] = sym__sgl_flw_col_dat_rpt,
  [sym__r_flw_seq_itm] = sym__r_flw_seq_itm,
  [sym__br_flw_seq_itm] = sym__br_flw_seq_itm,
  [sym__r_flw_map_itm] = sym__r_flw_map_itm,
  [sym__br_flw_map_itm] = sym__br_flw_map_itm,
  [sym__r_sgl_flw_col_itm] = sym__r_sgl_flw_col_itm,
  [sym__r_flw_exp_par] = sym__r_flw_exp_par,
  [sym__br_flw_exp_par] = sym__r_flw_exp_par,
  [sym__r_sgl_flw_exp_par] = sym__r_flw_exp_par,
  [sym__r_flw_imp_r_par] = sym__r_flw_imp_r_par,
  [sym__r_flw_imp_br_par] = sym__r_flw_imp_br_par,
  [sym__br_flw_imp_r_par] = sym__br_flw_imp_r_par,
  [sym__br_flw_imp_br_par] = sym__br_flw_imp_br_par,
  [sym__r_sgl_flw_imp_par] = sym__r_sgl_flw_imp_par,
  [sym__r_flw_jsl_ann_par] = sym__r_flw_jsl_ann_par,
  [sym__br_flw_jsl_ann_par] = sym__br_flw_jsl_ann_par,
  [sym__r_sgl_flw_jsl_ann_par] = sym__r_sgl_flw_jsl_ann_par,
  [sym__r_flw_njl_ann_par] = sym__r_flw_njl_ann_par,
  [sym__br_flw_njl_ann_par] = sym__br_flw_njl_ann_par,
  [sym__r_sgl_flw_njl_ann_par] = sym__r_sgl_flw_njl_ann_par,
  [sym__flw_ann_par_tal] = sym__flw_ann_par_tal,
  [sym__sgl_flw_ann_par_tal] = sym__sgl_flw_ann_par_tal,
  [sym__r_dqt_str_val] = sym__r_prp_val,
  [sym__br_dqt_str_val] = sym__r_prp_val,
  [sym__r_sgl_dqt_str_val] = sym__r_prp_val,
  [sym__br_sgl_dqt_str_val] = sym__r_prp_val,
  [sym__b_sgl_dqt_str_val] = sym__r_prp_val,
  [sym__r_dqt_str] = sym__r_dqt_str,
  [sym__br_dqt_str] = sym__r_dqt_str,
  [sym__r_sgl_dqt_str] = sym__r_dqt_str,
  [sym__br_sgl_dqt_str] = sym__r_dqt_str,
  [sym__b_sgl_dqt_str] = sym__r_dqt_str,
  [aux_sym__r_sgl_dqt_ctn] = aux_sym__r_sgl_dqt_ctn,
  [sym__br_mtl_dqt_ctn] = sym__br_mtl_dqt_ctn,
  [sym__r_sqt_str_val] = sym__r_prp_val,
  [sym__br_sqt_str_val] = sym__r_prp_val,
  [sym__r_sgl_sqt_str_val] = sym__r_prp_val,
  [sym__br_sgl_sqt_str_val] = sym__r_prp_val,
  [sym__b_sgl_sqt_str_val] = sym__r_prp_val,
  [sym__r_sqt_str] = sym__r_sqt_str,
  [sym__br_sqt_str] = sym__r_sqt_str,
  [sym__r_sgl_sqt_str] = sym__r_sqt_str,
  [sym__br_sgl_sqt_str] = sym__r_sqt_str,
  [sym__b_sgl_sqt_str] = sym__r_sqt_str,
  [aux_sym__r_sgl_sqt_ctn] = aux_sym__r_sgl_sqt_ctn,
  [sym__br_mtl_sqt_ctn] = sym__br_mtl_sqt_ctn,
  [sym__r_pln_blk_val] = sym__r_prp_val,
  [sym__br_pln_blk_val] = sym__r_prp_val,
  [sym__r_sgl_pln_blk_val] = sym__r_prp_val,
  [sym__br_sgl_pln_blk_val] = sym__r_prp_val,
  [sym__b_sgl_pln_blk_val] = sym__r_prp_val,
  [sym__r_pln_flw_val] = sym__r_prp_val,
  [sym__br_pln_flw_val] = sym__r_prp_val,
  [sym__r_sgl_pln_flw_val] = sym__r_prp_val,
  [sym__r_als_val] = sym__r_prp_val,
  [sym__br_als_val] = sym__r_prp_val,
  [sym__b_als_val] = sym__r_prp_val,
  [aux_sym__drs_doc_repeat1] = aux_sym__drs_doc_repeat1,
  [aux_sym__s_dir_rsv_repeat1] = aux_sym__s_dir_rsv_repeat1,
  [aux_sym__r_blk_seq_repeat1] = aux_sym__r_blk_seq_repeat1,
  [aux_sym__r_blk_map_repeat1] = aux_sym__r_blk_map_repeat1,
  [aux_sym__r_blk_str_repeat1] = aux_sym__r_blk_str_repeat1,
  [aux_sym__r_flw_seq_dat_repeat1] = aux_sym__r_flw_seq_dat_repeat1,
  [aux_sym__r_flw_map_dat_repeat1] = aux_sym__r_flw_map_dat_repeat1,
  [aux_sym__r_sgl_flw_col_dat_repeat1] = aux_sym__r_sgl_flw_col_dat_repeat1,
  [aux_sym__r_dqt_str_repeat1] = aux_sym__r_dqt_str_repeat1,
  [aux_sym__br_mtl_dqt_ctn_repeat1] = aux_sym__br_mtl_dqt_ctn_repeat1,
  [aux_sym__r_sqt_str_repeat1] = aux_sym__r_sqt_str_repeat1,
  [aux_sym__br_mtl_sqt_ctn_repeat1] = aux_sym__br_mtl_sqt_ctn_repeat1,
  [alias_sym_document] = alias_sym_document,
  [alias_sym_flow_pair] = alias_sym_flow_pair,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym__eof] = {
    .visible = false,
    .named = true,
  },
  [sym__s_dir_yml_bgn] = {
    .visible = false,
    .named = true,
  },
  [sym__r_dir_yml_ver] = {
    .visible = true,
    .named = true,
  },
  [sym__s_dir_tag_bgn] = {
    .visible = false,
    .named = true,
  },
  [sym__r_dir_tag_hdl] = {
    .visible = true,
    .named = true,
  },
  [sym__r_dir_tag_pfx] = {
    .visible = true,
    .named = true,
  },
  [sym__s_dir_rsv_bgn] = {
    .visible = true,
    .named = true,
  },
  [sym__r_dir_rsv_prm] = {
    .visible = true,
    .named = true,
  },
  [sym__s_drs_end] = {
    .visible = true,
    .named = false,
  },
  [sym__s_doc_end] = {
    .visible = true,
    .named = false,
  },
  [sym__r_blk_seq_bgn] = {
    .visible = true,
    .named = false,
  },
  [sym__br_blk_seq_bgn] = {
    .visible = true,
    .named = false,
  },
  [sym__b_blk_seq_bgn] = {
    .visible = true,
    .named = false,
  },
  [sym__r_blk_key_bgn] = {
    .visible = true,
    .named = false,
  },
  [sym__br_blk_key_bgn] = {
    .visible = true,
    .named = false,
  },
  [sym__b_blk_key_bgn] = {
    .visible = true,
    .named = false,
  },
  [sym__r_blk_val_bgn] = {
    .visible = true,
    .named = false,
  },
  [sym__br_blk_val_bgn] = {
    .visible = true,
    .named = false,
  },
  [sym__b_blk_val_bgn] = {
    .visible = true,
    .named = false,
  },
  [sym__r_blk_imp_bgn] = {
    .visible = true,
    .named = false,
  },
  [sym__r_blk_lit_bgn] = {
    .visible = true,
    .named = false,
  },
  [sym__br_blk_lit_bgn] = {
    .visible = true,
    .named = false,
  },
  [sym__r_blk_fld_bgn] = {
    .visible = true,
    .named = false,
  },
  [sym__br_blk_fld_bgn] = {
    .visible = true,
    .named = false,
  },
  [sym__br_blk_str_ctn] = {
    .visible = false,
    .named = true,
  },
  [sym__r_flw_seq_bgn] = {
    .visible = true,
    .named = false,
  },
  [sym__br_flw_seq_bgn] = {
    .visible = true,
    .named = false,
  },
  [sym__b_flw_seq_bgn] = {
    .visible = true,
    .named = false,
  },
  [sym__r_flw_seq_end] = {
    .visible = true,
    .named = false,
  },
  [sym__br_flw_seq_end] = {
    .visible = true,
    .named = false,
  },
  [sym__r_flw_map_bgn] = {
    .visible = true,
    .named = false,
  },
  [sym__br_flw_map_bgn] = {
    .visible = true,
    .named = false,
  },
  [sym__b_flw_map_bgn] = {
    .visible = true,
    .named = false,
  },
  [sym__r_flw_map_end] = {
    .visible = true,
    .named = false,
  },
  [sym__br_flw_map_end] = {
    .visible = true,
    .named = false,
  },
  [sym__r_flw_sep_bgn] = {
    .visible = true,
    .named = false,
  },
  [sym__br_flw_sep_bgn] = {
    .visible = true,
    .named = false,
  },
  [sym__r_flw_key_bgn] = {
    .visible = true,
    .named = false,
  },
  [sym__br_flw_key_bgn] = {
    .visible = true,
    .named = false,
  },
  [sym__r_flw_jsv_bgn] = {
    .visible = true,
    .named = false,
  },
  [sym__br_flw_jsv_bgn] = {
    .visible = true,
    .named = false,
  },
  [sym__r_flw_njv_bgn] = {
    .visible = true,
    .named = false,
  },
  [sym__br_flw_njv_bgn] = {
    .visible = true,
    .named = false,
  },
  [sym__r_dqt_str_bgn] = {
    .visible = true,
    .named = false,
  },
  [sym__br_dqt_str_bgn] = {
    .visible = true,
    .named = false,
  },
  [sym__b_dqt_str_bgn] = {
    .visible = true,
    .named = false,
  },
  [sym__r_dqt_str_ctn] = {
    .visible = false,
    .named = true,
  },
  [sym__br_dqt_str_ctn] = {
    .visible = false,
    .named = true,
  },
  [sym__r_dqt_esc_nwl] = {
    .visible = true,
    .named = true,
  },
  [sym__br_dqt_esc_nwl] = {
    .visible = true,
    .named = true,
  },
  [sym__r_dqt_esc_seq] = {
    .visible = true,
    .named = true,
  },
  [sym__br_dqt_esc_seq] = {
    .visible = true,
    .named = true,
  },
  [sym__r_dqt_str_end] = {
    .visible = true,
    .named = false,
  },
  [sym__br_dqt_str_end] = {
    .visible = true,
    .named = false,
  },
  [sym__r_sqt_str_bgn] = {
    .visible = true,
    .named = false,
  },
  [sym__br_sqt_str_bgn] = {
    .visible = true,
    .named = false,
  },
  [sym__b_sqt_str_bgn] = {
    .visible = true,
    .named = false,
  },
  [sym__r_sqt_str_ctn] = {
    .visible = false,
    .named = true,
  },
  [sym__br_sqt_str_ctn] = {
    .visible = false,
    .named = true,
  },
  [sym__r_sqt_esc_sqt] = {
    .visible = true,
    .named = true,
  },
  [sym__br_sqt_esc_sqt] = {
    .visible = true,
    .named = true,
  },
  [sym__r_sqt_str_end] = {
    .visible = true,
    .named = false,
  },
  [sym__br_sqt_str_end] = {
    .visible = true,
    .named = false,
  },
  [sym__r_sgl_pln_blk] = {
    .visible = true,
    .named = true,
  },
  [sym__br_sgl_pln_blk] = {
    .visible = true,
    .named = true,
  },
  [sym__b_sgl_pln_blk] = {
    .visible = true,
    .named = true,
  },
  [sym__r_sgl_pln_flw] = {
    .visible = true,
    .named = true,
  },
  [sym__br_sgl_pln_flw] = {
    .visible = true,
    .named = true,
  },
  [sym__r_mtl_pln_blk] = {
    .visible = true,
    .named = true,
  },
  [sym__br_mtl_pln_blk] = {
    .visible = true,
    .named = true,
  },
  [sym__r_mtl_pln_flw] = {
    .visible = true,
    .named = true,
  },
  [sym__br_mtl_pln_flw] = {
    .visible = true,
    .named = true,
  },
  [sym__r_tag] = {
    .visible = true,
    .named = true,
  },
  [sym__br_tag] = {
    .visible = true,
    .named = true,
  },
  [sym__b_tag] = {
    .visible = true,
    .named = true,
  },
  [sym__r_acr] = {
    .visible = true,
    .named = true,
  },
  [sym__br_acr] = {
    .visible = true,
    .named = true,
  },
  [sym__b_acr] = {
    .visible = true,
    .named = true,
  },
  [sym__r_als] = {
    .visible = true,
    .named = true,
  },
  [sym__br_als] = {
    .visible = true,
    .named = true,
  },
  [sym__b_als] = {
    .visible = true,
    .named = true,
  },
  [sym__bl] = {
    .visible = false,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_stream] = {
    .visible = true,
    .named = true,
  },
  [sym__doc_w_bgn_w_end_seq] = {
    .visible = false,
    .named = true,
  },
  [sym__doc_w_bgn_wo_end_seq] = {
    .visible = false,
    .named = true,
  },
  [sym__doc_wo_bgn_w_end_seq] = {
    .visible = false,
    .named = true,
  },
  [sym__doc_wo_bgn_wo_end_seq] = {
    .visible = false,
    .named = true,
  },
  [sym__doc_w_bgn_w_end] = {
    .visible = false,
    .named = true,
  },
  [sym__doc_w_bgn_wo_end] = {
    .visible = false,
    .named = true,
  },
  [sym__doc_wo_bgn_w_end] = {
    .visible = false,
    .named = true,
  },
  [sym__doc_wo_bgn_wo_end] = {
    .visible = false,
    .named = true,
  },
  [sym__bgn_imp_doc] = {
    .visible = false,
    .named = true,
  },
  [sym__drs_doc] = {
    .visible = false,
    .named = true,
  },
  [sym__exp_doc] = {
    .visible = false,
    .named = true,
  },
  [sym__imp_doc] = {
    .visible = false,
    .named = true,
  },
  [sym__drs_doc_end] = {
    .visible = true,
    .named = true,
  },
  [sym__exp_doc_end] = {
    .visible = true,
    .named = true,
  },
  [sym__imp_doc_end] = {
    .visible = true,
    .named = true,
  },
  [sym__bgn_imp_doc_end] = {
    .visible = true,
    .named = true,
  },
  [sym__doc_end] = {
    .visible = true,
    .named = true,
  },
  [sym__exp_doc_tal] = {
    .visible = false,
    .named = true,
  },
  [sym__s_dir] = {
    .visible = false,
    .named = true,
  },
  [sym__s_dir_yml] = {
    .visible = true,
    .named = true,
  },
  [sym__s_dir_tag] = {
    .visible = true,
    .named = true,
  },
  [sym__s_dir_rsv] = {
    .visible = true,
    .named = true,
  },
  [sym__r_prp_val] = {
    .visible = true,
    .named = true,
  },
  [sym__br_prp_val] = {
    .visible = true,
    .named = true,
  },
  [sym__r_sgl_prp_val] = {
    .visible = true,
    .named = true,
  },
  [sym__br_sgl_prp_val] = {
    .visible = true,
    .named = true,
  },
  [sym__b_sgl_prp_val] = {
    .visible = true,
    .named = true,
  },
  [sym__r_prp] = {
    .visible = false,
    .named = true,
  },
  [sym__br_prp] = {
    .visible = false,
    .named = true,
  },
  [sym__r_sgl_prp] = {
    .visible = false,
    .named = true,
  },
  [sym__br_sgl_prp] = {
    .visible = false,
    .named = true,
  },
  [sym__b_sgl_prp] = {
    .visible = false,
    .named = true,
  },
  [sym__r_blk_seq_r_val] = {
    .visible = true,
    .named = true,
  },
  [sym__r_blk_seq_br_val] = {
    .visible = true,
    .named = true,
  },
  [sym__br_blk_seq_val] = {
    .visible = true,
    .named = true,
  },
  [sym__r_blk_seq_spc_val] = {
    .visible = true,
    .named = true,
  },
  [sym__br_blk_seq_spc_val] = {
    .visible = true,
    .named = true,
  },
  [sym__b_blk_seq_spc_val] = {
    .visible = true,
    .named = true,
  },
  [sym__r_blk_seq] = {
    .visible = true,
    .named = true,
  },
  [sym__br_blk_seq] = {
    .visible = true,
    .named = true,
  },
  [sym__b_blk_seq_spc] = {
    .visible = true,
    .named = true,
  },
  [sym__r_blk_seq_itm] = {
    .visible = true,
    .named = true,
  },
  [sym__br_blk_seq_itm] = {
    .visible = true,
    .named = true,
  },
  [sym__b_blk_seq_itm] = {
    .visible = true,
    .named = true,
  },
  [sym__blk_seq_itm_tal] = {
    .visible = false,
    .named = true,
  },
  [sym__r_blk_map_r_val] = {
    .visible = true,
    .named = true,
  },
  [sym__r_blk_map_br_val] = {
    .visible = true,
    .named = true,
  },
  [sym__br_blk_map_val] = {
    .visible = true,
    .named = true,
  },
  [sym__r_blk_map] = {
    .visible = true,
    .named = true,
  },
  [sym__br_blk_map] = {
    .visible = true,
    .named = true,
  },
  [sym__r_blk_map_itm] = {
    .visible = false,
    .named = true,
  },
  [sym__br_blk_map_itm] = {
    .visible = false,
    .named = true,
  },
  [sym__b_blk_map_itm] = {
    .visible = false,
    .named = true,
  },
  [sym__r_blk_exp_itm] = {
    .visible = true,
    .named = true,
  },
  [sym__br_blk_exp_itm] = {
    .visible = true,
    .named = true,
  },
  [sym__b_blk_exp_itm] = {
    .visible = true,
    .named = true,
  },
  [sym__r_blk_key_itm] = {
    .visible = false,
    .named = true,
  },
  [sym__br_blk_key_itm] = {
    .visible = false,
    .named = true,
  },
  [sym__b_blk_key_itm] = {
    .visible = false,
    .named = true,
  },
  [sym__r_blk_val_itm] = {
    .visible = false,
    .named = true,
  },
  [sym__br_blk_val_itm] = {
    .visible = false,
    .named = true,
  },
  [sym__b_blk_val_itm] = {
    .visible = false,
    .named = true,
  },
  [sym__r_blk_imp_itm] = {
    .visible = true,
    .named = true,
  },
  [sym__br_blk_imp_itm] = {
    .visible = true,
    .named = true,
  },
  [sym__b_blk_imp_itm] = {
    .visible = true,
    .named = true,
  },
  [sym__blk_exp_itm_tal] = {
    .visible = false,
    .named = true,
  },
  [sym__blk_imp_itm_tal] = {
    .visible = false,
    .named = true,
  },
  [sym__r_blk_str_val] = {
    .visible = true,
    .named = true,
  },
  [sym__br_blk_str_val] = {
    .visible = true,
    .named = true,
  },
  [sym__r_blk_str] = {
    .visible = true,
    .named = true,
  },
  [sym__br_blk_str] = {
    .visible = true,
    .named = true,
  },
  [sym__r_flw_seq_val] = {
    .visible = true,
    .named = true,
  },
  [sym__br_flw_seq_val] = {
    .visible = true,
    .named = true,
  },
  [sym__r_sgl_flw_seq_val] = {
    .visible = true,
    .named = true,
  },
  [sym__br_sgl_flw_seq_val] = {
    .visible = true,
    .named = true,
  },
  [sym__b_sgl_flw_seq_val] = {
    .visible = true,
    .named = true,
  },
  [sym__r_flw_seq] = {
    .visible = true,
    .named = true,
  },
  [sym__br_flw_seq] = {
    .visible = true,
    .named = true,
  },
  [sym__r_sgl_flw_seq] = {
    .visible = true,
    .named = true,
  },
  [sym__br_sgl_flw_seq] = {
    .visible = true,
    .named = true,
  },
  [sym__b_sgl_flw_seq] = {
    .visible = true,
    .named = true,
  },
  [sym__flw_seq_tal] = {
    .visible = false,
    .named = true,
  },
  [sym__sgl_flw_seq_tal] = {
    .visible = false,
    .named = true,
  },
  [sym__r_flw_map_val] = {
    .visible = true,
    .named = true,
  },
  [sym__br_flw_map_val] = {
    .visible = true,
    .named = true,
  },
  [sym__r_sgl_flw_map_val] = {
    .visible = true,
    .named = true,
  },
  [sym__br_sgl_flw_map_val] = {
    .visible = true,
    .named = true,
  },
  [sym__b_sgl_flw_map_val] = {
    .visible = true,
    .named = true,
  },
  [sym__r_flw_map] = {
    .visible = true,
    .named = true,
  },
  [sym__br_flw_map] = {
    .visible = true,
    .named = true,
  },
  [sym__r_sgl_flw_map] = {
    .visible = true,
    .named = true,
  },
  [sym__br_sgl_flw_map] = {
    .visible = true,
    .named = true,
  },
  [sym__b_sgl_flw_map] = {
    .visible = true,
    .named = true,
  },
  [sym__flw_map_tal] = {
    .visible = false,
    .named = true,
  },
  [sym__sgl_flw_map_tal] = {
    .visible = false,
    .named = true,
  },
  [sym__r_flw_seq_dat] = {
    .visible = false,
    .named = true,
  },
  [sym__br_flw_seq_dat] = {
    .visible = false,
    .named = true,
  },
  [sym__r_flw_map_dat] = {
    .visible = false,
    .named = true,
  },
  [sym__br_flw_map_dat] = {
    .visible = false,
    .named = true,
  },
  [sym__r_sgl_flw_col_dat] = {
    .visible = false,
    .named = true,
  },
  [sym__flw_seq_dat_rpt] = {
    .visible = false,
    .named = true,
  },
  [sym__flw_map_dat_rpt] = {
    .visible = false,
    .named = true,
  },
  [sym__sgl_flw_col_dat_rpt] = {
    .visible = false,
    .named = true,
  },
  [sym__r_flw_seq_itm] = {
    .visible = false,
    .named = true,
  },
  [sym__br_flw_seq_itm] = {
    .visible = false,
    .named = true,
  },
  [sym__r_flw_map_itm] = {
    .visible = false,
    .named = true,
  },
  [sym__br_flw_map_itm] = {
    .visible = false,
    .named = true,
  },
  [sym__r_sgl_flw_col_itm] = {
    .visible = false,
    .named = true,
  },
  [sym__r_flw_exp_par] = {
    .visible = true,
    .named = true,
  },
  [sym__br_flw_exp_par] = {
    .visible = true,
    .named = true,
  },
  [sym__r_sgl_flw_exp_par] = {
    .visible = true,
    .named = true,
  },
  [sym__r_flw_imp_r_par] = {
    .visible = false,
    .named = true,
  },
  [sym__r_flw_imp_br_par] = {
    .visible = false,
    .named = true,
  },
  [sym__br_flw_imp_r_par] = {
    .visible = false,
    .named = true,
  },
  [sym__br_flw_imp_br_par] = {
    .visible = false,
    .named = true,
  },
  [sym__r_sgl_flw_imp_par] = {
    .visible = false,
    .named = true,
  },
  [sym__r_flw_jsl_ann_par] = {
    .visible = false,
    .named = true,
  },
  [sym__br_flw_jsl_ann_par] = {
    .visible = false,
    .named = true,
  },
  [sym__r_sgl_flw_jsl_ann_par] = {
    .visible = false,
    .named = true,
  },
  [sym__r_flw_njl_ann_par] = {
    .visible = false,
    .named = true,
  },
  [sym__br_flw_njl_ann_par] = {
    .visible = false,
    .named = true,
  },
  [sym__r_sgl_flw_njl_ann_par] = {
    .visible = false,
    .named = true,
  },
  [sym__flw_ann_par_tal] = {
    .visible = false,
    .named = true,
  },
  [sym__sgl_flw_ann_par_tal] = {
    .visible = false,
    .named = true,
  },
  [sym__r_dqt_str_val] = {
    .visible = true,
    .named = true,
  },
  [sym__br_dqt_str_val] = {
    .visible = true,
    .named = true,
  },
  [sym__r_sgl_dqt_str_val] = {
    .visible = true,
    .named = true,
  },
  [sym__br_sgl_dqt_str_val] = {
    .visible = true,
    .named = true,
  },
  [sym__b_sgl_dqt_str_val] = {
    .visible = true,
    .named = true,
  },
  [sym__r_dqt_str] = {
    .visible = true,
    .named = true,
  },
  [sym__br_dqt_str] = {
    .visible = true,
    .named = true,
  },
  [sym__r_sgl_dqt_str] = {
    .visible = true,
    .named = true,
  },
  [sym__br_sgl_dqt_str] = {
    .visible = true,
    .named = true,
  },
  [sym__b_sgl_dqt_str] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__r_sgl_dqt_ctn] = {
    .visible = false,
    .named = false,
  },
  [sym__br_mtl_dqt_ctn] = {
    .visible = false,
    .named = true,
  },
  [sym__r_sqt_str_val] = {
    .visible = true,
    .named = true,
  },
  [sym__br_sqt_str_val] = {
    .visible = true,
    .named = true,
  },
  [sym__r_sgl_sqt_str_val] = {
    .visible = true,
    .named = true,
  },
  [sym__br_sgl_sqt_str_val] = {
    .visible = true,
    .named = true,
  },
  [sym__b_sgl_sqt_str_val] = {
    .visible = true,
    .named = true,
  },
  [sym__r_sqt_str] = {
    .visible = true,
    .named = true,
  },
  [sym__br_sqt_str] = {
    .visible = true,
    .named = true,
  },
  [sym__r_sgl_sqt_str] = {
    .visible = true,
    .named = true,
  },
  [sym__br_sgl_sqt_str] = {
    .visible = true,
    .named = true,
  },
  [sym__b_sgl_sqt_str] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__r_sgl_sqt_ctn] = {
    .visible = false,
    .named = false,
  },
  [sym__br_mtl_sqt_ctn] = {
    .visible = false,
    .named = true,
  },
  [sym__r_pln_blk_val] = {
    .visible = true,
    .named = true,
  },
  [sym__br_pln_blk_val] = {
    .visible = true,
    .named = true,
  },
  [sym__r_sgl_pln_blk_val] = {
    .visible = true,
    .named = true,
  },
  [sym__br_sgl_pln_blk_val] = {
    .visible = true,
    .named = true,
  },
  [sym__b_sgl_pln_blk_val] = {
    .visible = true,
    .named = true,
  },
  [sym__r_pln_flw_val] = {
    .visible = true,
    .named = true,
  },
  [sym__br_pln_flw_val] = {
    .visible = true,
    .named = true,
  },
  [sym__r_sgl_pln_flw_val] = {
    .visible = true,
    .named = true,
  },
  [sym__r_als_val] = {
    .visible = true,
    .named = true,
  },
  [sym__br_als_val] = {
    .visible = true,
    .named = true,
  },
  [sym__b_als_val] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__drs_doc_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__s_dir_rsv_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__r_blk_seq_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__r_blk_map_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__r_blk_str_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__r_flw_seq_dat_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__r_flw_map_dat_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__r_sgl_flw_col_dat_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__r_dqt_str_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__br_mtl_dqt_ctn_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__r_sqt_str_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__br_mtl_sqt_ctn_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_document] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_flow_pair] = {
    .visible = true,
    .named = true,
  },
};

enum {
  field_key = 1,
  field_value = 2,
};

static const char *ts_field_names[] = {
  [0] = NULL,
  [field_key] = "key",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[11] = {
  [1] = {.index = 0, .length = 2},
  [2] = {.index = 2, .length = 1},
  [3] = {.index = 3, .length = 1},
  [4] = {.index = 4, .length = 1},
  [5] = {.index = 5, .length = 1},
  [6] = {.index = 0, .length = 2},
  [8] = {.index = 6, .length = 2},
  [9] = {.index = 8, .length = 2},
  [10] = {.index = 10, .length = 2},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_key, 0, .inherited = true},
    {field_value, 0, .inherited = true},
  [2] =
    {field_key, 0, .inherited = true},
  [3] =
    {field_value, 0, .inherited = true},
  [4] =
    {field_key, 1},
  [5] =
    {field_value, 1},
  [6] =
    {field_key, 0},
    {field_value, 1, .inherited = true},
  [8] =
    {field_key, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [10] =
    {field_key, 1, .inherited = true},
    {field_value, 1, .inherited = true},
};

static TSSymbol ts_alias_sequences[11][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [6] = {
    [0] = alias_sym_flow_pair,
  },
  [7] = {
    [0] = alias_sym_document,
  },
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      if (eof) ADVANCE(1);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 0, .external_lex_state = 2},
  [2] = {.lex_state = 0, .external_lex_state = 3},
  [3] = {.lex_state = 0, .external_lex_state = 3},
  [4] = {.lex_state = 0, .external_lex_state = 3},
  [5] = {.lex_state = 0, .external_lex_state = 3},
  [6] = {.lex_state = 0, .external_lex_state = 3},
  [7] = {.lex_state = 0, .external_lex_state = 3},
  [8] = {.lex_state = 0, .external_lex_state = 4},
  [9] = {.lex_state = 0, .external_lex_state = 4},
  [10] = {.lex_state = 0, .external_lex_state = 4},
  [11] = {.lex_state = 0, .external_lex_state = 5},
  [12] = {.lex_state = 0, .external_lex_state = 6},
  [13] = {.lex_state = 0, .external_lex_state = 7},
  [14] = {.lex_state = 0, .external_lex_state = 7},
  [15] = {.lex_state = 0, .external_lex_state = 7},
  [16] = {.lex_state = 0, .external_lex_state = 7},
  [17] = {.lex_state = 0, .external_lex_state = 7},
  [18] = {.lex_state = 0, .external_lex_state = 7},
  [19] = {.lex_state = 0, .external_lex_state = 7},
  [20] = {.lex_state = 0, .external_lex_state = 7},
  [21] = {.lex_state = 0, .external_lex_state = 7},
  [22] = {.lex_state = 0, .external_lex_state = 7},
  [23] = {.lex_state = 0, .external_lex_state = 7},
  [24] = {.lex_state = 0, .external_lex_state = 8},
  [25] = {.lex_state = 0, .external_lex_state = 8},
  [26] = {.lex_state = 0, .external_lex_state = 8},
  [27] = {.lex_state = 0, .external_lex_state = 8},
  [28] = {.lex_state = 0, .external_lex_state = 8},
  [29] = {.lex_state = 0, .external_lex_state = 8},
  [30] = {.lex_state = 0, .external_lex_state = 8},
  [31] = {.lex_state = 0, .external_lex_state = 8},
  [32] = {.lex_state = 0, .external_lex_state = 8},
  [33] = {.lex_state = 0, .external_lex_state = 8},
  [34] = {.lex_state = 0, .external_lex_state = 8},
  [35] = {.lex_state = 0, .external_lex_state = 9},
  [36] = {.lex_state = 0, .external_lex_state = 9},
  [37] = {.lex_state = 0, .external_lex_state = 9},
  [38] = {.lex_state = 0, .external_lex_state = 10},
  [39] = {.lex_state = 0, .external_lex_state = 10},
  [40] = {.lex_state = 0, .external_lex_state = 11},
  [41] = {.lex_state = 0, .external_lex_state = 12},
  [42] = {.lex_state = 0, .external_lex_state = 7},
  [43] = {.lex_state = 0, .external_lex_state = 7},
  [44] = {.lex_state = 0, .external_lex_state = 7},
  [45] = {.lex_state = 0, .external_lex_state = 7},
  [46] = {.lex_state = 0, .external_lex_state = 7},
  [47] = {.lex_state = 0, .external_lex_state = 7},
  [48] = {.lex_state = 0, .external_lex_state = 7},
  [49] = {.lex_state = 0, .external_lex_state = 7},
  [50] = {.lex_state = 0, .external_lex_state = 7},
  [51] = {.lex_state = 0, .external_lex_state = 7},
  [52] = {.lex_state = 0, .external_lex_state = 7},
  [53] = {.lex_state = 0, .external_lex_state = 7},
  [54] = {.lex_state = 0, .external_lex_state = 7},
  [55] = {.lex_state = 0, .external_lex_state = 8},
  [56] = {.lex_state = 0, .external_lex_state = 8},
  [57] = {.lex_state = 0, .external_lex_state = 8},
  [58] = {.lex_state = 0, .external_lex_state = 8},
  [59] = {.lex_state = 0, .external_lex_state = 8},
  [60] = {.lex_state = 0, .external_lex_state = 12},
  [61] = {.lex_state = 0, .external_lex_state = 8},
  [62] = {.lex_state = 0, .external_lex_state = 8},
  [63] = {.lex_state = 0, .external_lex_state = 8},
  [64] = {.lex_state = 0, .external_lex_state = 8},
  [65] = {.lex_state = 0, .external_lex_state = 8},
  [66] = {.lex_state = 0, .external_lex_state = 8},
  [67] = {.lex_state = 0, .external_lex_state = 11},
  [68] = {.lex_state = 0, .external_lex_state = 8},
  [69] = {.lex_state = 0, .external_lex_state = 8},
  [70] = {.lex_state = 0, .external_lex_state = 7},
  [71] = {.lex_state = 0, .external_lex_state = 7},
  [72] = {.lex_state = 0, .external_lex_state = 7},
  [73] = {.lex_state = 0, .external_lex_state = 7},
  [74] = {.lex_state = 0, .external_lex_state = 8},
  [75] = {.lex_state = 0, .external_lex_state = 8},
  [76] = {.lex_state = 0, .external_lex_state = 8},
  [77] = {.lex_state = 0, .external_lex_state = 13},
  [78] = {.lex_state = 0, .external_lex_state = 8},
  [79] = {.lex_state = 0, .external_lex_state = 14},
  [80] = {.lex_state = 0, .external_lex_state = 14},
  [81] = {.lex_state = 0, .external_lex_state = 15},
  [82] = {.lex_state = 0, .external_lex_state = 15},
  [83] = {.lex_state = 0, .external_lex_state = 13},
  [84] = {.lex_state = 0, .external_lex_state = 12},
  [85] = {.lex_state = 0, .external_lex_state = 11},
  [86] = {.lex_state = 0, .external_lex_state = 12},
  [87] = {.lex_state = 0, .external_lex_state = 11},
  [88] = {.lex_state = 0, .external_lex_state = 12},
  [89] = {.lex_state = 0, .external_lex_state = 12},
  [90] = {.lex_state = 0, .external_lex_state = 11},
  [91] = {.lex_state = 0, .external_lex_state = 11},
  [92] = {.lex_state = 0, .external_lex_state = 11},
  [93] = {.lex_state = 0, .external_lex_state = 12},
  [94] = {.lex_state = 0, .external_lex_state = 11},
  [95] = {.lex_state = 0, .external_lex_state = 12},
  [96] = {.lex_state = 0, .external_lex_state = 16},
  [97] = {.lex_state = 0, .external_lex_state = 17},
  [98] = {.lex_state = 0, .external_lex_state = 17},
  [99] = {.lex_state = 0, .external_lex_state = 16},
  [100] = {.lex_state = 0, .external_lex_state = 18},
  [101] = {.lex_state = 0, .external_lex_state = 18},
  [102] = {.lex_state = 0, .external_lex_state = 19},
  [103] = {.lex_state = 0, .external_lex_state = 20},
  [104] = {.lex_state = 0, .external_lex_state = 10},
  [105] = {.lex_state = 0, .external_lex_state = 10},
  [106] = {.lex_state = 0, .external_lex_state = 21},
  [107] = {.lex_state = 0, .external_lex_state = 21},
  [108] = {.lex_state = 0, .external_lex_state = 21},
  [109] = {.lex_state = 0, .external_lex_state = 21},
  [110] = {.lex_state = 0, .external_lex_state = 21},
  [111] = {.lex_state = 0, .external_lex_state = 21},
  [112] = {.lex_state = 0, .external_lex_state = 22},
  [113] = {.lex_state = 0, .external_lex_state = 21},
  [114] = {.lex_state = 0, .external_lex_state = 21},
  [115] = {.lex_state = 0, .external_lex_state = 22},
  [116] = {.lex_state = 0, .external_lex_state = 21},
  [117] = {.lex_state = 0, .external_lex_state = 23},
  [118] = {.lex_state = 0, .external_lex_state = 22},
  [119] = {.lex_state = 0, .external_lex_state = 23},
  [120] = {.lex_state = 0, .external_lex_state = 22},
  [121] = {.lex_state = 0, .external_lex_state = 23},
  [122] = {.lex_state = 0, .external_lex_state = 23},
  [123] = {.lex_state = 0, .external_lex_state = 21},
  [124] = {.lex_state = 0, .external_lex_state = 21},
  [125] = {.lex_state = 0, .external_lex_state = 22},
  [126] = {.lex_state = 0, .external_lex_state = 21},
  [127] = {.lex_state = 0, .external_lex_state = 21},
  [128] = {.lex_state = 0, .external_lex_state = 22},
  [129] = {.lex_state = 0, .external_lex_state = 23},
  [130] = {.lex_state = 0, .external_lex_state = 23},
  [131] = {.lex_state = 0, .external_lex_state = 23},
  [132] = {.lex_state = 0, .external_lex_state = 22},
  [133] = {.lex_state = 0, .external_lex_state = 22},
  [134] = {.lex_state = 0, .external_lex_state = 23},
  [135] = {.lex_state = 0, .external_lex_state = 22},
  [136] = {.lex_state = 0, .external_lex_state = 23},
  [137] = {.lex_state = 0, .external_lex_state = 24},
  [138] = {.lex_state = 0, .external_lex_state = 24},
  [139] = {.lex_state = 0, .external_lex_state = 25},
  [140] = {.lex_state = 0, .external_lex_state = 25},
  [141] = {.lex_state = 0, .external_lex_state = 26},
  [142] = {.lex_state = 0, .external_lex_state = 27},
  [143] = {.lex_state = 0, .external_lex_state = 28},
  [144] = {.lex_state = 0, .external_lex_state = 29},
  [145] = {.lex_state = 0, .external_lex_state = 30},
  [146] = {.lex_state = 0, .external_lex_state = 29},
  [147] = {.lex_state = 0, .external_lex_state = 30},
  [148] = {.lex_state = 0, .external_lex_state = 31},
  [149] = {.lex_state = 0, .external_lex_state = 26},
  [150] = {.lex_state = 0, .external_lex_state = 32},
  [151] = {.lex_state = 0, .external_lex_state = 32},
  [152] = {.lex_state = 0, .external_lex_state = 28},
  [153] = {.lex_state = 0, .external_lex_state = 33},
  [154] = {.lex_state = 0, .external_lex_state = 33},
  [155] = {.lex_state = 0, .external_lex_state = 14},
  [156] = {.lex_state = 0, .external_lex_state = 34},
  [157] = {.lex_state = 0, .external_lex_state = 14},
  [158] = {.lex_state = 0, .external_lex_state = 34},
  [159] = {.lex_state = 0, .external_lex_state = 35},
  [160] = {.lex_state = 0, .external_lex_state = 36},
  [161] = {.lex_state = 0, .external_lex_state = 36},
  [162] = {.lex_state = 0, .external_lex_state = 15},
  [163] = {.lex_state = 0, .external_lex_state = 15},
  [164] = {.lex_state = 0, .external_lex_state = 35},
  [165] = {.lex_state = 0, .external_lex_state = 37},
  [166] = {.lex_state = 0, .external_lex_state = 38},
  [167] = {.lex_state = 0, .external_lex_state = 38},
  [168] = {.lex_state = 0, .external_lex_state = 38},
  [169] = {.lex_state = 0, .external_lex_state = 37},
  [170] = {.lex_state = 0, .external_lex_state = 37},
  [171] = {.lex_state = 0, .external_lex_state = 39},
  [172] = {.lex_state = 0, .external_lex_state = 39},
  [173] = {.lex_state = 0, .external_lex_state = 40},
  [174] = {.lex_state = 0, .external_lex_state = 40},
  [175] = {.lex_state = 0, .external_lex_state = 9},
  [176] = {.lex_state = 0, .external_lex_state = 9},
  [177] = {.lex_state = 0, .external_lex_state = 9},
  [178] = {.lex_state = 0, .external_lex_state = 9},
  [179] = {.lex_state = 0, .external_lex_state = 9},
  [180] = {.lex_state = 0, .external_lex_state = 9},
  [181] = {.lex_state = 0, .external_lex_state = 40},
  [182] = {.lex_state = 0, .external_lex_state = 41},
  [183] = {.lex_state = 0, .external_lex_state = 41},
  [184] = {.lex_state = 0, .external_lex_state = 41},
  [185] = {.lex_state = 0, .external_lex_state = 9},
  [186] = {.lex_state = 0, .external_lex_state = 42},
  [187] = {.lex_state = 0, .external_lex_state = 42},
  [188] = {.lex_state = 0, .external_lex_state = 43},
  [189] = {.lex_state = 0, .external_lex_state = 43},
  [190] = {.lex_state = 0, .external_lex_state = 42},
  [191] = {.lex_state = 0, .external_lex_state = 43},
  [192] = {.lex_state = 0, .external_lex_state = 44},
  [193] = {.lex_state = 0, .external_lex_state = 45},
  [194] = {.lex_state = 0, .external_lex_state = 29},
  [195] = {.lex_state = 0, .external_lex_state = 29},
  [196] = {.lex_state = 0, .external_lex_state = 46},
  [197] = {.lex_state = 0, .external_lex_state = 47},
  [198] = {.lex_state = 0, .external_lex_state = 46},
  [199] = {.lex_state = 0, .external_lex_state = 45},
  [200] = {.lex_state = 0, .external_lex_state = 44},
  [201] = {.lex_state = 0, .external_lex_state = 47},
  [202] = {.lex_state = 0, .external_lex_state = 29},
  [203] = {.lex_state = 0, .external_lex_state = 45},
  [204] = {.lex_state = 0, .external_lex_state = 46},
  [205] = {.lex_state = 0, .external_lex_state = 47},
  [206] = {.lex_state = 0, .external_lex_state = 44},
  [207] = {.lex_state = 0, .external_lex_state = 33},
  [208] = {.lex_state = 0, .external_lex_state = 33},
  [209] = {.lex_state = 0, .external_lex_state = 33},
  [210] = {.lex_state = 0, .external_lex_state = 48},
  [211] = {.lex_state = 0, .external_lex_state = 35},
  [212] = {.lex_state = 0, .external_lex_state = 35},
  [213] = {.lex_state = 0, .external_lex_state = 35},
  [214] = {.lex_state = 0, .external_lex_state = 36},
  [215] = {.lex_state = 0, .external_lex_state = 36},
  [216] = {.lex_state = 0, .external_lex_state = 36},
  [217] = {.lex_state = 0, .external_lex_state = 49},
  [218] = {.lex_state = 0, .external_lex_state = 48},
  [219] = {.lex_state = 0, .external_lex_state = 49},
  [220] = {.lex_state = 0, .external_lex_state = 48},
  [221] = {.lex_state = 0, .external_lex_state = 49},
  [222] = {.lex_state = 0, .external_lex_state = 39},
  [223] = {.lex_state = 0, .external_lex_state = 39},
  [224] = {.lex_state = 0, .external_lex_state = 39},
  [225] = {.lex_state = 0, .external_lex_state = 50},
  [226] = {.lex_state = 0, .external_lex_state = 50},
  [227] = {.lex_state = 0, .external_lex_state = 50},
  [228] = {.lex_state = 0, .external_lex_state = 50},
  [229] = {.lex_state = 0, .external_lex_state = 50},
  [230] = {.lex_state = 0, .external_lex_state = 50},
  [231] = {.lex_state = 0, .external_lex_state = 21},
  [232] = {.lex_state = 0, .external_lex_state = 50},
  [233] = {.lex_state = 0, .external_lex_state = 50},
  [234] = {.lex_state = 0, .external_lex_state = 51},
  [235] = {.lex_state = 0, .external_lex_state = 50},
  [236] = {.lex_state = 0, .external_lex_state = 50},
  [237] = {.lex_state = 0, .external_lex_state = 21},
  [238] = {.lex_state = 0, .external_lex_state = 21},
  [239] = {.lex_state = 0, .external_lex_state = 50},
  [240] = {.lex_state = 0, .external_lex_state = 50},
  [241] = {.lex_state = 0, .external_lex_state = 50},
  [242] = {.lex_state = 0, .external_lex_state = 50},
  [243] = {.lex_state = 0, .external_lex_state = 50},
  [244] = {.lex_state = 0, .external_lex_state = 50},
  [245] = {.lex_state = 0, .external_lex_state = 50},
  [246] = {.lex_state = 0, .external_lex_state = 50},
  [247] = {.lex_state = 0, .external_lex_state = 50},
  [248] = {.lex_state = 0, .external_lex_state = 52},
  [249] = {.lex_state = 0, .external_lex_state = 53},
  [250] = {.lex_state = 0, .external_lex_state = 53},
  [251] = {.lex_state = 0, .external_lex_state = 53},
  [252] = {.lex_state = 0, .external_lex_state = 53},
  [253] = {.lex_state = 0, .external_lex_state = 53},
  [254] = {.lex_state = 0, .external_lex_state = 53},
  [255] = {.lex_state = 0, .external_lex_state = 53},
  [256] = {.lex_state = 0, .external_lex_state = 21},
  [257] = {.lex_state = 0, .external_lex_state = 54},
  [258] = {.lex_state = 0, .external_lex_state = 53},
  [259] = {.lex_state = 0, .external_lex_state = 21},
  [260] = {.lex_state = 0, .external_lex_state = 53},
  [261] = {.lex_state = 0, .external_lex_state = 21},
  [262] = {.lex_state = 0, .external_lex_state = 53},
  [263] = {.lex_state = 0, .external_lex_state = 53},
  [264] = {.lex_state = 0, .external_lex_state = 53},
  [265] = {.lex_state = 0, .external_lex_state = 53},
  [266] = {.lex_state = 0, .external_lex_state = 21},
  [267] = {.lex_state = 0, .external_lex_state = 21},
  [268] = {.lex_state = 0, .external_lex_state = 53},
  [269] = {.lex_state = 0, .external_lex_state = 21},
  [270] = {.lex_state = 0, .external_lex_state = 21},
  [271] = {.lex_state = 0, .external_lex_state = 53},
  [272] = {.lex_state = 0, .external_lex_state = 53},
  [273] = {.lex_state = 0, .external_lex_state = 53},
  [274] = {.lex_state = 0, .external_lex_state = 53},
  [275] = {.lex_state = 0, .external_lex_state = 53},
  [276] = {.lex_state = 0, .external_lex_state = 21},
  [277] = {.lex_state = 0, .external_lex_state = 53},
  [278] = {.lex_state = 0, .external_lex_state = 21},
  [279] = {.lex_state = 0, .external_lex_state = 21},
  [280] = {.lex_state = 0, .external_lex_state = 21},
  [281] = {.lex_state = 0, .external_lex_state = 21},
  [282] = {.lex_state = 0, .external_lex_state = 21},
  [283] = {.lex_state = 0, .external_lex_state = 21},
  [284] = {.lex_state = 0, .external_lex_state = 53},
  [285] = {.lex_state = 0, .external_lex_state = 53},
  [286] = {.lex_state = 0, .external_lex_state = 53},
  [287] = {.lex_state = 0, .external_lex_state = 55},
  [288] = {.lex_state = 0, .external_lex_state = 53},
  [289] = {.lex_state = 0, .external_lex_state = 53},
  [290] = {.lex_state = 0, .external_lex_state = 53},
  [291] = {.lex_state = 0, .external_lex_state = 21},
  [292] = {.lex_state = 0, .external_lex_state = 53},
  [293] = {.lex_state = 0, .external_lex_state = 21},
  [294] = {.lex_state = 0, .external_lex_state = 53},
  [295] = {.lex_state = 0, .external_lex_state = 53},
  [296] = {.lex_state = 0, .external_lex_state = 53},
  [297] = {.lex_state = 0, .external_lex_state = 21},
  [298] = {.lex_state = 0, .external_lex_state = 21},
  [299] = {.lex_state = 0, .external_lex_state = 21},
  [300] = {.lex_state = 0, .external_lex_state = 21},
  [301] = {.lex_state = 0, .external_lex_state = 53},
  [302] = {.lex_state = 0, .external_lex_state = 53},
  [303] = {.lex_state = 0, .external_lex_state = 21},
  [304] = {.lex_state = 0, .external_lex_state = 21},
  [305] = {.lex_state = 0, .external_lex_state = 53},
  [306] = {.lex_state = 0, .external_lex_state = 21},
  [307] = {.lex_state = 0, .external_lex_state = 21},
  [308] = {.lex_state = 0, .external_lex_state = 21},
  [309] = {.lex_state = 0, .external_lex_state = 21},
  [310] = {.lex_state = 0, .external_lex_state = 21},
  [311] = {.lex_state = 0, .external_lex_state = 53},
  [312] = {.lex_state = 0, .external_lex_state = 21},
  [313] = {.lex_state = 0, .external_lex_state = 21},
  [314] = {.lex_state = 0, .external_lex_state = 21},
  [315] = {.lex_state = 0, .external_lex_state = 21},
  [316] = {.lex_state = 0, .external_lex_state = 53},
  [317] = {.lex_state = 0, .external_lex_state = 53},
  [318] = {.lex_state = 0, .external_lex_state = 21},
  [319] = {.lex_state = 0, .external_lex_state = 21},
  [320] = {.lex_state = 0, .external_lex_state = 21},
  [321] = {.lex_state = 0, .external_lex_state = 21},
  [322] = {.lex_state = 0, .external_lex_state = 21},
  [323] = {.lex_state = 0, .external_lex_state = 21},
  [324] = {.lex_state = 0, .external_lex_state = 21},
  [325] = {.lex_state = 0, .external_lex_state = 21},
  [326] = {.lex_state = 0, .external_lex_state = 21},
  [327] = {.lex_state = 0, .external_lex_state = 53},
  [328] = {.lex_state = 0, .external_lex_state = 21},
  [329] = {.lex_state = 0, .external_lex_state = 21},
  [330] = {.lex_state = 0, .external_lex_state = 21},
  [331] = {.lex_state = 0, .external_lex_state = 21},
  [332] = {.lex_state = 0, .external_lex_state = 21},
  [333] = {.lex_state = 0, .external_lex_state = 21},
  [334] = {.lex_state = 0, .external_lex_state = 21},
  [335] = {.lex_state = 0, .external_lex_state = 53},
  [336] = {.lex_state = 0, .external_lex_state = 21},
  [337] = {.lex_state = 0, .external_lex_state = 21},
  [338] = {.lex_state = 0, .external_lex_state = 21},
  [339] = {.lex_state = 0, .external_lex_state = 21},
  [340] = {.lex_state = 0, .external_lex_state = 21},
  [341] = {.lex_state = 0, .external_lex_state = 21},
  [342] = {.lex_state = 0, .external_lex_state = 21},
  [343] = {.lex_state = 0, .external_lex_state = 21},
  [344] = {.lex_state = 0, .external_lex_state = 21},
  [345] = {.lex_state = 0, .external_lex_state = 21},
  [346] = {.lex_state = 0, .external_lex_state = 53},
  [347] = {.lex_state = 0, .external_lex_state = 21},
  [348] = {.lex_state = 0, .external_lex_state = 21},
  [349] = {.lex_state = 0, .external_lex_state = 21},
  [350] = {.lex_state = 0, .external_lex_state = 21},
  [351] = {.lex_state = 0, .external_lex_state = 21},
  [352] = {.lex_state = 0, .external_lex_state = 21},
  [353] = {.lex_state = 0, .external_lex_state = 21},
  [354] = {.lex_state = 0, .external_lex_state = 21},
  [355] = {.lex_state = 0, .external_lex_state = 21},
  [356] = {.lex_state = 0, .external_lex_state = 21},
  [357] = {.lex_state = 0, .external_lex_state = 53},
  [358] = {.lex_state = 0, .external_lex_state = 53},
  [359] = {.lex_state = 0, .external_lex_state = 21},
  [360] = {.lex_state = 0, .external_lex_state = 53},
  [361] = {.lex_state = 0, .external_lex_state = 21},
  [362] = {.lex_state = 0, .external_lex_state = 53},
  [363] = {.lex_state = 0, .external_lex_state = 21},
  [364] = {.lex_state = 0, .external_lex_state = 21},
  [365] = {.lex_state = 0, .external_lex_state = 21},
  [366] = {.lex_state = 0, .external_lex_state = 53},
  [367] = {.lex_state = 0, .external_lex_state = 21},
  [368] = {.lex_state = 0, .external_lex_state = 53},
  [369] = {.lex_state = 0, .external_lex_state = 21},
  [370] = {.lex_state = 0, .external_lex_state = 21},
  [371] = {.lex_state = 0, .external_lex_state = 21},
  [372] = {.lex_state = 0, .external_lex_state = 21},
  [373] = {.lex_state = 0, .external_lex_state = 21},
  [374] = {.lex_state = 0, .external_lex_state = 53},
  [375] = {.lex_state = 0, .external_lex_state = 21},
  [376] = {.lex_state = 0, .external_lex_state = 21},
  [377] = {.lex_state = 0, .external_lex_state = 21},
  [378] = {.lex_state = 0, .external_lex_state = 21},
  [379] = {.lex_state = 0, .external_lex_state = 21},
  [380] = {.lex_state = 0, .external_lex_state = 21},
  [381] = {.lex_state = 0, .external_lex_state = 21},
  [382] = {.lex_state = 0, .external_lex_state = 53},
  [383] = {.lex_state = 0, .external_lex_state = 21},
  [384] = {.lex_state = 0, .external_lex_state = 21},
  [385] = {.lex_state = 0, .external_lex_state = 53},
  [386] = {.lex_state = 0, .external_lex_state = 21},
  [387] = {.lex_state = 0, .external_lex_state = 56},
  [388] = {.lex_state = 0, .external_lex_state = 57},
  [389] = {.lex_state = 0, .external_lex_state = 58},
  [390] = {.lex_state = 0, .external_lex_state = 59},
  [391] = {.lex_state = 0, .external_lex_state = 59},
  [392] = {.lex_state = 0, .external_lex_state = 59},
  [393] = {.lex_state = 0, .external_lex_state = 58},
  [394] = {.lex_state = 0, .external_lex_state = 58},
  [395] = {.lex_state = 0, .external_lex_state = 59},
  [396] = {.lex_state = 0, .external_lex_state = 59},
  [397] = {.lex_state = 0, .external_lex_state = 53},
  [398] = {.lex_state = 0, .external_lex_state = 60},
  [399] = {.lex_state = 0, .external_lex_state = 60},
  [400] = {.lex_state = 0, .external_lex_state = 60},
  [401] = {.lex_state = 0, .external_lex_state = 60},
  [402] = {.lex_state = 0, .external_lex_state = 60},
  [403] = {.lex_state = 0, .external_lex_state = 60},
  [404] = {.lex_state = 0, .external_lex_state = 60},
  [405] = {.lex_state = 0, .external_lex_state = 53},
  [406] = {.lex_state = 0, .external_lex_state = 53},
  [407] = {.lex_state = 0, .external_lex_state = 60},
  [408] = {.lex_state = 0, .external_lex_state = 60},
  [409] = {.lex_state = 0, .external_lex_state = 60},
  [410] = {.lex_state = 0, .external_lex_state = 60},
  [411] = {.lex_state = 0, .external_lex_state = 60},
  [412] = {.lex_state = 0, .external_lex_state = 60},
  [413] = {.lex_state = 0, .external_lex_state = 60},
  [414] = {.lex_state = 0, .external_lex_state = 60},
  [415] = {.lex_state = 0, .external_lex_state = 60},
  [416] = {.lex_state = 0, .external_lex_state = 60},
  [417] = {.lex_state = 0, .external_lex_state = 60},
  [418] = {.lex_state = 0, .external_lex_state = 61},
  [419] = {.lex_state = 0, .external_lex_state = 60},
  [420] = {.lex_state = 0, .external_lex_state = 53},
  [421] = {.lex_state = 0, .external_lex_state = 60},
  [422] = {.lex_state = 0, .external_lex_state = 60},
  [423] = {.lex_state = 0, .external_lex_state = 60},
  [424] = {.lex_state = 0, .external_lex_state = 60},
  [425] = {.lex_state = 0, .external_lex_state = 60},
  [426] = {.lex_state = 0, .external_lex_state = 60},
  [427] = {.lex_state = 0, .external_lex_state = 60},
  [428] = {.lex_state = 0, .external_lex_state = 60},
  [429] = {.lex_state = 0, .external_lex_state = 60},
  [430] = {.lex_state = 0, .external_lex_state = 60},
  [431] = {.lex_state = 0, .external_lex_state = 60},
  [432] = {.lex_state = 0, .external_lex_state = 60},
  [433] = {.lex_state = 0, .external_lex_state = 60},
  [434] = {.lex_state = 0, .external_lex_state = 60},
  [435] = {.lex_state = 0, .external_lex_state = 60},
  [436] = {.lex_state = 0, .external_lex_state = 60},
  [437] = {.lex_state = 0, .external_lex_state = 60},
  [438] = {.lex_state = 0, .external_lex_state = 60},
  [439] = {.lex_state = 0, .external_lex_state = 62},
  [440] = {.lex_state = 0, .external_lex_state = 63},
  [441] = {.lex_state = 0, .external_lex_state = 60},
  [442] = {.lex_state = 0, .external_lex_state = 60},
  [443] = {.lex_state = 0, .external_lex_state = 60},
  [444] = {.lex_state = 0, .external_lex_state = 60},
  [445] = {.lex_state = 0, .external_lex_state = 64},
  [446] = {.lex_state = 0, .external_lex_state = 65},
  [447] = {.lex_state = 0, .external_lex_state = 56},
  [448] = {.lex_state = 0, .external_lex_state = 60},
  [449] = {.lex_state = 0, .external_lex_state = 60},
  [450] = {.lex_state = 0, .external_lex_state = 60},
  [451] = {.lex_state = 0, .external_lex_state = 60},
  [452] = {.lex_state = 0, .external_lex_state = 60},
  [453] = {.lex_state = 0, .external_lex_state = 60},
  [454] = {.lex_state = 0, .external_lex_state = 60},
  [455] = {.lex_state = 0, .external_lex_state = 52},
  [456] = {.lex_state = 0, .external_lex_state = 66},
  [457] = {.lex_state = 0, .external_lex_state = 67},
  [458] = {.lex_state = 0, .external_lex_state = 68},
  [459] = {.lex_state = 0, .external_lex_state = 69},
  [460] = {.lex_state = 0, .external_lex_state = 51},
  [461] = {.lex_state = 0, .external_lex_state = 70},
  [462] = {.lex_state = 0, .external_lex_state = 70},
  [463] = {.lex_state = 0, .external_lex_state = 61},
  [464] = {.lex_state = 0, .external_lex_state = 61},
  [465] = {.lex_state = 0, .external_lex_state = 71},
  [466] = {.lex_state = 0, .external_lex_state = 60},
  [467] = {.lex_state = 0, .external_lex_state = 71},
  [468] = {.lex_state = 0, .external_lex_state = 71},
  [469] = {.lex_state = 0, .external_lex_state = 71},
  [470] = {.lex_state = 0, .external_lex_state = 71},
  [471] = {.lex_state = 0, .external_lex_state = 71},
  [472] = {.lex_state = 0, .external_lex_state = 71},
  [473] = {.lex_state = 0, .external_lex_state = 71},
  [474] = {.lex_state = 0, .external_lex_state = 71},
  [475] = {.lex_state = 0, .external_lex_state = 71},
  [476] = {.lex_state = 0, .external_lex_state = 71},
  [477] = {.lex_state = 0, .external_lex_state = 71},
  [478] = {.lex_state = 0, .external_lex_state = 71},
  [479] = {.lex_state = 0, .external_lex_state = 71},
  [480] = {.lex_state = 0, .external_lex_state = 71},
  [481] = {.lex_state = 0, .external_lex_state = 71},
  [482] = {.lex_state = 0, .external_lex_state = 71},
  [483] = {.lex_state = 0, .external_lex_state = 71},
  [484] = {.lex_state = 0, .external_lex_state = 71},
  [485] = {.lex_state = 0, .external_lex_state = 71},
  [486] = {.lex_state = 0, .external_lex_state = 71},
  [487] = {.lex_state = 0, .external_lex_state = 71},
  [488] = {.lex_state = 0, .external_lex_state = 71},
  [489] = {.lex_state = 0, .external_lex_state = 71},
  [490] = {.lex_state = 0, .external_lex_state = 71},
  [491] = {.lex_state = 0, .external_lex_state = 71},
  [492] = {.lex_state = 0, .external_lex_state = 71},
  [493] = {.lex_state = 0, .external_lex_state = 71},
  [494] = {.lex_state = 0, .external_lex_state = 71},
  [495] = {.lex_state = 0, .external_lex_state = 71},
  [496] = {.lex_state = 0, .external_lex_state = 71},
  [497] = {.lex_state = 0, .external_lex_state = 71},
  [498] = {.lex_state = 0, .external_lex_state = 71},
  [499] = {.lex_state = 0, .external_lex_state = 71},
  [500] = {.lex_state = 0, .external_lex_state = 71},
  [501] = {.lex_state = 0, .external_lex_state = 71},
  [502] = {.lex_state = 0, .external_lex_state = 71},
  [503] = {.lex_state = 0, .external_lex_state = 71},
  [504] = {.lex_state = 0, .external_lex_state = 71},
  [505] = {.lex_state = 0, .external_lex_state = 71},
  [506] = {.lex_state = 0, .external_lex_state = 71},
  [507] = {.lex_state = 0, .external_lex_state = 71},
  [508] = {.lex_state = 0, .external_lex_state = 71},
  [509] = {.lex_state = 0, .external_lex_state = 71},
  [510] = {.lex_state = 0, .external_lex_state = 71},
  [511] = {.lex_state = 0, .external_lex_state = 71},
  [512] = {.lex_state = 0, .external_lex_state = 71},
  [513] = {.lex_state = 0, .external_lex_state = 71},
  [514] = {.lex_state = 0, .external_lex_state = 71},
  [515] = {.lex_state = 0, .external_lex_state = 71},
  [516] = {.lex_state = 0, .external_lex_state = 71},
  [517] = {.lex_state = 0, .external_lex_state = 72},
  [518] = {.lex_state = 0, .external_lex_state = 71},
  [519] = {.lex_state = 0, .external_lex_state = 71},
  [520] = {.lex_state = 0, .external_lex_state = 71},
  [521] = {.lex_state = 0, .external_lex_state = 71},
  [522] = {.lex_state = 0, .external_lex_state = 71},
  [523] = {.lex_state = 0, .external_lex_state = 71},
  [524] = {.lex_state = 0, .external_lex_state = 71},
  [525] = {.lex_state = 0, .external_lex_state = 71},
  [526] = {.lex_state = 0, .external_lex_state = 71},
  [527] = {.lex_state = 0, .external_lex_state = 71},
  [528] = {.lex_state = 0, .external_lex_state = 71},
  [529] = {.lex_state = 0, .external_lex_state = 71},
  [530] = {.lex_state = 0, .external_lex_state = 71},
  [531] = {.lex_state = 0, .external_lex_state = 71},
  [532] = {.lex_state = 0, .external_lex_state = 60},
  [533] = {.lex_state = 0, .external_lex_state = 71},
  [534] = {.lex_state = 0, .external_lex_state = 71},
  [535] = {.lex_state = 0, .external_lex_state = 71},
  [536] = {.lex_state = 0, .external_lex_state = 71},
  [537] = {.lex_state = 0, .external_lex_state = 71},
  [538] = {.lex_state = 0, .external_lex_state = 71},
  [539] = {.lex_state = 0, .external_lex_state = 71},
  [540] = {.lex_state = 0, .external_lex_state = 71},
  [541] = {.lex_state = 0, .external_lex_state = 71},
  [542] = {.lex_state = 0, .external_lex_state = 73},
  [543] = {.lex_state = 0, .external_lex_state = 71},
  [544] = {.lex_state = 0, .external_lex_state = 74},
  [545] = {.lex_state = 0, .external_lex_state = 73},
  [546] = {.lex_state = 0, .external_lex_state = 74},
  [547] = {.lex_state = 0, .external_lex_state = 75},
  [548] = {.lex_state = 0, .external_lex_state = 76},
  [549] = {.lex_state = 0, .external_lex_state = 54},
  [550] = {.lex_state = 0, .external_lex_state = 55},
  [551] = {.lex_state = 0, .external_lex_state = 71},
  [552] = {.lex_state = 0, .external_lex_state = 71},
  [553] = {.lex_state = 0, .external_lex_state = 71},
  [554] = {.lex_state = 0, .external_lex_state = 71},
  [555] = {.lex_state = 0, .external_lex_state = 60},
  [556] = {.lex_state = 0, .external_lex_state = 60},
  [557] = {.lex_state = 0, .external_lex_state = 71},
  [558] = {.lex_state = 0, .external_lex_state = 71},
  [559] = {.lex_state = 0, .external_lex_state = 77},
  [560] = {.lex_state = 0, .external_lex_state = 77},
  [561] = {.lex_state = 0, .external_lex_state = 78},
  [562] = {.lex_state = 0, .external_lex_state = 78},
  [563] = {.lex_state = 0, .external_lex_state = 78},
  [564] = {.lex_state = 0, .external_lex_state = 78},
  [565] = {.lex_state = 0, .external_lex_state = 79},
  [566] = {.lex_state = 0, .external_lex_state = 61},
  [567] = {.lex_state = 0, .external_lex_state = 61},
  [568] = {.lex_state = 0, .external_lex_state = 61},
  [569] = {.lex_state = 0, .external_lex_state = 78},
  [570] = {.lex_state = 0, .external_lex_state = 78},
  [571] = {.lex_state = 0, .external_lex_state = 78},
  [572] = {.lex_state = 0, .external_lex_state = 78},
  [573] = {.lex_state = 0, .external_lex_state = 78},
  [574] = {.lex_state = 0, .external_lex_state = 78},
  [575] = {.lex_state = 0, .external_lex_state = 78},
  [576] = {.lex_state = 0, .external_lex_state = 78},
  [577] = {.lex_state = 0, .external_lex_state = 78},
  [578] = {.lex_state = 0, .external_lex_state = 78},
  [579] = {.lex_state = 0, .external_lex_state = 79},
  [580] = {.lex_state = 0, .external_lex_state = 78},
  [581] = {.lex_state = 0, .external_lex_state = 78},
  [582] = {.lex_state = 0, .external_lex_state = 78},
  [583] = {.lex_state = 0, .external_lex_state = 78},
  [584] = {.lex_state = 0, .external_lex_state = 72},
  [585] = {.lex_state = 0, .external_lex_state = 72},
  [586] = {.lex_state = 0, .external_lex_state = 80},
  [587] = {.lex_state = 0, .external_lex_state = 80},
  [588] = {.lex_state = 0, .external_lex_state = 78},
  [589] = {.lex_state = 0, .external_lex_state = 78},
  [590] = {.lex_state = 0, .external_lex_state = 81},
  [591] = {.lex_state = 0, .external_lex_state = 81},
  [592] = {.lex_state = 0, .external_lex_state = 78},
  [593] = {.lex_state = 0, .external_lex_state = 78},
  [594] = {.lex_state = 0, .external_lex_state = 77},
  [595] = {.lex_state = 0, .external_lex_state = 78},
  [596] = {.lex_state = 0, .external_lex_state = 77},
  [597] = {.lex_state = 0, .external_lex_state = 78},
  [598] = {.lex_state = 0, .external_lex_state = 78},
  [599] = {.lex_state = 0, .external_lex_state = 78},
  [600] = {.lex_state = 0, .external_lex_state = 78},
  [601] = {.lex_state = 0, .external_lex_state = 78},
  [602] = {.lex_state = 0, .external_lex_state = 78},
  [603] = {.lex_state = 0, .external_lex_state = 78},
  [604] = {.lex_state = 0, .external_lex_state = 61},
  [605] = {.lex_state = 0, .external_lex_state = 61},
  [606] = {.lex_state = 0, .external_lex_state = 61},
  [607] = {.lex_state = 0, .external_lex_state = 70},
  [608] = {.lex_state = 0, .external_lex_state = 70},
  [609] = {.lex_state = 0, .external_lex_state = 57},
  [610] = {.lex_state = 0, .external_lex_state = 70},
  [611] = {.lex_state = 0, .external_lex_state = 70},
  [612] = {.lex_state = 0, .external_lex_state = 70},
  [613] = {.lex_state = 0, .external_lex_state = 70},
  [614] = {.lex_state = 0, .external_lex_state = 70},
  [615] = {.lex_state = 0, .external_lex_state = 70},
  [616] = {.lex_state = 0, .external_lex_state = 77},
  [617] = {.lex_state = 0, .external_lex_state = 70},
  [618] = {.lex_state = 0, .external_lex_state = 70},
  [619] = {.lex_state = 0, .external_lex_state = 70},
  [620] = {.lex_state = 0, .external_lex_state = 70},
  [621] = {.lex_state = 0, .external_lex_state = 70},
  [622] = {.lex_state = 0, .external_lex_state = 81},
  [623] = {.lex_state = 0, .external_lex_state = 70},
  [624] = {.lex_state = 0, .external_lex_state = 70},
  [625] = {.lex_state = 0, .external_lex_state = 70},
  [626] = {.lex_state = 0, .external_lex_state = 70},
  [627] = {.lex_state = 0, .external_lex_state = 70},
  [628] = {.lex_state = 0, .external_lex_state = 70},
  [629] = {.lex_state = 0, .external_lex_state = 70},
  [630] = {.lex_state = 0, .external_lex_state = 70},
  [631] = {.lex_state = 0, .external_lex_state = 70},
  [632] = {.lex_state = 0, .external_lex_state = 70},
  [633] = {.lex_state = 0, .external_lex_state = 70},
  [634] = {.lex_state = 0, .external_lex_state = 70},
  [635] = {.lex_state = 0, .external_lex_state = 70},
  [636] = {.lex_state = 0, .external_lex_state = 70},
  [637] = {.lex_state = 0, .external_lex_state = 70},
  [638] = {.lex_state = 0, .external_lex_state = 58},
  [639] = {.lex_state = 0, .external_lex_state = 70},
  [640] = {.lex_state = 0, .external_lex_state = 70},
  [641] = {.lex_state = 0, .external_lex_state = 70},
  [642] = {.lex_state = 0, .external_lex_state = 70},
  [643] = {.lex_state = 0, .external_lex_state = 70},
  [644] = {.lex_state = 0, .external_lex_state = 70},
  [645] = {.lex_state = 0, .external_lex_state = 70},
  [646] = {.lex_state = 0, .external_lex_state = 70},
  [647] = {.lex_state = 0, .external_lex_state = 70},
  [648] = {.lex_state = 0, .external_lex_state = 70},
  [649] = {.lex_state = 0, .external_lex_state = 70},
  [650] = {.lex_state = 0, .external_lex_state = 70},
  [651] = {.lex_state = 0, .external_lex_state = 70},
  [652] = {.lex_state = 0, .external_lex_state = 58},
  [653] = {.lex_state = 0, .external_lex_state = 70},
  [654] = {.lex_state = 0, .external_lex_state = 61},
  [655] = {.lex_state = 0, .external_lex_state = 79},
  [656] = {.lex_state = 0, .external_lex_state = 81},
  [657] = {.lex_state = 0, .external_lex_state = 81},
  [658] = {.lex_state = 0, .external_lex_state = 78},
  [659] = {.lex_state = 0, .external_lex_state = 78},
  [660] = {.lex_state = 0, .external_lex_state = 78},
  [661] = {.lex_state = 0, .external_lex_state = 80},
  [662] = {.lex_state = 0, .external_lex_state = 80},
  [663] = {.lex_state = 0, .external_lex_state = 82},
  [664] = {.lex_state = 0, .external_lex_state = 82},
  [665] = {.lex_state = 0, .external_lex_state = 72},
  [666] = {.lex_state = 0, .external_lex_state = 72},
  [667] = {.lex_state = 0, .external_lex_state = 72},
  [668] = {.lex_state = 0, .external_lex_state = 83},
  [669] = {.lex_state = 0, .external_lex_state = 82},
  [670] = {.lex_state = 0, .external_lex_state = 71},
  [671] = {.lex_state = 0, .external_lex_state = 72},
  [672] = {.lex_state = 0, .external_lex_state = 80},
  [673] = {.lex_state = 0, .external_lex_state = 80},
  [674] = {.lex_state = 0, .external_lex_state = 80},
  [675] = {.lex_state = 0, .external_lex_state = 80},
  [676] = {.lex_state = 0, .external_lex_state = 80},
  [677] = {.lex_state = 0, .external_lex_state = 80},
  [678] = {.lex_state = 0, .external_lex_state = 80},
  [679] = {.lex_state = 0, .external_lex_state = 80},
  [680] = {.lex_state = 0, .external_lex_state = 80},
  [681] = {.lex_state = 0, .external_lex_state = 80},
  [682] = {.lex_state = 0, .external_lex_state = 80},
  [683] = {.lex_state = 0, .external_lex_state = 80},
  [684] = {.lex_state = 0, .external_lex_state = 80},
  [685] = {.lex_state = 0, .external_lex_state = 71},
  [686] = {.lex_state = 0, .external_lex_state = 80},
  [687] = {.lex_state = 0, .external_lex_state = 80},
  [688] = {.lex_state = 0, .external_lex_state = 80},
  [689] = {.lex_state = 0, .external_lex_state = 80},
  [690] = {.lex_state = 0, .external_lex_state = 80},
  [691] = {.lex_state = 0, .external_lex_state = 80},
  [692] = {.lex_state = 0, .external_lex_state = 80},
  [693] = {.lex_state = 0, .external_lex_state = 80},
  [694] = {.lex_state = 0, .external_lex_state = 80},
  [695] = {.lex_state = 0, .external_lex_state = 80},
  [696] = {.lex_state = 0, .external_lex_state = 80},
  [697] = {.lex_state = 0, .external_lex_state = 80},
  [698] = {.lex_state = 0, .external_lex_state = 80},
  [699] = {.lex_state = 0, .external_lex_state = 80},
  [700] = {.lex_state = 0, .external_lex_state = 80},
  [701] = {.lex_state = 0, .external_lex_state = 72},
  [702] = {.lex_state = 0, .external_lex_state = 72},
  [703] = {.lex_state = 0, .external_lex_state = 80},
  [704] = {.lex_state = 0, .external_lex_state = 80},
  [705] = {.lex_state = 0, .external_lex_state = 80},
  [706] = {.lex_state = 0, .external_lex_state = 80},
  [707] = {.lex_state = 0, .external_lex_state = 80},
  [708] = {.lex_state = 0, .external_lex_state = 80},
  [709] = {.lex_state = 0, .external_lex_state = 80},
  [710] = {.lex_state = 0, .external_lex_state = 80},
  [711] = {.lex_state = 0, .external_lex_state = 80},
  [712] = {.lex_state = 0, .external_lex_state = 80},
  [713] = {.lex_state = 0, .external_lex_state = 80},
  [714] = {.lex_state = 0, .external_lex_state = 83},
  [715] = {.lex_state = 0, .external_lex_state = 72},
  [716] = {.lex_state = 0, .external_lex_state = 80},
  [717] = {.lex_state = 0, .external_lex_state = 81},
  [718] = {.lex_state = 0, .external_lex_state = 81},
  [719] = {.lex_state = 0, .external_lex_state = 84},
  [720] = {.lex_state = 0, .external_lex_state = 85},
  [721] = {.lex_state = 0, .external_lex_state = 82},
  [722] = {.lex_state = 0, .external_lex_state = 77},
  [723] = {.lex_state = 0, .external_lex_state = 82},
  [724] = {.lex_state = 0, .external_lex_state = 82},
  [725] = {.lex_state = 0, .external_lex_state = 82},
  [726] = {.lex_state = 0, .external_lex_state = 82},
  [727] = {.lex_state = 0, .external_lex_state = 86},
  [728] = {.lex_state = 0, .external_lex_state = 87},
  [729] = {.lex_state = 0, .external_lex_state = 88},
  [730] = {.lex_state = 0, .external_lex_state = 88},
  [731] = {.lex_state = 0, .external_lex_state = 84},
  [732] = {.lex_state = 0, .external_lex_state = 89},
  [733] = {.lex_state = 0, .external_lex_state = 77},
  [734] = {.lex_state = 0, .external_lex_state = 77},
  [735] = {.lex_state = 0, .external_lex_state = 90},
  [736] = {.lex_state = 0, .external_lex_state = 77},
  [737] = {.lex_state = 0, .external_lex_state = 84},
  [738] = {.lex_state = 0, .external_lex_state = 89},
  [739] = {.lex_state = 0, .external_lex_state = 84},
  [740] = {.lex_state = 0, .external_lex_state = 89},
  [741] = {.lex_state = 0, .external_lex_state = 81},
  [742] = {.lex_state = 0, .external_lex_state = 87},
  [743] = {.lex_state = 0, .external_lex_state = 82},
  [744] = {.lex_state = 0, .external_lex_state = 89},
  [745] = {.lex_state = 0, .external_lex_state = 81},
  [746] = {.lex_state = 0, .external_lex_state = 81},
  [747] = {.lex_state = 0, .external_lex_state = 81},
  [748] = {.lex_state = 0, .external_lex_state = 81},
  [749] = {.lex_state = 0, .external_lex_state = 56},
  [750] = {.lex_state = 0, .external_lex_state = 84},
  [751] = {.lex_state = 0, .external_lex_state = 81},
  [752] = {.lex_state = 0, .external_lex_state = 89},
  [753] = {.lex_state = 0, .external_lex_state = 81},
  [754] = {.lex_state = 0, .external_lex_state = 81},
  [755] = {.lex_state = 0, .external_lex_state = 81},
  [756] = {.lex_state = 0, .external_lex_state = 91},
  [757] = {.lex_state = 0, .external_lex_state = 91},
  [758] = {.lex_state = 0, .external_lex_state = 88},
  [759] = {.lex_state = 0, .external_lex_state = 82},
  [760] = {.lex_state = 0, .external_lex_state = 81},
  [761] = {.lex_state = 0, .external_lex_state = 81},
  [762] = {.lex_state = 0, .external_lex_state = 81},
  [763] = {.lex_state = 0, .external_lex_state = 81},
  [764] = {.lex_state = 0, .external_lex_state = 82},
  [765] = {.lex_state = 0, .external_lex_state = 92},
  [766] = {.lex_state = 0, .external_lex_state = 92},
  [767] = {.lex_state = 0, .external_lex_state = 84},
  [768] = {.lex_state = 0, .external_lex_state = 83},
  [769] = {.lex_state = 0, .external_lex_state = 89},
  [770] = {.lex_state = 0, .external_lex_state = 93},
  [771] = {.lex_state = 0, .external_lex_state = 83},
  [772] = {.lex_state = 0, .external_lex_state = 84},
  [773] = {.lex_state = 0, .external_lex_state = 89},
  [774] = {.lex_state = 0, .external_lex_state = 90},
  [775] = {.lex_state = 0, .external_lex_state = 81},
  [776] = {.lex_state = 0, .external_lex_state = 81},
  [777] = {.lex_state = 0, .external_lex_state = 81},
  [778] = {.lex_state = 0, .external_lex_state = 84},
  [779] = {.lex_state = 0, .external_lex_state = 81},
  [780] = {.lex_state = 0, .external_lex_state = 81},
  [781] = {.lex_state = 0, .external_lex_state = 89},
  [782] = {.lex_state = 0, .external_lex_state = 82},
  [783] = {.lex_state = 0, .external_lex_state = 88},
  [784] = {.lex_state = 0, .external_lex_state = 88},
  [785] = {.lex_state = 0, .external_lex_state = 84},
  [786] = {.lex_state = 0, .external_lex_state = 88},
  [787] = {.lex_state = 0, .external_lex_state = 89},
  [788] = {.lex_state = 0, .external_lex_state = 77},
  [789] = {.lex_state = 0, .external_lex_state = 87},
  [790] = {.lex_state = 0, .external_lex_state = 77},
  [791] = {.lex_state = 0, .external_lex_state = 83},
  [792] = {.lex_state = 0, .external_lex_state = 77},
  [793] = {.lex_state = 0, .external_lex_state = 83},
  [794] = {.lex_state = 0, .external_lex_state = 77},
  [795] = {.lex_state = 0, .external_lex_state = 77},
  [796] = {.lex_state = 0, .external_lex_state = 82},
  [797] = {.lex_state = 0, .external_lex_state = 82},
  [798] = {.lex_state = 0, .external_lex_state = 88},
  [799] = {.lex_state = 0, .external_lex_state = 88},
  [800] = {.lex_state = 0, .external_lex_state = 77},
  [801] = {.lex_state = 0, .external_lex_state = 77},
  [802] = {.lex_state = 0, .external_lex_state = 82},
  [803] = {.lex_state = 0, .external_lex_state = 77},
  [804] = {.lex_state = 0, .external_lex_state = 89},
  [805] = {.lex_state = 0, .external_lex_state = 82},
  [806] = {.lex_state = 0, .external_lex_state = 77},
  [807] = {.lex_state = 0, .external_lex_state = 84},
  [808] = {.lex_state = 0, .external_lex_state = 84},
  [809] = {.lex_state = 0, .external_lex_state = 89},
  [810] = {.lex_state = 0, .external_lex_state = 56},
  [811] = {.lex_state = 0, .external_lex_state = 77},
  [812] = {.lex_state = 0, .external_lex_state = 77},
  [813] = {.lex_state = 0, .external_lex_state = 77},
  [814] = {.lex_state = 0, .external_lex_state = 77},
  [815] = {.lex_state = 0, .external_lex_state = 77},
  [816] = {.lex_state = 0, .external_lex_state = 77},
  [817] = {.lex_state = 0, .external_lex_state = 92},
  [818] = {.lex_state = 0, .external_lex_state = 92},
  [819] = {.lex_state = 0, .external_lex_state = 88},
  [820] = {.lex_state = 0, .external_lex_state = 88},
  [821] = {.lex_state = 0, .external_lex_state = 84},
  [822] = {.lex_state = 0, .external_lex_state = 89},
  [823] = {.lex_state = 0, .external_lex_state = 94},
  [824] = {.lex_state = 0, .external_lex_state = 82},
  [825] = {.lex_state = 0, .external_lex_state = 89},
  [826] = {.lex_state = 0, .external_lex_state = 82},
  [827] = {.lex_state = 0, .external_lex_state = 88},
  [828] = {.lex_state = 0, .external_lex_state = 84},
  [829] = {.lex_state = 0, .external_lex_state = 88},
  [830] = {.lex_state = 0, .external_lex_state = 89},
  [831] = {.lex_state = 0, .external_lex_state = 84},
  [832] = {.lex_state = 0, .external_lex_state = 77},
  [833] = {.lex_state = 0, .external_lex_state = 77},
  [834] = {.lex_state = 0, .external_lex_state = 77},
  [835] = {.lex_state = 0, .external_lex_state = 77},
  [836] = {.lex_state = 0, .external_lex_state = 77},
  [837] = {.lex_state = 0, .external_lex_state = 77},
  [838] = {.lex_state = 0, .external_lex_state = 77},
  [839] = {.lex_state = 0, .external_lex_state = 77},
  [840] = {.lex_state = 0, .external_lex_state = 77},
  [841] = {.lex_state = 0, .external_lex_state = 81},
  [842] = {.lex_state = 0, .external_lex_state = 77},
  [843] = {.lex_state = 0, .external_lex_state = 77},
  [844] = {.lex_state = 0, .external_lex_state = 77},
  [845] = {.lex_state = 0, .external_lex_state = 77},
  [846] = {.lex_state = 0, .external_lex_state = 77},
  [847] = {.lex_state = 0, .external_lex_state = 77},
  [848] = {.lex_state = 0, .external_lex_state = 77},
  [849] = {.lex_state = 0, .external_lex_state = 77},
  [850] = {.lex_state = 0, .external_lex_state = 77},
  [851] = {.lex_state = 0, .external_lex_state = 77},
  [852] = {.lex_state = 0, .external_lex_state = 77},
  [853] = {.lex_state = 0, .external_lex_state = 77},
  [854] = {.lex_state = 0, .external_lex_state = 81},
  [855] = {.lex_state = 0, .external_lex_state = 77},
  [856] = {.lex_state = 0, .external_lex_state = 77},
  [857] = {.lex_state = 0, .external_lex_state = 90},
  [858] = {.lex_state = 0, .external_lex_state = 77},
  [859] = {.lex_state = 0, .external_lex_state = 77},
  [860] = {.lex_state = 0, .external_lex_state = 77},
  [861] = {.lex_state = 0, .external_lex_state = 77},
  [862] = {.lex_state = 0, .external_lex_state = 77},
  [863] = {.lex_state = 0, .external_lex_state = 77},
  [864] = {.lex_state = 0, .external_lex_state = 77},
  [865] = {.lex_state = 0, .external_lex_state = 77},
  [866] = {.lex_state = 0, .external_lex_state = 77},
  [867] = {.lex_state = 0, .external_lex_state = 82},
  [868] = {.lex_state = 0, .external_lex_state = 77},
  [869] = {.lex_state = 0, .external_lex_state = 77},
  [870] = {.lex_state = 0, .external_lex_state = 77},
  [871] = {.lex_state = 0, .external_lex_state = 77},
  [872] = {.lex_state = 0, .external_lex_state = 77},
  [873] = {.lex_state = 0, .external_lex_state = 77},
  [874] = {.lex_state = 0, .external_lex_state = 77},
  [875] = {.lex_state = 0, .external_lex_state = 77},
  [876] = {.lex_state = 0, .external_lex_state = 77},
  [877] = {.lex_state = 0, .external_lex_state = 77},
  [878] = {.lex_state = 0, .external_lex_state = 81},
  [879] = {.lex_state = 0, .external_lex_state = 77},
  [880] = {.lex_state = 0, .external_lex_state = 77},
  [881] = {.lex_state = 0, .external_lex_state = 77},
  [882] = {.lex_state = 0, .external_lex_state = 77},
  [883] = {.lex_state = 0, .external_lex_state = 81},
  [884] = {.lex_state = 0, .external_lex_state = 81},
  [885] = {.lex_state = 0, .external_lex_state = 81},
  [886] = {.lex_state = 0, .external_lex_state = 81},
  [887] = {.lex_state = 0, .external_lex_state = 81},
  [888] = {.lex_state = 0, .external_lex_state = 81},
  [889] = {.lex_state = 0, .external_lex_state = 81},
  [890] = {.lex_state = 0, .external_lex_state = 81},
  [891] = {.lex_state = 0, .external_lex_state = 81},
  [892] = {.lex_state = 0, .external_lex_state = 81},
  [893] = {.lex_state = 0, .external_lex_state = 84},
  [894] = {.lex_state = 0, .external_lex_state = 81},
  [895] = {.lex_state = 0, .external_lex_state = 81},
  [896] = {.lex_state = 0, .external_lex_state = 81},
  [897] = {.lex_state = 0, .external_lex_state = 81},
  [898] = {.lex_state = 0, .external_lex_state = 81},
  [899] = {.lex_state = 0, .external_lex_state = 81},
  [900] = {.lex_state = 0, .external_lex_state = 81},
  [901] = {.lex_state = 0, .external_lex_state = 81},
  [902] = {.lex_state = 0, .external_lex_state = 81},
  [903] = {.lex_state = 0, .external_lex_state = 81},
  [904] = {.lex_state = 0, .external_lex_state = 81},
  [905] = {.lex_state = 0, .external_lex_state = 81},
  [906] = {.lex_state = 0, .external_lex_state = 81},
  [907] = {.lex_state = 0, .external_lex_state = 81},
  [908] = {.lex_state = 0, .external_lex_state = 89},
  [909] = {.lex_state = 0, .external_lex_state = 88},
  [910] = {.lex_state = 0, .external_lex_state = 81},
  [911] = {.lex_state = 0, .external_lex_state = 81},
  [912] = {.lex_state = 0, .external_lex_state = 81},
  [913] = {.lex_state = 0, .external_lex_state = 81},
  [914] = {.lex_state = 0, .external_lex_state = 81},
  [915] = {.lex_state = 0, .external_lex_state = 81},
  [916] = {.lex_state = 0, .external_lex_state = 81},
  [917] = {.lex_state = 0, .external_lex_state = 81},
  [918] = {.lex_state = 0, .external_lex_state = 81},
  [919] = {.lex_state = 0, .external_lex_state = 81},
  [920] = {.lex_state = 0, .external_lex_state = 81},
  [921] = {.lex_state = 0, .external_lex_state = 81},
  [922] = {.lex_state = 0, .external_lex_state = 81},
  [923] = {.lex_state = 0, .external_lex_state = 81},
  [924] = {.lex_state = 0, .external_lex_state = 81},
  [925] = {.lex_state = 0, .external_lex_state = 81},
  [926] = {.lex_state = 0, .external_lex_state = 81},
  [927] = {.lex_state = 0, .external_lex_state = 88},
  [928] = {.lex_state = 0, .external_lex_state = 81},
  [929] = {.lex_state = 0, .external_lex_state = 91},
  [930] = {.lex_state = 0, .external_lex_state = 95},
  [931] = {.lex_state = 0, .external_lex_state = 94},
  [932] = {.lex_state = 0, .external_lex_state = 91},
  [933] = {.lex_state = 0, .external_lex_state = 94},
  [934] = {.lex_state = 0, .external_lex_state = 91},
  [935] = {.lex_state = 0, .external_lex_state = 85},
  [936] = {.lex_state = 0, .external_lex_state = 94},
  [937] = {.lex_state = 0, .external_lex_state = 95},
  [938] = {.lex_state = 0, .external_lex_state = 95},
  [939] = {.lex_state = 0, .external_lex_state = 59},
  [940] = {.lex_state = 0, .external_lex_state = 59},
  [941] = {.lex_state = 0, .external_lex_state = 59},
  [942] = {.lex_state = 0, .external_lex_state = 86},
  [943] = {.lex_state = 0, .external_lex_state = 94},
  [944] = {.lex_state = 0, .external_lex_state = 94},
  [945] = {.lex_state = 0, .external_lex_state = 86},
  [946] = {.lex_state = 0, .external_lex_state = 59},
  [947] = {.lex_state = 0, .external_lex_state = 91},
  [948] = {.lex_state = 0, .external_lex_state = 59},
  [949] = {.lex_state = 0, .external_lex_state = 94},
  [950] = {.lex_state = 0, .external_lex_state = 59},
  [951] = {.lex_state = 0, .external_lex_state = 59},
  [952] = {.lex_state = 0, .external_lex_state = 59},
  [953] = {.lex_state = 0, .external_lex_state = 59},
  [954] = {.lex_state = 0, .external_lex_state = 59},
  [955] = {.lex_state = 0, .external_lex_state = 59},
  [956] = {.lex_state = 0, .external_lex_state = 91},
  [957] = {.lex_state = 0, .external_lex_state = 59},
  [958] = {.lex_state = 0, .external_lex_state = 91},
  [959] = {.lex_state = 0, .external_lex_state = 59},
  [960] = {.lex_state = 0, .external_lex_state = 91},
  [961] = {.lex_state = 0, .external_lex_state = 59},
  [962] = {.lex_state = 0, .external_lex_state = 59},
  [963] = {.lex_state = 0, .external_lex_state = 59},
  [964] = {.lex_state = 0, .external_lex_state = 91},
  [965] = {.lex_state = 0, .external_lex_state = 59},
  [966] = {.lex_state = 0, .external_lex_state = 59},
  [967] = {.lex_state = 0, .external_lex_state = 59},
  [968] = {.lex_state = 0, .external_lex_state = 59},
  [969] = {.lex_state = 0, .external_lex_state = 86},
  [970] = {.lex_state = 0, .external_lex_state = 59},
  [971] = {.lex_state = 0, .external_lex_state = 91},
  [972] = {.lex_state = 0, .external_lex_state = 86},
  [973] = {.lex_state = 0, .external_lex_state = 86},
  [974] = {.lex_state = 0, .external_lex_state = 59},
  [975] = {.lex_state = 0, .external_lex_state = 93},
  [976] = {.lex_state = 0, .external_lex_state = 86},
  [977] = {.lex_state = 0, .external_lex_state = 86},
  [978] = {.lex_state = 0, .external_lex_state = 59},
  [979] = {.lex_state = 0, .external_lex_state = 94},
  [980] = {.lex_state = 0, .external_lex_state = 59},
  [981] = {.lex_state = 0, .external_lex_state = 59},
  [982] = {.lex_state = 0, .external_lex_state = 95},
  [983] = {.lex_state = 0, .external_lex_state = 59},
  [984] = {.lex_state = 0, .external_lex_state = 95},
  [985] = {.lex_state = 0, .external_lex_state = 59},
  [986] = {.lex_state = 0, .external_lex_state = 94},
  [987] = {.lex_state = 0, .external_lex_state = 59},
  [988] = {.lex_state = 0, .external_lex_state = 94},
  [989] = {.lex_state = 0, .external_lex_state = 95},
  [990] = {.lex_state = 0, .external_lex_state = 91},
  [991] = {.lex_state = 0, .external_lex_state = 91},
  [992] = {.lex_state = 0, .external_lex_state = 59},
  [993] = {.lex_state = 0, .external_lex_state = 94},
  [994] = {.lex_state = 0, .external_lex_state = 94},
  [995] = {.lex_state = 0, .external_lex_state = 94},
  [996] = {.lex_state = 0, .external_lex_state = 91},
  [997] = {.lex_state = 0, .external_lex_state = 94},
  [998] = {.lex_state = 0, .external_lex_state = 59},
  [999] = {.lex_state = 0, .external_lex_state = 59},
  [1000] = {.lex_state = 0, .external_lex_state = 59},
  [1001] = {.lex_state = 0, .external_lex_state = 59},
  [1002] = {.lex_state = 0, .external_lex_state = 91},
  [1003] = {.lex_state = 0, .external_lex_state = 91},
  [1004] = {.lex_state = 0, .external_lex_state = 94},
  [1005] = {.lex_state = 0, .external_lex_state = 91},
  [1006] = {.lex_state = 0, .external_lex_state = 86},
  [1007] = {.lex_state = 0, .external_lex_state = 59},
  [1008] = {.lex_state = 0, .external_lex_state = 86},
  [1009] = {.lex_state = 0, .external_lex_state = 59},
  [1010] = {.lex_state = 0, .external_lex_state = 86},
  [1011] = {.lex_state = 0, .external_lex_state = 86},
  [1012] = {.lex_state = 0, .external_lex_state = 59},
  [1013] = {.lex_state = 0, .external_lex_state = 59},
  [1014] = {.lex_state = 0, .external_lex_state = 86},
  [1015] = {.lex_state = 0, .external_lex_state = 94},
  [1016] = {.lex_state = 0, .external_lex_state = 95},
  [1017] = {.lex_state = 0, .external_lex_state = 95},
  [1018] = {.lex_state = 0, .external_lex_state = 59},
  [1019] = {.lex_state = 0, .external_lex_state = 59},
  [1020] = {.lex_state = 0, .external_lex_state = 59},
  [1021] = {.lex_state = 0, .external_lex_state = 86},
  [1022] = {.lex_state = 0, .external_lex_state = 86},
  [1023] = {.lex_state = 0, .external_lex_state = 93},
  [1024] = {.lex_state = 0, .external_lex_state = 59},
  [1025] = {.lex_state = 0, .external_lex_state = 59},
  [1026] = {.lex_state = 0, .external_lex_state = 59},
  [1027] = {.lex_state = 0, .external_lex_state = 95},
  [1028] = {.lex_state = 0, .external_lex_state = 95},
  [1029] = {.lex_state = 0, .external_lex_state = 59},
  [1030] = {.lex_state = 0, .external_lex_state = 59},
  [1031] = {.lex_state = 0, .external_lex_state = 59},
  [1032] = {.lex_state = 0, .external_lex_state = 59},
  [1033] = {.lex_state = 0, .external_lex_state = 91},
  [1034] = {.lex_state = 0, .external_lex_state = 59},
  [1035] = {.lex_state = 0, .external_lex_state = 59},
  [1036] = {.lex_state = 0, .external_lex_state = 59},
  [1037] = {.lex_state = 0, .external_lex_state = 59},
  [1038] = {.lex_state = 0, .external_lex_state = 59},
  [1039] = {.lex_state = 0, .external_lex_state = 59},
  [1040] = {.lex_state = 0, .external_lex_state = 59},
  [1041] = {.lex_state = 0, .external_lex_state = 59},
  [1042] = {.lex_state = 0, .external_lex_state = 59},
  [1043] = {.lex_state = 0, .external_lex_state = 59},
  [1044] = {.lex_state = 0, .external_lex_state = 86},
  [1045] = {.lex_state = 0, .external_lex_state = 85},
  [1046] = {.lex_state = 0, .external_lex_state = 93},
  [1047] = {.lex_state = 0, .external_lex_state = 85},
  [1048] = {.lex_state = 0, .external_lex_state = 94},
  [1049] = {.lex_state = 0, .external_lex_state = 59},
  [1050] = {.lex_state = 0, .external_lex_state = 59},
  [1051] = {.lex_state = 0, .external_lex_state = 95},
  [1052] = {.lex_state = 0, .external_lex_state = 95},
  [1053] = {.lex_state = 0, .external_lex_state = 59},
  [1054] = {.lex_state = 0, .external_lex_state = 59},
  [1055] = {.lex_state = 0, .external_lex_state = 59},
  [1056] = {.lex_state = 0, .external_lex_state = 59},
  [1057] = {.lex_state = 0, .external_lex_state = 59},
  [1058] = {.lex_state = 0, .external_lex_state = 59},
  [1059] = {.lex_state = 0, .external_lex_state = 59},
  [1060] = {.lex_state = 0, .external_lex_state = 59},
  [1061] = {.lex_state = 0, .external_lex_state = 86},
  [1062] = {.lex_state = 0, .external_lex_state = 59},
  [1063] = {.lex_state = 0, .external_lex_state = 59},
  [1064] = {.lex_state = 0, .external_lex_state = 59},
  [1065] = {.lex_state = 0, .external_lex_state = 59},
  [1066] = {.lex_state = 0, .external_lex_state = 59},
  [1067] = {.lex_state = 0, .external_lex_state = 95},
  [1068] = {.lex_state = 0, .external_lex_state = 88},
  [1069] = {.lex_state = 0, .external_lex_state = 96},
  [1070] = {.lex_state = 0, .external_lex_state = 88},
  [1071] = {.lex_state = 0, .external_lex_state = 90},
  [1072] = {.lex_state = 0, .external_lex_state = 88},
  [1073] = {.lex_state = 0, .external_lex_state = 92},
  [1074] = {.lex_state = 0, .external_lex_state = 87},
  [1075] = {.lex_state = 0, .external_lex_state = 96},
  [1076] = {.lex_state = 0, .external_lex_state = 92},
  [1077] = {.lex_state = 0, .external_lex_state = 97},
  [1078] = {.lex_state = 0, .external_lex_state = 92},
  [1079] = {.lex_state = 0, .external_lex_state = 88},
  [1080] = {.lex_state = 0, .external_lex_state = 90},
  [1081] = {.lex_state = 0, .external_lex_state = 88},
  [1082] = {.lex_state = 0, .external_lex_state = 88},
  [1083] = {.lex_state = 0, .external_lex_state = 90},
  [1084] = {.lex_state = 0, .external_lex_state = 87},
  [1085] = {.lex_state = 0, .external_lex_state = 92},
  [1086] = {.lex_state = 0, .external_lex_state = 88},
  [1087] = {.lex_state = 0, .external_lex_state = 88},
  [1088] = {.lex_state = 0, .external_lex_state = 87},
  [1089] = {.lex_state = 0, .external_lex_state = 88},
  [1090] = {.lex_state = 0, .external_lex_state = 90},
  [1091] = {.lex_state = 0, .external_lex_state = 88},
  [1092] = {.lex_state = 0, .external_lex_state = 90},
  [1093] = {.lex_state = 0, .external_lex_state = 90},
  [1094] = {.lex_state = 0, .external_lex_state = 98},
  [1095] = {.lex_state = 0, .external_lex_state = 92},
  [1096] = {.lex_state = 0, .external_lex_state = 87},
  [1097] = {.lex_state = 0, .external_lex_state = 87},
  [1098] = {.lex_state = 0, .external_lex_state = 92},
  [1099] = {.lex_state = 0, .external_lex_state = 99},
  [1100] = {.lex_state = 0, .external_lex_state = 88},
  [1101] = {.lex_state = 0, .external_lex_state = 97},
  [1102] = {.lex_state = 0, .external_lex_state = 100},
  [1103] = {.lex_state = 0, .external_lex_state = 96},
  [1104] = {.lex_state = 0, .external_lex_state = 92},
  [1105] = {.lex_state = 0, .external_lex_state = 83},
  [1106] = {.lex_state = 0, .external_lex_state = 83},
  [1107] = {.lex_state = 0, .external_lex_state = 88},
  [1108] = {.lex_state = 0, .external_lex_state = 83},
  [1109] = {.lex_state = 0, .external_lex_state = 88},
  [1110] = {.lex_state = 0, .external_lex_state = 83},
  [1111] = {.lex_state = 0, .external_lex_state = 90},
  [1112] = {.lex_state = 0, .external_lex_state = 90},
  [1113] = {.lex_state = 0, .external_lex_state = 90},
  [1114] = {.lex_state = 0, .external_lex_state = 87},
  [1115] = {.lex_state = 0, .external_lex_state = 87},
  [1116] = {.lex_state = 0, .external_lex_state = 90},
  [1117] = {.lex_state = 0, .external_lex_state = 87},
  [1118] = {.lex_state = 0, .external_lex_state = 83},
  [1119] = {.lex_state = 0, .external_lex_state = 90},
  [1120] = {.lex_state = 0, .external_lex_state = 92},
  [1121] = {.lex_state = 0, .external_lex_state = 90},
  [1122] = {.lex_state = 0, .external_lex_state = 90},
  [1123] = {.lex_state = 0, .external_lex_state = 87},
  [1124] = {.lex_state = 0, .external_lex_state = 90},
  [1125] = {.lex_state = 0, .external_lex_state = 90},
  [1126] = {.lex_state = 0, .external_lex_state = 92},
  [1127] = {.lex_state = 0, .external_lex_state = 90},
  [1128] = {.lex_state = 0, .external_lex_state = 88},
  [1129] = {.lex_state = 0, .external_lex_state = 92},
  [1130] = {.lex_state = 0, .external_lex_state = 87},
  [1131] = {.lex_state = 0, .external_lex_state = 88},
  [1132] = {.lex_state = 0, .external_lex_state = 92},
  [1133] = {.lex_state = 0, .external_lex_state = 92},
  [1134] = {.lex_state = 0, .external_lex_state = 87},
  [1135] = {.lex_state = 0, .external_lex_state = 88},
  [1136] = {.lex_state = 0, .external_lex_state = 87},
  [1137] = {.lex_state = 0, .external_lex_state = 90},
  [1138] = {.lex_state = 0, .external_lex_state = 92},
  [1139] = {.lex_state = 0, .external_lex_state = 96},
  [1140] = {.lex_state = 0, .external_lex_state = 98},
  [1141] = {.lex_state = 0, .external_lex_state = 97},
  [1142] = {.lex_state = 0, .external_lex_state = 88},
  [1143] = {.lex_state = 0, .external_lex_state = 88},
  [1144] = {.lex_state = 0, .external_lex_state = 90},
  [1145] = {.lex_state = 0, .external_lex_state = 88},
  [1146] = {.lex_state = 0, .external_lex_state = 88},
  [1147] = {.lex_state = 0, .external_lex_state = 88},
  [1148] = {.lex_state = 0, .external_lex_state = 88},
  [1149] = {.lex_state = 0, .external_lex_state = 98},
  [1150] = {.lex_state = 0, .external_lex_state = 90},
  [1151] = {.lex_state = 0, .external_lex_state = 90},
  [1152] = {.lex_state = 0, .external_lex_state = 88},
  [1153] = {.lex_state = 0, .external_lex_state = 88},
  [1154] = {.lex_state = 0, .external_lex_state = 88},
  [1155] = {.lex_state = 0, .external_lex_state = 92},
  [1156] = {.lex_state = 0, .external_lex_state = 88},
  [1157] = {.lex_state = 0, .external_lex_state = 87},
  [1158] = {.lex_state = 0, .external_lex_state = 87},
  [1159] = {.lex_state = 0, .external_lex_state = 97},
  [1160] = {.lex_state = 0, .external_lex_state = 87},
  [1161] = {.lex_state = 0, .external_lex_state = 92},
  [1162] = {.lex_state = 0, .external_lex_state = 97},
  [1163] = {.lex_state = 0, .external_lex_state = 87},
  [1164] = {.lex_state = 0, .external_lex_state = 92},
  [1165] = {.lex_state = 0, .external_lex_state = 88},
  [1166] = {.lex_state = 0, .external_lex_state = 88},
  [1167] = {.lex_state = 0, .external_lex_state = 88},
  [1168] = {.lex_state = 0, .external_lex_state = 88},
  [1169] = {.lex_state = 0, .external_lex_state = 88},
  [1170] = {.lex_state = 0, .external_lex_state = 87},
  [1171] = {.lex_state = 0, .external_lex_state = 92},
  [1172] = {.lex_state = 0, .external_lex_state = 90},
  [1173] = {.lex_state = 0, .external_lex_state = 88},
  [1174] = {.lex_state = 0, .external_lex_state = 88},
  [1175] = {.lex_state = 0, .external_lex_state = 92},
  [1176] = {.lex_state = 0, .external_lex_state = 90},
  [1177] = {.lex_state = 0, .external_lex_state = 88},
  [1178] = {.lex_state = 0, .external_lex_state = 92},
  [1179] = {.lex_state = 0, .external_lex_state = 90},
  [1180] = {.lex_state = 0, .external_lex_state = 92},
  [1181] = {.lex_state = 0, .external_lex_state = 92},
  [1182] = {.lex_state = 0, .external_lex_state = 87},
  [1183] = {.lex_state = 0, .external_lex_state = 92},
  [1184] = {.lex_state = 0, .external_lex_state = 88},
  [1185] = {.lex_state = 0, .external_lex_state = 87},
  [1186] = {.lex_state = 0, .external_lex_state = 96},
  [1187] = {.lex_state = 0, .external_lex_state = 96},
  [1188] = {.lex_state = 0, .external_lex_state = 88},
  [1189] = {.lex_state = 0, .external_lex_state = 97},
  [1190] = {.lex_state = 0, .external_lex_state = 92},
  [1191] = {.lex_state = 0, .external_lex_state = 87},
  [1192] = {.lex_state = 0, .external_lex_state = 92},
  [1193] = {.lex_state = 0, .external_lex_state = 88},
  [1194] = {.lex_state = 0, .external_lex_state = 90},
  [1195] = {.lex_state = 0, .external_lex_state = 88},
  [1196] = {.lex_state = 0, .external_lex_state = 92},
  [1197] = {.lex_state = 0, .external_lex_state = 88},
  [1198] = {.lex_state = 0, .external_lex_state = 88},
  [1199] = {.lex_state = 0, .external_lex_state = 92},
  [1200] = {.lex_state = 0, .external_lex_state = 88},
  [1201] = {.lex_state = 0, .external_lex_state = 87},
  [1202] = {.lex_state = 0, .external_lex_state = 92},
  [1203] = {.lex_state = 0, .external_lex_state = 92},
  [1204] = {.lex_state = 0, .external_lex_state = 87},
  [1205] = {.lex_state = 0, .external_lex_state = 88},
  [1206] = {.lex_state = 0, .external_lex_state = 88},
  [1207] = {.lex_state = 0, .external_lex_state = 88},
  [1208] = {.lex_state = 0, .external_lex_state = 88},
  [1209] = {.lex_state = 0, .external_lex_state = 88},
  [1210] = {.lex_state = 0, .external_lex_state = 88},
  [1211] = {.lex_state = 0, .external_lex_state = 88},
  [1212] = {.lex_state = 0, .external_lex_state = 88},
  [1213] = {.lex_state = 0, .external_lex_state = 83},
  [1214] = {.lex_state = 0, .external_lex_state = 88},
  [1215] = {.lex_state = 0, .external_lex_state = 88},
  [1216] = {.lex_state = 0, .external_lex_state = 88},
  [1217] = {.lex_state = 0, .external_lex_state = 83},
  [1218] = {.lex_state = 0, .external_lex_state = 99},
  [1219] = {.lex_state = 0, .external_lex_state = 92},
  [1220] = {.lex_state = 0, .external_lex_state = 100},
  [1221] = {.lex_state = 0, .external_lex_state = 92},
  [1222] = {.lex_state = 0, .external_lex_state = 87},
  [1223] = {.lex_state = 0, .external_lex_state = 87},
  [1224] = {.lex_state = 0, .external_lex_state = 92},
  [1225] = {.lex_state = 0, .external_lex_state = 92},
  [1226] = {.lex_state = 0, .external_lex_state = 88},
  [1227] = {.lex_state = 0, .external_lex_state = 96},
  [1228] = {.lex_state = 0, .external_lex_state = 97},
  [1229] = {.lex_state = 0, .external_lex_state = 92},
  [1230] = {.lex_state = 0, .external_lex_state = 88},
  [1231] = {.lex_state = 0, .external_lex_state = 88},
  [1232] = {.lex_state = 0, .external_lex_state = 88},
  [1233] = {.lex_state = 0, .external_lex_state = 88},
  [1234] = {.lex_state = 0, .external_lex_state = 87},
  [1235] = {.lex_state = 0, .external_lex_state = 88},
  [1236] = {.lex_state = 0, .external_lex_state = 88},
  [1237] = {.lex_state = 0, .external_lex_state = 90},
  [1238] = {.lex_state = 0, .external_lex_state = 92},
  [1239] = {.lex_state = 0, .external_lex_state = 92},
  [1240] = {.lex_state = 0, .external_lex_state = 88},
  [1241] = {.lex_state = 0, .external_lex_state = 88},
  [1242] = {.lex_state = 0, .external_lex_state = 88},
  [1243] = {.lex_state = 0, .external_lex_state = 88},
  [1244] = {.lex_state = 0, .external_lex_state = 92},
  [1245] = {.lex_state = 0, .external_lex_state = 92},
  [1246] = {.lex_state = 0, .external_lex_state = 92},
  [1247] = {.lex_state = 0, .external_lex_state = 92},
  [1248] = {.lex_state = 0, .external_lex_state = 88},
  [1249] = {.lex_state = 0, .external_lex_state = 92},
  [1250] = {.lex_state = 0, .external_lex_state = 92},
  [1251] = {.lex_state = 0, .external_lex_state = 92},
  [1252] = {.lex_state = 0, .external_lex_state = 96},
  [1253] = {.lex_state = 0, .external_lex_state = 97},
  [1254] = {.lex_state = 0, .external_lex_state = 88},
  [1255] = {.lex_state = 0, .external_lex_state = 88},
  [1256] = {.lex_state = 0, .external_lex_state = 90},
  [1257] = {.lex_state = 0, .external_lex_state = 88},
  [1258] = {.lex_state = 0, .external_lex_state = 87},
  [1259] = {.lex_state = 0, .external_lex_state = 98},
  [1260] = {.lex_state = 0, .external_lex_state = 98},
  [1261] = {.lex_state = 0, .external_lex_state = 98},
  [1262] = {.lex_state = 0, .external_lex_state = 98},
  [1263] = {.lex_state = 0, .external_lex_state = 98},
  [1264] = {.lex_state = 0, .external_lex_state = 100},
  [1265] = {.lex_state = 0, .external_lex_state = 101},
  [1266] = {.lex_state = 0, .external_lex_state = 98},
  [1267] = {.lex_state = 0, .external_lex_state = 100},
  [1268] = {.lex_state = 0, .external_lex_state = 102},
  [1269] = {.lex_state = 0, .external_lex_state = 100},
  [1270] = {.lex_state = 0, .external_lex_state = 103},
  [1271] = {.lex_state = 0, .external_lex_state = 102},
  [1272] = {.lex_state = 0, .external_lex_state = 98},
  [1273] = {.lex_state = 0, .external_lex_state = 100},
  [1274] = {.lex_state = 0, .external_lex_state = 98},
  [1275] = {.lex_state = 0, .external_lex_state = 98},
  [1276] = {.lex_state = 0, .external_lex_state = 98},
  [1277] = {.lex_state = 0, .external_lex_state = 103},
  [1278] = {.lex_state = 0, .external_lex_state = 98},
  [1279] = {.lex_state = 0, .external_lex_state = 98},
  [1280] = {.lex_state = 0, .external_lex_state = 98},
  [1281] = {.lex_state = 0, .external_lex_state = 98},
  [1282] = {.lex_state = 0, .external_lex_state = 104},
  [1283] = {.lex_state = 0, .external_lex_state = 98},
  [1284] = {.lex_state = 0, .external_lex_state = 98},
  [1285] = {.lex_state = 0, .external_lex_state = 98},
  [1286] = {.lex_state = 0, .external_lex_state = 105},
  [1287] = {.lex_state = 0, .external_lex_state = 100},
  [1288] = {.lex_state = 0, .external_lex_state = 100},
  [1289] = {.lex_state = 0, .external_lex_state = 98},
  [1290] = {.lex_state = 0, .external_lex_state = 98},
  [1291] = {.lex_state = 0, .external_lex_state = 104},
  [1292] = {.lex_state = 0, .external_lex_state = 98},
  [1293] = {.lex_state = 0, .external_lex_state = 98},
  [1294] = {.lex_state = 0, .external_lex_state = 103},
  [1295] = {.lex_state = 0, .external_lex_state = 102},
  [1296] = {.lex_state = 0, .external_lex_state = 102},
  [1297] = {.lex_state = 0, .external_lex_state = 100},
  [1298] = {.lex_state = 0, .external_lex_state = 100},
  [1299] = {.lex_state = 0, .external_lex_state = 100},
  [1300] = {.lex_state = 0, .external_lex_state = 98},
  [1301] = {.lex_state = 0, .external_lex_state = 105},
  [1302] = {.lex_state = 0, .external_lex_state = 100},
  [1303] = {.lex_state = 0, .external_lex_state = 100},
  [1304] = {.lex_state = 0, .external_lex_state = 98},
  [1305] = {.lex_state = 0, .external_lex_state = 100},
  [1306] = {.lex_state = 0, .external_lex_state = 98},
  [1307] = {.lex_state = 0, .external_lex_state = 98},
  [1308] = {.lex_state = 0, .external_lex_state = 100},
  [1309] = {.lex_state = 0, .external_lex_state = 100},
  [1310] = {.lex_state = 0, .external_lex_state = 103},
  [1311] = {.lex_state = 0, .external_lex_state = 100},
  [1312] = {.lex_state = 0, .external_lex_state = 100},
  [1313] = {.lex_state = 0, .external_lex_state = 103},
  [1314] = {.lex_state = 0, .external_lex_state = 102},
  [1315] = {.lex_state = 0, .external_lex_state = 98},
  [1316] = {.lex_state = 0, .external_lex_state = 98},
  [1317] = {.lex_state = 0, .external_lex_state = 99},
  [1318] = {.lex_state = 0, .external_lex_state = 98},
  [1319] = {.lex_state = 0, .external_lex_state = 105},
  [1320] = {.lex_state = 0, .external_lex_state = 98},
  [1321] = {.lex_state = 0, .external_lex_state = 98},
  [1322] = {.lex_state = 0, .external_lex_state = 104},
  [1323] = {.lex_state = 0, .external_lex_state = 105},
  [1324] = {.lex_state = 0, .external_lex_state = 104},
  [1325] = {.lex_state = 0, .external_lex_state = 99},
  [1326] = {.lex_state = 0, .external_lex_state = 98},
  [1327] = {.lex_state = 0, .external_lex_state = 98},
  [1328] = {.lex_state = 0, .external_lex_state = 98},
  [1329] = {.lex_state = 0, .external_lex_state = 98},
  [1330] = {.lex_state = 0, .external_lex_state = 98},
  [1331] = {.lex_state = 0, .external_lex_state = 105},
  [1332] = {.lex_state = 0, .external_lex_state = 104},
  [1333] = {.lex_state = 0, .external_lex_state = 98},
  [1334] = {.lex_state = 0, .external_lex_state = 98},
  [1335] = {.lex_state = 0, .external_lex_state = 105},
  [1336] = {.lex_state = 0, .external_lex_state = 104},
  [1337] = {.lex_state = 0, .external_lex_state = 98},
  [1338] = {.lex_state = 0, .external_lex_state = 98},
  [1339] = {.lex_state = 0, .external_lex_state = 98},
  [1340] = {.lex_state = 0, .external_lex_state = 98},
  [1341] = {.lex_state = 0, .external_lex_state = 106},
  [1342] = {.lex_state = 0, .external_lex_state = 107},
  [1343] = {.lex_state = 0, .external_lex_state = 98},
  [1344] = {.lex_state = 0, .external_lex_state = 98},
  [1345] = {.lex_state = 0, .external_lex_state = 98},
  [1346] = {.lex_state = 0, .external_lex_state = 98},
  [1347] = {.lex_state = 0, .external_lex_state = 103},
  [1348] = {.lex_state = 0, .external_lex_state = 102},
  [1349] = {.lex_state = 0, .external_lex_state = 99},
  [1350] = {.lex_state = 0, .external_lex_state = 98},
};

enum {
  ts_external_token__eof = 0,
  ts_external_token__s_dir_yml_bgn = 1,
  ts_external_token__r_dir_yml_ver = 2,
  ts_external_token__s_dir_tag_bgn = 3,
  ts_external_token__r_dir_tag_hdl = 4,
  ts_external_token__r_dir_tag_pfx = 5,
  ts_external_token__s_dir_rsv_bgn = 6,
  ts_external_token__r_dir_rsv_prm = 7,
  ts_external_token__s_drs_end = 8,
  ts_external_token__s_doc_end = 9,
  ts_external_token__r_blk_seq_bgn = 10,
  ts_external_token__br_blk_seq_bgn = 11,
  ts_external_token__b_blk_seq_bgn = 12,
  ts_external_token__r_blk_key_bgn = 13,
  ts_external_token__br_blk_key_bgn = 14,
  ts_external_token__b_blk_key_bgn = 15,
  ts_external_token__r_blk_val_bgn = 16,
  ts_external_token__br_blk_val_bgn = 17,
  ts_external_token__b_blk_val_bgn = 18,
  ts_external_token__r_blk_imp_bgn = 19,
  ts_external_token__r_blk_lit_bgn = 20,
  ts_external_token__br_blk_lit_bgn = 21,
  ts_external_token__r_blk_fld_bgn = 22,
  ts_external_token__br_blk_fld_bgn = 23,
  ts_external_token__br_blk_str_ctn = 24,
  ts_external_token__r_flw_seq_bgn = 25,
  ts_external_token__br_flw_seq_bgn = 26,
  ts_external_token__b_flw_seq_bgn = 27,
  ts_external_token__r_flw_seq_end = 28,
  ts_external_token__br_flw_seq_end = 29,
  ts_external_token__r_flw_map_bgn = 30,
  ts_external_token__br_flw_map_bgn = 31,
  ts_external_token__b_flw_map_bgn = 32,
  ts_external_token__r_flw_map_end = 33,
  ts_external_token__br_flw_map_end = 34,
  ts_external_token__r_flw_sep_bgn = 35,
  ts_external_token__br_flw_sep_bgn = 36,
  ts_external_token__r_flw_key_bgn = 37,
  ts_external_token__br_flw_key_bgn = 38,
  ts_external_token__r_flw_jsv_bgn = 39,
  ts_external_token__br_flw_jsv_bgn = 40,
  ts_external_token__r_flw_njv_bgn = 41,
  ts_external_token__br_flw_njv_bgn = 42,
  ts_external_token__r_dqt_str_bgn = 43,
  ts_external_token__br_dqt_str_bgn = 44,
  ts_external_token__b_dqt_str_bgn = 45,
  ts_external_token__r_dqt_str_ctn = 46,
  ts_external_token__br_dqt_str_ctn = 47,
  ts_external_token__r_dqt_esc_nwl = 48,
  ts_external_token__br_dqt_esc_nwl = 49,
  ts_external_token__r_dqt_esc_seq = 50,
  ts_external_token__br_dqt_esc_seq = 51,
  ts_external_token__r_dqt_str_end = 52,
  ts_external_token__br_dqt_str_end = 53,
  ts_external_token__r_sqt_str_bgn = 54,
  ts_external_token__br_sqt_str_bgn = 55,
  ts_external_token__b_sqt_str_bgn = 56,
  ts_external_token__r_sqt_str_ctn = 57,
  ts_external_token__br_sqt_str_ctn = 58,
  ts_external_token__r_sqt_esc_sqt = 59,
  ts_external_token__br_sqt_esc_sqt = 60,
  ts_external_token__r_sqt_str_end = 61,
  ts_external_token__br_sqt_str_end = 62,
  ts_external_token__r_sgl_pln_blk = 63,
  ts_external_token__br_sgl_pln_blk = 64,
  ts_external_token__b_sgl_pln_blk = 65,
  ts_external_token__r_sgl_pln_flw = 66,
  ts_external_token__br_sgl_pln_flw = 67,
  ts_external_token__r_mtl_pln_blk = 68,
  ts_external_token__br_mtl_pln_blk = 69,
  ts_external_token__r_mtl_pln_flw = 70,
  ts_external_token__br_mtl_pln_flw = 71,
  ts_external_token__r_tag = 72,
  ts_external_token__br_tag = 73,
  ts_external_token__b_tag = 74,
  ts_external_token__r_acr = 75,
  ts_external_token__br_acr = 76,
  ts_external_token__b_acr = 77,
  ts_external_token__r_als = 78,
  ts_external_token__br_als = 79,
  ts_external_token__b_als = 80,
  ts_external_token__bl = 81,
  ts_external_token_comment = 82,
};

static TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__eof] = sym__eof,
  [ts_external_token__s_dir_yml_bgn] = sym__s_dir_yml_bgn,
  [ts_external_token__r_dir_yml_ver] = sym__r_dir_yml_ver,
  [ts_external_token__s_dir_tag_bgn] = sym__s_dir_tag_bgn,
  [ts_external_token__r_dir_tag_hdl] = sym__r_dir_tag_hdl,
  [ts_external_token__r_dir_tag_pfx] = sym__r_dir_tag_pfx,
  [ts_external_token__s_dir_rsv_bgn] = sym__s_dir_rsv_bgn,
  [ts_external_token__r_dir_rsv_prm] = sym__r_dir_rsv_prm,
  [ts_external_token__s_drs_end] = sym__s_drs_end,
  [ts_external_token__s_doc_end] = sym__s_doc_end,
  [ts_external_token__r_blk_seq_bgn] = sym__r_blk_seq_bgn,
  [ts_external_token__br_blk_seq_bgn] = sym__br_blk_seq_bgn,
  [ts_external_token__b_blk_seq_bgn] = sym__b_blk_seq_bgn,
  [ts_external_token__r_blk_key_bgn] = sym__r_blk_key_bgn,
  [ts_external_token__br_blk_key_bgn] = sym__br_blk_key_bgn,
  [ts_external_token__b_blk_key_bgn] = sym__b_blk_key_bgn,
  [ts_external_token__r_blk_val_bgn] = sym__r_blk_val_bgn,
  [ts_external_token__br_blk_val_bgn] = sym__br_blk_val_bgn,
  [ts_external_token__b_blk_val_bgn] = sym__b_blk_val_bgn,
  [ts_external_token__r_blk_imp_bgn] = sym__r_blk_imp_bgn,
  [ts_external_token__r_blk_lit_bgn] = sym__r_blk_lit_bgn,
  [ts_external_token__br_blk_lit_bgn] = sym__br_blk_lit_bgn,
  [ts_external_token__r_blk_fld_bgn] = sym__r_blk_fld_bgn,
  [ts_external_token__br_blk_fld_bgn] = sym__br_blk_fld_bgn,
  [ts_external_token__br_blk_str_ctn] = sym__br_blk_str_ctn,
  [ts_external_token__r_flw_seq_bgn] = sym__r_flw_seq_bgn,
  [ts_external_token__br_flw_seq_bgn] = sym__br_flw_seq_bgn,
  [ts_external_token__b_flw_seq_bgn] = sym__b_flw_seq_bgn,
  [ts_external_token__r_flw_seq_end] = sym__r_flw_seq_end,
  [ts_external_token__br_flw_seq_end] = sym__br_flw_seq_end,
  [ts_external_token__r_flw_map_bgn] = sym__r_flw_map_bgn,
  [ts_external_token__br_flw_map_bgn] = sym__br_flw_map_bgn,
  [ts_external_token__b_flw_map_bgn] = sym__b_flw_map_bgn,
  [ts_external_token__r_flw_map_end] = sym__r_flw_map_end,
  [ts_external_token__br_flw_map_end] = sym__br_flw_map_end,
  [ts_external_token__r_flw_sep_bgn] = sym__r_flw_sep_bgn,
  [ts_external_token__br_flw_sep_bgn] = sym__br_flw_sep_bgn,
  [ts_external_token__r_flw_key_bgn] = sym__r_flw_key_bgn,
  [ts_external_token__br_flw_key_bgn] = sym__br_flw_key_bgn,
  [ts_external_token__r_flw_jsv_bgn] = sym__r_flw_jsv_bgn,
  [ts_external_token__br_flw_jsv_bgn] = sym__br_flw_jsv_bgn,
  [ts_external_token__r_flw_njv_bgn] = sym__r_flw_njv_bgn,
  [ts_external_token__br_flw_njv_bgn] = sym__br_flw_njv_bgn,
  [ts_external_token__r_dqt_str_bgn] = sym__r_dqt_str_bgn,
  [ts_external_token__br_dqt_str_bgn] = sym__br_dqt_str_bgn,
  [ts_external_token__b_dqt_str_bgn] = sym__b_dqt_str_bgn,
  [ts_external_token__r_dqt_str_ctn] = sym__r_dqt_str_ctn,
  [ts_external_token__br_dqt_str_ctn] = sym__br_dqt_str_ctn,
  [ts_external_token__r_dqt_esc_nwl] = sym__r_dqt_esc_nwl,
  [ts_external_token__br_dqt_esc_nwl] = sym__br_dqt_esc_nwl,
  [ts_external_token__r_dqt_esc_seq] = sym__r_dqt_esc_seq,
  [ts_external_token__br_dqt_esc_seq] = sym__br_dqt_esc_seq,
  [ts_external_token__r_dqt_str_end] = sym__r_dqt_str_end,
  [ts_external_token__br_dqt_str_end] = sym__br_dqt_str_end,
  [ts_external_token__r_sqt_str_bgn] = sym__r_sqt_str_bgn,
  [ts_external_token__br_sqt_str_bgn] = sym__br_sqt_str_bgn,
  [ts_external_token__b_sqt_str_bgn] = sym__b_sqt_str_bgn,
  [ts_external_token__r_sqt_str_ctn] = sym__r_sqt_str_ctn,
  [ts_external_token__br_sqt_str_ctn] = sym__br_sqt_str_ctn,
  [ts_external_token__r_sqt_esc_sqt] = sym__r_sqt_esc_sqt,
  [ts_external_token__br_sqt_esc_sqt] = sym__br_sqt_esc_sqt,
  [ts_external_token__r_sqt_str_end] = sym__r_sqt_str_end,
  [ts_external_token__br_sqt_str_end] = sym__br_sqt_str_end,
  [ts_external_token__r_sgl_pln_blk] = sym__r_sgl_pln_blk,
  [ts_external_token__br_sgl_pln_blk] = sym__br_sgl_pln_blk,
  [ts_external_token__b_sgl_pln_blk] = sym__b_sgl_pln_blk,
  [ts_external_token__r_sgl_pln_flw] = sym__r_sgl_pln_flw,
  [ts_external_token__br_sgl_pln_flw] = sym__br_sgl_pln_flw,
  [ts_external_token__r_mtl_pln_blk] = sym__r_mtl_pln_blk,
  [ts_external_token__br_mtl_pln_blk] = sym__br_mtl_pln_blk,
  [ts_external_token__r_mtl_pln_flw] = sym__r_mtl_pln_flw,
  [ts_external_token__br_mtl_pln_flw] = sym__br_mtl_pln_flw,
  [ts_external_token__r_tag] = sym__r_tag,
  [ts_external_token__br_tag] = sym__br_tag,
  [ts_external_token__b_tag] = sym__b_tag,
  [ts_external_token__r_acr] = sym__r_acr,
  [ts_external_token__br_acr] = sym__br_acr,
  [ts_external_token__b_acr] = sym__b_acr,
  [ts_external_token__r_als] = sym__r_als,
  [ts_external_token__br_als] = sym__br_als,
  [ts_external_token__b_als] = sym__b_als,
  [ts_external_token__bl] = sym__bl,
  [ts_external_token_comment] = sym_comment,
};

static bool ts_external_scanner_states[108][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__eof] = true,
    [ts_external_token__s_dir_yml_bgn] = true,
    [ts_external_token__r_dir_yml_ver] = true,
    [ts_external_token__s_dir_tag_bgn] = true,
    [ts_external_token__r_dir_tag_hdl] = true,
    [ts_external_token__r_dir_tag_pfx] = true,
    [ts_external_token__s_dir_rsv_bgn] = true,
    [ts_external_token__r_dir_rsv_prm] = true,
    [ts_external_token__s_drs_end] = true,
    [ts_external_token__s_doc_end] = true,
    [ts_external_token__r_blk_seq_bgn] = true,
    [ts_external_token__br_blk_seq_bgn] = true,
    [ts_external_token__b_blk_seq_bgn] = true,
    [ts_external_token__r_blk_key_bgn] = true,
    [ts_external_token__br_blk_key_bgn] = true,
    [ts_external_token__b_blk_key_bgn] = true,
    [ts_external_token__r_blk_val_bgn] = true,
    [ts_external_token__br_blk_val_bgn] = true,
    [ts_external_token__b_blk_val_bgn] = true,
    [ts_external_token__r_blk_imp_bgn] = true,
    [ts_external_token__r_blk_lit_bgn] = true,
    [ts_external_token__br_blk_lit_bgn] = true,
    [ts_external_token__r_blk_fld_bgn] = true,
    [ts_external_token__br_blk_fld_bgn] = true,
    [ts_external_token__br_blk_str_ctn] = true,
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__b_flw_seq_bgn] = true,
    [ts_external_token__r_flw_seq_end] = true,
    [ts_external_token__br_flw_seq_end] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__b_flw_map_bgn] = true,
    [ts_external_token__r_flw_map_end] = true,
    [ts_external_token__br_flw_map_end] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token__br_flw_sep_bgn] = true,
    [ts_external_token__r_flw_key_bgn] = true,
    [ts_external_token__br_flw_key_bgn] = true,
    [ts_external_token__r_flw_jsv_bgn] = true,
    [ts_external_token__br_flw_jsv_bgn] = true,
    [ts_external_token__r_flw_njv_bgn] = true,
    [ts_external_token__br_flw_njv_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__b_dqt_str_bgn] = true,
    [ts_external_token__r_dqt_str_ctn] = true,
    [ts_external_token__br_dqt_str_ctn] = true,
    [ts_external_token__r_dqt_esc_nwl] = true,
    [ts_external_token__br_dqt_esc_nwl] = true,
    [ts_external_token__r_dqt_esc_seq] = true,
    [ts_external_token__br_dqt_esc_seq] = true,
    [ts_external_token__r_dqt_str_end] = true,
    [ts_external_token__br_dqt_str_end] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__b_sqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_ctn] = true,
    [ts_external_token__br_sqt_str_ctn] = true,
    [ts_external_token__r_sqt_esc_sqt] = true,
    [ts_external_token__br_sqt_esc_sqt] = true,
    [ts_external_token__r_sqt_str_end] = true,
    [ts_external_token__br_sqt_str_end] = true,
    [ts_external_token__r_sgl_pln_blk] = true,
    [ts_external_token__br_sgl_pln_blk] = true,
    [ts_external_token__b_sgl_pln_blk] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token__br_sgl_pln_flw] = true,
    [ts_external_token__r_mtl_pln_blk] = true,
    [ts_external_token__br_mtl_pln_blk] = true,
    [ts_external_token__r_mtl_pln_flw] = true,
    [ts_external_token__br_mtl_pln_flw] = true,
    [ts_external_token__r_tag] = true,
    [ts_external_token__br_tag] = true,
    [ts_external_token__b_tag] = true,
    [ts_external_token__r_acr] = true,
    [ts_external_token__br_acr] = true,
    [ts_external_token__b_acr] = true,
    [ts_external_token__r_als] = true,
    [ts_external_token__br_als] = true,
    [ts_external_token__b_als] = true,
    [ts_external_token__bl] = true,
    [ts_external_token_comment] = true,
  },
  [2] = {
    [ts_external_token__eof] = true,
    [ts_external_token__s_dir_yml_bgn] = true,
    [ts_external_token__s_dir_tag_bgn] = true,
    [ts_external_token__s_dir_rsv_bgn] = true,
    [ts_external_token__s_drs_end] = true,
    [ts_external_token__s_doc_end] = true,
    [ts_external_token__r_blk_seq_bgn] = true,
    [ts_external_token__br_blk_seq_bgn] = true,
    [ts_external_token__r_blk_key_bgn] = true,
    [ts_external_token__br_blk_key_bgn] = true,
    [ts_external_token__r_blk_val_bgn] = true,
    [ts_external_token__br_blk_val_bgn] = true,
    [ts_external_token__r_blk_lit_bgn] = true,
    [ts_external_token__br_blk_lit_bgn] = true,
    [ts_external_token__r_blk_fld_bgn] = true,
    [ts_external_token__br_blk_fld_bgn] = true,
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_blk] = true,
    [ts_external_token__br_sgl_pln_blk] = true,
    [ts_external_token__r_mtl_pln_blk] = true,
    [ts_external_token__br_mtl_pln_blk] = true,
    [ts_external_token__r_tag] = true,
    [ts_external_token__br_tag] = true,
    [ts_external_token__r_acr] = true,
    [ts_external_token__br_acr] = true,
    [ts_external_token__r_als] = true,
    [ts_external_token__br_als] = true,
    [ts_external_token_comment] = true,
  },
  [3] = {
    [ts_external_token__r_blk_seq_bgn] = true,
    [ts_external_token__br_blk_seq_bgn] = true,
    [ts_external_token__b_blk_seq_bgn] = true,
    [ts_external_token__r_blk_key_bgn] = true,
    [ts_external_token__br_blk_key_bgn] = true,
    [ts_external_token__b_blk_key_bgn] = true,
    [ts_external_token__r_blk_val_bgn] = true,
    [ts_external_token__br_blk_val_bgn] = true,
    [ts_external_token__b_blk_val_bgn] = true,
    [ts_external_token__r_blk_lit_bgn] = true,
    [ts_external_token__br_blk_lit_bgn] = true,
    [ts_external_token__r_blk_fld_bgn] = true,
    [ts_external_token__br_blk_fld_bgn] = true,
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__b_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__b_flw_map_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__b_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__b_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_blk] = true,
    [ts_external_token__br_sgl_pln_blk] = true,
    [ts_external_token__b_sgl_pln_blk] = true,
    [ts_external_token__r_mtl_pln_blk] = true,
    [ts_external_token__br_mtl_pln_blk] = true,
    [ts_external_token__r_tag] = true,
    [ts_external_token__br_tag] = true,
    [ts_external_token__b_tag] = true,
    [ts_external_token__r_acr] = true,
    [ts_external_token__br_acr] = true,
    [ts_external_token__b_acr] = true,
    [ts_external_token__r_als] = true,
    [ts_external_token__br_als] = true,
    [ts_external_token__b_als] = true,
    [ts_external_token__bl] = true,
    [ts_external_token_comment] = true,
  },
  [4] = {
    [ts_external_token__r_blk_seq_bgn] = true,
    [ts_external_token__br_blk_seq_bgn] = true,
    [ts_external_token__b_blk_seq_bgn] = true,
    [ts_external_token__r_blk_key_bgn] = true,
    [ts_external_token__br_blk_key_bgn] = true,
    [ts_external_token__r_blk_val_bgn] = true,
    [ts_external_token__br_blk_val_bgn] = true,
    [ts_external_token__r_blk_lit_bgn] = true,
    [ts_external_token__br_blk_lit_bgn] = true,
    [ts_external_token__r_blk_fld_bgn] = true,
    [ts_external_token__br_blk_fld_bgn] = true,
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_blk] = true,
    [ts_external_token__br_sgl_pln_blk] = true,
    [ts_external_token__r_mtl_pln_blk] = true,
    [ts_external_token__br_mtl_pln_blk] = true,
    [ts_external_token__r_tag] = true,
    [ts_external_token__br_tag] = true,
    [ts_external_token__r_acr] = true,
    [ts_external_token__br_acr] = true,
    [ts_external_token__r_als] = true,
    [ts_external_token__br_als] = true,
    [ts_external_token__bl] = true,
    [ts_external_token_comment] = true,
  },
  [5] = {
    [ts_external_token__br_blk_seq_bgn] = true,
    [ts_external_token__b_blk_seq_bgn] = true,
    [ts_external_token__br_blk_key_bgn] = true,
    [ts_external_token__b_blk_key_bgn] = true,
    [ts_external_token__br_blk_val_bgn] = true,
    [ts_external_token__b_blk_val_bgn] = true,
    [ts_external_token__r_blk_lit_bgn] = true,
    [ts_external_token__br_blk_lit_bgn] = true,
    [ts_external_token__r_blk_fld_bgn] = true,
    [ts_external_token__br_blk_fld_bgn] = true,
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__b_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__b_flw_map_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__b_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__b_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_blk] = true,
    [ts_external_token__br_sgl_pln_blk] = true,
    [ts_external_token__b_sgl_pln_blk] = true,
    [ts_external_token__r_mtl_pln_blk] = true,
    [ts_external_token__br_mtl_pln_blk] = true,
    [ts_external_token__r_tag] = true,
    [ts_external_token__br_tag] = true,
    [ts_external_token__b_tag] = true,
    [ts_external_token__r_acr] = true,
    [ts_external_token__br_acr] = true,
    [ts_external_token__b_acr] = true,
    [ts_external_token__r_als] = true,
    [ts_external_token__br_als] = true,
    [ts_external_token__b_als] = true,
    [ts_external_token__bl] = true,
    [ts_external_token_comment] = true,
  },
  [6] = {
    [ts_external_token__eof] = true,
    [ts_external_token__s_drs_end] = true,
    [ts_external_token__s_doc_end] = true,
    [ts_external_token__br_blk_seq_bgn] = true,
    [ts_external_token__br_blk_key_bgn] = true,
    [ts_external_token__br_blk_val_bgn] = true,
    [ts_external_token__r_blk_lit_bgn] = true,
    [ts_external_token__br_blk_lit_bgn] = true,
    [ts_external_token__r_blk_fld_bgn] = true,
    [ts_external_token__br_blk_fld_bgn] = true,
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_blk] = true,
    [ts_external_token__br_sgl_pln_blk] = true,
    [ts_external_token__r_mtl_pln_blk] = true,
    [ts_external_token__br_mtl_pln_blk] = true,
    [ts_external_token__r_tag] = true,
    [ts_external_token__br_tag] = true,
    [ts_external_token__r_acr] = true,
    [ts_external_token__br_acr] = true,
    [ts_external_token__r_als] = true,
    [ts_external_token__br_als] = true,
    [ts_external_token_comment] = true,
  },
  [7] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__r_flw_map_end] = true,
    [ts_external_token__br_flw_map_end] = true,
    [ts_external_token__r_flw_key_bgn] = true,
    [ts_external_token__br_flw_key_bgn] = true,
    [ts_external_token__r_flw_njv_bgn] = true,
    [ts_external_token__br_flw_njv_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token__br_sgl_pln_flw] = true,
    [ts_external_token__r_mtl_pln_flw] = true,
    [ts_external_token__br_mtl_pln_flw] = true,
    [ts_external_token__r_tag] = true,
    [ts_external_token__br_tag] = true,
    [ts_external_token__r_acr] = true,
    [ts_external_token__br_acr] = true,
    [ts_external_token__r_als] = true,
    [ts_external_token__br_als] = true,
    [ts_external_token_comment] = true,
  },
  [8] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__r_flw_seq_end] = true,
    [ts_external_token__br_flw_seq_end] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__r_flw_key_bgn] = true,
    [ts_external_token__br_flw_key_bgn] = true,
    [ts_external_token__r_flw_njv_bgn] = true,
    [ts_external_token__br_flw_njv_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token__br_sgl_pln_flw] = true,
    [ts_external_token__r_mtl_pln_flw] = true,
    [ts_external_token__br_mtl_pln_flw] = true,
    [ts_external_token__r_tag] = true,
    [ts_external_token__br_tag] = true,
    [ts_external_token__r_acr] = true,
    [ts_external_token__br_acr] = true,
    [ts_external_token__r_als] = true,
    [ts_external_token__br_als] = true,
    [ts_external_token_comment] = true,
  },
  [9] = {
    [ts_external_token__eof] = true,
    [ts_external_token__s_dir_yml_bgn] = true,
    [ts_external_token__s_dir_tag_bgn] = true,
    [ts_external_token__s_dir_rsv_bgn] = true,
    [ts_external_token__s_drs_end] = true,
    [ts_external_token__s_doc_end] = true,
    [ts_external_token__br_blk_seq_bgn] = true,
    [ts_external_token__br_blk_key_bgn] = true,
    [ts_external_token__br_blk_val_bgn] = true,
    [ts_external_token__br_blk_lit_bgn] = true,
    [ts_external_token__br_blk_fld_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__br_sgl_pln_blk] = true,
    [ts_external_token__br_mtl_pln_blk] = true,
    [ts_external_token__br_tag] = true,
    [ts_external_token__br_acr] = true,
    [ts_external_token__br_als] = true,
    [ts_external_token_comment] = true,
  },
  [10] = {
    [ts_external_token__br_blk_seq_bgn] = true,
    [ts_external_token__b_blk_seq_bgn] = true,
    [ts_external_token__br_blk_key_bgn] = true,
    [ts_external_token__b_blk_key_bgn] = true,
    [ts_external_token__br_blk_val_bgn] = true,
    [ts_external_token__b_blk_val_bgn] = true,
    [ts_external_token__r_blk_lit_bgn] = true,
    [ts_external_token__br_blk_lit_bgn] = true,
    [ts_external_token__r_blk_fld_bgn] = true,
    [ts_external_token__br_blk_fld_bgn] = true,
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__b_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__b_flw_map_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__b_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__b_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_blk] = true,
    [ts_external_token__br_sgl_pln_blk] = true,
    [ts_external_token__b_sgl_pln_blk] = true,
    [ts_external_token__r_mtl_pln_blk] = true,
    [ts_external_token__br_mtl_pln_blk] = true,
    [ts_external_token__br_tag] = true,
    [ts_external_token__b_tag] = true,
    [ts_external_token__br_acr] = true,
    [ts_external_token__b_acr] = true,
    [ts_external_token__br_als] = true,
    [ts_external_token__b_als] = true,
    [ts_external_token__bl] = true,
    [ts_external_token_comment] = true,
  },
  [11] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__r_flw_seq_end] = true,
    [ts_external_token__br_flw_seq_end] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token__br_flw_sep_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token__br_sgl_pln_flw] = true,
    [ts_external_token__r_mtl_pln_flw] = true,
    [ts_external_token__br_mtl_pln_flw] = true,
    [ts_external_token__r_tag] = true,
    [ts_external_token__br_tag] = true,
    [ts_external_token__r_acr] = true,
    [ts_external_token__br_acr] = true,
    [ts_external_token__r_als] = true,
    [ts_external_token__br_als] = true,
    [ts_external_token_comment] = true,
  },
  [12] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__r_flw_map_end] = true,
    [ts_external_token__br_flw_map_end] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token__br_flw_sep_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token__br_sgl_pln_flw] = true,
    [ts_external_token__r_mtl_pln_flw] = true,
    [ts_external_token__br_mtl_pln_flw] = true,
    [ts_external_token__r_tag] = true,
    [ts_external_token__br_tag] = true,
    [ts_external_token__r_acr] = true,
    [ts_external_token__br_acr] = true,
    [ts_external_token__r_als] = true,
    [ts_external_token__br_als] = true,
    [ts_external_token_comment] = true,
  },
  [13] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__r_flw_key_bgn] = true,
    [ts_external_token__br_flw_key_bgn] = true,
    [ts_external_token__r_flw_njv_bgn] = true,
    [ts_external_token__br_flw_njv_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token__br_sgl_pln_flw] = true,
    [ts_external_token__r_mtl_pln_flw] = true,
    [ts_external_token__br_mtl_pln_flw] = true,
    [ts_external_token__r_tag] = true,
    [ts_external_token__br_tag] = true,
    [ts_external_token__r_acr] = true,
    [ts_external_token__br_acr] = true,
    [ts_external_token__r_als] = true,
    [ts_external_token__br_als] = true,
    [ts_external_token_comment] = true,
  },
  [14] = {
    [ts_external_token__eof] = true,
    [ts_external_token__s_drs_end] = true,
    [ts_external_token__s_doc_end] = true,
    [ts_external_token__br_blk_seq_bgn] = true,
    [ts_external_token__br_blk_key_bgn] = true,
    [ts_external_token__br_blk_val_bgn] = true,
    [ts_external_token__r_blk_lit_bgn] = true,
    [ts_external_token__br_blk_lit_bgn] = true,
    [ts_external_token__r_blk_fld_bgn] = true,
    [ts_external_token__br_blk_fld_bgn] = true,
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_blk] = true,
    [ts_external_token__br_sgl_pln_blk] = true,
    [ts_external_token__r_mtl_pln_blk] = true,
    [ts_external_token__br_mtl_pln_blk] = true,
    [ts_external_token__br_tag] = true,
    [ts_external_token__br_acr] = true,
    [ts_external_token__br_als] = true,
    [ts_external_token_comment] = true,
  },
  [15] = {
    [ts_external_token__br_blk_seq_bgn] = true,
    [ts_external_token__b_blk_seq_bgn] = true,
    [ts_external_token__br_blk_key_bgn] = true,
    [ts_external_token__br_blk_val_bgn] = true,
    [ts_external_token__r_blk_lit_bgn] = true,
    [ts_external_token__br_blk_lit_bgn] = true,
    [ts_external_token__r_blk_fld_bgn] = true,
    [ts_external_token__br_blk_fld_bgn] = true,
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_blk] = true,
    [ts_external_token__br_sgl_pln_blk] = true,
    [ts_external_token__r_mtl_pln_blk] = true,
    [ts_external_token__br_mtl_pln_blk] = true,
    [ts_external_token__br_tag] = true,
    [ts_external_token__br_acr] = true,
    [ts_external_token__br_als] = true,
    [ts_external_token__bl] = true,
    [ts_external_token_comment] = true,
  },
  [16] = {
    [ts_external_token__br_blk_seq_bgn] = true,
    [ts_external_token__b_blk_seq_bgn] = true,
    [ts_external_token__br_blk_key_bgn] = true,
    [ts_external_token__b_blk_key_bgn] = true,
    [ts_external_token__br_blk_val_bgn] = true,
    [ts_external_token__b_blk_val_bgn] = true,
    [ts_external_token__r_blk_imp_bgn] = true,
    [ts_external_token__r_blk_lit_bgn] = true,
    [ts_external_token__br_blk_lit_bgn] = true,
    [ts_external_token__r_blk_fld_bgn] = true,
    [ts_external_token__br_blk_fld_bgn] = true,
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__b_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__b_flw_map_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__b_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__b_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_blk] = true,
    [ts_external_token__br_sgl_pln_blk] = true,
    [ts_external_token__b_sgl_pln_blk] = true,
    [ts_external_token__r_mtl_pln_blk] = true,
    [ts_external_token__br_mtl_pln_blk] = true,
    [ts_external_token__br_tag] = true,
    [ts_external_token__b_tag] = true,
    [ts_external_token__r_acr] = true,
    [ts_external_token__br_acr] = true,
    [ts_external_token__b_acr] = true,
    [ts_external_token__br_als] = true,
    [ts_external_token__b_als] = true,
    [ts_external_token__bl] = true,
    [ts_external_token_comment] = true,
  },
  [17] = {
    [ts_external_token__br_blk_seq_bgn] = true,
    [ts_external_token__b_blk_seq_bgn] = true,
    [ts_external_token__br_blk_key_bgn] = true,
    [ts_external_token__b_blk_key_bgn] = true,
    [ts_external_token__br_blk_val_bgn] = true,
    [ts_external_token__b_blk_val_bgn] = true,
    [ts_external_token__r_blk_imp_bgn] = true,
    [ts_external_token__r_blk_lit_bgn] = true,
    [ts_external_token__br_blk_lit_bgn] = true,
    [ts_external_token__r_blk_fld_bgn] = true,
    [ts_external_token__br_blk_fld_bgn] = true,
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__b_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__b_flw_map_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__b_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__b_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_blk] = true,
    [ts_external_token__br_sgl_pln_blk] = true,
    [ts_external_token__b_sgl_pln_blk] = true,
    [ts_external_token__r_mtl_pln_blk] = true,
    [ts_external_token__br_mtl_pln_blk] = true,
    [ts_external_token__r_tag] = true,
    [ts_external_token__br_tag] = true,
    [ts_external_token__b_tag] = true,
    [ts_external_token__br_acr] = true,
    [ts_external_token__b_acr] = true,
    [ts_external_token__br_als] = true,
    [ts_external_token__b_als] = true,
    [ts_external_token__bl] = true,
    [ts_external_token_comment] = true,
  },
  [18] = {
    [ts_external_token__br_blk_seq_bgn] = true,
    [ts_external_token__b_blk_seq_bgn] = true,
    [ts_external_token__br_blk_key_bgn] = true,
    [ts_external_token__b_blk_key_bgn] = true,
    [ts_external_token__br_blk_val_bgn] = true,
    [ts_external_token__b_blk_val_bgn] = true,
    [ts_external_token__r_blk_imp_bgn] = true,
    [ts_external_token__r_blk_lit_bgn] = true,
    [ts_external_token__br_blk_lit_bgn] = true,
    [ts_external_token__r_blk_fld_bgn] = true,
    [ts_external_token__br_blk_fld_bgn] = true,
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__b_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__b_flw_map_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__b_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__b_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_blk] = true,
    [ts_external_token__br_sgl_pln_blk] = true,
    [ts_external_token__b_sgl_pln_blk] = true,
    [ts_external_token__r_mtl_pln_blk] = true,
    [ts_external_token__br_mtl_pln_blk] = true,
    [ts_external_token__br_tag] = true,
    [ts_external_token__b_tag] = true,
    [ts_external_token__br_acr] = true,
    [ts_external_token__b_acr] = true,
    [ts_external_token__br_als] = true,
    [ts_external_token__b_als] = true,
    [ts_external_token__bl] = true,
    [ts_external_token_comment] = true,
  },
  [19] = {
    [ts_external_token__br_blk_seq_bgn] = true,
    [ts_external_token__b_blk_seq_bgn] = true,
    [ts_external_token__br_blk_key_bgn] = true,
    [ts_external_token__b_blk_key_bgn] = true,
    [ts_external_token__br_blk_val_bgn] = true,
    [ts_external_token__b_blk_val_bgn] = true,
    [ts_external_token__r_blk_lit_bgn] = true,
    [ts_external_token__br_blk_lit_bgn] = true,
    [ts_external_token__r_blk_fld_bgn] = true,
    [ts_external_token__br_blk_fld_bgn] = true,
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__b_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__b_flw_map_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__b_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__b_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_blk] = true,
    [ts_external_token__br_sgl_pln_blk] = true,
    [ts_external_token__b_sgl_pln_blk] = true,
    [ts_external_token__r_mtl_pln_blk] = true,
    [ts_external_token__br_mtl_pln_blk] = true,
    [ts_external_token__r_tag] = true,
    [ts_external_token__br_tag] = true,
    [ts_external_token__b_tag] = true,
    [ts_external_token__br_acr] = true,
    [ts_external_token__b_acr] = true,
    [ts_external_token__br_als] = true,
    [ts_external_token__b_als] = true,
    [ts_external_token__bl] = true,
    [ts_external_token_comment] = true,
  },
  [20] = {
    [ts_external_token__br_blk_seq_bgn] = true,
    [ts_external_token__b_blk_seq_bgn] = true,
    [ts_external_token__br_blk_key_bgn] = true,
    [ts_external_token__b_blk_key_bgn] = true,
    [ts_external_token__br_blk_val_bgn] = true,
    [ts_external_token__b_blk_val_bgn] = true,
    [ts_external_token__r_blk_lit_bgn] = true,
    [ts_external_token__br_blk_lit_bgn] = true,
    [ts_external_token__r_blk_fld_bgn] = true,
    [ts_external_token__br_blk_fld_bgn] = true,
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__b_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__b_flw_map_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__b_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__b_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_blk] = true,
    [ts_external_token__br_sgl_pln_blk] = true,
    [ts_external_token__b_sgl_pln_blk] = true,
    [ts_external_token__r_mtl_pln_blk] = true,
    [ts_external_token__br_mtl_pln_blk] = true,
    [ts_external_token__br_tag] = true,
    [ts_external_token__b_tag] = true,
    [ts_external_token__r_acr] = true,
    [ts_external_token__br_acr] = true,
    [ts_external_token__b_acr] = true,
    [ts_external_token__br_als] = true,
    [ts_external_token__b_als] = true,
    [ts_external_token__bl] = true,
    [ts_external_token_comment] = true,
  },
  [21] = {
    [ts_external_token__b_blk_key_bgn] = true,
    [ts_external_token__b_blk_val_bgn] = true,
    [ts_external_token__b_flw_seq_bgn] = true,
    [ts_external_token__b_flw_map_bgn] = true,
    [ts_external_token__b_dqt_str_bgn] = true,
    [ts_external_token__b_sqt_str_bgn] = true,
    [ts_external_token__b_sgl_pln_blk] = true,
    [ts_external_token__b_tag] = true,
    [ts_external_token__b_acr] = true,
    [ts_external_token__b_als] = true,
    [ts_external_token__bl] = true,
    [ts_external_token_comment] = true,
  },
  [22] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__r_flw_map_end] = true,
    [ts_external_token__r_flw_key_bgn] = true,
    [ts_external_token__r_flw_njv_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token__r_tag] = true,
    [ts_external_token__r_acr] = true,
    [ts_external_token__r_als] = true,
    [ts_external_token_comment] = true,
  },
  [23] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__r_flw_seq_end] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__r_flw_key_bgn] = true,
    [ts_external_token__r_flw_njv_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token__r_tag] = true,
    [ts_external_token__r_acr] = true,
    [ts_external_token__r_als] = true,
    [ts_external_token_comment] = true,
  },
  [24] = {
    [ts_external_token__eof] = true,
    [ts_external_token__s_drs_end] = true,
    [ts_external_token__s_doc_end] = true,
    [ts_external_token__br_blk_seq_bgn] = true,
    [ts_external_token__br_blk_key_bgn] = true,
    [ts_external_token__br_blk_val_bgn] = true,
    [ts_external_token__r_blk_imp_bgn] = true,
    [ts_external_token__r_blk_lit_bgn] = true,
    [ts_external_token__br_blk_lit_bgn] = true,
    [ts_external_token__r_blk_fld_bgn] = true,
    [ts_external_token__br_blk_fld_bgn] = true,
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_blk] = true,
    [ts_external_token__br_sgl_pln_blk] = true,
    [ts_external_token__r_mtl_pln_blk] = true,
    [ts_external_token__br_mtl_pln_blk] = true,
    [ts_external_token__br_tag] = true,
    [ts_external_token__r_acr] = true,
    [ts_external_token__br_acr] = true,
    [ts_external_token__br_als] = true,
    [ts_external_token_comment] = true,
  },
  [25] = {
    [ts_external_token__eof] = true,
    [ts_external_token__s_drs_end] = true,
    [ts_external_token__s_doc_end] = true,
    [ts_external_token__br_blk_seq_bgn] = true,
    [ts_external_token__br_blk_key_bgn] = true,
    [ts_external_token__br_blk_val_bgn] = true,
    [ts_external_token__r_blk_imp_bgn] = true,
    [ts_external_token__r_blk_lit_bgn] = true,
    [ts_external_token__br_blk_lit_bgn] = true,
    [ts_external_token__r_blk_fld_bgn] = true,
    [ts_external_token__br_blk_fld_bgn] = true,
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_blk] = true,
    [ts_external_token__br_sgl_pln_blk] = true,
    [ts_external_token__r_mtl_pln_blk] = true,
    [ts_external_token__br_mtl_pln_blk] = true,
    [ts_external_token__r_tag] = true,
    [ts_external_token__br_tag] = true,
    [ts_external_token__br_acr] = true,
    [ts_external_token__br_als] = true,
    [ts_external_token_comment] = true,
  },
  [26] = {
    [ts_external_token__br_blk_seq_bgn] = true,
    [ts_external_token__b_blk_seq_bgn] = true,
    [ts_external_token__br_blk_key_bgn] = true,
    [ts_external_token__br_blk_val_bgn] = true,
    [ts_external_token__r_blk_imp_bgn] = true,
    [ts_external_token__r_blk_lit_bgn] = true,
    [ts_external_token__br_blk_lit_bgn] = true,
    [ts_external_token__r_blk_fld_bgn] = true,
    [ts_external_token__br_blk_fld_bgn] = true,
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_blk] = true,
    [ts_external_token__br_sgl_pln_blk] = true,
    [ts_external_token__r_mtl_pln_blk] = true,
    [ts_external_token__br_mtl_pln_blk] = true,
    [ts_external_token__r_tag] = true,
    [ts_external_token__br_tag] = true,
    [ts_external_token__br_acr] = true,
    [ts_external_token__br_als] = true,
    [ts_external_token__bl] = true,
    [ts_external_token_comment] = true,
  },
  [27] = {
    [ts_external_token__eof] = true,
    [ts_external_token__s_drs_end] = true,
    [ts_external_token__s_doc_end] = true,
    [ts_external_token__br_blk_seq_bgn] = true,
    [ts_external_token__br_blk_key_bgn] = true,
    [ts_external_token__br_blk_val_bgn] = true,
    [ts_external_token__r_blk_lit_bgn] = true,
    [ts_external_token__br_blk_lit_bgn] = true,
    [ts_external_token__r_blk_fld_bgn] = true,
    [ts_external_token__br_blk_fld_bgn] = true,
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_blk] = true,
    [ts_external_token__br_sgl_pln_blk] = true,
    [ts_external_token__r_mtl_pln_blk] = true,
    [ts_external_token__br_mtl_pln_blk] = true,
    [ts_external_token__br_tag] = true,
    [ts_external_token__r_acr] = true,
    [ts_external_token__br_acr] = true,
    [ts_external_token__br_als] = true,
    [ts_external_token_comment] = true,
  },
  [28] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__r_flw_key_bgn] = true,
    [ts_external_token__r_flw_njv_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token__r_tag] = true,
    [ts_external_token__r_acr] = true,
    [ts_external_token__r_als] = true,
    [ts_external_token_comment] = true,
  },
  [29] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__r_flw_map_end] = true,
    [ts_external_token__br_flw_map_end] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token__br_flw_sep_bgn] = true,
    [ts_external_token__r_flw_njv_bgn] = true,
    [ts_external_token__br_flw_njv_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token__br_sgl_pln_flw] = true,
    [ts_external_token__r_mtl_pln_flw] = true,
    [ts_external_token__br_mtl_pln_flw] = true,
    [ts_external_token_comment] = true,
  },
  [30] = {
    [ts_external_token__eof] = true,
    [ts_external_token__s_drs_end] = true,
    [ts_external_token__s_doc_end] = true,
    [ts_external_token__br_blk_seq_bgn] = true,
    [ts_external_token__br_blk_key_bgn] = true,
    [ts_external_token__br_blk_val_bgn] = true,
    [ts_external_token__r_blk_imp_bgn] = true,
    [ts_external_token__r_blk_lit_bgn] = true,
    [ts_external_token__br_blk_lit_bgn] = true,
    [ts_external_token__r_blk_fld_bgn] = true,
    [ts_external_token__br_blk_fld_bgn] = true,
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_blk] = true,
    [ts_external_token__br_sgl_pln_blk] = true,
    [ts_external_token__r_mtl_pln_blk] = true,
    [ts_external_token__br_mtl_pln_blk] = true,
    [ts_external_token__br_tag] = true,
    [ts_external_token__br_acr] = true,
    [ts_external_token__br_als] = true,
    [ts_external_token_comment] = true,
  },
  [31] = {
    [ts_external_token__eof] = true,
    [ts_external_token__s_drs_end] = true,
    [ts_external_token__s_doc_end] = true,
    [ts_external_token__br_blk_seq_bgn] = true,
    [ts_external_token__br_blk_key_bgn] = true,
    [ts_external_token__br_blk_val_bgn] = true,
    [ts_external_token__r_blk_lit_bgn] = true,
    [ts_external_token__br_blk_lit_bgn] = true,
    [ts_external_token__r_blk_fld_bgn] = true,
    [ts_external_token__br_blk_fld_bgn] = true,
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_blk] = true,
    [ts_external_token__br_sgl_pln_blk] = true,
    [ts_external_token__r_mtl_pln_blk] = true,
    [ts_external_token__br_mtl_pln_blk] = true,
    [ts_external_token__r_tag] = true,
    [ts_external_token__br_tag] = true,
    [ts_external_token__br_acr] = true,
    [ts_external_token__br_als] = true,
    [ts_external_token_comment] = true,
  },
  [32] = {
    [ts_external_token__br_blk_seq_bgn] = true,
    [ts_external_token__b_blk_seq_bgn] = true,
    [ts_external_token__br_blk_key_bgn] = true,
    [ts_external_token__br_blk_val_bgn] = true,
    [ts_external_token__r_blk_imp_bgn] = true,
    [ts_external_token__r_blk_lit_bgn] = true,
    [ts_external_token__br_blk_lit_bgn] = true,
    [ts_external_token__r_blk_fld_bgn] = true,
    [ts_external_token__br_blk_fld_bgn] = true,
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_blk] = true,
    [ts_external_token__br_sgl_pln_blk] = true,
    [ts_external_token__r_mtl_pln_blk] = true,
    [ts_external_token__br_mtl_pln_blk] = true,
    [ts_external_token__br_tag] = true,
    [ts_external_token__r_acr] = true,
    [ts_external_token__br_acr] = true,
    [ts_external_token__br_als] = true,
    [ts_external_token__bl] = true,
    [ts_external_token_comment] = true,
  },
  [33] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__r_flw_seq_end] = true,
    [ts_external_token__br_flw_seq_end] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token__br_flw_sep_bgn] = true,
    [ts_external_token__r_flw_njv_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token__br_sgl_pln_flw] = true,
    [ts_external_token__r_mtl_pln_flw] = true,
    [ts_external_token__br_mtl_pln_flw] = true,
    [ts_external_token_comment] = true,
  },
  [34] = {
    [ts_external_token__br_blk_seq_bgn] = true,
    [ts_external_token__b_blk_seq_bgn] = true,
    [ts_external_token__br_blk_key_bgn] = true,
    [ts_external_token__br_blk_val_bgn] = true,
    [ts_external_token__r_blk_imp_bgn] = true,
    [ts_external_token__r_blk_lit_bgn] = true,
    [ts_external_token__br_blk_lit_bgn] = true,
    [ts_external_token__r_blk_fld_bgn] = true,
    [ts_external_token__br_blk_fld_bgn] = true,
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_blk] = true,
    [ts_external_token__br_sgl_pln_blk] = true,
    [ts_external_token__r_mtl_pln_blk] = true,
    [ts_external_token__br_mtl_pln_blk] = true,
    [ts_external_token__br_tag] = true,
    [ts_external_token__br_acr] = true,
    [ts_external_token__br_als] = true,
    [ts_external_token__bl] = true,
    [ts_external_token_comment] = true,
  },
  [35] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__r_flw_seq_end] = true,
    [ts_external_token__br_flw_seq_end] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token__br_flw_sep_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token__br_sgl_pln_flw] = true,
    [ts_external_token__r_mtl_pln_flw] = true,
    [ts_external_token__br_mtl_pln_flw] = true,
    [ts_external_token_comment] = true,
  },
  [36] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__r_flw_map_end] = true,
    [ts_external_token__br_flw_map_end] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token__br_flw_sep_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token__br_sgl_pln_flw] = true,
    [ts_external_token__r_mtl_pln_flw] = true,
    [ts_external_token__br_mtl_pln_flw] = true,
    [ts_external_token_comment] = true,
  },
  [37] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__r_flw_map_end] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token__r_tag] = true,
    [ts_external_token__r_acr] = true,
    [ts_external_token__r_als] = true,
    [ts_external_token_comment] = true,
  },
  [38] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__r_flw_seq_end] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token__r_tag] = true,
    [ts_external_token__r_acr] = true,
    [ts_external_token__r_als] = true,
    [ts_external_token_comment] = true,
  },
  [39] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__r_flw_njv_bgn] = true,
    [ts_external_token__br_flw_njv_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token__br_sgl_pln_flw] = true,
    [ts_external_token__r_mtl_pln_flw] = true,
    [ts_external_token__br_mtl_pln_flw] = true,
    [ts_external_token_comment] = true,
  },
  [40] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__r_flw_map_end] = true,
    [ts_external_token__br_flw_map_end] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token__br_flw_sep_bgn] = true,
    [ts_external_token__r_flw_njv_bgn] = true,
    [ts_external_token__br_flw_njv_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token__br_sgl_pln_flw] = true,
    [ts_external_token__r_mtl_pln_flw] = true,
    [ts_external_token__br_mtl_pln_flw] = true,
    [ts_external_token__r_acr] = true,
    [ts_external_token__br_acr] = true,
    [ts_external_token_comment] = true,
  },
  [41] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__r_flw_map_end] = true,
    [ts_external_token__br_flw_map_end] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token__br_flw_sep_bgn] = true,
    [ts_external_token__r_flw_njv_bgn] = true,
    [ts_external_token__br_flw_njv_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token__br_sgl_pln_flw] = true,
    [ts_external_token__r_mtl_pln_flw] = true,
    [ts_external_token__br_mtl_pln_flw] = true,
    [ts_external_token__r_tag] = true,
    [ts_external_token__br_tag] = true,
    [ts_external_token_comment] = true,
  },
  [42] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__r_flw_seq_end] = true,
    [ts_external_token__br_flw_seq_end] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token__br_flw_sep_bgn] = true,
    [ts_external_token__r_flw_njv_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token__br_sgl_pln_flw] = true,
    [ts_external_token__r_mtl_pln_flw] = true,
    [ts_external_token__br_mtl_pln_flw] = true,
    [ts_external_token__r_tag] = true,
    [ts_external_token__br_tag] = true,
    [ts_external_token_comment] = true,
  },
  [43] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__r_flw_seq_end] = true,
    [ts_external_token__br_flw_seq_end] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token__br_flw_sep_bgn] = true,
    [ts_external_token__r_flw_njv_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token__br_sgl_pln_flw] = true,
    [ts_external_token__r_mtl_pln_flw] = true,
    [ts_external_token__br_mtl_pln_flw] = true,
    [ts_external_token__r_acr] = true,
    [ts_external_token__br_acr] = true,
    [ts_external_token_comment] = true,
  },
  [44] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__r_flw_map_end] = true,
    [ts_external_token__br_flw_map_end] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token__br_flw_sep_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token__br_sgl_pln_flw] = true,
    [ts_external_token__r_mtl_pln_flw] = true,
    [ts_external_token__br_mtl_pln_flw] = true,
    [ts_external_token__r_acr] = true,
    [ts_external_token__br_acr] = true,
    [ts_external_token_comment] = true,
  },
  [45] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__r_flw_seq_end] = true,
    [ts_external_token__br_flw_seq_end] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token__br_flw_sep_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token__br_sgl_pln_flw] = true,
    [ts_external_token__r_mtl_pln_flw] = true,
    [ts_external_token__br_mtl_pln_flw] = true,
    [ts_external_token__r_tag] = true,
    [ts_external_token__br_tag] = true,
    [ts_external_token_comment] = true,
  },
  [46] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__r_flw_seq_end] = true,
    [ts_external_token__br_flw_seq_end] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token__br_flw_sep_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token__br_sgl_pln_flw] = true,
    [ts_external_token__r_mtl_pln_flw] = true,
    [ts_external_token__br_mtl_pln_flw] = true,
    [ts_external_token__r_acr] = true,
    [ts_external_token__br_acr] = true,
    [ts_external_token_comment] = true,
  },
  [47] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__r_flw_map_end] = true,
    [ts_external_token__br_flw_map_end] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token__br_flw_sep_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token__br_sgl_pln_flw] = true,
    [ts_external_token__r_mtl_pln_flw] = true,
    [ts_external_token__br_mtl_pln_flw] = true,
    [ts_external_token__r_tag] = true,
    [ts_external_token__br_tag] = true,
    [ts_external_token_comment] = true,
  },
  [48] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__r_flw_njv_bgn] = true,
    [ts_external_token__br_flw_njv_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token__br_sgl_pln_flw] = true,
    [ts_external_token__r_mtl_pln_flw] = true,
    [ts_external_token__br_mtl_pln_flw] = true,
    [ts_external_token__r_tag] = true,
    [ts_external_token__br_tag] = true,
    [ts_external_token_comment] = true,
  },
  [49] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__br_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__br_flw_map_bgn] = true,
    [ts_external_token__r_flw_njv_bgn] = true,
    [ts_external_token__br_flw_njv_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__br_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__br_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token__br_sgl_pln_flw] = true,
    [ts_external_token__r_mtl_pln_flw] = true,
    [ts_external_token__br_mtl_pln_flw] = true,
    [ts_external_token__r_acr] = true,
    [ts_external_token__br_acr] = true,
    [ts_external_token_comment] = true,
  },
  [50] = {
    [ts_external_token__b_blk_key_bgn] = true,
    [ts_external_token__b_blk_val_bgn] = true,
    [ts_external_token__r_blk_imp_bgn] = true,
    [ts_external_token__b_flw_seq_bgn] = true,
    [ts_external_token__b_flw_map_bgn] = true,
    [ts_external_token__b_dqt_str_bgn] = true,
    [ts_external_token__b_sqt_str_bgn] = true,
    [ts_external_token__b_sgl_pln_blk] = true,
    [ts_external_token__b_tag] = true,
    [ts_external_token__b_acr] = true,
    [ts_external_token__b_als] = true,
    [ts_external_token__bl] = true,
    [ts_external_token_comment] = true,
  },
  [51] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__r_flw_seq_end] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token__r_flw_njv_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token_comment] = true,
  },
  [52] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__r_flw_map_end] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token__r_flw_njv_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token_comment] = true,
  },
  [53] = {
    [ts_external_token__r_dqt_str_ctn] = true,
    [ts_external_token__br_dqt_str_ctn] = true,
    [ts_external_token__r_dqt_esc_nwl] = true,
    [ts_external_token__br_dqt_esc_nwl] = true,
    [ts_external_token__r_dqt_esc_seq] = true,
    [ts_external_token__br_dqt_esc_seq] = true,
    [ts_external_token__r_dqt_str_end] = true,
    [ts_external_token__br_dqt_str_end] = true,
    [ts_external_token_comment] = true,
  },
  [54] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__r_flw_map_end] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token_comment] = true,
  },
  [55] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__r_flw_seq_end] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token_comment] = true,
  },
  [56] = {
    [ts_external_token__s_dir_yml_bgn] = true,
    [ts_external_token__s_dir_tag_bgn] = true,
    [ts_external_token__s_dir_rsv_bgn] = true,
    [ts_external_token__s_drs_end] = true,
    [ts_external_token_comment] = true,
  },
  [57] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__r_flw_njv_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token_comment] = true,
  },
  [58] = {
    [ts_external_token__r_blk_imp_bgn] = true,
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_blk] = true,
    [ts_external_token_comment] = true,
  },
  [59] = {
    [ts_external_token__eof] = true,
    [ts_external_token__s_drs_end] = true,
    [ts_external_token__s_doc_end] = true,
    [ts_external_token_comment] = true,
  },
  [60] = {
    [ts_external_token__r_sqt_str_ctn] = true,
    [ts_external_token__br_sqt_str_ctn] = true,
    [ts_external_token__r_sqt_esc_sqt] = true,
    [ts_external_token__br_sqt_esc_sqt] = true,
    [ts_external_token__r_sqt_str_end] = true,
    [ts_external_token__br_sqt_str_end] = true,
    [ts_external_token_comment] = true,
  },
  [61] = {
    [ts_external_token__r_flw_map_end] = true,
    [ts_external_token__br_flw_map_end] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token__br_flw_sep_bgn] = true,
    [ts_external_token__r_flw_njv_bgn] = true,
    [ts_external_token__br_flw_njv_bgn] = true,
    [ts_external_token_comment] = true,
  },
  [62] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__r_flw_map_end] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token__r_flw_njv_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token__r_tag] = true,
    [ts_external_token_comment] = true,
  },
  [63] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__r_flw_map_end] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token__r_flw_njv_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token__r_acr] = true,
    [ts_external_token_comment] = true,
  },
  [64] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__r_flw_seq_end] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token__r_flw_njv_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token__r_acr] = true,
    [ts_external_token_comment] = true,
  },
  [65] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__r_flw_seq_end] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token__r_flw_njv_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token__r_tag] = true,
    [ts_external_token_comment] = true,
  },
  [66] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__r_flw_map_end] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token__r_tag] = true,
    [ts_external_token_comment] = true,
  },
  [67] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__r_flw_map_end] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token__r_acr] = true,
    [ts_external_token_comment] = true,
  },
  [68] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__r_flw_seq_end] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token__r_tag] = true,
    [ts_external_token_comment] = true,
  },
  [69] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__r_flw_seq_end] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token__r_acr] = true,
    [ts_external_token_comment] = true,
  },
  [70] = {
    [ts_external_token__r_flw_map_end] = true,
    [ts_external_token__br_flw_map_end] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token__br_flw_sep_bgn] = true,
    [ts_external_token__r_flw_jsv_bgn] = true,
    [ts_external_token__br_flw_jsv_bgn] = true,
    [ts_external_token_comment] = true,
  },
  [71] = {
    [ts_external_token__br_dqt_str_ctn] = true,
    [ts_external_token__br_dqt_esc_nwl] = true,
    [ts_external_token__br_dqt_esc_seq] = true,
    [ts_external_token__r_dqt_str_end] = true,
    [ts_external_token__br_dqt_str_end] = true,
    [ts_external_token_comment] = true,
  },
  [72] = {
    [ts_external_token__r_flw_seq_end] = true,
    [ts_external_token__br_flw_seq_end] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token__br_flw_sep_bgn] = true,
    [ts_external_token__r_flw_njv_bgn] = true,
    [ts_external_token_comment] = true,
  },
  [73] = {
    [ts_external_token__r_blk_imp_bgn] = true,
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_blk] = true,
    [ts_external_token__r_acr] = true,
    [ts_external_token_comment] = true,
  },
  [74] = {
    [ts_external_token__r_blk_imp_bgn] = true,
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_blk] = true,
    [ts_external_token__r_tag] = true,
    [ts_external_token_comment] = true,
  },
  [75] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__r_flw_njv_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token__r_tag] = true,
    [ts_external_token_comment] = true,
  },
  [76] = {
    [ts_external_token__r_flw_seq_bgn] = true,
    [ts_external_token__r_flw_map_bgn] = true,
    [ts_external_token__r_flw_njv_bgn] = true,
    [ts_external_token__r_dqt_str_bgn] = true,
    [ts_external_token__r_sqt_str_bgn] = true,
    [ts_external_token__r_sgl_pln_flw] = true,
    [ts_external_token__r_acr] = true,
    [ts_external_token_comment] = true,
  },
  [77] = {
    [ts_external_token__r_flw_map_end] = true,
    [ts_external_token__br_flw_map_end] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token__br_flw_sep_bgn] = true,
    [ts_external_token_comment] = true,
  },
  [78] = {
    [ts_external_token__br_sqt_str_ctn] = true,
    [ts_external_token__br_sqt_esc_sqt] = true,
    [ts_external_token__r_sqt_str_end] = true,
    [ts_external_token__br_sqt_str_end] = true,
    [ts_external_token_comment] = true,
  },
  [79] = {
    [ts_external_token__s_dir_yml_bgn] = true,
    [ts_external_token__s_dir_tag_bgn] = true,
    [ts_external_token__s_dir_rsv_bgn] = true,
    [ts_external_token__r_dir_rsv_prm] = true,
    [ts_external_token__s_drs_end] = true,
    [ts_external_token_comment] = true,
  },
  [80] = {
    [ts_external_token__r_flw_seq_end] = true,
    [ts_external_token__br_flw_seq_end] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token__br_flw_sep_bgn] = true,
    [ts_external_token__r_flw_jsv_bgn] = true,
    [ts_external_token_comment] = true,
  },
  [81] = {
    [ts_external_token__r_flw_seq_end] = true,
    [ts_external_token__br_flw_seq_end] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token__br_flw_sep_bgn] = true,
    [ts_external_token_comment] = true,
  },
  [82] = {
    [ts_external_token__eof] = true,
    [ts_external_token__s_drs_end] = true,
    [ts_external_token__s_doc_end] = true,
    [ts_external_token__r_blk_imp_bgn] = true,
    [ts_external_token_comment] = true,
  },
  [83] = {
    [ts_external_token__r_flw_njv_bgn] = true,
    [ts_external_token__br_flw_njv_bgn] = true,
    [ts_external_token_comment] = true,
  },
  [84] = {
    [ts_external_token__r_sqt_str_ctn] = true,
    [ts_external_token__r_sqt_esc_sqt] = true,
    [ts_external_token__r_sqt_str_end] = true,
    [ts_external_token_comment] = true,
  },
  [85] = {
    [ts_external_token__r_flw_map_end] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token__r_flw_njv_bgn] = true,
    [ts_external_token_comment] = true,
  },
  [86] = {
    [ts_external_token__r_flw_map_end] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token__r_flw_jsv_bgn] = true,
    [ts_external_token_comment] = true,
  },
  [87] = {
    [ts_external_token__r_flw_map_end] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token_comment] = true,
  },
  [88] = {
    [ts_external_token__b_blk_seq_bgn] = true,
    [ts_external_token__bl] = true,
    [ts_external_token_comment] = true,
  },
  [89] = {
    [ts_external_token__r_dqt_str_ctn] = true,
    [ts_external_token__r_dqt_esc_seq] = true,
    [ts_external_token__r_dqt_str_end] = true,
    [ts_external_token_comment] = true,
  },
  [90] = {
    [ts_external_token__r_flw_seq_end] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token_comment] = true,
  },
  [91] = {
    [ts_external_token__b_blk_seq_bgn] = true,
    [ts_external_token__r_blk_imp_bgn] = true,
    [ts_external_token__bl] = true,
    [ts_external_token_comment] = true,
  },
  [92] = {
    [ts_external_token__r_flw_jsv_bgn] = true,
    [ts_external_token__br_flw_jsv_bgn] = true,
    [ts_external_token_comment] = true,
  },
  [93] = {
    [ts_external_token__r_flw_seq_end] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token__r_flw_njv_bgn] = true,
    [ts_external_token_comment] = true,
  },
  [94] = {
    [ts_external_token__r_flw_seq_end] = true,
    [ts_external_token__r_flw_sep_bgn] = true,
    [ts_external_token__r_flw_jsv_bgn] = true,
    [ts_external_token_comment] = true,
  },
  [95] = {
    [ts_external_token__br_blk_str_ctn] = true,
    [ts_external_token__bl] = true,
    [ts_external_token_comment] = true,
  },
  [96] = {
    [ts_external_token__r_flw_seq_end] = true,
    [ts_external_token__br_flw_seq_end] = true,
    [ts_external_token_comment] = true,
  },
  [97] = {
    [ts_external_token__r_flw_map_end] = true,
    [ts_external_token__br_flw_map_end] = true,
    [ts_external_token_comment] = true,
  },
  [98] = {
    [ts_external_token__r_blk_imp_bgn] = true,
    [ts_external_token_comment] = true,
  },
  [99] = {
    [ts_external_token__r_flw_njv_bgn] = true,
    [ts_external_token_comment] = true,
  },
  [100] = {
    [ts_external_token__r_flw_jsv_bgn] = true,
    [ts_external_token_comment] = true,
  },
  [101] = {
    [ts_external_token__r_dir_tag_pfx] = true,
    [ts_external_token_comment] = true,
  },
  [102] = {
    [ts_external_token__r_flw_seq_end] = true,
    [ts_external_token_comment] = true,
  },
  [103] = {
    [ts_external_token__r_flw_map_end] = true,
    [ts_external_token_comment] = true,
  },
  [104] = {
    [ts_external_token__eof] = true,
    [ts_external_token_comment] = true,
  },
  [105] = {
    [ts_external_token_comment] = true,
  },
  [106] = {
    [ts_external_token__r_dir_tag_hdl] = true,
    [ts_external_token_comment] = true,
  },
  [107] = {
    [ts_external_token__r_dir_yml_ver] = true,
    [ts_external_token_comment] = true,
  },
};

static uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__eof] = ACTIONS(1),
    [sym__s_dir_yml_bgn] = ACTIONS(1),
    [sym__r_dir_yml_ver] = ACTIONS(1),
    [sym__s_dir_tag_bgn] = ACTIONS(1),
    [sym__r_dir_tag_hdl] = ACTIONS(1),
    [sym__r_dir_tag_pfx] = ACTIONS(1),
    [sym__s_dir_rsv_bgn] = ACTIONS(1),
    [sym__r_dir_rsv_prm] = ACTIONS(1),
    [sym__s_drs_end] = ACTIONS(1),
    [sym__s_doc_end] = ACTIONS(1),
    [sym__r_blk_seq_bgn] = ACTIONS(1),
    [sym__br_blk_seq_bgn] = ACTIONS(1),
    [sym__b_blk_seq_bgn] = ACTIONS(1),
    [sym__r_blk_key_bgn] = ACTIONS(1),
    [sym__br_blk_key_bgn] = ACTIONS(1),
    [sym__b_blk_key_bgn] = ACTIONS(1),
    [sym__r_blk_val_bgn] = ACTIONS(1),
    [sym__br_blk_val_bgn] = ACTIONS(1),
    [sym__b_blk_val_bgn] = ACTIONS(1),
    [sym__r_blk_imp_bgn] = ACTIONS(1),
    [sym__r_blk_lit_bgn] = ACTIONS(1),
    [sym__br_blk_lit_bgn] = ACTIONS(1),
    [sym__r_blk_fld_bgn] = ACTIONS(1),
    [sym__br_blk_fld_bgn] = ACTIONS(1),
    [sym__br_blk_str_ctn] = ACTIONS(1),
    [sym__r_flw_seq_bgn] = ACTIONS(1),
    [sym__br_flw_seq_bgn] = ACTIONS(1),
    [sym__b_flw_seq_bgn] = ACTIONS(1),
    [sym__r_flw_seq_end] = ACTIONS(1),
    [sym__br_flw_seq_end] = ACTIONS(1),
    [sym__r_flw_map_bgn] = ACTIONS(1),
    [sym__br_flw_map_bgn] = ACTIONS(1),
    [sym__b_flw_map_bgn] = ACTIONS(1),
    [sym__r_flw_map_end] = ACTIONS(1),
    [sym__br_flw_map_end] = ACTIONS(1),
    [sym__r_flw_sep_bgn] = ACTIONS(1),
    [sym__br_flw_sep_bgn] = ACTIONS(1),
    [sym__r_flw_key_bgn] = ACTIONS(1),
    [sym__br_flw_key_bgn] = ACTIONS(1),
    [sym__r_flw_jsv_bgn] = ACTIONS(1),
    [sym__br_flw_jsv_bgn] = ACTIONS(1),
    [sym__r_flw_njv_bgn] = ACTIONS(1),
    [sym__br_flw_njv_bgn] = ACTIONS(1),
    [sym__r_dqt_str_bgn] = ACTIONS(1),
    [sym__br_dqt_str_bgn] = ACTIONS(1),
    [sym__b_dqt_str_bgn] = ACTIONS(1),
    [sym__r_dqt_str_ctn] = ACTIONS(1),
    [sym__br_dqt_str_ctn] = ACTIONS(1),
    [sym__r_dqt_esc_nwl] = ACTIONS(1),
    [sym__br_dqt_esc_nwl] = ACTIONS(1),
    [sym__r_dqt_esc_seq] = ACTIONS(1),
    [sym__br_dqt_esc_seq] = ACTIONS(1),
    [sym__r_dqt_str_end] = ACTIONS(1),
    [sym__br_dqt_str_end] = ACTIONS(1),
    [sym__r_sqt_str_bgn] = ACTIONS(1),
    [sym__br_sqt_str_bgn] = ACTIONS(1),
    [sym__b_sqt_str_bgn] = ACTIONS(1),
    [sym__r_sqt_str_ctn] = ACTIONS(1),
    [sym__br_sqt_str_ctn] = ACTIONS(1),
    [sym__r_sqt_esc_sqt] = ACTIONS(1),
    [sym__br_sqt_esc_sqt] = ACTIONS(1),
    [sym__r_sqt_str_end] = ACTIONS(1),
    [sym__br_sqt_str_end] = ACTIONS(1),
    [sym__r_sgl_pln_blk] = ACTIONS(1),
    [sym__br_sgl_pln_blk] = ACTIONS(1),
    [sym__b_sgl_pln_blk] = ACTIONS(1),
    [sym__r_sgl_pln_flw] = ACTIONS(1),
    [sym__br_sgl_pln_flw] = ACTIONS(1),
    [sym__r_mtl_pln_blk] = ACTIONS(1),
    [sym__br_mtl_pln_blk] = ACTIONS(1),
    [sym__r_mtl_pln_flw] = ACTIONS(1),
    [sym__br_mtl_pln_flw] = ACTIONS(1),
    [sym__r_tag] = ACTIONS(1),
    [sym__br_tag] = ACTIONS(1),
    [sym__b_tag] = ACTIONS(1),
    [sym__r_acr] = ACTIONS(1),
    [sym__br_acr] = ACTIONS(1),
    [sym__b_acr] = ACTIONS(1),
    [sym__r_als] = ACTIONS(1),
    [sym__br_als] = ACTIONS(1),
    [sym__b_als] = ACTIONS(1),
    [sym__bl] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_stream] = STATE(1323),
    [sym__bgn_imp_doc] = STATE(390),
    [sym__drs_doc] = STATE(391),
    [sym__exp_doc] = STATE(392),
    [sym__drs_doc_end] = STATE(35),
    [sym__exp_doc_end] = STATE(35),
    [sym__bgn_imp_doc_end] = STATE(35),
    [sym__doc_end] = STATE(35),
    [sym__exp_doc_tal] = STATE(946),
    [sym__s_dir] = STATE(387),
    [sym__s_dir_yml] = STATE(387),
    [sym__s_dir_tag] = STATE(387),
    [sym__s_dir_rsv] = STATE(387),
    [sym__r_prp_val] = STATE(946),
    [sym__br_prp_val] = STATE(946),
    [sym__r_sgl_prp_val] = STATE(1140),
    [sym__br_sgl_prp_val] = STATE(1149),
    [sym__r_prp] = STATE(79),
    [sym__br_prp] = STATE(80),
    [sym__r_sgl_prp] = STATE(393),
    [sym__br_sgl_prp] = STATE(394),
    [sym__r_blk_seq_r_val] = STATE(946),
    [sym__r_blk_seq_br_val] = STATE(946),
    [sym__br_blk_seq_val] = STATE(946),
    [sym__r_blk_seq] = STATE(948),
    [sym__br_blk_seq] = STATE(950),
    [sym__r_blk_seq_itm] = STATE(729),
    [sym__br_blk_seq_itm] = STATE(730),
    [sym__r_blk_map_r_val] = STATE(946),
    [sym__r_blk_map_br_val] = STATE(946),
    [sym__br_blk_map_val] = STATE(946),
    [sym__r_blk_map] = STATE(951),
    [sym__br_blk_map] = STATE(952),
    [sym__r_blk_map_itm] = STATE(108),
    [sym__br_blk_map_itm] = STATE(109),
    [sym__r_blk_exp_itm] = STATE(276),
    [sym__br_blk_exp_itm] = STATE(278),
    [sym__r_blk_key_itm] = STATE(237),
    [sym__br_blk_key_itm] = STATE(231),
    [sym__r_blk_val_itm] = STATE(279),
    [sym__br_blk_val_itm] = STATE(283),
    [sym__r_blk_imp_itm] = STATE(276),
    [sym__br_blk_imp_itm] = STATE(278),
    [sym__r_blk_str_val] = STATE(946),
    [sym__br_blk_str_val] = STATE(946),
    [sym__r_blk_str] = STATE(953),
    [sym__br_blk_str] = STATE(954),
    [sym__r_flw_seq_val] = STATE(946),
    [sym__br_flw_seq_val] = STATE(946),
    [sym__r_sgl_flw_seq_val] = STATE(1140),
    [sym__br_sgl_flw_seq_val] = STATE(1149),
    [sym__r_flw_seq] = STATE(955),
    [sym__br_flw_seq] = STATE(961),
    [sym__r_sgl_flw_seq] = STATE(1283),
    [sym__br_sgl_flw_seq] = STATE(1280),
    [sym__r_flw_map_val] = STATE(946),
    [sym__br_flw_map_val] = STATE(946),
    [sym__r_sgl_flw_map_val] = STATE(1140),
    [sym__br_sgl_flw_map_val] = STATE(1149),
    [sym__r_flw_map] = STATE(962),
    [sym__br_flw_map] = STATE(963),
    [sym__r_sgl_flw_map] = STATE(1272),
    [sym__br_sgl_flw_map] = STATE(1266),
    [sym__r_dqt_str_val] = STATE(946),
    [sym__br_dqt_str_val] = STATE(946),
    [sym__r_sgl_dqt_str_val] = STATE(1140),
    [sym__br_sgl_dqt_str_val] = STATE(1149),
    [sym__r_dqt_str] = STATE(965),
    [sym__br_dqt_str] = STATE(966),
    [sym__r_sgl_dqt_str] = STATE(1263),
    [sym__br_sgl_dqt_str] = STATE(1262),
    [sym__r_sqt_str_val] = STATE(946),
    [sym__br_sqt_str_val] = STATE(946),
    [sym__r_sgl_sqt_str_val] = STATE(1140),
    [sym__br_sgl_sqt_str_val] = STATE(1149),
    [sym__r_sqt_str] = STATE(967),
    [sym__br_sqt_str] = STATE(970),
    [sym__r_sgl_sqt_str] = STATE(1278),
    [sym__br_sgl_sqt_str] = STATE(1275),
    [sym__r_pln_blk_val] = STATE(946),
    [sym__br_pln_blk_val] = STATE(946),
    [sym__r_sgl_pln_blk_val] = STATE(1140),
    [sym__br_sgl_pln_blk_val] = STATE(1149),
    [sym__r_als_val] = STATE(663),
    [sym__br_als_val] = STATE(664),
    [aux_sym__drs_doc_repeat1] = STATE(387),
    [sym__eof] = ACTIONS(5),
    [sym__s_dir_yml_bgn] = ACTIONS(7),
    [sym__s_dir_tag_bgn] = ACTIONS(9),
    [sym__s_dir_rsv_bgn] = ACTIONS(11),
    [sym__s_drs_end] = ACTIONS(13),
    [sym__s_doc_end] = ACTIONS(15),
    [sym__r_blk_seq_bgn] = ACTIONS(17),
    [sym__br_blk_seq_bgn] = ACTIONS(19),
    [sym__r_blk_key_bgn] = ACTIONS(21),
    [sym__br_blk_key_bgn] = ACTIONS(23),
    [sym__r_blk_val_bgn] = ACTIONS(25),
    [sym__br_blk_val_bgn] = ACTIONS(27),
    [sym__r_blk_lit_bgn] = ACTIONS(29),
    [sym__br_blk_lit_bgn] = ACTIONS(31),
    [sym__r_blk_fld_bgn] = ACTIONS(29),
    [sym__br_blk_fld_bgn] = ACTIONS(31),
    [sym__r_flw_seq_bgn] = ACTIONS(33),
    [sym__br_flw_seq_bgn] = ACTIONS(35),
    [sym__r_flw_map_bgn] = ACTIONS(37),
    [sym__br_flw_map_bgn] = ACTIONS(39),
    [sym__r_dqt_str_bgn] = ACTIONS(41),
    [sym__br_dqt_str_bgn] = ACTIONS(43),
    [sym__r_sqt_str_bgn] = ACTIONS(45),
    [sym__br_sqt_str_bgn] = ACTIONS(47),
    [sym__r_sgl_pln_blk] = ACTIONS(49),
    [sym__br_sgl_pln_blk] = ACTIONS(51),
    [sym__r_mtl_pln_blk] = ACTIONS(53),
    [sym__br_mtl_pln_blk] = ACTIONS(55),
    [sym__r_tag] = ACTIONS(57),
    [sym__br_tag] = ACTIONS(59),
    [sym__r_acr] = ACTIONS(61),
    [sym__br_acr] = ACTIONS(63),
    [sym__r_als] = ACTIONS(65),
    [sym__br_als] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym__r_prp_val] = STATE(376),
    [sym__br_prp_val] = STATE(376),
    [sym__r_sgl_prp_val] = STATE(1140),
    [sym__br_sgl_prp_val] = STATE(1149),
    [sym__r_prp] = STATE(38),
    [sym__br_prp] = STATE(39),
    [sym__r_sgl_prp] = STATE(393),
    [sym__br_sgl_prp] = STATE(394),
    [sym__r_blk_seq_r_val] = STATE(376),
    [sym__r_blk_seq_br_val] = STATE(376),
    [sym__br_blk_seq_val] = STATE(376),
    [sym__r_blk_seq_spc_val] = STATE(376),
    [sym__br_blk_seq_spc_val] = STATE(376),
    [sym__b_blk_seq_spc_val] = STATE(376),
    [sym__r_blk_seq] = STATE(310),
    [sym__br_blk_seq] = STATE(312),
    [sym__b_blk_seq_spc] = STATE(363),
    [sym__r_blk_seq_itm] = STATE(799),
    [sym__br_blk_seq_itm] = STATE(798),
    [sym__b_blk_seq_itm] = STATE(758),
    [sym__blk_seq_itm_tal] = STATE(376),
    [sym__r_blk_map_r_val] = STATE(376),
    [sym__r_blk_map_br_val] = STATE(376),
    [sym__br_blk_map_val] = STATE(376),
    [sym__r_blk_map] = STATE(313),
    [sym__br_blk_map] = STATE(314),
    [sym__r_blk_map_itm] = STATE(107),
    [sym__br_blk_map_itm] = STATE(123),
    [sym__r_blk_exp_itm] = STATE(276),
    [sym__br_blk_exp_itm] = STATE(278),
    [sym__r_blk_key_itm] = STATE(237),
    [sym__br_blk_key_itm] = STATE(231),
    [sym__r_blk_val_itm] = STATE(279),
    [sym__br_blk_val_itm] = STATE(283),
    [sym__r_blk_imp_itm] = STATE(276),
    [sym__br_blk_imp_itm] = STATE(278),
    [sym__blk_exp_itm_tal] = STATE(376),
    [sym__r_blk_str_val] = STATE(376),
    [sym__br_blk_str_val] = STATE(376),
    [sym__r_blk_str] = STATE(318),
    [sym__br_blk_str] = STATE(320),
    [sym__r_flw_seq_val] = STATE(376),
    [sym__br_flw_seq_val] = STATE(376),
    [sym__r_sgl_flw_seq_val] = STATE(1140),
    [sym__br_sgl_flw_seq_val] = STATE(1149),
    [sym__r_flw_seq] = STATE(321),
    [sym__br_flw_seq] = STATE(322),
    [sym__r_sgl_flw_seq] = STATE(1283),
    [sym__br_sgl_flw_seq] = STATE(1280),
    [sym__r_flw_map_val] = STATE(376),
    [sym__br_flw_map_val] = STATE(376),
    [sym__r_sgl_flw_map_val] = STATE(1140),
    [sym__br_sgl_flw_map_val] = STATE(1149),
    [sym__r_flw_map] = STATE(324),
    [sym__br_flw_map] = STATE(325),
    [sym__r_sgl_flw_map] = STATE(1272),
    [sym__br_sgl_flw_map] = STATE(1266),
    [sym__r_dqt_str_val] = STATE(376),
    [sym__br_dqt_str_val] = STATE(376),
    [sym__r_sgl_dqt_str_val] = STATE(1140),
    [sym__br_sgl_dqt_str_val] = STATE(1149),
    [sym__r_dqt_str] = STATE(330),
    [sym__br_dqt_str] = STATE(338),
    [sym__r_sgl_dqt_str] = STATE(1263),
    [sym__br_sgl_dqt_str] = STATE(1262),
    [sym__r_sqt_str_val] = STATE(376),
    [sym__br_sqt_str_val] = STATE(376),
    [sym__r_sgl_sqt_str_val] = STATE(1140),
    [sym__br_sgl_sqt_str_val] = STATE(1149),
    [sym__r_sqt_str] = STATE(353),
    [sym__br_sqt_str] = STATE(356),
    [sym__r_sgl_sqt_str] = STATE(1278),
    [sym__br_sgl_sqt_str] = STATE(1275),
    [sym__r_pln_blk_val] = STATE(376),
    [sym__br_pln_blk_val] = STATE(376),
    [sym__r_sgl_pln_blk_val] = STATE(1140),
    [sym__br_sgl_pln_blk_val] = STATE(1149),
    [sym__r_als_val] = STATE(225),
    [sym__br_als_val] = STATE(227),
    [aux_sym__r_blk_seq_repeat1] = STATE(758),
    [sym__r_blk_seq_bgn] = ACTIONS(17),
    [sym__br_blk_seq_bgn] = ACTIONS(19),
    [sym__b_blk_seq_bgn] = ACTIONS(69),
    [sym__r_blk_key_bgn] = ACTIONS(21),
    [sym__br_blk_key_bgn] = ACTIONS(23),
    [sym__b_blk_key_bgn] = ACTIONS(71),
    [sym__r_blk_val_bgn] = ACTIONS(25),
    [sym__br_blk_val_bgn] = ACTIONS(27),
    [sym__b_blk_val_bgn] = ACTIONS(71),
    [sym__r_blk_lit_bgn] = ACTIONS(73),
    [sym__br_blk_lit_bgn] = ACTIONS(75),
    [sym__r_blk_fld_bgn] = ACTIONS(73),
    [sym__br_blk_fld_bgn] = ACTIONS(75),
    [sym__r_flw_seq_bgn] = ACTIONS(77),
    [sym__br_flw_seq_bgn] = ACTIONS(79),
    [sym__b_flw_seq_bgn] = ACTIONS(71),
    [sym__r_flw_map_bgn] = ACTIONS(81),
    [sym__br_flw_map_bgn] = ACTIONS(83),
    [sym__b_flw_map_bgn] = ACTIONS(71),
    [sym__r_dqt_str_bgn] = ACTIONS(85),
    [sym__br_dqt_str_bgn] = ACTIONS(87),
    [sym__b_dqt_str_bgn] = ACTIONS(71),
    [sym__r_sqt_str_bgn] = ACTIONS(89),
    [sym__br_sqt_str_bgn] = ACTIONS(91),
    [sym__b_sqt_str_bgn] = ACTIONS(71),
    [sym__r_sgl_pln_blk] = ACTIONS(93),
    [sym__br_sgl_pln_blk] = ACTIONS(95),
    [sym__b_sgl_pln_blk] = ACTIONS(71),
    [sym__r_mtl_pln_blk] = ACTIONS(97),
    [sym__br_mtl_pln_blk] = ACTIONS(99),
    [sym__r_tag] = ACTIONS(101),
    [sym__br_tag] = ACTIONS(103),
    [sym__b_tag] = ACTIONS(71),
    [sym__r_acr] = ACTIONS(105),
    [sym__br_acr] = ACTIONS(107),
    [sym__b_acr] = ACTIONS(71),
    [sym__r_als] = ACTIONS(109),
    [sym__br_als] = ACTIONS(111),
    [sym__b_als] = ACTIONS(71),
    [sym__bl] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym__r_prp_val] = STATE(372),
    [sym__br_prp_val] = STATE(372),
    [sym__r_sgl_prp_val] = STATE(1140),
    [sym__br_sgl_prp_val] = STATE(1149),
    [sym__r_prp] = STATE(38),
    [sym__br_prp] = STATE(39),
    [sym__r_sgl_prp] = STATE(393),
    [sym__br_sgl_prp] = STATE(394),
    [sym__r_blk_seq_r_val] = STATE(372),
    [sym__r_blk_seq_br_val] = STATE(372),
    [sym__br_blk_seq_val] = STATE(372),
    [sym__r_blk_seq_spc_val] = STATE(372),
    [sym__br_blk_seq_spc_val] = STATE(372),
    [sym__b_blk_seq_spc_val] = STATE(372),
    [sym__r_blk_seq] = STATE(310),
    [sym__br_blk_seq] = STATE(312),
    [sym__b_blk_seq_spc] = STATE(363),
    [sym__r_blk_seq_itm] = STATE(799),
    [sym__br_blk_seq_itm] = STATE(798),
    [sym__b_blk_seq_itm] = STATE(758),
    [sym__blk_seq_itm_tal] = STATE(372),
    [sym__r_blk_map_r_val] = STATE(372),
    [sym__r_blk_map_br_val] = STATE(372),
    [sym__br_blk_map_val] = STATE(372),
    [sym__r_blk_map] = STATE(313),
    [sym__br_blk_map] = STATE(314),
    [sym__r_blk_map_itm] = STATE(107),
    [sym__br_blk_map_itm] = STATE(123),
    [sym__r_blk_exp_itm] = STATE(276),
    [sym__br_blk_exp_itm] = STATE(278),
    [sym__r_blk_key_itm] = STATE(237),
    [sym__br_blk_key_itm] = STATE(231),
    [sym__r_blk_val_itm] = STATE(279),
    [sym__br_blk_val_itm] = STATE(283),
    [sym__r_blk_imp_itm] = STATE(276),
    [sym__br_blk_imp_itm] = STATE(278),
    [sym__blk_exp_itm_tal] = STATE(372),
    [sym__r_blk_str_val] = STATE(372),
    [sym__br_blk_str_val] = STATE(372),
    [sym__r_blk_str] = STATE(318),
    [sym__br_blk_str] = STATE(320),
    [sym__r_flw_seq_val] = STATE(372),
    [sym__br_flw_seq_val] = STATE(372),
    [sym__r_sgl_flw_seq_val] = STATE(1140),
    [sym__br_sgl_flw_seq_val] = STATE(1149),
    [sym__r_flw_seq] = STATE(321),
    [sym__br_flw_seq] = STATE(322),
    [sym__r_sgl_flw_seq] = STATE(1283),
    [sym__br_sgl_flw_seq] = STATE(1280),
    [sym__r_flw_map_val] = STATE(372),
    [sym__br_flw_map_val] = STATE(372),
    [sym__r_sgl_flw_map_val] = STATE(1140),
    [sym__br_sgl_flw_map_val] = STATE(1149),
    [sym__r_flw_map] = STATE(324),
    [sym__br_flw_map] = STATE(325),
    [sym__r_sgl_flw_map] = STATE(1272),
    [sym__br_sgl_flw_map] = STATE(1266),
    [sym__r_dqt_str_val] = STATE(372),
    [sym__br_dqt_str_val] = STATE(372),
    [sym__r_sgl_dqt_str_val] = STATE(1140),
    [sym__br_sgl_dqt_str_val] = STATE(1149),
    [sym__r_dqt_str] = STATE(330),
    [sym__br_dqt_str] = STATE(338),
    [sym__r_sgl_dqt_str] = STATE(1263),
    [sym__br_sgl_dqt_str] = STATE(1262),
    [sym__r_sqt_str_val] = STATE(372),
    [sym__br_sqt_str_val] = STATE(372),
    [sym__r_sgl_sqt_str_val] = STATE(1140),
    [sym__br_sgl_sqt_str_val] = STATE(1149),
    [sym__r_sqt_str] = STATE(353),
    [sym__br_sqt_str] = STATE(356),
    [sym__r_sgl_sqt_str] = STATE(1278),
    [sym__br_sgl_sqt_str] = STATE(1275),
    [sym__r_pln_blk_val] = STATE(372),
    [sym__br_pln_blk_val] = STATE(372),
    [sym__r_sgl_pln_blk_val] = STATE(1140),
    [sym__br_sgl_pln_blk_val] = STATE(1149),
    [sym__r_als_val] = STATE(225),
    [sym__br_als_val] = STATE(227),
    [aux_sym__r_blk_seq_repeat1] = STATE(758),
    [sym__r_blk_seq_bgn] = ACTIONS(17),
    [sym__br_blk_seq_bgn] = ACTIONS(19),
    [sym__b_blk_seq_bgn] = ACTIONS(69),
    [sym__r_blk_key_bgn] = ACTIONS(21),
    [sym__br_blk_key_bgn] = ACTIONS(23),
    [sym__b_blk_key_bgn] = ACTIONS(113),
    [sym__r_blk_val_bgn] = ACTIONS(25),
    [sym__br_blk_val_bgn] = ACTIONS(27),
    [sym__b_blk_val_bgn] = ACTIONS(113),
    [sym__r_blk_lit_bgn] = ACTIONS(73),
    [sym__br_blk_lit_bgn] = ACTIONS(75),
    [sym__r_blk_fld_bgn] = ACTIONS(73),
    [sym__br_blk_fld_bgn] = ACTIONS(75),
    [sym__r_flw_seq_bgn] = ACTIONS(77),
    [sym__br_flw_seq_bgn] = ACTIONS(79),
    [sym__b_flw_seq_bgn] = ACTIONS(113),
    [sym__r_flw_map_bgn] = ACTIONS(81),
    [sym__br_flw_map_bgn] = ACTIONS(83),
    [sym__b_flw_map_bgn] = ACTIONS(113),
    [sym__r_dqt_str_bgn] = ACTIONS(85),
    [sym__br_dqt_str_bgn] = ACTIONS(87),
    [sym__b_dqt_str_bgn] = ACTIONS(113),
    [sym__r_sqt_str_bgn] = ACTIONS(89),
    [sym__br_sqt_str_bgn] = ACTIONS(91),
    [sym__b_sqt_str_bgn] = ACTIONS(113),
    [sym__r_sgl_pln_blk] = ACTIONS(93),
    [sym__br_sgl_pln_blk] = ACTIONS(95),
    [sym__b_sgl_pln_blk] = ACTIONS(113),
    [sym__r_mtl_pln_blk] = ACTIONS(97),
    [sym__br_mtl_pln_blk] = ACTIONS(99),
    [sym__r_tag] = ACTIONS(101),
    [sym__br_tag] = ACTIONS(103),
    [sym__b_tag] = ACTIONS(113),
    [sym__r_acr] = ACTIONS(105),
    [sym__br_acr] = ACTIONS(107),
    [sym__b_acr] = ACTIONS(113),
    [sym__r_als] = ACTIONS(109),
    [sym__br_als] = ACTIONS(111),
    [sym__b_als] = ACTIONS(113),
    [sym__bl] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym__r_prp_val] = STATE(373),
    [sym__br_prp_val] = STATE(373),
    [sym__r_sgl_prp_val] = STATE(1140),
    [sym__br_sgl_prp_val] = STATE(1149),
    [sym__r_prp] = STATE(38),
    [sym__br_prp] = STATE(39),
    [sym__r_sgl_prp] = STATE(393),
    [sym__br_sgl_prp] = STATE(394),
    [sym__r_blk_seq_r_val] = STATE(373),
    [sym__r_blk_seq_br_val] = STATE(373),
    [sym__br_blk_seq_val] = STATE(373),
    [sym__r_blk_seq_spc_val] = STATE(373),
    [sym__br_blk_seq_spc_val] = STATE(373),
    [sym__b_blk_seq_spc_val] = STATE(373),
    [sym__r_blk_seq] = STATE(310),
    [sym__br_blk_seq] = STATE(312),
    [sym__b_blk_seq_spc] = STATE(363),
    [sym__r_blk_seq_itm] = STATE(799),
    [sym__br_blk_seq_itm] = STATE(798),
    [sym__b_blk_seq_itm] = STATE(758),
    [sym__blk_seq_itm_tal] = STATE(373),
    [sym__r_blk_map_r_val] = STATE(373),
    [sym__r_blk_map_br_val] = STATE(373),
    [sym__br_blk_map_val] = STATE(373),
    [sym__r_blk_map] = STATE(313),
    [sym__br_blk_map] = STATE(314),
    [sym__r_blk_map_itm] = STATE(107),
    [sym__br_blk_map_itm] = STATE(123),
    [sym__r_blk_exp_itm] = STATE(276),
    [sym__br_blk_exp_itm] = STATE(278),
    [sym__r_blk_key_itm] = STATE(237),
    [sym__br_blk_key_itm] = STATE(231),
    [sym__r_blk_val_itm] = STATE(279),
    [sym__br_blk_val_itm] = STATE(283),
    [sym__r_blk_imp_itm] = STATE(276),
    [sym__br_blk_imp_itm] = STATE(278),
    [sym__blk_exp_itm_tal] = STATE(373),
    [sym__r_blk_str_val] = STATE(373),
    [sym__br_blk_str_val] = STATE(373),
    [sym__r_blk_str] = STATE(318),
    [sym__br_blk_str] = STATE(320),
    [sym__r_flw_seq_val] = STATE(373),
    [sym__br_flw_seq_val] = STATE(373),
    [sym__r_sgl_flw_seq_val] = STATE(1140),
    [sym__br_sgl_flw_seq_val] = STATE(1149),
    [sym__r_flw_seq] = STATE(321),
    [sym__br_flw_seq] = STATE(322),
    [sym__r_sgl_flw_seq] = STATE(1283),
    [sym__br_sgl_flw_seq] = STATE(1280),
    [sym__r_flw_map_val] = STATE(373),
    [sym__br_flw_map_val] = STATE(373),
    [sym__r_sgl_flw_map_val] = STATE(1140),
    [sym__br_sgl_flw_map_val] = STATE(1149),
    [sym__r_flw_map] = STATE(324),
    [sym__br_flw_map] = STATE(325),
    [sym__r_sgl_flw_map] = STATE(1272),
    [sym__br_sgl_flw_map] = STATE(1266),
    [sym__r_dqt_str_val] = STATE(373),
    [sym__br_dqt_str_val] = STATE(373),
    [sym__r_sgl_dqt_str_val] = STATE(1140),
    [sym__br_sgl_dqt_str_val] = STATE(1149),
    [sym__r_dqt_str] = STATE(330),
    [sym__br_dqt_str] = STATE(338),
    [sym__r_sgl_dqt_str] = STATE(1263),
    [sym__br_sgl_dqt_str] = STATE(1262),
    [sym__r_sqt_str_val] = STATE(373),
    [sym__br_sqt_str_val] = STATE(373),
    [sym__r_sgl_sqt_str_val] = STATE(1140),
    [sym__br_sgl_sqt_str_val] = STATE(1149),
    [sym__r_sqt_str] = STATE(353),
    [sym__br_sqt_str] = STATE(356),
    [sym__r_sgl_sqt_str] = STATE(1278),
    [sym__br_sgl_sqt_str] = STATE(1275),
    [sym__r_pln_blk_val] = STATE(373),
    [sym__br_pln_blk_val] = STATE(373),
    [sym__r_sgl_pln_blk_val] = STATE(1140),
    [sym__br_sgl_pln_blk_val] = STATE(1149),
    [sym__r_als_val] = STATE(225),
    [sym__br_als_val] = STATE(227),
    [aux_sym__r_blk_seq_repeat1] = STATE(758),
    [sym__r_blk_seq_bgn] = ACTIONS(17),
    [sym__br_blk_seq_bgn] = ACTIONS(19),
    [sym__b_blk_seq_bgn] = ACTIONS(69),
    [sym__r_blk_key_bgn] = ACTIONS(21),
    [sym__br_blk_key_bgn] = ACTIONS(23),
    [sym__b_blk_key_bgn] = ACTIONS(115),
    [sym__r_blk_val_bgn] = ACTIONS(25),
    [sym__br_blk_val_bgn] = ACTIONS(27),
    [sym__b_blk_val_bgn] = ACTIONS(115),
    [sym__r_blk_lit_bgn] = ACTIONS(73),
    [sym__br_blk_lit_bgn] = ACTIONS(75),
    [sym__r_blk_fld_bgn] = ACTIONS(73),
    [sym__br_blk_fld_bgn] = ACTIONS(75),
    [sym__r_flw_seq_bgn] = ACTIONS(77),
    [sym__br_flw_seq_bgn] = ACTIONS(79),
    [sym__b_flw_seq_bgn] = ACTIONS(115),
    [sym__r_flw_map_bgn] = ACTIONS(81),
    [sym__br_flw_map_bgn] = ACTIONS(83),
    [sym__b_flw_map_bgn] = ACTIONS(115),
    [sym__r_dqt_str_bgn] = ACTIONS(85),
    [sym__br_dqt_str_bgn] = ACTIONS(87),
    [sym__b_dqt_str_bgn] = ACTIONS(115),
    [sym__r_sqt_str_bgn] = ACTIONS(89),
    [sym__br_sqt_str_bgn] = ACTIONS(91),
    [sym__b_sqt_str_bgn] = ACTIONS(115),
    [sym__r_sgl_pln_blk] = ACTIONS(93),
    [sym__br_sgl_pln_blk] = ACTIONS(95),
    [sym__b_sgl_pln_blk] = ACTIONS(115),
    [sym__r_mtl_pln_blk] = ACTIONS(97),
    [sym__br_mtl_pln_blk] = ACTIONS(99),
    [sym__r_tag] = ACTIONS(101),
    [sym__br_tag] = ACTIONS(103),
    [sym__b_tag] = ACTIONS(115),
    [sym__r_acr] = ACTIONS(105),
    [sym__br_acr] = ACTIONS(107),
    [sym__b_acr] = ACTIONS(115),
    [sym__r_als] = ACTIONS(109),
    [sym__br_als] = ACTIONS(111),
    [sym__b_als] = ACTIONS(115),
    [sym__bl] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym__r_prp_val] = STATE(378),
    [sym__br_prp_val] = STATE(378),
    [sym__r_sgl_prp_val] = STATE(1140),
    [sym__br_sgl_prp_val] = STATE(1149),
    [sym__r_prp] = STATE(38),
    [sym__br_prp] = STATE(39),
    [sym__r_sgl_prp] = STATE(393),
    [sym__br_sgl_prp] = STATE(394),
    [sym__r_blk_seq_r_val] = STATE(378),
    [sym__r_blk_seq_br_val] = STATE(378),
    [sym__br_blk_seq_val] = STATE(378),
    [sym__r_blk_seq_spc_val] = STATE(378),
    [sym__br_blk_seq_spc_val] = STATE(378),
    [sym__b_blk_seq_spc_val] = STATE(378),
    [sym__r_blk_seq] = STATE(310),
    [sym__br_blk_seq] = STATE(312),
    [sym__b_blk_seq_spc] = STATE(363),
    [sym__r_blk_seq_itm] = STATE(799),
    [sym__br_blk_seq_itm] = STATE(798),
    [sym__b_blk_seq_itm] = STATE(758),
    [sym__blk_seq_itm_tal] = STATE(378),
    [sym__r_blk_map_r_val] = STATE(378),
    [sym__r_blk_map_br_val] = STATE(378),
    [sym__br_blk_map_val] = STATE(378),
    [sym__r_blk_map] = STATE(313),
    [sym__br_blk_map] = STATE(314),
    [sym__r_blk_map_itm] = STATE(107),
    [sym__br_blk_map_itm] = STATE(123),
    [sym__r_blk_exp_itm] = STATE(276),
    [sym__br_blk_exp_itm] = STATE(278),
    [sym__r_blk_key_itm] = STATE(237),
    [sym__br_blk_key_itm] = STATE(231),
    [sym__r_blk_val_itm] = STATE(279),
    [sym__br_blk_val_itm] = STATE(283),
    [sym__r_blk_imp_itm] = STATE(276),
    [sym__br_blk_imp_itm] = STATE(278),
    [sym__blk_exp_itm_tal] = STATE(378),
    [sym__r_blk_str_val] = STATE(378),
    [sym__br_blk_str_val] = STATE(378),
    [sym__r_blk_str] = STATE(318),
    [sym__br_blk_str] = STATE(320),
    [sym__r_flw_seq_val] = STATE(378),
    [sym__br_flw_seq_val] = STATE(378),
    [sym__r_sgl_flw_seq_val] = STATE(1140),
    [sym__br_sgl_flw_seq_val] = STATE(1149),
    [sym__r_flw_seq] = STATE(321),
    [sym__br_flw_seq] = STATE(322),
    [sym__r_sgl_flw_seq] = STATE(1283),
    [sym__br_sgl_flw_seq] = STATE(1280),
    [sym__r_flw_map_val] = STATE(378),
    [sym__br_flw_map_val] = STATE(378),
    [sym__r_sgl_flw_map_val] = STATE(1140),
    [sym__br_sgl_flw_map_val] = STATE(1149),
    [sym__r_flw_map] = STATE(324),
    [sym__br_flw_map] = STATE(325),
    [sym__r_sgl_flw_map] = STATE(1272),
    [sym__br_sgl_flw_map] = STATE(1266),
    [sym__r_dqt_str_val] = STATE(378),
    [sym__br_dqt_str_val] = STATE(378),
    [sym__r_sgl_dqt_str_val] = STATE(1140),
    [sym__br_sgl_dqt_str_val] = STATE(1149),
    [sym__r_dqt_str] = STATE(330),
    [sym__br_dqt_str] = STATE(338),
    [sym__r_sgl_dqt_str] = STATE(1263),
    [sym__br_sgl_dqt_str] = STATE(1262),
    [sym__r_sqt_str_val] = STATE(378),
    [sym__br_sqt_str_val] = STATE(378),
    [sym__r_sgl_sqt_str_val] = STATE(1140),
    [sym__br_sgl_sqt_str_val] = STATE(1149),
    [sym__r_sqt_str] = STATE(353),
    [sym__br_sqt_str] = STATE(356),
    [sym__r_sgl_sqt_str] = STATE(1278),
    [sym__br_sgl_sqt_str] = STATE(1275),
    [sym__r_pln_blk_val] = STATE(378),
    [sym__br_pln_blk_val] = STATE(378),
    [sym__r_sgl_pln_blk_val] = STATE(1140),
    [sym__br_sgl_pln_blk_val] = STATE(1149),
    [sym__r_als_val] = STATE(225),
    [sym__br_als_val] = STATE(227),
    [aux_sym__r_blk_seq_repeat1] = STATE(758),
    [sym__r_blk_seq_bgn] = ACTIONS(17),
    [sym__br_blk_seq_bgn] = ACTIONS(19),
    [sym__b_blk_seq_bgn] = ACTIONS(69),
    [sym__r_blk_key_bgn] = ACTIONS(21),
    [sym__br_blk_key_bgn] = ACTIONS(23),
    [sym__b_blk_key_bgn] = ACTIONS(117),
    [sym__r_blk_val_bgn] = ACTIONS(25),
    [sym__br_blk_val_bgn] = ACTIONS(27),
    [sym__b_blk_val_bgn] = ACTIONS(117),
    [sym__r_blk_lit_bgn] = ACTIONS(73),
    [sym__br_blk_lit_bgn] = ACTIONS(75),
    [sym__r_blk_fld_bgn] = ACTIONS(73),
    [sym__br_blk_fld_bgn] = ACTIONS(75),
    [sym__r_flw_seq_bgn] = ACTIONS(77),
    [sym__br_flw_seq_bgn] = ACTIONS(79),
    [sym__b_flw_seq_bgn] = ACTIONS(117),
    [sym__r_flw_map_bgn] = ACTIONS(81),
    [sym__br_flw_map_bgn] = ACTIONS(83),
    [sym__b_flw_map_bgn] = ACTIONS(117),
    [sym__r_dqt_str_bgn] = ACTIONS(85),
    [sym__br_dqt_str_bgn] = ACTIONS(87),
    [sym__b_dqt_str_bgn] = ACTIONS(117),
    [sym__r_sqt_str_bgn] = ACTIONS(89),
    [sym__br_sqt_str_bgn] = ACTIONS(91),
    [sym__b_sqt_str_bgn] = ACTIONS(117),
    [sym__r_sgl_pln_blk] = ACTIONS(93),
    [sym__br_sgl_pln_blk] = ACTIONS(95),
    [sym__b_sgl_pln_blk] = ACTIONS(117),
    [sym__r_mtl_pln_blk] = ACTIONS(97),
    [sym__br_mtl_pln_blk] = ACTIONS(99),
    [sym__r_tag] = ACTIONS(101),
    [sym__br_tag] = ACTIONS(103),
    [sym__b_tag] = ACTIONS(117),
    [sym__r_acr] = ACTIONS(105),
    [sym__br_acr] = ACTIONS(107),
    [sym__b_acr] = ACTIONS(117),
    [sym__r_als] = ACTIONS(109),
    [sym__br_als] = ACTIONS(111),
    [sym__b_als] = ACTIONS(117),
    [sym__bl] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym__r_prp_val] = STATE(365),
    [sym__br_prp_val] = STATE(365),
    [sym__r_sgl_prp_val] = STATE(1140),
    [sym__br_sgl_prp_val] = STATE(1149),
    [sym__r_prp] = STATE(38),
    [sym__br_prp] = STATE(39),
    [sym__r_sgl_prp] = STATE(393),
    [sym__br_sgl_prp] = STATE(394),
    [sym__r_blk_seq_r_val] = STATE(365),
    [sym__r_blk_seq_br_val] = STATE(365),
    [sym__br_blk_seq_val] = STATE(365),
    [sym__r_blk_seq_spc_val] = STATE(365),
    [sym__br_blk_seq_spc_val] = STATE(365),
    [sym__b_blk_seq_spc_val] = STATE(365),
    [sym__r_blk_seq] = STATE(310),
    [sym__br_blk_seq] = STATE(312),
    [sym__b_blk_seq_spc] = STATE(363),
    [sym__r_blk_seq_itm] = STATE(799),
    [sym__br_blk_seq_itm] = STATE(798),
    [sym__b_blk_seq_itm] = STATE(758),
    [sym__blk_seq_itm_tal] = STATE(365),
    [sym__r_blk_map_r_val] = STATE(365),
    [sym__r_blk_map_br_val] = STATE(365),
    [sym__br_blk_map_val] = STATE(365),
    [sym__r_blk_map] = STATE(313),
    [sym__br_blk_map] = STATE(314),
    [sym__r_blk_map_itm] = STATE(107),
    [sym__br_blk_map_itm] = STATE(123),
    [sym__r_blk_exp_itm] = STATE(276),
    [sym__br_blk_exp_itm] = STATE(278),
    [sym__r_blk_key_itm] = STATE(237),
    [sym__br_blk_key_itm] = STATE(231),
    [sym__r_blk_val_itm] = STATE(279),
    [sym__br_blk_val_itm] = STATE(283),
    [sym__r_blk_imp_itm] = STATE(276),
    [sym__br_blk_imp_itm] = STATE(278),
    [sym__blk_exp_itm_tal] = STATE(365),
    [sym__r_blk_str_val] = STATE(365),
    [sym__br_blk_str_val] = STATE(365),
    [sym__r_blk_str] = STATE(318),
    [sym__br_blk_str] = STATE(320),
    [sym__r_flw_seq_val] = STATE(365),
    [sym__br_flw_seq_val] = STATE(365),
    [sym__r_sgl_flw_seq_val] = STATE(1140),
    [sym__br_sgl_flw_seq_val] = STATE(1149),
    [sym__r_flw_seq] = STATE(321),
    [sym__br_flw_seq] = STATE(322),
    [sym__r_sgl_flw_seq] = STATE(1283),
    [sym__br_sgl_flw_seq] = STATE(1280),
    [sym__r_flw_map_val] = STATE(365),
    [sym__br_flw_map_val] = STATE(365),
    [sym__r_sgl_flw_map_val] = STATE(1140),
    [sym__br_sgl_flw_map_val] = STATE(1149),
    [sym__r_flw_map] = STATE(324),
    [sym__br_flw_map] = STATE(325),
    [sym__r_sgl_flw_map] = STATE(1272),
    [sym__br_sgl_flw_map] = STATE(1266),
    [sym__r_dqt_str_val] = STATE(365),
    [sym__br_dqt_str_val] = STATE(365),
    [sym__r_sgl_dqt_str_val] = STATE(1140),
    [sym__br_sgl_dqt_str_val] = STATE(1149),
    [sym__r_dqt_str] = STATE(330),
    [sym__br_dqt_str] = STATE(338),
    [sym__r_sgl_dqt_str] = STATE(1263),
    [sym__br_sgl_dqt_str] = STATE(1262),
    [sym__r_sqt_str_val] = STATE(365),
    [sym__br_sqt_str_val] = STATE(365),
    [sym__r_sgl_sqt_str_val] = STATE(1140),
    [sym__br_sgl_sqt_str_val] = STATE(1149),
    [sym__r_sqt_str] = STATE(353),
    [sym__br_sqt_str] = STATE(356),
    [sym__r_sgl_sqt_str] = STATE(1278),
    [sym__br_sgl_sqt_str] = STATE(1275),
    [sym__r_pln_blk_val] = STATE(365),
    [sym__br_pln_blk_val] = STATE(365),
    [sym__r_sgl_pln_blk_val] = STATE(1140),
    [sym__br_sgl_pln_blk_val] = STATE(1149),
    [sym__r_als_val] = STATE(225),
    [sym__br_als_val] = STATE(227),
    [aux_sym__r_blk_seq_repeat1] = STATE(758),
    [sym__r_blk_seq_bgn] = ACTIONS(17),
    [sym__br_blk_seq_bgn] = ACTIONS(19),
    [sym__b_blk_seq_bgn] = ACTIONS(69),
    [sym__r_blk_key_bgn] = ACTIONS(21),
    [sym__br_blk_key_bgn] = ACTIONS(23),
    [sym__b_blk_key_bgn] = ACTIONS(119),
    [sym__r_blk_val_bgn] = ACTIONS(25),
    [sym__br_blk_val_bgn] = ACTIONS(27),
    [sym__b_blk_val_bgn] = ACTIONS(119),
    [sym__r_blk_lit_bgn] = ACTIONS(73),
    [sym__br_blk_lit_bgn] = ACTIONS(75),
    [sym__r_blk_fld_bgn] = ACTIONS(73),
    [sym__br_blk_fld_bgn] = ACTIONS(75),
    [sym__r_flw_seq_bgn] = ACTIONS(77),
    [sym__br_flw_seq_bgn] = ACTIONS(79),
    [sym__b_flw_seq_bgn] = ACTIONS(119),
    [sym__r_flw_map_bgn] = ACTIONS(81),
    [sym__br_flw_map_bgn] = ACTIONS(83),
    [sym__b_flw_map_bgn] = ACTIONS(119),
    [sym__r_dqt_str_bgn] = ACTIONS(85),
    [sym__br_dqt_str_bgn] = ACTIONS(87),
    [sym__b_dqt_str_bgn] = ACTIONS(119),
    [sym__r_sqt_str_bgn] = ACTIONS(89),
    [sym__br_sqt_str_bgn] = ACTIONS(91),
    [sym__b_sqt_str_bgn] = ACTIONS(119),
    [sym__r_sgl_pln_blk] = ACTIONS(93),
    [sym__br_sgl_pln_blk] = ACTIONS(95),
    [sym__b_sgl_pln_blk] = ACTIONS(119),
    [sym__r_mtl_pln_blk] = ACTIONS(97),
    [sym__br_mtl_pln_blk] = ACTIONS(99),
    [sym__r_tag] = ACTIONS(101),
    [sym__br_tag] = ACTIONS(103),
    [sym__b_tag] = ACTIONS(119),
    [sym__r_acr] = ACTIONS(105),
    [sym__br_acr] = ACTIONS(107),
    [sym__b_acr] = ACTIONS(119),
    [sym__r_als] = ACTIONS(109),
    [sym__br_als] = ACTIONS(111),
    [sym__b_als] = ACTIONS(119),
    [sym__bl] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym__r_prp_val] = STATE(370),
    [sym__br_prp_val] = STATE(370),
    [sym__r_sgl_prp_val] = STATE(1140),
    [sym__br_sgl_prp_val] = STATE(1149),
    [sym__r_prp] = STATE(38),
    [sym__br_prp] = STATE(39),
    [sym__r_sgl_prp] = STATE(393),
    [sym__br_sgl_prp] = STATE(394),
    [sym__r_blk_seq_r_val] = STATE(370),
    [sym__r_blk_seq_br_val] = STATE(370),
    [sym__br_blk_seq_val] = STATE(370),
    [sym__r_blk_seq_spc_val] = STATE(370),
    [sym__br_blk_seq_spc_val] = STATE(370),
    [sym__b_blk_seq_spc_val] = STATE(370),
    [sym__r_blk_seq] = STATE(310),
    [sym__br_blk_seq] = STATE(312),
    [sym__b_blk_seq_spc] = STATE(363),
    [sym__r_blk_seq_itm] = STATE(799),
    [sym__br_blk_seq_itm] = STATE(798),
    [sym__b_blk_seq_itm] = STATE(758),
    [sym__blk_seq_itm_tal] = STATE(370),
    [sym__r_blk_map_r_val] = STATE(370),
    [sym__r_blk_map_br_val] = STATE(370),
    [sym__br_blk_map_val] = STATE(370),
    [sym__r_blk_map] = STATE(313),
    [sym__br_blk_map] = STATE(314),
    [sym__r_blk_map_itm] = STATE(107),
    [sym__br_blk_map_itm] = STATE(123),
    [sym__r_blk_exp_itm] = STATE(276),
    [sym__br_blk_exp_itm] = STATE(278),
    [sym__r_blk_key_itm] = STATE(237),
    [sym__br_blk_key_itm] = STATE(231),
    [sym__r_blk_val_itm] = STATE(279),
    [sym__br_blk_val_itm] = STATE(283),
    [sym__r_blk_imp_itm] = STATE(276),
    [sym__br_blk_imp_itm] = STATE(278),
    [sym__blk_exp_itm_tal] = STATE(370),
    [sym__r_blk_str_val] = STATE(370),
    [sym__br_blk_str_val] = STATE(370),
    [sym__r_blk_str] = STATE(318),
    [sym__br_blk_str] = STATE(320),
    [sym__r_flw_seq_val] = STATE(370),
    [sym__br_flw_seq_val] = STATE(370),
    [sym__r_sgl_flw_seq_val] = STATE(1140),
    [sym__br_sgl_flw_seq_val] = STATE(1149),
    [sym__r_flw_seq] = STATE(321),
    [sym__br_flw_seq] = STATE(322),
    [sym__r_sgl_flw_seq] = STATE(1283),
    [sym__br_sgl_flw_seq] = STATE(1280),
    [sym__r_flw_map_val] = STATE(370),
    [sym__br_flw_map_val] = STATE(370),
    [sym__r_sgl_flw_map_val] = STATE(1140),
    [sym__br_sgl_flw_map_val] = STATE(1149),
    [sym__r_flw_map] = STATE(324),
    [sym__br_flw_map] = STATE(325),
    [sym__r_sgl_flw_map] = STATE(1272),
    [sym__br_sgl_flw_map] = STATE(1266),
    [sym__r_dqt_str_val] = STATE(370),
    [sym__br_dqt_str_val] = STATE(370),
    [sym__r_sgl_dqt_str_val] = STATE(1140),
    [sym__br_sgl_dqt_str_val] = STATE(1149),
    [sym__r_dqt_str] = STATE(330),
    [sym__br_dqt_str] = STATE(338),
    [sym__r_sgl_dqt_str] = STATE(1263),
    [sym__br_sgl_dqt_str] = STATE(1262),
    [sym__r_sqt_str_val] = STATE(370),
    [sym__br_sqt_str_val] = STATE(370),
    [sym__r_sgl_sqt_str_val] = STATE(1140),
    [sym__br_sgl_sqt_str_val] = STATE(1149),
    [sym__r_sqt_str] = STATE(353),
    [sym__br_sqt_str] = STATE(356),
    [sym__r_sgl_sqt_str] = STATE(1278),
    [sym__br_sgl_sqt_str] = STATE(1275),
    [sym__r_pln_blk_val] = STATE(370),
    [sym__br_pln_blk_val] = STATE(370),
    [sym__r_sgl_pln_blk_val] = STATE(1140),
    [sym__br_sgl_pln_blk_val] = STATE(1149),
    [sym__r_als_val] = STATE(225),
    [sym__br_als_val] = STATE(227),
    [aux_sym__r_blk_seq_repeat1] = STATE(758),
    [sym__r_blk_seq_bgn] = ACTIONS(17),
    [sym__br_blk_seq_bgn] = ACTIONS(19),
    [sym__b_blk_seq_bgn] = ACTIONS(69),
    [sym__r_blk_key_bgn] = ACTIONS(21),
    [sym__br_blk_key_bgn] = ACTIONS(23),
    [sym__b_blk_key_bgn] = ACTIONS(121),
    [sym__r_blk_val_bgn] = ACTIONS(25),
    [sym__br_blk_val_bgn] = ACTIONS(27),
    [sym__b_blk_val_bgn] = ACTIONS(121),
    [sym__r_blk_lit_bgn] = ACTIONS(73),
    [sym__br_blk_lit_bgn] = ACTIONS(75),
    [sym__r_blk_fld_bgn] = ACTIONS(73),
    [sym__br_blk_fld_bgn] = ACTIONS(75),
    [sym__r_flw_seq_bgn] = ACTIONS(77),
    [sym__br_flw_seq_bgn] = ACTIONS(79),
    [sym__b_flw_seq_bgn] = ACTIONS(121),
    [sym__r_flw_map_bgn] = ACTIONS(81),
    [sym__br_flw_map_bgn] = ACTIONS(83),
    [sym__b_flw_map_bgn] = ACTIONS(121),
    [sym__r_dqt_str_bgn] = ACTIONS(85),
    [sym__br_dqt_str_bgn] = ACTIONS(87),
    [sym__b_dqt_str_bgn] = ACTIONS(121),
    [sym__r_sqt_str_bgn] = ACTIONS(89),
    [sym__br_sqt_str_bgn] = ACTIONS(91),
    [sym__b_sqt_str_bgn] = ACTIONS(121),
    [sym__r_sgl_pln_blk] = ACTIONS(93),
    [sym__br_sgl_pln_blk] = ACTIONS(95),
    [sym__b_sgl_pln_blk] = ACTIONS(121),
    [sym__r_mtl_pln_blk] = ACTIONS(97),
    [sym__br_mtl_pln_blk] = ACTIONS(99),
    [sym__r_tag] = ACTIONS(101),
    [sym__br_tag] = ACTIONS(103),
    [sym__b_tag] = ACTIONS(121),
    [sym__r_acr] = ACTIONS(105),
    [sym__br_acr] = ACTIONS(107),
    [sym__b_acr] = ACTIONS(121),
    [sym__r_als] = ACTIONS(109),
    [sym__br_als] = ACTIONS(111),
    [sym__b_als] = ACTIONS(121),
    [sym__bl] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
  },
  [8] = {
    [sym__r_prp_val] = STATE(1143),
    [sym__br_prp_val] = STATE(1143),
    [sym__r_sgl_prp_val] = STATE(1140),
    [sym__br_sgl_prp_val] = STATE(1149),
    [sym__r_prp] = STATE(81),
    [sym__br_prp] = STATE(82),
    [sym__r_sgl_prp] = STATE(393),
    [sym__br_sgl_prp] = STATE(394),
    [sym__r_blk_seq_r_val] = STATE(1143),
    [sym__r_blk_seq_br_val] = STATE(1143),
    [sym__br_blk_seq_val] = STATE(1143),
    [sym__r_blk_seq] = STATE(1184),
    [sym__br_blk_seq] = STATE(1200),
    [sym__r_blk_seq_itm] = STATE(829),
    [sym__br_blk_seq_itm] = STATE(827),
    [sym__blk_seq_itm_tal] = STATE(1143),
    [sym__r_blk_map_r_val] = STATE(1143),
    [sym__r_blk_map_br_val] = STATE(1143),
    [sym__br_blk_map_val] = STATE(1143),
    [sym__r_blk_map] = STATE(1206),
    [sym__br_blk_map] = STATE(1166),
    [sym__r_blk_map_itm] = STATE(106),
    [sym__br_blk_map_itm] = STATE(124),
    [sym__r_blk_exp_itm] = STATE(276),
    [sym__br_blk_exp_itm] = STATE(278),
    [sym__r_blk_key_itm] = STATE(237),
    [sym__br_blk_key_itm] = STATE(231),
    [sym__r_blk_val_itm] = STATE(279),
    [sym__br_blk_val_itm] = STATE(283),
    [sym__r_blk_imp_itm] = STATE(276),
    [sym__br_blk_imp_itm] = STATE(278),
    [sym__r_blk_str_val] = STATE(1143),
    [sym__br_blk_str_val] = STATE(1143),
    [sym__r_blk_str] = STATE(1091),
    [sym__br_blk_str] = STATE(1089),
    [sym__r_flw_seq_val] = STATE(1143),
    [sym__br_flw_seq_val] = STATE(1143),
    [sym__r_sgl_flw_seq_val] = STATE(1140),
    [sym__br_sgl_flw_seq_val] = STATE(1149),
    [sym__r_flw_seq] = STATE(1087),
    [sym__br_flw_seq] = STATE(1100),
    [sym__r_sgl_flw_seq] = STATE(1283),
    [sym__br_sgl_flw_seq] = STATE(1280),
    [sym__r_flw_map_val] = STATE(1143),
    [sym__br_flw_map_val] = STATE(1143),
    [sym__r_sgl_flw_map_val] = STATE(1140),
    [sym__br_sgl_flw_map_val] = STATE(1149),
    [sym__r_flw_map] = STATE(1135),
    [sym__br_flw_map] = STATE(1079),
    [sym__r_sgl_flw_map] = STATE(1272),
    [sym__br_sgl_flw_map] = STATE(1266),
    [sym__r_dqt_str_val] = STATE(1143),
    [sym__br_dqt_str_val] = STATE(1143),
    [sym__r_sgl_dqt_str_val] = STATE(1140),
    [sym__br_sgl_dqt_str_val] = STATE(1149),
    [sym__r_dqt_str] = STATE(1165),
    [sym__br_dqt_str] = STATE(1177),
    [sym__r_sgl_dqt_str] = STATE(1263),
    [sym__br_sgl_dqt_str] = STATE(1262),
    [sym__r_sqt_str_val] = STATE(1143),
    [sym__br_sqt_str_val] = STATE(1143),
    [sym__r_sgl_sqt_str_val] = STATE(1140),
    [sym__br_sgl_sqt_str_val] = STATE(1149),
    [sym__r_sqt_str] = STATE(1070),
    [sym__br_sqt_str] = STATE(1072),
    [sym__r_sgl_sqt_str] = STATE(1278),
    [sym__br_sgl_sqt_str] = STATE(1275),
    [sym__r_pln_blk_val] = STATE(1143),
    [sym__br_pln_blk_val] = STATE(1143),
    [sym__r_sgl_pln_blk_val] = STATE(1140),
    [sym__br_sgl_pln_blk_val] = STATE(1149),
    [sym__r_als_val] = STATE(756),
    [sym__br_als_val] = STATE(757),
    [sym__r_blk_seq_bgn] = ACTIONS(17),
    [sym__br_blk_seq_bgn] = ACTIONS(19),
    [sym__b_blk_seq_bgn] = ACTIONS(123),
    [sym__r_blk_key_bgn] = ACTIONS(21),
    [sym__br_blk_key_bgn] = ACTIONS(23),
    [sym__r_blk_val_bgn] = ACTIONS(25),
    [sym__br_blk_val_bgn] = ACTIONS(27),
    [sym__r_blk_lit_bgn] = ACTIONS(125),
    [sym__br_blk_lit_bgn] = ACTIONS(127),
    [sym__r_blk_fld_bgn] = ACTIONS(125),
    [sym__br_blk_fld_bgn] = ACTIONS(127),
    [sym__r_flw_seq_bgn] = ACTIONS(129),
    [sym__br_flw_seq_bgn] = ACTIONS(131),
    [sym__r_flw_map_bgn] = ACTIONS(133),
    [sym__br_flw_map_bgn] = ACTIONS(135),
    [sym__r_dqt_str_bgn] = ACTIONS(137),
    [sym__br_dqt_str_bgn] = ACTIONS(139),
    [sym__r_sqt_str_bgn] = ACTIONS(141),
    [sym__br_sqt_str_bgn] = ACTIONS(143),
    [sym__r_sgl_pln_blk] = ACTIONS(145),
    [sym__br_sgl_pln_blk] = ACTIONS(147),
    [sym__r_mtl_pln_blk] = ACTIONS(149),
    [sym__br_mtl_pln_blk] = ACTIONS(151),
    [sym__r_tag] = ACTIONS(153),
    [sym__br_tag] = ACTIONS(155),
    [sym__r_acr] = ACTIONS(157),
    [sym__br_acr] = ACTIONS(159),
    [sym__r_als] = ACTIONS(161),
    [sym__br_als] = ACTIONS(163),
    [sym__bl] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
  },
  [9] = {
    [sym__r_prp_val] = STATE(1230),
    [sym__br_prp_val] = STATE(1230),
    [sym__r_sgl_prp_val] = STATE(1140),
    [sym__br_sgl_prp_val] = STATE(1149),
    [sym__r_prp] = STATE(81),
    [sym__br_prp] = STATE(82),
    [sym__r_sgl_prp] = STATE(393),
    [sym__br_sgl_prp] = STATE(394),
    [sym__r_blk_seq_r_val] = STATE(1230),
    [sym__r_blk_seq_br_val] = STATE(1230),
    [sym__br_blk_seq_val] = STATE(1230),
    [sym__r_blk_seq] = STATE(1184),
    [sym__br_blk_seq] = STATE(1200),
    [sym__r_blk_seq_itm] = STATE(829),
    [sym__br_blk_seq_itm] = STATE(827),
    [sym__blk_seq_itm_tal] = STATE(1230),
    [sym__r_blk_map_r_val] = STATE(1230),
    [sym__r_blk_map_br_val] = STATE(1230),
    [sym__br_blk_map_val] = STATE(1230),
    [sym__r_blk_map] = STATE(1206),
    [sym__br_blk_map] = STATE(1166),
    [sym__r_blk_map_itm] = STATE(106),
    [sym__br_blk_map_itm] = STATE(124),
    [sym__r_blk_exp_itm] = STATE(276),
    [sym__br_blk_exp_itm] = STATE(278),
    [sym__r_blk_key_itm] = STATE(237),
    [sym__br_blk_key_itm] = STATE(231),
    [sym__r_blk_val_itm] = STATE(279),
    [sym__br_blk_val_itm] = STATE(283),
    [sym__r_blk_imp_itm] = STATE(276),
    [sym__br_blk_imp_itm] = STATE(278),
    [sym__r_blk_str_val] = STATE(1230),
    [sym__br_blk_str_val] = STATE(1230),
    [sym__r_blk_str] = STATE(1091),
    [sym__br_blk_str] = STATE(1089),
    [sym__r_flw_seq_val] = STATE(1230),
    [sym__br_flw_seq_val] = STATE(1230),
    [sym__r_sgl_flw_seq_val] = STATE(1140),
    [sym__br_sgl_flw_seq_val] = STATE(1149),
    [sym__r_flw_seq] = STATE(1087),
    [sym__br_flw_seq] = STATE(1100),
    [sym__r_sgl_flw_seq] = STATE(1283),
    [sym__br_sgl_flw_seq] = STATE(1280),
    [sym__r_flw_map_val] = STATE(1230),
    [sym__br_flw_map_val] = STATE(1230),
    [sym__r_sgl_flw_map_val] = STATE(1140),
    [sym__br_sgl_flw_map_val] = STATE(1149),
    [sym__r_flw_map] = STATE(1135),
    [sym__br_flw_map] = STATE(1079),
    [sym__r_sgl_flw_map] = STATE(1272),
    [sym__br_sgl_flw_map] = STATE(1266),
    [sym__r_dqt_str_val] = STATE(1230),
    [sym__br_dqt_str_val] = STATE(1230),
    [sym__r_sgl_dqt_str_val] = STATE(1140),
    [sym__br_sgl_dqt_str_val] = STATE(1149),
    [sym__r_dqt_str] = STATE(1165),
    [sym__br_dqt_str] = STATE(1177),
    [sym__r_sgl_dqt_str] = STATE(1263),
    [sym__br_sgl_dqt_str] = STATE(1262),
    [sym__r_sqt_str_val] = STATE(1230),
    [sym__br_sqt_str_val] = STATE(1230),
    [sym__r_sgl_sqt_str_val] = STATE(1140),
    [sym__br_sgl_sqt_str_val] = STATE(1149),
    [sym__r_sqt_str] = STATE(1070),
    [sym__br_sqt_str] = STATE(1072),
    [sym__r_sgl_sqt_str] = STATE(1278),
    [sym__br_sgl_sqt_str] = STATE(1275),
    [sym__r_pln_blk_val] = STATE(1230),
    [sym__br_pln_blk_val] = STATE(1230),
    [sym__r_sgl_pln_blk_val] = STATE(1140),
    [sym__br_sgl_pln_blk_val] = STATE(1149),
    [sym__r_als_val] = STATE(756),
    [sym__br_als_val] = STATE(757),
    [sym__r_blk_seq_bgn] = ACTIONS(17),
    [sym__br_blk_seq_bgn] = ACTIONS(19),
    [sym__b_blk_seq_bgn] = ACTIONS(165),
    [sym__r_blk_key_bgn] = ACTIONS(21),
    [sym__br_blk_key_bgn] = ACTIONS(23),
    [sym__r_blk_val_bgn] = ACTIONS(25),
    [sym__br_blk_val_bgn] = ACTIONS(27),
    [sym__r_blk_lit_bgn] = ACTIONS(125),
    [sym__br_blk_lit_bgn] = ACTIONS(127),
    [sym__r_blk_fld_bgn] = ACTIONS(125),
    [sym__br_blk_fld_bgn] = ACTIONS(127),
    [sym__r_flw_seq_bgn] = ACTIONS(129),
    [sym__br_flw_seq_bgn] = ACTIONS(131),
    [sym__r_flw_map_bgn] = ACTIONS(133),
    [sym__br_flw_map_bgn] = ACTIONS(135),
    [sym__r_dqt_str_bgn] = ACTIONS(137),
    [sym__br_dqt_str_bgn] = ACTIONS(139),
    [sym__r_sqt_str_bgn] = ACTIONS(141),
    [sym__br_sqt_str_bgn] = ACTIONS(143),
    [sym__r_sgl_pln_blk] = ACTIONS(145),
    [sym__br_sgl_pln_blk] = ACTIONS(147),
    [sym__r_mtl_pln_blk] = ACTIONS(149),
    [sym__br_mtl_pln_blk] = ACTIONS(151),
    [sym__r_tag] = ACTIONS(153),
    [sym__br_tag] = ACTIONS(155),
    [sym__r_acr] = ACTIONS(157),
    [sym__br_acr] = ACTIONS(159),
    [sym__r_als] = ACTIONS(161),
    [sym__br_als] = ACTIONS(163),
    [sym__bl] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
  },
  [10] = {
    [sym__r_prp_val] = STATE(1226),
    [sym__br_prp_val] = STATE(1226),
    [sym__r_sgl_prp_val] = STATE(1140),
    [sym__br_sgl_prp_val] = STATE(1149),
    [sym__r_prp] = STATE(81),
    [sym__br_prp] = STATE(82),
    [sym__r_sgl_prp] = STATE(393),
    [sym__br_sgl_prp] = STATE(394),
    [sym__r_blk_seq_r_val] = STATE(1226),
    [sym__r_blk_seq_br_val] = STATE(1226),
    [sym__br_blk_seq_val] = STATE(1226),
    [sym__r_blk_seq] = STATE(1184),
    [sym__br_blk_seq] = STATE(1200),
    [sym__r_blk_seq_itm] = STATE(829),
    [sym__br_blk_seq_itm] = STATE(827),
    [sym__blk_seq_itm_tal] = STATE(1226),
    [sym__r_blk_map_r_val] = STATE(1226),
    [sym__r_blk_map_br_val] = STATE(1226),
    [sym__br_blk_map_val] = STATE(1226),
    [sym__r_blk_map] = STATE(1206),
    [sym__br_blk_map] = STATE(1166),
    [sym__r_blk_map_itm] = STATE(106),
    [sym__br_blk_map_itm] = STATE(124),
    [sym__r_blk_exp_itm] = STATE(276),
    [sym__br_blk_exp_itm] = STATE(278),
    [sym__r_blk_key_itm] = STATE(237),
    [sym__br_blk_key_itm] = STATE(231),
    [sym__r_blk_val_itm] = STATE(279),
    [sym__br_blk_val_itm] = STATE(283),
    [sym__r_blk_imp_itm] = STATE(276),
    [sym__br_blk_imp_itm] = STATE(278),
    [sym__r_blk_str_val] = STATE(1226),
    [sym__br_blk_str_val] = STATE(1226),
    [sym__r_blk_str] = STATE(1091),
    [sym__br_blk_str] = STATE(1089),
    [sym__r_flw_seq_val] = STATE(1226),
    [sym__br_flw_seq_val] = STATE(1226),
    [sym__r_sgl_flw_seq_val] = STATE(1140),
    [sym__br_sgl_flw_seq_val] = STATE(1149),
    [sym__r_flw_seq] = STATE(1087),
    [sym__br_flw_seq] = STATE(1100),
    [sym__r_sgl_flw_seq] = STATE(1283),
    [sym__br_sgl_flw_seq] = STATE(1280),
    [sym__r_flw_map_val] = STATE(1226),
    [sym__br_flw_map_val] = STATE(1226),
    [sym__r_sgl_flw_map_val] = STATE(1140),
    [sym__br_sgl_flw_map_val] = STATE(1149),
    [sym__r_flw_map] = STATE(1135),
    [sym__br_flw_map] = STATE(1079),
    [sym__r_sgl_flw_map] = STATE(1272),
    [sym__br_sgl_flw_map] = STATE(1266),
    [sym__r_dqt_str_val] = STATE(1226),
    [sym__br_dqt_str_val] = STATE(1226),
    [sym__r_sgl_dqt_str_val] = STATE(1140),
    [sym__br_sgl_dqt_str_val] = STATE(1149),
    [sym__r_dqt_str] = STATE(1165),
    [sym__br_dqt_str] = STATE(1177),
    [sym__r_sgl_dqt_str] = STATE(1263),
    [sym__br_sgl_dqt_str] = STATE(1262),
    [sym__r_sqt_str_val] = STATE(1226),
    [sym__br_sqt_str_val] = STATE(1226),
    [sym__r_sgl_sqt_str_val] = STATE(1140),
    [sym__br_sgl_sqt_str_val] = STATE(1149),
    [sym__r_sqt_str] = STATE(1070),
    [sym__br_sqt_str] = STATE(1072),
    [sym__r_sgl_sqt_str] = STATE(1278),
    [sym__br_sgl_sqt_str] = STATE(1275),
    [sym__r_pln_blk_val] = STATE(1226),
    [sym__br_pln_blk_val] = STATE(1226),
    [sym__r_sgl_pln_blk_val] = STATE(1140),
    [sym__br_sgl_pln_blk_val] = STATE(1149),
    [sym__r_als_val] = STATE(756),
    [sym__br_als_val] = STATE(757),
    [sym__r_blk_seq_bgn] = ACTIONS(17),
    [sym__br_blk_seq_bgn] = ACTIONS(19),
    [sym__b_blk_seq_bgn] = ACTIONS(167),
    [sym__r_blk_key_bgn] = ACTIONS(21),
    [sym__br_blk_key_bgn] = ACTIONS(23),
    [sym__r_blk_val_bgn] = ACTIONS(25),
    [sym__br_blk_val_bgn] = ACTIONS(27),
    [sym__r_blk_lit_bgn] = ACTIONS(125),
    [sym__br_blk_lit_bgn] = ACTIONS(127),
    [sym__r_blk_fld_bgn] = ACTIONS(125),
    [sym__br_blk_fld_bgn] = ACTIONS(127),
    [sym__r_flw_seq_bgn] = ACTIONS(129),
    [sym__br_flw_seq_bgn] = ACTIONS(131),
    [sym__r_flw_map_bgn] = ACTIONS(133),
    [sym__br_flw_map_bgn] = ACTIONS(135),
    [sym__r_dqt_str_bgn] = ACTIONS(137),
    [sym__br_dqt_str_bgn] = ACTIONS(139),
    [sym__r_sqt_str_bgn] = ACTIONS(141),
    [sym__br_sqt_str_bgn] = ACTIONS(143),
    [sym__r_sgl_pln_blk] = ACTIONS(145),
    [sym__br_sgl_pln_blk] = ACTIONS(147),
    [sym__r_mtl_pln_blk] = ACTIONS(149),
    [sym__br_mtl_pln_blk] = ACTIONS(151),
    [sym__r_tag] = ACTIONS(153),
    [sym__br_tag] = ACTIONS(155),
    [sym__r_acr] = ACTIONS(157),
    [sym__br_acr] = ACTIONS(159),
    [sym__r_als] = ACTIONS(161),
    [sym__br_als] = ACTIONS(163),
    [sym__bl] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
  },
  [11] = {
    [sym__r_prp_val] = STATE(359),
    [sym__br_prp_val] = STATE(359),
    [sym__br_sgl_prp_val] = STATE(1149),
    [sym__r_prp] = STATE(38),
    [sym__br_prp] = STATE(39),
    [sym__br_sgl_prp] = STATE(394),
    [sym__r_blk_seq_br_val] = STATE(359),
    [sym__br_blk_seq_val] = STATE(359),
    [sym__r_blk_seq_spc_val] = STATE(359),
    [sym__br_blk_seq_spc_val] = STATE(359),
    [sym__b_blk_seq_spc_val] = STATE(359),
    [sym__br_blk_seq] = STATE(312),
    [sym__b_blk_seq_spc] = STATE(363),
    [sym__br_blk_seq_itm] = STATE(798),
    [sym__b_blk_seq_itm] = STATE(758),
    [sym__r_blk_map_br_val] = STATE(359),
    [sym__br_blk_map_val] = STATE(359),
    [sym__br_blk_map] = STATE(314),
    [sym__br_blk_map_itm] = STATE(123),
    [sym__br_blk_exp_itm] = STATE(278),
    [sym__br_blk_key_itm] = STATE(231),
    [sym__br_blk_val_itm] = STATE(283),
    [sym__br_blk_imp_itm] = STATE(278),
    [sym__r_blk_str_val] = STATE(359),
    [sym__br_blk_str_val] = STATE(359),
    [sym__r_blk_str] = STATE(318),
    [sym__br_blk_str] = STATE(320),
    [sym__r_flw_seq_val] = STATE(359),
    [sym__br_flw_seq_val] = STATE(359),
    [sym__br_sgl_flw_seq_val] = STATE(1149),
    [sym__r_flw_seq] = STATE(321),
    [sym__br_flw_seq] = STATE(322),
    [sym__br_sgl_flw_seq] = STATE(1280),
    [sym__r_flw_map_val] = STATE(359),
    [sym__br_flw_map_val] = STATE(359),
    [sym__br_sgl_flw_map_val] = STATE(1149),
    [sym__r_flw_map] = STATE(324),
    [sym__br_flw_map] = STATE(325),
    [sym__br_sgl_flw_map] = STATE(1266),
    [sym__r_dqt_str_val] = STATE(359),
    [sym__br_dqt_str_val] = STATE(359),
    [sym__br_sgl_dqt_str_val] = STATE(1149),
    [sym__r_dqt_str] = STATE(330),
    [sym__br_dqt_str] = STATE(338),
    [sym__br_sgl_dqt_str] = STATE(1262),
    [sym__r_sqt_str_val] = STATE(359),
    [sym__br_sqt_str_val] = STATE(359),
    [sym__br_sgl_sqt_str_val] = STATE(1149),
    [sym__r_sqt_str] = STATE(353),
    [sym__br_sqt_str] = STATE(356),
    [sym__br_sgl_sqt_str] = STATE(1275),
    [sym__r_pln_blk_val] = STATE(359),
    [sym__br_pln_blk_val] = STATE(359),
    [sym__br_sgl_pln_blk_val] = STATE(1149),
    [sym__r_als_val] = STATE(359),
    [sym__br_als_val] = STATE(226),
    [aux_sym__r_blk_seq_repeat1] = STATE(758),
    [sym__br_blk_seq_bgn] = ACTIONS(19),
    [sym__b_blk_seq_bgn] = ACTIONS(69),
    [sym__br_blk_key_bgn] = ACTIONS(23),
    [sym__b_blk_key_bgn] = ACTIONS(169),
    [sym__br_blk_val_bgn] = ACTIONS(27),
    [sym__b_blk_val_bgn] = ACTIONS(169),
    [sym__r_blk_lit_bgn] = ACTIONS(73),
    [sym__br_blk_lit_bgn] = ACTIONS(75),
    [sym__r_blk_fld_bgn] = ACTIONS(73),
    [sym__br_blk_fld_bgn] = ACTIONS(75),
    [sym__r_flw_seq_bgn] = ACTIONS(171),
    [sym__br_flw_seq_bgn] = ACTIONS(79),
    [sym__b_flw_seq_bgn] = ACTIONS(169),
    [sym__r_flw_map_bgn] = ACTIONS(173),
    [sym__br_flw_map_bgn] = ACTIONS(83),
    [sym__b_flw_map_bgn] = ACTIONS(169),
    [sym__r_dqt_str_bgn] = ACTIONS(175),
    [sym__br_dqt_str_bgn] = ACTIONS(87),
    [sym__b_dqt_str_bgn] = ACTIONS(169),
    [sym__r_sqt_str_bgn] = ACTIONS(177),
    [sym__br_sqt_str_bgn] = ACTIONS(91),
    [sym__b_sqt_str_bgn] = ACTIONS(169),
    [sym__r_sgl_pln_blk] = ACTIONS(97),
    [sym__br_sgl_pln_blk] = ACTIONS(95),
    [sym__b_sgl_pln_blk] = ACTIONS(169),
    [sym__r_mtl_pln_blk] = ACTIONS(97),
    [sym__br_mtl_pln_blk] = ACTIONS(99),
    [sym__r_tag] = ACTIONS(179),
    [sym__br_tag] = ACTIONS(103),
    [sym__b_tag] = ACTIONS(169),
    [sym__r_acr] = ACTIONS(181),
    [sym__br_acr] = ACTIONS(107),
    [sym__b_acr] = ACTIONS(169),
    [sym__r_als] = ACTIONS(183),
    [sym__br_als] = ACTIONS(111),
    [sym__b_als] = ACTIONS(169),
    [sym__bl] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
  },
  [12] = {
    [sym__exp_doc_tal] = STATE(978),
    [sym__r_prp_val] = STATE(978),
    [sym__br_prp_val] = STATE(978),
    [sym__br_sgl_prp_val] = STATE(1149),
    [sym__r_prp] = STATE(79),
    [sym__br_prp] = STATE(80),
    [sym__br_sgl_prp] = STATE(394),
    [sym__r_blk_seq_br_val] = STATE(978),
    [sym__br_blk_seq_val] = STATE(978),
    [sym__br_blk_seq] = STATE(950),
    [sym__br_blk_seq_itm] = STATE(730),
    [sym__r_blk_map_br_val] = STATE(978),
    [sym__br_blk_map_val] = STATE(978),
    [sym__br_blk_map] = STATE(952),
    [sym__br_blk_map_itm] = STATE(109),
    [sym__br_blk_exp_itm] = STATE(278),
    [sym__br_blk_key_itm] = STATE(231),
    [sym__br_blk_val_itm] = STATE(283),
    [sym__br_blk_imp_itm] = STATE(278),
    [sym__r_blk_str_val] = STATE(978),
    [sym__br_blk_str_val] = STATE(978),
    [sym__r_blk_str] = STATE(953),
    [sym__br_blk_str] = STATE(954),
    [sym__r_flw_seq_val] = STATE(978),
    [sym__br_flw_seq_val] = STATE(978),
    [sym__br_sgl_flw_seq_val] = STATE(1149),
    [sym__r_flw_seq] = STATE(955),
    [sym__br_flw_seq] = STATE(961),
    [sym__br_sgl_flw_seq] = STATE(1280),
    [sym__r_flw_map_val] = STATE(978),
    [sym__br_flw_map_val] = STATE(978),
    [sym__br_sgl_flw_map_val] = STATE(1149),
    [sym__r_flw_map] = STATE(962),
    [sym__br_flw_map] = STATE(963),
    [sym__br_sgl_flw_map] = STATE(1266),
    [sym__r_dqt_str_val] = STATE(978),
    [sym__br_dqt_str_val] = STATE(978),
    [sym__br_sgl_dqt_str_val] = STATE(1149),
    [sym__r_dqt_str] = STATE(965),
    [sym__br_dqt_str] = STATE(966),
    [sym__br_sgl_dqt_str] = STATE(1262),
    [sym__r_sqt_str_val] = STATE(978),
    [sym__br_sqt_str_val] = STATE(978),
    [sym__br_sgl_sqt_str_val] = STATE(1149),
    [sym__r_sqt_str] = STATE(967),
    [sym__br_sqt_str] = STATE(970),
    [sym__br_sgl_sqt_str] = STATE(1275),
    [sym__r_pln_blk_val] = STATE(978),
    [sym__br_pln_blk_val] = STATE(978),
    [sym__br_sgl_pln_blk_val] = STATE(1149),
    [sym__r_als_val] = STATE(978),
    [sym__br_als_val] = STATE(664),
    [sym__eof] = ACTIONS(185),
    [sym__s_drs_end] = ACTIONS(185),
    [sym__s_doc_end] = ACTIONS(185),
    [sym__br_blk_seq_bgn] = ACTIONS(19),
    [sym__br_blk_key_bgn] = ACTIONS(23),
    [sym__br_blk_val_bgn] = ACTIONS(27),
    [sym__r_blk_lit_bgn] = ACTIONS(29),
    [sym__br_blk_lit_bgn] = ACTIONS(31),
    [sym__r_blk_fld_bgn] = ACTIONS(29),
    [sym__br_blk_fld_bgn] = ACTIONS(31),
    [sym__r_flw_seq_bgn] = ACTIONS(187),
    [sym__br_flw_seq_bgn] = ACTIONS(35),
    [sym__r_flw_map_bgn] = ACTIONS(189),
    [sym__br_flw_map_bgn] = ACTIONS(39),
    [sym__r_dqt_str_bgn] = ACTIONS(191),
    [sym__br_dqt_str_bgn] = ACTIONS(43),
    [sym__r_sqt_str_bgn] = ACTIONS(193),
    [sym__br_sqt_str_bgn] = ACTIONS(47),
    [sym__r_sgl_pln_blk] = ACTIONS(53),
    [sym__br_sgl_pln_blk] = ACTIONS(51),
    [sym__r_mtl_pln_blk] = ACTIONS(53),
    [sym__br_mtl_pln_blk] = ACTIONS(55),
    [sym__r_tag] = ACTIONS(195),
    [sym__br_tag] = ACTIONS(59),
    [sym__r_acr] = ACTIONS(197),
    [sym__br_acr] = ACTIONS(63),
    [sym__r_als] = ACTIONS(199),
    [sym__br_als] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
  },
  [13] = {
    [sym__r_prp_val] = STATE(464),
    [sym__br_prp_val] = STATE(463),
    [sym__r_sgl_prp_val] = STATE(720),
    [sym__r_prp] = STATE(146),
    [sym__br_prp] = STATE(144),
    [sym__r_sgl_prp] = STATE(248),
    [sym__r_flw_seq_val] = STATE(462),
    [sym__br_flw_seq_val] = STATE(461),
    [sym__r_sgl_flw_seq_val] = STATE(727),
    [sym__r_flw_seq] = STATE(653),
    [sym__br_flw_seq] = STATE(651),
    [sym__r_sgl_flw_seq] = STATE(1006),
    [sym__r_flw_map_val] = STATE(462),
    [sym__br_flw_map_val] = STATE(461),
    [sym__r_sgl_flw_map_val] = STATE(727),
    [sym__r_flw_map] = STATE(650),
    [sym__br_flw_map] = STATE(649),
    [sym__r_sgl_flw_map] = STATE(1011),
    [sym__flw_map_tal] = STATE(700),
    [sym__sgl_flw_map_tal] = STATE(949),
    [sym__r_flw_map_dat] = STATE(1189),
    [sym__br_flw_map_dat] = STATE(1189),
    [sym__r_sgl_flw_col_dat] = STATE(1347),
    [sym__r_flw_map_itm] = STATE(594),
    [sym__br_flw_map_itm] = STATE(596),
    [sym__r_sgl_flw_col_itm] = STATE(728),
    [sym__r_flw_exp_par] = STATE(788),
    [sym__br_flw_exp_par] = STATE(790),
    [sym__r_sgl_flw_exp_par] = STATE(1134),
    [sym__r_flw_imp_r_par] = STATE(792),
    [sym__r_flw_imp_br_par] = STATE(792),
    [sym__br_flw_imp_r_par] = STATE(794),
    [sym__br_flw_imp_br_par] = STATE(794),
    [sym__r_sgl_flw_imp_par] = STATE(1136),
    [sym__r_flw_njl_ann_par] = STATE(792),
    [sym__br_flw_njl_ann_par] = STATE(794),
    [sym__r_sgl_flw_njl_ann_par] = STATE(1136),
    [sym__r_dqt_str_val] = STATE(462),
    [sym__br_dqt_str_val] = STATE(461),
    [sym__r_sgl_dqt_str_val] = STATE(727),
    [sym__r_dqt_str] = STATE(648),
    [sym__br_dqt_str] = STATE(647),
    [sym__r_sgl_dqt_str] = STATE(1021),
    [sym__r_sqt_str_val] = STATE(462),
    [sym__br_sqt_str_val] = STATE(461),
    [sym__r_sgl_sqt_str_val] = STATE(727),
    [sym__r_sqt_str] = STATE(646),
    [sym__br_sqt_str] = STATE(645),
    [sym__r_sgl_sqt_str] = STATE(1022),
    [sym__r_pln_flw_val] = STATE(464),
    [sym__br_pln_flw_val] = STATE(463),
    [sym__r_sgl_pln_flw_val] = STATE(720),
    [sym__r_als_val] = STATE(418),
    [sym__br_als_val] = STATE(463),
    [sym__r_flw_seq_bgn] = ACTIONS(201),
    [sym__br_flw_seq_bgn] = ACTIONS(203),
    [sym__r_flw_map_bgn] = ACTIONS(205),
    [sym__br_flw_map_bgn] = ACTIONS(207),
    [sym__r_flw_map_end] = ACTIONS(209),
    [sym__br_flw_map_end] = ACTIONS(211),
    [sym__r_flw_key_bgn] = ACTIONS(213),
    [sym__br_flw_key_bgn] = ACTIONS(215),
    [sym__r_flw_njv_bgn] = ACTIONS(217),
    [sym__br_flw_njv_bgn] = ACTIONS(219),
    [sym__r_dqt_str_bgn] = ACTIONS(221),
    [sym__br_dqt_str_bgn] = ACTIONS(223),
    [sym__r_sqt_str_bgn] = ACTIONS(225),
    [sym__br_sqt_str_bgn] = ACTIONS(227),
    [sym__r_sgl_pln_flw] = ACTIONS(229),
    [sym__br_sgl_pln_flw] = ACTIONS(231),
    [sym__r_mtl_pln_flw] = ACTIONS(233),
    [sym__br_mtl_pln_flw] = ACTIONS(231),
    [sym__r_tag] = ACTIONS(235),
    [sym__br_tag] = ACTIONS(237),
    [sym__r_acr] = ACTIONS(239),
    [sym__br_acr] = ACTIONS(241),
    [sym__r_als] = ACTIONS(243),
    [sym__br_als] = ACTIONS(245),
    [sym_comment] = ACTIONS(3),
  },
  [14] = {
    [sym__r_prp_val] = STATE(464),
    [sym__br_prp_val] = STATE(463),
    [sym__r_sgl_prp_val] = STATE(720),
    [sym__r_prp] = STATE(146),
    [sym__br_prp] = STATE(144),
    [sym__r_sgl_prp] = STATE(248),
    [sym__r_flw_seq_val] = STATE(462),
    [sym__br_flw_seq_val] = STATE(461),
    [sym__r_sgl_flw_seq_val] = STATE(727),
    [sym__r_flw_seq] = STATE(653),
    [sym__br_flw_seq] = STATE(651),
    [sym__r_sgl_flw_seq] = STATE(1006),
    [sym__r_flw_map_val] = STATE(462),
    [sym__br_flw_map_val] = STATE(461),
    [sym__r_sgl_flw_map_val] = STATE(727),
    [sym__r_flw_map] = STATE(650),
    [sym__br_flw_map] = STATE(649),
    [sym__r_sgl_flw_map] = STATE(1011),
    [sym__flw_map_tal] = STATE(1229),
    [sym__sgl_flw_map_tal] = STATE(1288),
    [sym__r_flw_map_dat] = STATE(1253),
    [sym__br_flw_map_dat] = STATE(1253),
    [sym__r_sgl_flw_col_dat] = STATE(1294),
    [sym__r_flw_map_itm] = STATE(594),
    [sym__br_flw_map_itm] = STATE(596),
    [sym__r_sgl_flw_col_itm] = STATE(728),
    [sym__r_flw_exp_par] = STATE(788),
    [sym__br_flw_exp_par] = STATE(790),
    [sym__r_sgl_flw_exp_par] = STATE(1134),
    [sym__r_flw_imp_r_par] = STATE(792),
    [sym__r_flw_imp_br_par] = STATE(792),
    [sym__br_flw_imp_r_par] = STATE(794),
    [sym__br_flw_imp_br_par] = STATE(794),
    [sym__r_sgl_flw_imp_par] = STATE(1136),
    [sym__r_flw_njl_ann_par] = STATE(792),
    [sym__br_flw_njl_ann_par] = STATE(794),
    [sym__r_sgl_flw_njl_ann_par] = STATE(1136),
    [sym__r_dqt_str_val] = STATE(462),
    [sym__br_dqt_str_val] = STATE(461),
    [sym__r_sgl_dqt_str_val] = STATE(727),
    [sym__r_dqt_str] = STATE(648),
    [sym__br_dqt_str] = STATE(647),
    [sym__r_sgl_dqt_str] = STATE(1021),
    [sym__r_sqt_str_val] = STATE(462),
    [sym__br_sqt_str_val] = STATE(461),
    [sym__r_sgl_sqt_str_val] = STATE(727),
    [sym__r_sqt_str] = STATE(646),
    [sym__br_sqt_str] = STATE(645),
    [sym__r_sgl_sqt_str] = STATE(1022),
    [sym__r_pln_flw_val] = STATE(464),
    [sym__br_pln_flw_val] = STATE(463),
    [sym__r_sgl_pln_flw_val] = STATE(720),
    [sym__r_als_val] = STATE(418),
    [sym__br_als_val] = STATE(463),
    [sym__r_flw_seq_bgn] = ACTIONS(201),
    [sym__br_flw_seq_bgn] = ACTIONS(203),
    [sym__r_flw_map_bgn] = ACTIONS(205),
    [sym__br_flw_map_bgn] = ACTIONS(207),
    [sym__r_flw_map_end] = ACTIONS(247),
    [sym__br_flw_map_end] = ACTIONS(249),
    [sym__r_flw_key_bgn] = ACTIONS(213),
    [sym__br_flw_key_bgn] = ACTIONS(215),
    [sym__r_flw_njv_bgn] = ACTIONS(217),
    [sym__br_flw_njv_bgn] = ACTIONS(219),
    [sym__r_dqt_str_bgn] = ACTIONS(221),
    [sym__br_dqt_str_bgn] = ACTIONS(223),
    [sym__r_sqt_str_bgn] = ACTIONS(225),
    [sym__br_sqt_str_bgn] = ACTIONS(227),
    [sym__r_sgl_pln_flw] = ACTIONS(229),
    [sym__br_sgl_pln_flw] = ACTIONS(231),
    [sym__r_mtl_pln_flw] = ACTIONS(233),
    [sym__br_mtl_pln_flw] = ACTIONS(231),
    [sym__r_tag] = ACTIONS(235),
    [sym__br_tag] = ACTIONS(237),
    [sym__r_acr] = ACTIONS(239),
    [sym__br_acr] = ACTIONS(241),
    [sym__r_als] = ACTIONS(243),
    [sym__br_als] = ACTIONS(245),
    [sym_comment] = ACTIONS(3),
  },
  [15] = {
    [sym__r_prp_val] = STATE(464),
    [sym__br_prp_val] = STATE(463),
    [sym__r_sgl_prp_val] = STATE(720),
    [sym__r_prp] = STATE(146),
    [sym__br_prp] = STATE(144),
    [sym__r_sgl_prp] = STATE(248),
    [sym__r_flw_seq_val] = STATE(462),
    [sym__br_flw_seq_val] = STATE(461),
    [sym__r_sgl_flw_seq_val] = STATE(727),
    [sym__r_flw_seq] = STATE(653),
    [sym__br_flw_seq] = STATE(651),
    [sym__r_sgl_flw_seq] = STATE(1006),
    [sym__r_flw_map_val] = STATE(462),
    [sym__br_flw_map_val] = STATE(461),
    [sym__r_sgl_flw_map_val] = STATE(727),
    [sym__r_flw_map] = STATE(650),
    [sym__br_flw_map] = STATE(649),
    [sym__r_sgl_flw_map] = STATE(1011),
    [sym__flw_map_tal] = STATE(379),
    [sym__sgl_flw_map_tal] = STATE(1316),
    [sym__r_flw_map_dat] = STATE(1141),
    [sym__br_flw_map_dat] = STATE(1141),
    [sym__r_sgl_flw_col_dat] = STATE(1310),
    [sym__r_flw_map_itm] = STATE(594),
    [sym__br_flw_map_itm] = STATE(596),
    [sym__r_sgl_flw_col_itm] = STATE(728),
    [sym__r_flw_exp_par] = STATE(788),
    [sym__br_flw_exp_par] = STATE(790),
    [sym__r_sgl_flw_exp_par] = STATE(1134),
    [sym__r_flw_imp_r_par] = STATE(792),
    [sym__r_flw_imp_br_par] = STATE(792),
    [sym__br_flw_imp_r_par] = STATE(794),
    [sym__br_flw_imp_br_par] = STATE(794),
    [sym__r_sgl_flw_imp_par] = STATE(1136),
    [sym__r_flw_njl_ann_par] = STATE(792),
    [sym__br_flw_njl_ann_par] = STATE(794),
    [sym__r_sgl_flw_njl_ann_par] = STATE(1136),
    [sym__r_dqt_str_val] = STATE(462),
    [sym__br_dqt_str_val] = STATE(461),
    [sym__r_sgl_dqt_str_val] = STATE(727),
    [sym__r_dqt_str] = STATE(648),
    [sym__br_dqt_str] = STATE(647),
    [sym__r_sgl_dqt_str] = STATE(1021),
    [sym__r_sqt_str_val] = STATE(462),
    [sym__br_sqt_str_val] = STATE(461),
    [sym__r_sgl_sqt_str_val] = STATE(727),
    [sym__r_sqt_str] = STATE(646),
    [sym__br_sqt_str] = STATE(645),
    [sym__r_sgl_sqt_str] = STATE(1022),
    [sym__r_pln_flw_val] = STATE(464),
    [sym__br_pln_flw_val] = STATE(463),
    [sym__r_sgl_pln_flw_val] = STATE(720),
    [sym__r_als_val] = STATE(418),
    [sym__br_als_val] = STATE(463),
    [sym__r_flw_seq_bgn] = ACTIONS(201),
    [sym__br_flw_seq_bgn] = ACTIONS(203),
    [sym__r_flw_map_bgn] = ACTIONS(205),
    [sym__br_flw_map_bgn] = ACTIONS(207),
    [sym__r_flw_map_end] = ACTIONS(251),
    [sym__br_flw_map_end] = ACTIONS(253),
    [sym__r_flw_key_bgn] = ACTIONS(213),
    [sym__br_flw_key_bgn] = ACTIONS(215),
    [sym__r_flw_njv_bgn] = ACTIONS(217),
    [sym__br_flw_njv_bgn] = ACTIONS(219),
    [sym__r_dqt_str_bgn] = ACTIONS(221),
    [sym__br_dqt_str_bgn] = ACTIONS(223),
    [sym__r_sqt_str_bgn] = ACTIONS(225),
    [sym__br_sqt_str_bgn] = ACTIONS(227),
    [sym__r_sgl_pln_flw] = ACTIONS(229),
    [sym__br_sgl_pln_flw] = ACTIONS(231),
    [sym__r_mtl_pln_flw] = ACTIONS(233),
    [sym__br_mtl_pln_flw] = ACTIONS(231),
    [sym__r_tag] = ACTIONS(235),
    [sym__br_tag] = ACTIONS(237),
    [sym__r_acr] = ACTIONS(239),
    [sym__br_acr] = ACTIONS(241),
    [sym__r_als] = ACTIONS(243),
    [sym__br_als] = ACTIONS(245),
    [sym_comment] = ACTIONS(3),
  },
  [16] = {
    [sym__r_prp_val] = STATE(464),
    [sym__br_prp_val] = STATE(463),
    [sym__r_sgl_prp_val] = STATE(720),
    [sym__r_prp] = STATE(146),
    [sym__br_prp] = STATE(144),
    [sym__r_sgl_prp] = STATE(248),
    [sym__r_flw_seq_val] = STATE(462),
    [sym__br_flw_seq_val] = STATE(461),
    [sym__r_sgl_flw_seq_val] = STATE(727),
    [sym__r_flw_seq] = STATE(653),
    [sym__br_flw_seq] = STATE(651),
    [sym__r_sgl_flw_seq] = STATE(1006),
    [sym__r_flw_map_val] = STATE(462),
    [sym__br_flw_map_val] = STATE(461),
    [sym__r_sgl_flw_map_val] = STATE(727),
    [sym__r_flw_map] = STATE(650),
    [sym__br_flw_map] = STATE(649),
    [sym__r_sgl_flw_map] = STATE(1011),
    [sym__flw_map_tal] = STATE(913),
    [sym__sgl_flw_map_tal] = STATE(1083),
    [sym__r_flw_map_dat] = STATE(1162),
    [sym__br_flw_map_dat] = STATE(1162),
    [sym__r_sgl_flw_col_dat] = STATE(1277),
    [sym__r_flw_map_itm] = STATE(594),
    [sym__br_flw_map_itm] = STATE(596),
    [sym__r_sgl_flw_col_itm] = STATE(728),
    [sym__r_flw_exp_par] = STATE(788),
    [sym__br_flw_exp_par] = STATE(790),
    [sym__r_sgl_flw_exp_par] = STATE(1134),
    [sym__r_flw_imp_r_par] = STATE(792),
    [sym__r_flw_imp_br_par] = STATE(792),
    [sym__br_flw_imp_r_par] = STATE(794),
    [sym__br_flw_imp_br_par] = STATE(794),
    [sym__r_sgl_flw_imp_par] = STATE(1136),
    [sym__r_flw_njl_ann_par] = STATE(792),
    [sym__br_flw_njl_ann_par] = STATE(794),
    [sym__r_sgl_flw_njl_ann_par] = STATE(1136),
    [sym__r_dqt_str_val] = STATE(462),
    [sym__br_dqt_str_val] = STATE(461),
    [sym__r_sgl_dqt_str_val] = STATE(727),
    [sym__r_dqt_str] = STATE(648),
    [sym__br_dqt_str] = STATE(647),
    [sym__r_sgl_dqt_str] = STATE(1021),
    [sym__r_sqt_str_val] = STATE(462),
    [sym__br_sqt_str_val] = STATE(461),
    [sym__r_sgl_sqt_str_val] = STATE(727),
    [sym__r_sqt_str] = STATE(646),
    [sym__br_sqt_str] = STATE(645),
    [sym__r_sgl_sqt_str] = STATE(1022),
    [sym__r_pln_flw_val] = STATE(464),
    [sym__br_pln_flw_val] = STATE(463),
    [sym__r_sgl_pln_flw_val] = STATE(720),
    [sym__r_als_val] = STATE(418),
    [sym__br_als_val] = STATE(463),
    [sym__r_flw_seq_bgn] = ACTIONS(201),
    [sym__br_flw_seq_bgn] = ACTIONS(203),
    [sym__r_flw_map_bgn] = ACTIONS(205),
    [sym__br_flw_map_bgn] = ACTIONS(207),
    [sym__r_flw_map_end] = ACTIONS(255),
    [sym__br_flw_map_end] = ACTIONS(257),
    [sym__r_flw_key_bgn] = ACTIONS(213),
    [sym__br_flw_key_bgn] = ACTIONS(215),
    [sym__r_flw_njv_bgn] = ACTIONS(217),
    [sym__br_flw_njv_bgn] = ACTIONS(219),
    [sym__r_dqt_str_bgn] = ACTIONS(221),
    [sym__br_dqt_str_bgn] = ACTIONS(223),
    [sym__r_sqt_str_bgn] = ACTIONS(225),
    [sym__br_sqt_str_bgn] = ACTIONS(227),
    [sym__r_sgl_pln_flw] = ACTIONS(229),
    [sym__br_sgl_pln_flw] = ACTIONS(231),
    [sym__r_mtl_pln_flw] = ACTIONS(233),
    [sym__br_mtl_pln_flw] = ACTIONS(231),
    [sym__r_tag] = ACTIONS(235),
    [sym__br_tag] = ACTIONS(237),
    [sym__r_acr] = ACTIONS(239),
    [sym__br_acr] = ACTIONS(241),
    [sym__r_als] = ACTIONS(243),
    [sym__br_als] = ACTIONS(245),
    [sym_comment] = ACTIONS(3),
  },
  [17] = {
    [sym__r_prp_val] = STATE(464),
    [sym__br_prp_val] = STATE(463),
    [sym__r_sgl_prp_val] = STATE(720),
    [sym__r_prp] = STATE(146),
    [sym__br_prp] = STATE(144),
    [sym__r_sgl_prp] = STATE(248),
    [sym__r_flw_seq_val] = STATE(462),
    [sym__br_flw_seq_val] = STATE(461),
    [sym__r_sgl_flw_seq_val] = STATE(727),
    [sym__r_flw_seq] = STATE(653),
    [sym__br_flw_seq] = STATE(651),
    [sym__r_sgl_flw_seq] = STATE(1006),
    [sym__r_flw_map_val] = STATE(462),
    [sym__br_flw_map_val] = STATE(461),
    [sym__r_sgl_flw_map_val] = STATE(727),
    [sym__r_flw_map] = STATE(650),
    [sym__br_flw_map] = STATE(649),
    [sym__r_sgl_flw_map] = STATE(1011),
    [sym__flw_map_tal] = STATE(380),
    [sym__sgl_flw_map_tal] = STATE(1306),
    [sym__r_flw_map_dat] = STATE(1141),
    [sym__br_flw_map_dat] = STATE(1141),
    [sym__r_sgl_flw_col_dat] = STATE(1310),
    [sym__r_flw_map_itm] = STATE(594),
    [sym__br_flw_map_itm] = STATE(596),
    [sym__r_sgl_flw_col_itm] = STATE(728),
    [sym__r_flw_exp_par] = STATE(788),
    [sym__br_flw_exp_par] = STATE(790),
    [sym__r_sgl_flw_exp_par] = STATE(1134),
    [sym__r_flw_imp_r_par] = STATE(792),
    [sym__r_flw_imp_br_par] = STATE(792),
    [sym__br_flw_imp_r_par] = STATE(794),
    [sym__br_flw_imp_br_par] = STATE(794),
    [sym__r_sgl_flw_imp_par] = STATE(1136),
    [sym__r_flw_njl_ann_par] = STATE(792),
    [sym__br_flw_njl_ann_par] = STATE(794),
    [sym__r_sgl_flw_njl_ann_par] = STATE(1136),
    [sym__r_dqt_str_val] = STATE(462),
    [sym__br_dqt_str_val] = STATE(461),
    [sym__r_sgl_dqt_str_val] = STATE(727),
    [sym__r_dqt_str] = STATE(648),
    [sym__br_dqt_str] = STATE(647),
    [sym__r_sgl_dqt_str] = STATE(1021),
    [sym__r_sqt_str_val] = STATE(462),
    [sym__br_sqt_str_val] = STATE(461),
    [sym__r_sgl_sqt_str_val] = STATE(727),
    [sym__r_sqt_str] = STATE(646),
    [sym__br_sqt_str] = STATE(645),
    [sym__r_sgl_sqt_str] = STATE(1022),
    [sym__r_pln_flw_val] = STATE(464),
    [sym__br_pln_flw_val] = STATE(463),
    [sym__r_sgl_pln_flw_val] = STATE(720),
    [sym__r_als_val] = STATE(418),
    [sym__br_als_val] = STATE(463),
    [sym__r_flw_seq_bgn] = ACTIONS(201),
    [sym__br_flw_seq_bgn] = ACTIONS(203),
    [sym__r_flw_map_bgn] = ACTIONS(205),
    [sym__br_flw_map_bgn] = ACTIONS(207),
    [sym__r_flw_map_end] = ACTIONS(251),
    [sym__br_flw_map_end] = ACTIONS(259),
    [sym__r_flw_key_bgn] = ACTIONS(213),
    [sym__br_flw_key_bgn] = ACTIONS(215),
    [sym__r_flw_njv_bgn] = ACTIONS(217),
    [sym__br_flw_njv_bgn] = ACTIONS(219),
    [sym__r_dqt_str_bgn] = ACTIONS(221),
    [sym__br_dqt_str_bgn] = ACTIONS(223),
    [sym__r_sqt_str_bgn] = ACTIONS(225),
    [sym__br_sqt_str_bgn] = ACTIONS(227),
    [sym__r_sgl_pln_flw] = ACTIONS(229),
    [sym__br_sgl_pln_flw] = ACTIONS(231),
    [sym__r_mtl_pln_flw] = ACTIONS(233),
    [sym__br_mtl_pln_flw] = ACTIONS(231),
    [sym__r_tag] = ACTIONS(235),
    [sym__br_tag] = ACTIONS(237),
    [sym__r_acr] = ACTIONS(239),
    [sym__br_acr] = ACTIONS(241),
    [sym__r_als] = ACTIONS(243),
    [sym__br_als] = ACTIONS(245),
    [sym_comment] = ACTIONS(3),
  },
  [18] = {
    [sym__r_prp_val] = STATE(464),
    [sym__br_prp_val] = STATE(463),
    [sym__r_sgl_prp_val] = STATE(720),
    [sym__r_prp] = STATE(146),
    [sym__br_prp] = STATE(144),
    [sym__r_sgl_prp] = STATE(248),
    [sym__r_flw_seq_val] = STATE(462),
    [sym__br_flw_seq_val] = STATE(461),
    [sym__r_sgl_flw_seq_val] = STATE(727),
    [sym__r_flw_seq] = STATE(653),
    [sym__br_flw_seq] = STATE(651),
    [sym__r_sgl_flw_seq] = STATE(1006),
    [sym__r_flw_map_val] = STATE(462),
    [sym__br_flw_map_val] = STATE(461),
    [sym__r_sgl_flw_map_val] = STATE(727),
    [sym__r_flw_map] = STATE(650),
    [sym__br_flw_map] = STATE(649),
    [sym__r_sgl_flw_map] = STATE(1011),
    [sym__flw_map_tal] = STATE(1000),
    [sym__sgl_flw_map_tal] = STATE(1306),
    [sym__r_flw_map_dat] = STATE(1159),
    [sym__br_flw_map_dat] = STATE(1159),
    [sym__r_sgl_flw_col_dat] = STATE(1310),
    [sym__r_flw_map_itm] = STATE(594),
    [sym__br_flw_map_itm] = STATE(596),
    [sym__r_sgl_flw_col_itm] = STATE(728),
    [sym__r_flw_exp_par] = STATE(788),
    [sym__br_flw_exp_par] = STATE(790),
    [sym__r_sgl_flw_exp_par] = STATE(1134),
    [sym__r_flw_imp_r_par] = STATE(792),
    [sym__r_flw_imp_br_par] = STATE(792),
    [sym__br_flw_imp_r_par] = STATE(794),
    [sym__br_flw_imp_br_par] = STATE(794),
    [sym__r_sgl_flw_imp_par] = STATE(1136),
    [sym__r_flw_njl_ann_par] = STATE(792),
    [sym__br_flw_njl_ann_par] = STATE(794),
    [sym__r_sgl_flw_njl_ann_par] = STATE(1136),
    [sym__r_dqt_str_val] = STATE(462),
    [sym__br_dqt_str_val] = STATE(461),
    [sym__r_sgl_dqt_str_val] = STATE(727),
    [sym__r_dqt_str] = STATE(648),
    [sym__br_dqt_str] = STATE(647),
    [sym__r_sgl_dqt_str] = STATE(1021),
    [sym__r_sqt_str_val] = STATE(462),
    [sym__br_sqt_str_val] = STATE(461),
    [sym__r_sgl_sqt_str_val] = STATE(727),
    [sym__r_sqt_str] = STATE(646),
    [sym__br_sqt_str] = STATE(645),
    [sym__r_sgl_sqt_str] = STATE(1022),
    [sym__r_pln_flw_val] = STATE(464),
    [sym__br_pln_flw_val] = STATE(463),
    [sym__r_sgl_pln_flw_val] = STATE(720),
    [sym__r_als_val] = STATE(418),
    [sym__br_als_val] = STATE(463),
    [sym__r_flw_seq_bgn] = ACTIONS(201),
    [sym__br_flw_seq_bgn] = ACTIONS(203),
    [sym__r_flw_map_bgn] = ACTIONS(205),
    [sym__br_flw_map_bgn] = ACTIONS(207),
    [sym__r_flw_map_end] = ACTIONS(261),
    [sym__br_flw_map_end] = ACTIONS(263),
    [sym__r_flw_key_bgn] = ACTIONS(213),
    [sym__br_flw_key_bgn] = ACTIONS(215),
    [sym__r_flw_njv_bgn] = ACTIONS(217),
    [sym__br_flw_njv_bgn] = ACTIONS(219),
    [sym__r_dqt_str_bgn] = ACTIONS(221),
    [sym__br_dqt_str_bgn] = ACTIONS(223),
    [sym__r_sqt_str_bgn] = ACTIONS(225),
    [sym__br_sqt_str_bgn] = ACTIONS(227),
    [sym__r_sgl_pln_flw] = ACTIONS(229),
    [sym__br_sgl_pln_flw] = ACTIONS(231),
    [sym__r_mtl_pln_flw] = ACTIONS(233),
    [sym__br_mtl_pln_flw] = ACTIONS(231),
    [sym__r_tag] = ACTIONS(235),
    [sym__br_tag] = ACTIONS(237),
    [sym__r_acr] = ACTIONS(239),
    [sym__br_acr] = ACTIONS(241),
    [sym__r_als] = ACTIONS(243),
    [sym__br_als] = ACTIONS(245),
    [sym_comment] = ACTIONS(3),
  },
  [19] = {
    [sym__r_prp_val] = STATE(464),
    [sym__br_prp_val] = STATE(463),
    [sym__r_sgl_prp_val] = STATE(720),
    [sym__r_prp] = STATE(146),
    [sym__br_prp] = STATE(144),
    [sym__r_sgl_prp] = STATE(248),
    [sym__r_flw_seq_val] = STATE(462),
    [sym__br_flw_seq_val] = STATE(461),
    [sym__r_sgl_flw_seq_val] = STATE(727),
    [sym__r_flw_seq] = STATE(653),
    [sym__br_flw_seq] = STATE(651),
    [sym__r_sgl_flw_seq] = STATE(1006),
    [sym__r_flw_map_val] = STATE(462),
    [sym__br_flw_map_val] = STATE(461),
    [sym__r_sgl_flw_map_val] = STATE(727),
    [sym__r_flw_map] = STATE(650),
    [sym__br_flw_map] = STATE(649),
    [sym__r_sgl_flw_map] = STATE(1011),
    [sym__flw_map_tal] = STATE(1013),
    [sym__sgl_flw_map_tal] = STATE(1316),
    [sym__r_flw_map_dat] = STATE(1159),
    [sym__br_flw_map_dat] = STATE(1159),
    [sym__r_sgl_flw_col_dat] = STATE(1310),
    [sym__r_flw_map_itm] = STATE(594),
    [sym__br_flw_map_itm] = STATE(596),
    [sym__r_sgl_flw_col_itm] = STATE(728),
    [sym__r_flw_exp_par] = STATE(788),
    [sym__br_flw_exp_par] = STATE(790),
    [sym__r_sgl_flw_exp_par] = STATE(1134),
    [sym__r_flw_imp_r_par] = STATE(792),
    [sym__r_flw_imp_br_par] = STATE(792),
    [sym__br_flw_imp_r_par] = STATE(794),
    [sym__br_flw_imp_br_par] = STATE(794),
    [sym__r_sgl_flw_imp_par] = STATE(1136),
    [sym__r_flw_njl_ann_par] = STATE(792),
    [sym__br_flw_njl_ann_par] = STATE(794),
    [sym__r_sgl_flw_njl_ann_par] = STATE(1136),
    [sym__r_dqt_str_val] = STATE(462),
    [sym__br_dqt_str_val] = STATE(461),
    [sym__r_sgl_dqt_str_val] = STATE(727),
    [sym__r_dqt_str] = STATE(648),
    [sym__br_dqt_str] = STATE(647),
    [sym__r_sgl_dqt_str] = STATE(1021),
    [sym__r_sqt_str_val] = STATE(462),
    [sym__br_sqt_str_val] = STATE(461),
    [sym__r_sgl_sqt_str_val] = STATE(727),
    [sym__r_sqt_str] = STATE(646),
    [sym__br_sqt_str] = STATE(645),
    [sym__r_sgl_sqt_str] = STATE(1022),
    [sym__r_pln_flw_val] = STATE(464),
    [sym__br_pln_flw_val] = STATE(463),
    [sym__r_sgl_pln_flw_val] = STATE(720),
    [sym__r_als_val] = STATE(418),
    [sym__br_als_val] = STATE(463),
    [sym__r_flw_seq_bgn] = ACTIONS(201),
    [sym__br_flw_seq_bgn] = ACTIONS(203),
    [sym__r_flw_map_bgn] = ACTIONS(205),
    [sym__br_flw_map_bgn] = ACTIONS(207),
    [sym__r_flw_map_end] = ACTIONS(261),
    [sym__br_flw_map_end] = ACTIONS(265),
    [sym__r_flw_key_bgn] = ACTIONS(213),
    [sym__br_flw_key_bgn] = ACTIONS(215),
    [sym__r_flw_njv_bgn] = ACTIONS(217),
    [sym__br_flw_njv_bgn] = ACTIONS(219),
    [sym__r_dqt_str_bgn] = ACTIONS(221),
    [sym__br_dqt_str_bgn] = ACTIONS(223),
    [sym__r_sqt_str_bgn] = ACTIONS(225),
    [sym__br_sqt_str_bgn] = ACTIONS(227),
    [sym__r_sgl_pln_flw] = ACTIONS(229),
    [sym__br_sgl_pln_flw] = ACTIONS(231),
    [sym__r_mtl_pln_flw] = ACTIONS(233),
    [sym__br_mtl_pln_flw] = ACTIONS(231),
    [sym__r_tag] = ACTIONS(235),
    [sym__br_tag] = ACTIONS(237),
    [sym__r_acr] = ACTIONS(239),
    [sym__br_acr] = ACTIONS(241),
    [sym__r_als] = ACTIONS(243),
    [sym__br_als] = ACTIONS(245),
    [sym_comment] = ACTIONS(3),
  },
  [20] = {
    [sym__r_prp_val] = STATE(464),
    [sym__br_prp_val] = STATE(463),
    [sym__r_sgl_prp_val] = STATE(720),
    [sym__r_prp] = STATE(146),
    [sym__br_prp] = STATE(144),
    [sym__r_sgl_prp] = STATE(248),
    [sym__r_flw_seq_val] = STATE(462),
    [sym__br_flw_seq_val] = STATE(461),
    [sym__r_sgl_flw_seq_val] = STATE(727),
    [sym__r_flw_seq] = STATE(653),
    [sym__br_flw_seq] = STATE(651),
    [sym__r_sgl_flw_seq] = STATE(1006),
    [sym__r_flw_map_val] = STATE(462),
    [sym__br_flw_map_val] = STATE(461),
    [sym__r_sgl_flw_map_val] = STATE(727),
    [sym__r_flw_map] = STATE(650),
    [sym__br_flw_map] = STATE(649),
    [sym__r_sgl_flw_map] = STATE(1011),
    [sym__flw_map_tal] = STATE(1188),
    [sym__sgl_flw_map_tal] = STATE(1316),
    [sym__r_flw_map_dat] = STATE(1077),
    [sym__br_flw_map_dat] = STATE(1077),
    [sym__r_sgl_flw_col_dat] = STATE(1310),
    [sym__r_flw_map_itm] = STATE(594),
    [sym__br_flw_map_itm] = STATE(596),
    [sym__r_sgl_flw_col_itm] = STATE(728),
    [sym__r_flw_exp_par] = STATE(788),
    [sym__br_flw_exp_par] = STATE(790),
    [sym__r_sgl_flw_exp_par] = STATE(1134),
    [sym__r_flw_imp_r_par] = STATE(792),
    [sym__r_flw_imp_br_par] = STATE(792),
    [sym__br_flw_imp_r_par] = STATE(794),
    [sym__br_flw_imp_br_par] = STATE(794),
    [sym__r_sgl_flw_imp_par] = STATE(1136),
    [sym__r_flw_njl_ann_par] = STATE(792),
    [sym__br_flw_njl_ann_par] = STATE(794),
    [sym__r_sgl_flw_njl_ann_par] = STATE(1136),
    [sym__r_dqt_str_val] = STATE(462),
    [sym__br_dqt_str_val] = STATE(461),
    [sym__r_sgl_dqt_str_val] = STATE(727),
    [sym__r_dqt_str] = STATE(648),
    [sym__br_dqt_str] = STATE(647),
    [sym__r_sgl_dqt_str] = STATE(1021),
    [sym__r_sqt_str_val] = STATE(462),
    [sym__br_sqt_str_val] = STATE(461),
    [sym__r_sgl_sqt_str_val] = STATE(727),
    [sym__r_sqt_str] = STATE(646),
    [sym__br_sqt_str] = STATE(645),
    [sym__r_sgl_sqt_str] = STATE(1022),
    [sym__r_pln_flw_val] = STATE(464),
    [sym__br_pln_flw_val] = STATE(463),
    [sym__r_sgl_pln_flw_val] = STATE(720),
    [sym__r_als_val] = STATE(418),
    [sym__br_als_val] = STATE(463),
    [sym__r_flw_seq_bgn] = ACTIONS(201),
    [sym__br_flw_seq_bgn] = ACTIONS(203),
    [sym__r_flw_map_bgn] = ACTIONS(205),
    [sym__br_flw_map_bgn] = ACTIONS(207),
    [sym__r_flw_map_end] = ACTIONS(267),
    [sym__br_flw_map_end] = ACTIONS(269),
    [sym__r_flw_key_bgn] = ACTIONS(213),
    [sym__br_flw_key_bgn] = ACTIONS(215),
    [sym__r_flw_njv_bgn] = ACTIONS(217),
    [sym__br_flw_njv_bgn] = ACTIONS(219),
    [sym__r_dqt_str_bgn] = ACTIONS(221),
    [sym__br_dqt_str_bgn] = ACTIONS(223),
    [sym__r_sqt_str_bgn] = ACTIONS(225),
    [sym__br_sqt_str_bgn] = ACTIONS(227),
    [sym__r_sgl_pln_flw] = ACTIONS(229),
    [sym__br_sgl_pln_flw] = ACTIONS(231),
    [sym__r_mtl_pln_flw] = ACTIONS(233),
    [sym__br_mtl_pln_flw] = ACTIONS(231),
    [sym__r_tag] = ACTIONS(235),
    [sym__br_tag] = ACTIONS(237),
    [sym__r_acr] = ACTIONS(239),
    [sym__br_acr] = ACTIONS(241),
    [sym__r_als] = ACTIONS(243),
    [sym__br_als] = ACTIONS(245),
    [sym_comment] = ACTIONS(3),
  },
  [21] = {
    [sym__r_prp_val] = STATE(464),
    [sym__br_prp_val] = STATE(463),
    [sym__r_sgl_prp_val] = STATE(720),
    [sym__r_prp] = STATE(146),
    [sym__br_prp] = STATE(144),
    [sym__r_sgl_prp] = STATE(248),
    [sym__r_flw_seq_val] = STATE(462),
    [sym__br_flw_seq_val] = STATE(461),
    [sym__r_sgl_flw_seq_val] = STATE(727),
    [sym__r_flw_seq] = STATE(653),
    [sym__br_flw_seq] = STATE(651),
    [sym__r_sgl_flw_seq] = STATE(1006),
    [sym__r_flw_map_val] = STATE(462),
    [sym__br_flw_map_val] = STATE(461),
    [sym__r_sgl_flw_map_val] = STATE(727),
    [sym__r_flw_map] = STATE(650),
    [sym__br_flw_map] = STATE(649),
    [sym__r_sgl_flw_map] = STATE(1011),
    [sym__flw_map_tal] = STATE(1156),
    [sym__sgl_flw_map_tal] = STATE(1306),
    [sym__r_flw_map_dat] = STATE(1077),
    [sym__br_flw_map_dat] = STATE(1077),
    [sym__r_sgl_flw_col_dat] = STATE(1310),
    [sym__r_flw_map_itm] = STATE(594),
    [sym__br_flw_map_itm] = STATE(596),
    [sym__r_sgl_flw_col_itm] = STATE(728),
    [sym__r_flw_exp_par] = STATE(788),
    [sym__br_flw_exp_par] = STATE(790),
    [sym__r_sgl_flw_exp_par] = STATE(1134),
    [sym__r_flw_imp_r_par] = STATE(792),
    [sym__r_flw_imp_br_par] = STATE(792),
    [sym__br_flw_imp_r_par] = STATE(794),
    [sym__br_flw_imp_br_par] = STATE(794),
    [sym__r_sgl_flw_imp_par] = STATE(1136),
    [sym__r_flw_njl_ann_par] = STATE(792),
    [sym__br_flw_njl_ann_par] = STATE(794),
    [sym__r_sgl_flw_njl_ann_par] = STATE(1136),
    [sym__r_dqt_str_val] = STATE(462),
    [sym__br_dqt_str_val] = STATE(461),
    [sym__r_sgl_dqt_str_val] = STATE(727),
    [sym__r_dqt_str] = STATE(648),
    [sym__br_dqt_str] = STATE(647),
    [sym__r_sgl_dqt_str] = STATE(1021),
    [sym__r_sqt_str_val] = STATE(462),
    [sym__br_sqt_str_val] = STATE(461),
    [sym__r_sgl_sqt_str_val] = STATE(727),
    [sym__r_sqt_str] = STATE(646),
    [sym__br_sqt_str] = STATE(645),
    [sym__r_sgl_sqt_str] = STATE(1022),
    [sym__r_pln_flw_val] = STATE(464),
    [sym__br_pln_flw_val] = STATE(463),
    [sym__r_sgl_pln_flw_val] = STATE(720),
    [sym__r_als_val] = STATE(418),
    [sym__br_als_val] = STATE(463),
    [sym__r_flw_seq_bgn] = ACTIONS(201),
    [sym__br_flw_seq_bgn] = ACTIONS(203),
    [sym__r_flw_map_bgn] = ACTIONS(205),
    [sym__br_flw_map_bgn] = ACTIONS(207),
    [sym__r_flw_map_end] = ACTIONS(267),
    [sym__br_flw_map_end] = ACTIONS(271),
    [sym__r_flw_key_bgn] = ACTIONS(213),
    [sym__br_flw_key_bgn] = ACTIONS(215),
    [sym__r_flw_njv_bgn] = ACTIONS(217),
    [sym__br_flw_njv_bgn] = ACTIONS(219),
    [sym__r_dqt_str_bgn] = ACTIONS(221),
    [sym__br_dqt_str_bgn] = ACTIONS(223),
    [sym__r_sqt_str_bgn] = ACTIONS(225),
    [sym__br_sqt_str_bgn] = ACTIONS(227),
    [sym__r_sgl_pln_flw] = ACTIONS(229),
    [sym__br_sgl_pln_flw] = ACTIONS(231),
    [sym__r_mtl_pln_flw] = ACTIONS(233),
    [sym__br_mtl_pln_flw] = ACTIONS(231),
    [sym__r_tag] = ACTIONS(235),
    [sym__br_tag] = ACTIONS(237),
    [sym__r_acr] = ACTIONS(239),
    [sym__br_acr] = ACTIONS(241),
    [sym__r_als] = ACTIONS(243),
    [sym__br_als] = ACTIONS(245),
    [sym_comment] = ACTIONS(3),
  },
  [22] = {
    [sym__r_prp_val] = STATE(464),
    [sym__br_prp_val] = STATE(463),
    [sym__r_sgl_prp_val] = STATE(720),
    [sym__r_prp] = STATE(146),
    [sym__br_prp] = STATE(144),
    [sym__r_sgl_prp] = STATE(248),
    [sym__r_flw_seq_val] = STATE(462),
    [sym__br_flw_seq_val] = STATE(461),
    [sym__r_sgl_flw_seq_val] = STATE(727),
    [sym__r_flw_seq] = STATE(653),
    [sym__br_flw_seq] = STATE(651),
    [sym__r_sgl_flw_seq] = STATE(1006),
    [sym__r_flw_map_val] = STATE(462),
    [sym__br_flw_map_val] = STATE(461),
    [sym__r_sgl_flw_map_val] = STATE(727),
    [sym__r_flw_map] = STATE(650),
    [sym__br_flw_map] = STATE(649),
    [sym__r_sgl_flw_map] = STATE(1011),
    [sym__flw_map_tal] = STATE(640),
    [sym__sgl_flw_map_tal] = STATE(1061),
    [sym__r_flw_map_dat] = STATE(1228),
    [sym__br_flw_map_dat] = STATE(1228),
    [sym__r_sgl_flw_col_dat] = STATE(1313),
    [sym__r_flw_map_itm] = STATE(594),
    [sym__br_flw_map_itm] = STATE(596),
    [sym__r_sgl_flw_col_itm] = STATE(728),
    [sym__r_flw_exp_par] = STATE(788),
    [sym__br_flw_exp_par] = STATE(790),
    [sym__r_sgl_flw_exp_par] = STATE(1134),
    [sym__r_flw_imp_r_par] = STATE(792),
    [sym__r_flw_imp_br_par] = STATE(792),
    [sym__br_flw_imp_r_par] = STATE(794),
    [sym__br_flw_imp_br_par] = STATE(794),
    [sym__r_sgl_flw_imp_par] = STATE(1136),
    [sym__r_flw_njl_ann_par] = STATE(792),
    [sym__br_flw_njl_ann_par] = STATE(794),
    [sym__r_sgl_flw_njl_ann_par] = STATE(1136),
    [sym__r_dqt_str_val] = STATE(462),
    [sym__br_dqt_str_val] = STATE(461),
    [sym__r_sgl_dqt_str_val] = STATE(727),
    [sym__r_dqt_str] = STATE(648),
    [sym__br_dqt_str] = STATE(647),
    [sym__r_sgl_dqt_str] = STATE(1021),
    [sym__r_sqt_str_val] = STATE(462),
    [sym__br_sqt_str_val] = STATE(461),
    [sym__r_sgl_sqt_str_val] = STATE(727),
    [sym__r_sqt_str] = STATE(646),
    [sym__br_sqt_str] = STATE(645),
    [sym__r_sgl_sqt_str] = STATE(1022),
    [sym__r_pln_flw_val] = STATE(464),
    [sym__br_pln_flw_val] = STATE(463),
    [sym__r_sgl_pln_flw_val] = STATE(720),
    [sym__r_als_val] = STATE(418),
    [sym__br_als_val] = STATE(463),
    [sym__r_flw_seq_bgn] = ACTIONS(201),
    [sym__br_flw_seq_bgn] = ACTIONS(203),
    [sym__r_flw_map_bgn] = ACTIONS(205),
    [sym__br_flw_map_bgn] = ACTIONS(207),
    [sym__r_flw_map_end] = ACTIONS(273),
    [sym__br_flw_map_end] = ACTIONS(275),
    [sym__r_flw_key_bgn] = ACTIONS(213),
    [sym__br_flw_key_bgn] = ACTIONS(215),
    [sym__r_flw_njv_bgn] = ACTIONS(217),
    [sym__br_flw_njv_bgn] = ACTIONS(219),
    [sym__r_dqt_str_bgn] = ACTIONS(221),
    [sym__br_dqt_str_bgn] = ACTIONS(223),
    [sym__r_sqt_str_bgn] = ACTIONS(225),
    [sym__br_sqt_str_bgn] = ACTIONS(227),
    [sym__r_sgl_pln_flw] = ACTIONS(229),
    [sym__br_sgl_pln_flw] = ACTIONS(231),
    [sym__r_mtl_pln_flw] = ACTIONS(233),
    [sym__br_mtl_pln_flw] = ACTIONS(231),
    [sym__r_tag] = ACTIONS(235),
    [sym__br_tag] = ACTIONS(237),
    [sym__r_acr] = ACTIONS(239),
    [sym__br_acr] = ACTIONS(241),
    [sym__r_als] = ACTIONS(243),
    [sym__br_als] = ACTIONS(245),
    [sym_comment] = ACTIONS(3),
  },
  [23] = {
    [sym__r_prp_val] = STATE(464),
    [sym__br_prp_val] = STATE(463),
    [sym__r_sgl_prp_val] = STATE(720),
    [sym__r_prp] = STATE(146),
    [sym__br_prp] = STATE(144),
    [sym__r_sgl_prp] = STATE(248),
    [sym__r_flw_seq_val] = STATE(462),
    [sym__br_flw_seq_val] = STATE(461),
    [sym__r_sgl_flw_seq_val] = STATE(727),
    [sym__r_flw_seq] = STATE(653),
    [sym__br_flw_seq] = STATE(651),
    [sym__r_sgl_flw_seq] = STATE(1006),
    [sym__r_flw_map_val] = STATE(462),
    [sym__br_flw_map_val] = STATE(461),
    [sym__r_sgl_flw_map_val] = STATE(727),
    [sym__r_flw_map] = STATE(650),
    [sym__br_flw_map] = STATE(649),
    [sym__r_sgl_flw_map] = STATE(1011),
    [sym__flw_map_tal] = STATE(869),
    [sym__sgl_flw_map_tal] = STATE(1234),
    [sym__r_flw_map_dat] = STATE(1101),
    [sym__br_flw_map_dat] = STATE(1101),
    [sym__r_sgl_flw_col_dat] = STATE(1270),
    [sym__r_flw_map_itm] = STATE(594),
    [sym__br_flw_map_itm] = STATE(596),
    [sym__r_sgl_flw_col_itm] = STATE(728),
    [sym__r_flw_exp_par] = STATE(788),
    [sym__br_flw_exp_par] = STATE(790),
    [sym__r_sgl_flw_exp_par] = STATE(1134),
    [sym__r_flw_imp_r_par] = STATE(792),
    [sym__r_flw_imp_br_par] = STATE(792),
    [sym__br_flw_imp_r_par] = STATE(794),
    [sym__br_flw_imp_br_par] = STATE(794),
    [sym__r_sgl_flw_imp_par] = STATE(1136),
    [sym__r_flw_njl_ann_par] = STATE(792),
    [sym__br_flw_njl_ann_par] = STATE(794),
    [sym__r_sgl_flw_njl_ann_par] = STATE(1136),
    [sym__r_dqt_str_val] = STATE(462),
    [sym__br_dqt_str_val] = STATE(461),
    [sym__r_sgl_dqt_str_val] = STATE(727),
    [sym__r_dqt_str] = STATE(648),
    [sym__br_dqt_str] = STATE(647),
    [sym__r_sgl_dqt_str] = STATE(1021),
    [sym__r_sqt_str_val] = STATE(462),
    [sym__br_sqt_str_val] = STATE(461),
    [sym__r_sgl_sqt_str_val] = STATE(727),
    [sym__r_sqt_str] = STATE(646),
    [sym__br_sqt_str] = STATE(645),
    [sym__r_sgl_sqt_str] = STATE(1022),
    [sym__r_pln_flw_val] = STATE(464),
    [sym__br_pln_flw_val] = STATE(463),
    [sym__r_sgl_pln_flw_val] = STATE(720),
    [sym__r_als_val] = STATE(418),
    [sym__br_als_val] = STATE(463),
    [sym__r_flw_seq_bgn] = ACTIONS(201),
    [sym__br_flw_seq_bgn] = ACTIONS(203),
    [sym__r_flw_map_bgn] = ACTIONS(205),
    [sym__br_flw_map_bgn] = ACTIONS(207),
    [sym__r_flw_map_end] = ACTIONS(277),
    [sym__br_flw_map_end] = ACTIONS(279),
    [sym__r_flw_key_bgn] = ACTIONS(213),
    [sym__br_flw_key_bgn] = ACTIONS(215),
    [sym__r_flw_njv_bgn] = ACTIONS(217),
    [sym__br_flw_njv_bgn] = ACTIONS(219),
    [sym__r_dqt_str_bgn] = ACTIONS(221),
    [sym__br_dqt_str_bgn] = ACTIONS(223),
    [sym__r_sqt_str_bgn] = ACTIONS(225),
    [sym__br_sqt_str_bgn] = ACTIONS(227),
    [sym__r_sgl_pln_flw] = ACTIONS(229),
    [sym__br_sgl_pln_flw] = ACTIONS(231),
    [sym__r_mtl_pln_flw] = ACTIONS(233),
    [sym__br_mtl_pln_flw] = ACTIONS(231),
    [sym__r_tag] = ACTIONS(235),
    [sym__br_tag] = ACTIONS(237),
    [sym__r_acr] = ACTIONS(239),
    [sym__br_acr] = ACTIONS(241),
    [sym__r_als] = ACTIONS(243),
    [sym__br_als] = ACTIONS(245),
    [sym_comment] = ACTIONS(3),
  },
  [24] = {
    [sym__r_prp_val] = STATE(584),
    [sym__br_prp_val] = STATE(585),
    [sym__r_sgl_prp_val] = STATE(770),
    [sym__r_prp] = STATE(154),
    [sym__br_prp] = STATE(153),
    [sym__r_sgl_prp] = STATE(234),
    [sym__r_flw_seq_val] = STATE(586),
    [sym__br_flw_seq_val] = STATE(587),
    [sym__r_sgl_flw_seq_val] = STATE(823),
    [sym__r_flw_seq] = STATE(716),
    [sym__br_flw_seq] = STATE(662),
    [sym__r_sgl_flw_seq] = STATE(1015),
    [sym__flw_seq_tal] = STATE(1154),
    [sym__sgl_flw_seq_tal] = STATE(1304),
    [sym__r_flw_map_val] = STATE(586),
    [sym__br_flw_map_val] = STATE(587),
    [sym__r_sgl_flw_map_val] = STATE(823),
    [sym__r_flw_map] = STATE(675),
    [sym__br_flw_map] = STATE(676),
    [sym__r_sgl_flw_map] = STATE(1048),
    [sym__r_flw_seq_dat] = STATE(1075),
    [sym__br_flw_seq_dat] = STATE(1075),
    [sym__r_sgl_flw_col_dat] = STATE(1296),
    [sym__r_flw_seq_itm] = STATE(590),
    [sym__br_flw_seq_itm] = STATE(591),
    [sym__r_sgl_flw_col_itm] = STATE(774),
    [sym__r_flw_exp_par] = STATE(775),
    [sym__br_flw_exp_par] = STATE(776),
    [sym__r_sgl_flw_exp_par] = STATE(1179),
    [sym__r_flw_imp_r_par] = STATE(717),
    [sym__br_flw_imp_r_par] = STATE(777),
    [sym__r_sgl_flw_imp_par] = STATE(1176),
    [sym__r_flw_njl_ann_par] = STATE(717),
    [sym__br_flw_njl_ann_par] = STATE(777),
    [sym__r_sgl_flw_njl_ann_par] = STATE(1176),
    [sym__r_dqt_str_val] = STATE(586),
    [sym__br_dqt_str_val] = STATE(587),
    [sym__r_sgl_dqt_str_val] = STATE(823),
    [sym__r_dqt_str] = STATE(678),
    [sym__br_dqt_str] = STATE(679),
    [sym__r_sgl_dqt_str] = STATE(979),
    [sym__r_sqt_str_val] = STATE(586),
    [sym__br_sqt_str_val] = STATE(587),
    [sym__r_sgl_sqt_str_val] = STATE(823),
    [sym__r_sqt_str] = STATE(681),
    [sym__br_sqt_str] = STATE(682),
    [sym__r_sgl_sqt_str] = STATE(933),
    [sym__r_pln_flw_val] = STATE(584),
    [sym__br_pln_flw_val] = STATE(585),
    [sym__r_sgl_pln_flw_val] = STATE(770),
    [sym__r_als_val] = STATE(517),
    [sym__br_als_val] = STATE(585),
    [sym__r_flw_seq_bgn] = ACTIONS(281),
    [sym__br_flw_seq_bgn] = ACTIONS(283),
    [sym__r_flw_seq_end] = ACTIONS(285),
    [sym__br_flw_seq_end] = ACTIONS(287),
    [sym__r_flw_map_bgn] = ACTIONS(289),
    [sym__br_flw_map_bgn] = ACTIONS(291),
    [sym__r_flw_key_bgn] = ACTIONS(293),
    [sym__br_flw_key_bgn] = ACTIONS(295),
    [sym__r_flw_njv_bgn] = ACTIONS(297),
    [sym__br_flw_njv_bgn] = ACTIONS(299),
    [sym__r_dqt_str_bgn] = ACTIONS(301),
    [sym__br_dqt_str_bgn] = ACTIONS(303),
    [sym__r_sqt_str_bgn] = ACTIONS(305),
    [sym__br_sqt_str_bgn] = ACTIONS(307),
    [sym__r_sgl_pln_flw] = ACTIONS(309),
    [sym__br_sgl_pln_flw] = ACTIONS(311),
    [sym__r_mtl_pln_flw] = ACTIONS(313),
    [sym__br_mtl_pln_flw] = ACTIONS(311),
    [sym__r_tag] = ACTIONS(315),
    [sym__br_tag] = ACTIONS(317),
    [sym__r_acr] = ACTIONS(319),
    [sym__br_acr] = ACTIONS(321),
    [sym__r_als] = ACTIONS(323),
    [sym__br_als] = ACTIONS(325),
    [sym_comment] = ACTIONS(3),
  },
  [25] = {
    [sym__r_prp_val] = STATE(584),
    [sym__br_prp_val] = STATE(585),
    [sym__r_sgl_prp_val] = STATE(770),
    [sym__r_prp] = STATE(154),
    [sym__br_prp] = STATE(153),
    [sym__r_sgl_prp] = STATE(234),
    [sym__r_flw_seq_val] = STATE(586),
    [sym__br_flw_seq_val] = STATE(587),
    [sym__r_sgl_flw_seq_val] = STATE(823),
    [sym__r_flw_seq] = STATE(716),
    [sym__br_flw_seq] = STATE(662),
    [sym__r_sgl_flw_seq] = STATE(1015),
    [sym__flw_seq_tal] = STATE(1128),
    [sym__sgl_flw_seq_tal] = STATE(1293),
    [sym__r_flw_map_val] = STATE(586),
    [sym__br_flw_map_val] = STATE(587),
    [sym__r_sgl_flw_map_val] = STATE(823),
    [sym__r_flw_map] = STATE(675),
    [sym__br_flw_map] = STATE(676),
    [sym__r_sgl_flw_map] = STATE(1048),
    [sym__r_flw_seq_dat] = STATE(1075),
    [sym__br_flw_seq_dat] = STATE(1075),
    [sym__r_sgl_flw_col_dat] = STATE(1296),
    [sym__r_flw_seq_itm] = STATE(590),
    [sym__br_flw_seq_itm] = STATE(591),
    [sym__r_sgl_flw_col_itm] = STATE(774),
    [sym__r_flw_exp_par] = STATE(775),
    [sym__br_flw_exp_par] = STATE(776),
    [sym__r_sgl_flw_exp_par] = STATE(1179),
    [sym__r_flw_imp_r_par] = STATE(717),
    [sym__br_flw_imp_r_par] = STATE(777),
    [sym__r_sgl_flw_imp_par] = STATE(1176),
    [sym__r_flw_njl_ann_par] = STATE(717),
    [sym__br_flw_njl_ann_par] = STATE(777),
    [sym__r_sgl_flw_njl_ann_par] = STATE(1176),
    [sym__r_dqt_str_val] = STATE(586),
    [sym__br_dqt_str_val] = STATE(587),
    [sym__r_sgl_dqt_str_val] = STATE(823),
    [sym__r_dqt_str] = STATE(678),
    [sym__br_dqt_str] = STATE(679),
    [sym__r_sgl_dqt_str] = STATE(979),
    [sym__r_sqt_str_val] = STATE(586),
    [sym__br_sqt_str_val] = STATE(587),
    [sym__r_sgl_sqt_str_val] = STATE(823),
    [sym__r_sqt_str] = STATE(681),
    [sym__br_sqt_str] = STATE(682),
    [sym__r_sgl_sqt_str] = STATE(933),
    [sym__r_pln_flw_val] = STATE(584),
    [sym__br_pln_flw_val] = STATE(585),
    [sym__r_sgl_pln_flw_val] = STATE(770),
    [sym__r_als_val] = STATE(517),
    [sym__br_als_val] = STATE(585),
    [sym__r_flw_seq_bgn] = ACTIONS(281),
    [sym__br_flw_seq_bgn] = ACTIONS(283),
    [sym__r_flw_seq_end] = ACTIONS(285),
    [sym__br_flw_seq_end] = ACTIONS(327),
    [sym__r_flw_map_bgn] = ACTIONS(289),
    [sym__br_flw_map_bgn] = ACTIONS(291),
    [sym__r_flw_key_bgn] = ACTIONS(293),
    [sym__br_flw_key_bgn] = ACTIONS(295),
    [sym__r_flw_njv_bgn] = ACTIONS(297),
    [sym__br_flw_njv_bgn] = ACTIONS(299),
    [sym__r_dqt_str_bgn] = ACTIONS(301),
    [sym__br_dqt_str_bgn] = ACTIONS(303),
    [sym__r_sqt_str_bgn] = ACTIONS(305),
    [sym__br_sqt_str_bgn] = ACTIONS(307),
    [sym__r_sgl_pln_flw] = ACTIONS(309),
    [sym__br_sgl_pln_flw] = ACTIONS(311),
    [sym__r_mtl_pln_flw] = ACTIONS(313),
    [sym__br_mtl_pln_flw] = ACTIONS(311),
    [sym__r_tag] = ACTIONS(315),
    [sym__br_tag] = ACTIONS(317),
    [sym__r_acr] = ACTIONS(319),
    [sym__br_acr] = ACTIONS(321),
    [sym__r_als] = ACTIONS(323),
    [sym__br_als] = ACTIONS(325),
    [sym_comment] = ACTIONS(3),
  },
  [26] = {
    [sym__r_prp_val] = STATE(584),
    [sym__br_prp_val] = STATE(585),
    [sym__r_sgl_prp_val] = STATE(770),
    [sym__r_prp] = STATE(154),
    [sym__br_prp] = STATE(153),
    [sym__r_sgl_prp] = STATE(234),
    [sym__r_flw_seq_val] = STATE(586),
    [sym__br_flw_seq_val] = STATE(587),
    [sym__r_sgl_flw_seq_val] = STATE(823),
    [sym__r_flw_seq] = STATE(716),
    [sym__br_flw_seq] = STATE(662),
    [sym__r_sgl_flw_seq] = STATE(1015),
    [sym__flw_seq_tal] = STATE(926),
    [sym__sgl_flw_seq_tal] = STATE(1092),
    [sym__r_flw_map_val] = STATE(586),
    [sym__br_flw_map_val] = STATE(587),
    [sym__r_sgl_flw_map_val] = STATE(823),
    [sym__r_flw_map] = STATE(675),
    [sym__br_flw_map] = STATE(676),
    [sym__r_sgl_flw_map] = STATE(1048),
    [sym__r_flw_seq_dat] = STATE(1069),
    [sym__br_flw_seq_dat] = STATE(1069),
    [sym__r_sgl_flw_col_dat] = STATE(1271),
    [sym__r_flw_seq_itm] = STATE(590),
    [sym__br_flw_seq_itm] = STATE(591),
    [sym__r_sgl_flw_col_itm] = STATE(774),
    [sym__r_flw_exp_par] = STATE(775),
    [sym__br_flw_exp_par] = STATE(776),
    [sym__r_sgl_flw_exp_par] = STATE(1179),
    [sym__r_flw_imp_r_par] = STATE(717),
    [sym__br_flw_imp_r_par] = STATE(777),
    [sym__r_sgl_flw_imp_par] = STATE(1176),
    [sym__r_flw_njl_ann_par] = STATE(717),
    [sym__br_flw_njl_ann_par] = STATE(777),
    [sym__r_sgl_flw_njl_ann_par] = STATE(1176),
    [sym__r_dqt_str_val] = STATE(586),
    [sym__br_dqt_str_val] = STATE(587),
    [sym__r_sgl_dqt_str_val] = STATE(823),
    [sym__r_dqt_str] = STATE(678),
    [sym__br_dqt_str] = STATE(679),
    [sym__r_sgl_dqt_str] = STATE(979),
    [sym__r_sqt_str_val] = STATE(586),
    [sym__br_sqt_str_val] = STATE(587),
    [sym__r_sgl_sqt_str_val] = STATE(823),
    [sym__r_sqt_str] = STATE(681),
    [sym__br_sqt_str] = STATE(682),
    [sym__r_sgl_sqt_str] = STATE(933),
    [sym__r_pln_flw_val] = STATE(584),
    [sym__br_pln_flw_val] = STATE(585),
    [sym__r_sgl_pln_flw_val] = STATE(770),
    [sym__r_als_val] = STATE(517),
    [sym__br_als_val] = STATE(585),
    [sym__r_flw_seq_bgn] = ACTIONS(281),
    [sym__br_flw_seq_bgn] = ACTIONS(283),
    [sym__r_flw_seq_end] = ACTIONS(329),
    [sym__br_flw_seq_end] = ACTIONS(331),
    [sym__r_flw_map_bgn] = ACTIONS(289),
    [sym__br_flw_map_bgn] = ACTIONS(291),
    [sym__r_flw_key_bgn] = ACTIONS(293),
    [sym__br_flw_key_bgn] = ACTIONS(295),
    [sym__r_flw_njv_bgn] = ACTIONS(297),
    [sym__br_flw_njv_bgn] = ACTIONS(299),
    [sym__r_dqt_str_bgn] = ACTIONS(301),
    [sym__br_dqt_str_bgn] = ACTIONS(303),
    [sym__r_sqt_str_bgn] = ACTIONS(305),
    [sym__br_sqt_str_bgn] = ACTIONS(307),
    [sym__r_sgl_pln_flw] = ACTIONS(309),
    [sym__br_sgl_pln_flw] = ACTIONS(311),
    [sym__r_mtl_pln_flw] = ACTIONS(313),
    [sym__br_mtl_pln_flw] = ACTIONS(311),
    [sym__r_tag] = ACTIONS(315),
    [sym__br_tag] = ACTIONS(317),
    [sym__r_acr] = ACTIONS(319),
    [sym__br_acr] = ACTIONS(321),
    [sym__r_als] = ACTIONS(323),
    [sym__br_als] = ACTIONS(325),
    [sym_comment] = ACTIONS(3),
  },
  [27] = {
    [sym__r_prp_val] = STATE(584),
    [sym__br_prp_val] = STATE(585),
    [sym__r_sgl_prp_val] = STATE(770),
    [sym__r_prp] = STATE(154),
    [sym__br_prp] = STATE(153),
    [sym__r_sgl_prp] = STATE(234),
    [sym__r_flw_seq_val] = STATE(586),
    [sym__br_flw_seq_val] = STATE(587),
    [sym__r_sgl_flw_seq_val] = STATE(823),
    [sym__r_flw_seq] = STATE(716),
    [sym__br_flw_seq] = STATE(662),
    [sym__r_sgl_flw_seq] = STATE(1015),
    [sym__flw_seq_tal] = STATE(992),
    [sym__sgl_flw_seq_tal] = STATE(1293),
    [sym__r_flw_map_val] = STATE(586),
    [sym__br_flw_map_val] = STATE(587),
    [sym__r_sgl_flw_map_val] = STATE(823),
    [sym__r_flw_map] = STATE(675),
    [sym__br_flw_map] = STATE(676),
    [sym__r_sgl_flw_map] = STATE(1048),
    [sym__r_flw_seq_dat] = STATE(1186),
    [sym__br_flw_seq_dat] = STATE(1186),
    [sym__r_sgl_flw_col_dat] = STATE(1296),
    [sym__r_flw_seq_itm] = STATE(590),
    [sym__br_flw_seq_itm] = STATE(591),
    [sym__r_sgl_flw_col_itm] = STATE(774),
    [sym__r_flw_exp_par] = STATE(775),
    [sym__br_flw_exp_par] = STATE(776),
    [sym__r_sgl_flw_exp_par] = STATE(1179),
    [sym__r_flw_imp_r_par] = STATE(717),
    [sym__br_flw_imp_r_par] = STATE(777),
    [sym__r_sgl_flw_imp_par] = STATE(1176),
    [sym__r_flw_njl_ann_par] = STATE(717),
    [sym__br_flw_njl_ann_par] = STATE(777),
    [sym__r_sgl_flw_njl_ann_par] = STATE(1176),
    [sym__r_dqt_str_val] = STATE(586),
    [sym__br_dqt_str_val] = STATE(587),
    [sym__r_sgl_dqt_str_val] = STATE(823),
    [sym__r_dqt_str] = STATE(678),
    [sym__br_dqt_str] = STATE(679),
    [sym__r_sgl_dqt_str] = STATE(979),
    [sym__r_sqt_str_val] = STATE(586),
    [sym__br_sqt_str_val] = STATE(587),
    [sym__r_sgl_sqt_str_val] = STATE(823),
    [sym__r_sqt_str] = STATE(681),
    [sym__br_sqt_str] = STATE(682),
    [sym__r_sgl_sqt_str] = STATE(933),
    [sym__r_pln_flw_val] = STATE(584),
    [sym__br_pln_flw_val] = STATE(585),
    [sym__r_sgl_pln_flw_val] = STATE(770),
    [sym__r_als_val] = STATE(517),
    [sym__br_als_val] = STATE(585),
    [sym__r_flw_seq_bgn] = ACTIONS(281),
    [sym__br_flw_seq_bgn] = ACTIONS(283),
    [sym__r_flw_seq_end] = ACTIONS(333),
    [sym__br_flw_seq_end] = ACTIONS(335),
    [sym__r_flw_map_bgn] = ACTIONS(289),
    [sym__br_flw_map_bgn] = ACTIONS(291),
    [sym__r_flw_key_bgn] = ACTIONS(293),
    [sym__br_flw_key_bgn] = ACTIONS(295),
    [sym__r_flw_njv_bgn] = ACTIONS(297),
    [sym__br_flw_njv_bgn] = ACTIONS(299),
    [sym__r_dqt_str_bgn] = ACTIONS(301),
    [sym__br_dqt_str_bgn] = ACTIONS(303),
    [sym__r_sqt_str_bgn] = ACTIONS(305),
    [sym__br_sqt_str_bgn] = ACTIONS(307),
    [sym__r_sgl_pln_flw] = ACTIONS(309),
    [sym__br_sgl_pln_flw] = ACTIONS(311),
    [sym__r_mtl_pln_flw] = ACTIONS(313),
    [sym__br_mtl_pln_flw] = ACTIONS(311),
    [sym__r_tag] = ACTIONS(315),
    [sym__br_tag] = ACTIONS(317),
    [sym__r_acr] = ACTIONS(319),
    [sym__br_acr] = ACTIONS(321),
    [sym__r_als] = ACTIONS(323),
    [sym__br_als] = ACTIONS(325),
    [sym_comment] = ACTIONS(3),
  },
  [28] = {
    [sym__r_prp_val] = STATE(584),
    [sym__br_prp_val] = STATE(585),
    [sym__r_sgl_prp_val] = STATE(770),
    [sym__r_prp] = STATE(154),
    [sym__br_prp] = STATE(153),
    [sym__r_sgl_prp] = STATE(234),
    [sym__r_flw_seq_val] = STATE(586),
    [sym__br_flw_seq_val] = STATE(587),
    [sym__r_sgl_flw_seq_val] = STATE(823),
    [sym__r_flw_seq] = STATE(716),
    [sym__br_flw_seq] = STATE(662),
    [sym__r_sgl_flw_seq] = STATE(1015),
    [sym__flw_seq_tal] = STATE(1095),
    [sym__sgl_flw_seq_tal] = STATE(1287),
    [sym__r_flw_map_val] = STATE(586),
    [sym__br_flw_map_val] = STATE(587),
    [sym__r_sgl_flw_map_val] = STATE(823),
    [sym__r_flw_map] = STATE(675),
    [sym__br_flw_map] = STATE(676),
    [sym__r_sgl_flw_map] = STATE(1048),
    [sym__r_flw_seq_dat] = STATE(1252),
    [sym__br_flw_seq_dat] = STATE(1252),
    [sym__r_sgl_flw_col_dat] = STATE(1295),
    [sym__r_flw_seq_itm] = STATE(590),
    [sym__br_flw_seq_itm] = STATE(591),
    [sym__r_sgl_flw_col_itm] = STATE(774),
    [sym__r_flw_exp_par] = STATE(775),
    [sym__br_flw_exp_par] = STATE(776),
    [sym__r_sgl_flw_exp_par] = STATE(1179),
    [sym__r_flw_imp_r_par] = STATE(717),
    [sym__br_flw_imp_r_par] = STATE(777),
    [sym__r_sgl_flw_imp_par] = STATE(1176),
    [sym__r_flw_njl_ann_par] = STATE(717),
    [sym__br_flw_njl_ann_par] = STATE(777),
    [sym__r_sgl_flw_njl_ann_par] = STATE(1176),
    [sym__r_dqt_str_val] = STATE(586),
    [sym__br_dqt_str_val] = STATE(587),
    [sym__r_sgl_dqt_str_val] = STATE(823),
    [sym__r_dqt_str] = STATE(678),
    [sym__br_dqt_str] = STATE(679),
    [sym__r_sgl_dqt_str] = STATE(979),
    [sym__r_sqt_str_val] = STATE(586),
    [sym__br_sqt_str_val] = STATE(587),
    [sym__r_sgl_sqt_str_val] = STATE(823),
    [sym__r_sqt_str] = STATE(681),
    [sym__br_sqt_str] = STATE(682),
    [sym__r_sgl_sqt_str] = STATE(933),
    [sym__r_pln_flw_val] = STATE(584),
    [sym__br_pln_flw_val] = STATE(585),
    [sym__r_sgl_pln_flw_val] = STATE(770),
    [sym__r_als_val] = STATE(517),
    [sym__br_als_val] = STATE(585),
    [sym__r_flw_seq_bgn] = ACTIONS(281),
    [sym__br_flw_seq_bgn] = ACTIONS(283),
    [sym__r_flw_seq_end] = ACTIONS(337),
    [sym__br_flw_seq_end] = ACTIONS(339),
    [sym__r_flw_map_bgn] = ACTIONS(289),
    [sym__br_flw_map_bgn] = ACTIONS(291),
    [sym__r_flw_key_bgn] = ACTIONS(293),
    [sym__br_flw_key_bgn] = ACTIONS(295),
    [sym__r_flw_njv_bgn] = ACTIONS(297),
    [sym__br_flw_njv_bgn] = ACTIONS(299),
    [sym__r_dqt_str_bgn] = ACTIONS(301),
    [sym__br_dqt_str_bgn] = ACTIONS(303),
    [sym__r_sqt_str_bgn] = ACTIONS(305),
    [sym__br_sqt_str_bgn] = ACTIONS(307),
    [sym__r_sgl_pln_flw] = ACTIONS(309),
    [sym__br_sgl_pln_flw] = ACTIONS(311),
    [sym__r_mtl_pln_flw] = ACTIONS(313),
    [sym__br_mtl_pln_flw] = ACTIONS(311),
    [sym__r_tag] = ACTIONS(315),
    [sym__br_tag] = ACTIONS(317),
    [sym__r_acr] = ACTIONS(319),
    [sym__br_acr] = ACTIONS(321),
    [sym__r_als] = ACTIONS(323),
    [sym__br_als] = ACTIONS(325),
    [sym_comment] = ACTIONS(3),
  },
  [29] = {
    [sym__r_prp_val] = STATE(584),
    [sym__br_prp_val] = STATE(585),
    [sym__r_sgl_prp_val] = STATE(770),
    [sym__r_prp] = STATE(154),
    [sym__br_prp] = STATE(153),
    [sym__r_sgl_prp] = STATE(234),
    [sym__r_flw_seq_val] = STATE(586),
    [sym__br_flw_seq_val] = STATE(587),
    [sym__r_sgl_flw_seq_val] = STATE(823),
    [sym__r_flw_seq] = STATE(716),
    [sym__br_flw_seq] = STATE(662),
    [sym__r_sgl_flw_seq] = STATE(1015),
    [sym__flw_seq_tal] = STATE(696),
    [sym__sgl_flw_seq_tal] = STATE(944),
    [sym__r_flw_map_val] = STATE(586),
    [sym__br_flw_map_val] = STATE(587),
    [sym__r_sgl_flw_map_val] = STATE(823),
    [sym__r_flw_map] = STATE(675),
    [sym__br_flw_map] = STATE(676),
    [sym__r_sgl_flw_map] = STATE(1048),
    [sym__r_flw_seq_dat] = STATE(1187),
    [sym__br_flw_seq_dat] = STATE(1187),
    [sym__r_sgl_flw_col_dat] = STATE(1348),
    [sym__r_flw_seq_itm] = STATE(590),
    [sym__br_flw_seq_itm] = STATE(591),
    [sym__r_sgl_flw_col_itm] = STATE(774),
    [sym__r_flw_exp_par] = STATE(775),
    [sym__br_flw_exp_par] = STATE(776),
    [sym__r_sgl_flw_exp_par] = STATE(1179),
    [sym__r_flw_imp_r_par] = STATE(717),
    [sym__br_flw_imp_r_par] = STATE(777),
    [sym__r_sgl_flw_imp_par] = STATE(1176),
    [sym__r_flw_njl_ann_par] = STATE(717),
    [sym__br_flw_njl_ann_par] = STATE(777),
    [sym__r_sgl_flw_njl_ann_par] = STATE(1176),
    [sym__r_dqt_str_val] = STATE(586),
    [sym__br_dqt_str_val] = STATE(587),
    [sym__r_sgl_dqt_str_val] = STATE(823),
    [sym__r_dqt_str] = STATE(678),
    [sym__br_dqt_str] = STATE(679),
    [sym__r_sgl_dqt_str] = STATE(979),
    [sym__r_sqt_str_val] = STATE(586),
    [sym__br_sqt_str_val] = STATE(587),
    [sym__r_sgl_sqt_str_val] = STATE(823),
    [sym__r_sqt_str] = STATE(681),
    [sym__br_sqt_str] = STATE(682),
    [sym__r_sgl_sqt_str] = STATE(933),
    [sym__r_pln_flw_val] = STATE(584),
    [sym__br_pln_flw_val] = STATE(585),
    [sym__r_sgl_pln_flw_val] = STATE(770),
    [sym__r_als_val] = STATE(517),
    [sym__br_als_val] = STATE(585),
    [sym__r_flw_seq_bgn] = ACTIONS(281),
    [sym__br_flw_seq_bgn] = ACTIONS(283),
    [sym__r_flw_seq_end] = ACTIONS(341),
    [sym__br_flw_seq_end] = ACTIONS(343),
    [sym__r_flw_map_bgn] = ACTIONS(289),
    [sym__br_flw_map_bgn] = ACTIONS(291),
    [sym__r_flw_key_bgn] = ACTIONS(293),
    [sym__br_flw_key_bgn] = ACTIONS(295),
    [sym__r_flw_njv_bgn] = ACTIONS(297),
    [sym__br_flw_njv_bgn] = ACTIONS(299),
    [sym__r_dqt_str_bgn] = ACTIONS(301),
    [sym__br_dqt_str_bgn] = ACTIONS(303),
    [sym__r_sqt_str_bgn] = ACTIONS(305),
    [sym__br_sqt_str_bgn] = ACTIONS(307),
    [sym__r_sgl_pln_flw] = ACTIONS(309),
    [sym__br_sgl_pln_flw] = ACTIONS(311),
    [sym__r_mtl_pln_flw] = ACTIONS(313),
    [sym__br_mtl_pln_flw] = ACTIONS(311),
    [sym__r_tag] = ACTIONS(315),
    [sym__br_tag] = ACTIONS(317),
    [sym__r_acr] = ACTIONS(319),
    [sym__br_acr] = ACTIONS(321),
    [sym__r_als] = ACTIONS(323),
    [sym__br_als] = ACTIONS(325),
    [sym_comment] = ACTIONS(3),
  },
  [30] = {
    [sym__r_prp_val] = STATE(584),
    [sym__br_prp_val] = STATE(585),
    [sym__r_sgl_prp_val] = STATE(770),
    [sym__r_prp] = STATE(154),
    [sym__br_prp] = STATE(153),
    [sym__r_sgl_prp] = STATE(234),
    [sym__r_flw_seq_val] = STATE(586),
    [sym__br_flw_seq_val] = STATE(587),
    [sym__r_sgl_flw_seq_val] = STATE(823),
    [sym__r_flw_seq] = STATE(716),
    [sym__br_flw_seq] = STATE(662),
    [sym__r_sgl_flw_seq] = STATE(1015),
    [sym__flw_seq_tal] = STATE(872),
    [sym__sgl_flw_seq_tal] = STATE(1223),
    [sym__r_flw_map_val] = STATE(586),
    [sym__br_flw_map_val] = STATE(587),
    [sym__r_sgl_flw_map_val] = STATE(823),
    [sym__r_flw_map] = STATE(675),
    [sym__br_flw_map] = STATE(676),
    [sym__r_sgl_flw_map] = STATE(1048),
    [sym__r_flw_seq_dat] = STATE(1103),
    [sym__br_flw_seq_dat] = STATE(1103),
    [sym__r_sgl_flw_col_dat] = STATE(1268),
    [sym__r_flw_seq_itm] = STATE(590),
    [sym__br_flw_seq_itm] = STATE(591),
    [sym__r_sgl_flw_col_itm] = STATE(774),
    [sym__r_flw_exp_par] = STATE(775),
    [sym__br_flw_exp_par] = STATE(776),
    [sym__r_sgl_flw_exp_par] = STATE(1179),
    [sym__r_flw_imp_r_par] = STATE(717),
    [sym__br_flw_imp_r_par] = STATE(777),
    [sym__r_sgl_flw_imp_par] = STATE(1176),
    [sym__r_flw_njl_ann_par] = STATE(717),
    [sym__br_flw_njl_ann_par] = STATE(777),
    [sym__r_sgl_flw_njl_ann_par] = STATE(1176),
    [sym__r_dqt_str_val] = STATE(586),
    [sym__br_dqt_str_val] = STATE(587),
    [sym__r_sgl_dqt_str_val] = STATE(823),
    [sym__r_dqt_str] = STATE(678),
    [sym__br_dqt_str] = STATE(679),
    [sym__r_sgl_dqt_str] = STATE(979),
    [sym__r_sqt_str_val] = STATE(586),
    [sym__br_sqt_str_val] = STATE(587),
    [sym__r_sgl_sqt_str_val] = STATE(823),
    [sym__r_sqt_str] = STATE(681),
    [sym__br_sqt_str] = STATE(682),
    [sym__r_sgl_sqt_str] = STATE(933),
    [sym__r_pln_flw_val] = STATE(584),
    [sym__br_pln_flw_val] = STATE(585),
    [sym__r_sgl_pln_flw_val] = STATE(770),
    [sym__r_als_val] = STATE(517),
    [sym__br_als_val] = STATE(585),
    [sym__r_flw_seq_bgn] = ACTIONS(281),
    [sym__br_flw_seq_bgn] = ACTIONS(283),
    [sym__r_flw_seq_end] = ACTIONS(345),
    [sym__br_flw_seq_end] = ACTIONS(347),
    [sym__r_flw_map_bgn] = ACTIONS(289),
    [sym__br_flw_map_bgn] = ACTIONS(291),
    [sym__r_flw_key_bgn] = ACTIONS(293),
    [sym__br_flw_key_bgn] = ACTIONS(295),
    [sym__r_flw_njv_bgn] = ACTIONS(297),
    [sym__br_flw_njv_bgn] = ACTIONS(299),
    [sym__r_dqt_str_bgn] = ACTIONS(301),
    [sym__br_dqt_str_bgn] = ACTIONS(303),
    [sym__r_sqt_str_bgn] = ACTIONS(305),
    [sym__br_sqt_str_bgn] = ACTIONS(307),
    [sym__r_sgl_pln_flw] = ACTIONS(309),
    [sym__br_sgl_pln_flw] = ACTIONS(311),
    [sym__r_mtl_pln_flw] = ACTIONS(313),
    [sym__br_mtl_pln_flw] = ACTIONS(311),
    [sym__r_tag] = ACTIONS(315),
    [sym__br_tag] = ACTIONS(317),
    [sym__r_acr] = ACTIONS(319),
    [sym__br_acr] = ACTIONS(321),
    [sym__r_als] = ACTIONS(323),
    [sym__br_als] = ACTIONS(325),
    [sym_comment] = ACTIONS(3),
  },
  [31] = {
    [sym__r_prp_val] = STATE(584),
    [sym__br_prp_val] = STATE(585),
    [sym__r_sgl_prp_val] = STATE(770),
    [sym__r_prp] = STATE(154),
    [sym__br_prp] = STATE(153),
    [sym__r_sgl_prp] = STATE(234),
    [sym__r_flw_seq_val] = STATE(586),
    [sym__br_flw_seq_val] = STATE(587),
    [sym__r_sgl_flw_seq_val] = STATE(823),
    [sym__r_flw_seq] = STATE(716),
    [sym__br_flw_seq] = STATE(662),
    [sym__r_sgl_flw_seq] = STATE(1015),
    [sym__flw_seq_tal] = STATE(384),
    [sym__sgl_flw_seq_tal] = STATE(1293),
    [sym__r_flw_map_val] = STATE(586),
    [sym__br_flw_map_val] = STATE(587),
    [sym__r_sgl_flw_map_val] = STATE(823),
    [sym__r_flw_map] = STATE(675),
    [sym__br_flw_map] = STATE(676),
    [sym__r_sgl_flw_map] = STATE(1048),
    [sym__r_flw_seq_dat] = STATE(1139),
    [sym__br_flw_seq_dat] = STATE(1139),
    [sym__r_sgl_flw_col_dat] = STATE(1296),
    [sym__r_flw_seq_itm] = STATE(590),
    [sym__br_flw_seq_itm] = STATE(591),
    [sym__r_sgl_flw_col_itm] = STATE(774),
    [sym__r_flw_exp_par] = STATE(775),
    [sym__br_flw_exp_par] = STATE(776),
    [sym__r_sgl_flw_exp_par] = STATE(1179),
    [sym__r_flw_imp_r_par] = STATE(717),
    [sym__br_flw_imp_r_par] = STATE(777),
    [sym__r_sgl_flw_imp_par] = STATE(1176),
    [sym__r_flw_njl_ann_par] = STATE(717),
    [sym__br_flw_njl_ann_par] = STATE(777),
    [sym__r_sgl_flw_njl_ann_par] = STATE(1176),
    [sym__r_dqt_str_val] = STATE(586),
    [sym__br_dqt_str_val] = STATE(587),
    [sym__r_sgl_dqt_str_val] = STATE(823),
    [sym__r_dqt_str] = STATE(678),
    [sym__br_dqt_str] = STATE(679),
    [sym__r_sgl_dqt_str] = STATE(979),
    [sym__r_sqt_str_val] = STATE(586),
    [sym__br_sqt_str_val] = STATE(587),
    [sym__r_sgl_sqt_str_val] = STATE(823),
    [sym__r_sqt_str] = STATE(681),
    [sym__br_sqt_str] = STATE(682),
    [sym__r_sgl_sqt_str] = STATE(933),
    [sym__r_pln_flw_val] = STATE(584),
    [sym__br_pln_flw_val] = STATE(585),
    [sym__r_sgl_pln_flw_val] = STATE(770),
    [sym__r_als_val] = STATE(517),
    [sym__br_als_val] = STATE(585),
    [sym__r_flw_seq_bgn] = ACTIONS(281),
    [sym__br_flw_seq_bgn] = ACTIONS(283),
    [sym__r_flw_seq_end] = ACTIONS(349),
    [sym__br_flw_seq_end] = ACTIONS(351),
    [sym__r_flw_map_bgn] = ACTIONS(289),
    [sym__br_flw_map_bgn] = ACTIONS(291),
    [sym__r_flw_key_bgn] = ACTIONS(293),
    [sym__br_flw_key_bgn] = ACTIONS(295),
    [sym__r_flw_njv_bgn] = ACTIONS(297),
    [sym__br_flw_njv_bgn] = ACTIONS(299),
    [sym__r_dqt_str_bgn] = ACTIONS(301),
    [sym__br_dqt_str_bgn] = ACTIONS(303),
    [sym__r_sqt_str_bgn] = ACTIONS(305),
    [sym__br_sqt_str_bgn] = ACTIONS(307),
    [sym__r_sgl_pln_flw] = ACTIONS(309),
    [sym__br_sgl_pln_flw] = ACTIONS(311),
    [sym__r_mtl_pln_flw] = ACTIONS(313),
    [sym__br_mtl_pln_flw] = ACTIONS(311),
    [sym__r_tag] = ACTIONS(315),
    [sym__br_tag] = ACTIONS(317),
    [sym__r_acr] = ACTIONS(319),
    [sym__br_acr] = ACTIONS(321),
    [sym__r_als] = ACTIONS(323),
    [sym__br_als] = ACTIONS(325),
    [sym_comment] = ACTIONS(3),
  },
  [32] = {
    [sym__r_prp_val] = STATE(584),
    [sym__br_prp_val] = STATE(585),
    [sym__r_sgl_prp_val] = STATE(770),
    [sym__r_prp] = STATE(154),
    [sym__br_prp] = STATE(153),
    [sym__r_sgl_prp] = STATE(234),
    [sym__r_flw_seq_val] = STATE(586),
    [sym__br_flw_seq_val] = STATE(587),
    [sym__r_sgl_flw_seq_val] = STATE(823),
    [sym__r_flw_seq] = STATE(716),
    [sym__br_flw_seq] = STATE(662),
    [sym__r_sgl_flw_seq] = STATE(1015),
    [sym__flw_seq_tal] = STATE(643),
    [sym__sgl_flw_seq_tal] = STATE(1044),
    [sym__r_flw_map_val] = STATE(586),
    [sym__br_flw_map_val] = STATE(587),
    [sym__r_sgl_flw_map_val] = STATE(823),
    [sym__r_flw_map] = STATE(675),
    [sym__br_flw_map] = STATE(676),
    [sym__r_sgl_flw_map] = STATE(1048),
    [sym__r_flw_seq_dat] = STATE(1227),
    [sym__br_flw_seq_dat] = STATE(1227),
    [sym__r_sgl_flw_col_dat] = STATE(1314),
    [sym__r_flw_seq_itm] = STATE(590),
    [sym__br_flw_seq_itm] = STATE(591),
    [sym__r_sgl_flw_col_itm] = STATE(774),
    [sym__r_flw_exp_par] = STATE(775),
    [sym__br_flw_exp_par] = STATE(776),
    [sym__r_sgl_flw_exp_par] = STATE(1179),
    [sym__r_flw_imp_r_par] = STATE(717),
    [sym__br_flw_imp_r_par] = STATE(777),
    [sym__r_sgl_flw_imp_par] = STATE(1176),
    [sym__r_flw_njl_ann_par] = STATE(717),
    [sym__br_flw_njl_ann_par] = STATE(777),
    [sym__r_sgl_flw_njl_ann_par] = STATE(1176),
    [sym__r_dqt_str_val] = STATE(586),
    [sym__br_dqt_str_val] = STATE(587),
    [sym__r_sgl_dqt_str_val] = STATE(823),
    [sym__r_dqt_str] = STATE(678),
    [sym__br_dqt_str] = STATE(679),
    [sym__r_sgl_dqt_str] = STATE(979),
    [sym__r_sqt_str_val] = STATE(586),
    [sym__br_sqt_str_val] = STATE(587),
    [sym__r_sgl_sqt_str_val] = STATE(823),
    [sym__r_sqt_str] = STATE(681),
    [sym__br_sqt_str] = STATE(682),
    [sym__r_sgl_sqt_str] = STATE(933),
    [sym__r_pln_flw_val] = STATE(584),
    [sym__br_pln_flw_val] = STATE(585),
    [sym__r_sgl_pln_flw_val] = STATE(770),
    [sym__r_als_val] = STATE(517),
    [sym__br_als_val] = STATE(585),
    [sym__r_flw_seq_bgn] = ACTIONS(281),
    [sym__br_flw_seq_bgn] = ACTIONS(283),
    [sym__r_flw_seq_end] = ACTIONS(353),
    [sym__br_flw_seq_end] = ACTIONS(355),
    [sym__r_flw_map_bgn] = ACTIONS(289),
    [sym__br_flw_map_bgn] = ACTIONS(291),
    [sym__r_flw_key_bgn] = ACTIONS(293),
    [sym__br_flw_key_bgn] = ACTIONS(295),
    [sym__r_flw_njv_bgn] = ACTIONS(297),
    [sym__br_flw_njv_bgn] = ACTIONS(299),
    [sym__r_dqt_str_bgn] = ACTIONS(301),
    [sym__br_dqt_str_bgn] = ACTIONS(303),
    [sym__r_sqt_str_bgn] = ACTIONS(305),
    [sym__br_sqt_str_bgn] = ACTIONS(307),
    [sym__r_sgl_pln_flw] = ACTIONS(309),
    [sym__br_sgl_pln_flw] = ACTIONS(311),
    [sym__r_mtl_pln_flw] = ACTIONS(313),
    [sym__br_mtl_pln_flw] = ACTIONS(311),
    [sym__r_tag] = ACTIONS(315),
    [sym__br_tag] = ACTIONS(317),
    [sym__r_acr] = ACTIONS(319),
    [sym__br_acr] = ACTIONS(321),
    [sym__r_als] = ACTIONS(323),
    [sym__br_als] = ACTIONS(325),
    [sym_comment] = ACTIONS(3),
  },
  [33] = {
    [sym__r_prp_val] = STATE(584),
    [sym__br_prp_val] = STATE(585),
    [sym__r_sgl_prp_val] = STATE(770),
    [sym__r_prp] = STATE(154),
    [sym__br_prp] = STATE(153),
    [sym__r_sgl_prp] = STATE(234),
    [sym__r_flw_seq_val] = STATE(586),
    [sym__br_flw_seq_val] = STATE(587),
    [sym__r_sgl_flw_seq_val] = STATE(823),
    [sym__r_flw_seq] = STATE(716),
    [sym__br_flw_seq] = STATE(662),
    [sym__r_sgl_flw_seq] = STATE(1015),
    [sym__flw_seq_tal] = STATE(383),
    [sym__sgl_flw_seq_tal] = STATE(1304),
    [sym__r_flw_map_val] = STATE(586),
    [sym__br_flw_map_val] = STATE(587),
    [sym__r_sgl_flw_map_val] = STATE(823),
    [sym__r_flw_map] = STATE(675),
    [sym__br_flw_map] = STATE(676),
    [sym__r_sgl_flw_map] = STATE(1048),
    [sym__r_flw_seq_dat] = STATE(1139),
    [sym__br_flw_seq_dat] = STATE(1139),
    [sym__r_sgl_flw_col_dat] = STATE(1296),
    [sym__r_flw_seq_itm] = STATE(590),
    [sym__br_flw_seq_itm] = STATE(591),
    [sym__r_sgl_flw_col_itm] = STATE(774),
    [sym__r_flw_exp_par] = STATE(775),
    [sym__br_flw_exp_par] = STATE(776),
    [sym__r_sgl_flw_exp_par] = STATE(1179),
    [sym__r_flw_imp_r_par] = STATE(717),
    [sym__br_flw_imp_r_par] = STATE(777),
    [sym__r_sgl_flw_imp_par] = STATE(1176),
    [sym__r_flw_njl_ann_par] = STATE(717),
    [sym__br_flw_njl_ann_par] = STATE(777),
    [sym__r_sgl_flw_njl_ann_par] = STATE(1176),
    [sym__r_dqt_str_val] = STATE(586),
    [sym__br_dqt_str_val] = STATE(587),
    [sym__r_sgl_dqt_str_val] = STATE(823),
    [sym__r_dqt_str] = STATE(678),
    [sym__br_dqt_str] = STATE(679),
    [sym__r_sgl_dqt_str] = STATE(979),
    [sym__r_sqt_str_val] = STATE(586),
    [sym__br_sqt_str_val] = STATE(587),
    [sym__r_sgl_sqt_str_val] = STATE(823),
    [sym__r_sqt_str] = STATE(681),
    [sym__br_sqt_str] = STATE(682),
    [sym__r_sgl_sqt_str] = STATE(933),
    [sym__r_pln_flw_val] = STATE(584),
    [sym__br_pln_flw_val] = STATE(585),
    [sym__r_sgl_pln_flw_val] = STATE(770),
    [sym__r_als_val] = STATE(517),
    [sym__br_als_val] = STATE(585),
    [sym__r_flw_seq_bgn] = ACTIONS(281),
    [sym__br_flw_seq_bgn] = ACTIONS(283),
    [sym__r_flw_seq_end] = ACTIONS(349),
    [sym__br_flw_seq_end] = ACTIONS(357),
    [sym__r_flw_map_bgn] = ACTIONS(289),
    [sym__br_flw_map_bgn] = ACTIONS(291),
    [sym__r_flw_key_bgn] = ACTIONS(293),
    [sym__br_flw_key_bgn] = ACTIONS(295),
    [sym__r_flw_njv_bgn] = ACTIONS(297),
    [sym__br_flw_njv_bgn] = ACTIONS(299),
    [sym__r_dqt_str_bgn] = ACTIONS(301),
    [sym__br_dqt_str_bgn] = ACTIONS(303),
    [sym__r_sqt_str_bgn] = ACTIONS(305),
    [sym__br_sqt_str_bgn] = ACTIONS(307),
    [sym__r_sgl_pln_flw] = ACTIONS(309),
    [sym__br_sgl_pln_flw] = ACTIONS(311),
    [sym__r_mtl_pln_flw] = ACTIONS(313),
    [sym__br_mtl_pln_flw] = ACTIONS(311),
    [sym__r_tag] = ACTIONS(315),
    [sym__br_tag] = ACTIONS(317),
    [sym__r_acr] = ACTIONS(319),
    [sym__br_acr] = ACTIONS(321),
    [sym__r_als] = ACTIONS(323),
    [sym__br_als] = ACTIONS(325),
    [sym_comment] = ACTIONS(3),
  },
  [34] = {
    [sym__r_prp_val] = STATE(584),
    [sym__br_prp_val] = STATE(585),
    [sym__r_sgl_prp_val] = STATE(770),
    [sym__r_prp] = STATE(154),
    [sym__br_prp] = STATE(153),
    [sym__r_sgl_prp] = STATE(234),
    [sym__r_flw_seq_val] = STATE(586),
    [sym__br_flw_seq_val] = STATE(587),
    [sym__r_sgl_flw_seq_val] = STATE(823),
    [sym__r_flw_seq] = STATE(716),
    [sym__br_flw_seq] = STATE(662),
    [sym__r_sgl_flw_seq] = STATE(1015),
    [sym__flw_seq_tal] = STATE(999),
    [sym__sgl_flw_seq_tal] = STATE(1304),
    [sym__r_flw_map_val] = STATE(586),
    [sym__br_flw_map_val] = STATE(587),
    [sym__r_sgl_flw_map_val] = STATE(823),
    [sym__r_flw_map] = STATE(675),
    [sym__br_flw_map] = STATE(676),
    [sym__r_sgl_flw_map] = STATE(1048),
    [sym__r_flw_seq_dat] = STATE(1186),
    [sym__br_flw_seq_dat] = STATE(1186),
    [sym__r_sgl_flw_col_dat] = STATE(1296),
    [sym__r_flw_seq_itm] = STATE(590),
    [sym__br_flw_seq_itm] = STATE(591),
    [sym__r_sgl_flw_col_itm] = STATE(774),
    [sym__r_flw_exp_par] = STATE(775),
    [sym__br_flw_exp_par] = STATE(776),
    [sym__r_sgl_flw_exp_par] = STATE(1179),
    [sym__r_flw_imp_r_par] = STATE(717),
    [sym__br_flw_imp_r_par] = STATE(777),
    [sym__r_sgl_flw_imp_par] = STATE(1176),
    [sym__r_flw_njl_ann_par] = STATE(717),
    [sym__br_flw_njl_ann_par] = STATE(777),
    [sym__r_sgl_flw_njl_ann_par] = STATE(1176),
    [sym__r_dqt_str_val] = STATE(586),
    [sym__br_dqt_str_val] = STATE(587),
    [sym__r_sgl_dqt_str_val] = STATE(823),
    [sym__r_dqt_str] = STATE(678),
    [sym__br_dqt_str] = STATE(679),
    [sym__r_sgl_dqt_str] = STATE(979),
    [sym__r_sqt_str_val] = STATE(586),
    [sym__br_sqt_str_val] = STATE(587),
    [sym__r_sgl_sqt_str_val] = STATE(823),
    [sym__r_sqt_str] = STATE(681),
    [sym__br_sqt_str] = STATE(682),
    [sym__r_sgl_sqt_str] = STATE(933),
    [sym__r_pln_flw_val] = STATE(584),
    [sym__br_pln_flw_val] = STATE(585),
    [sym__r_sgl_pln_flw_val] = STATE(770),
    [sym__r_als_val] = STATE(517),
    [sym__br_als_val] = STATE(585),
    [sym__r_flw_seq_bgn] = ACTIONS(281),
    [sym__br_flw_seq_bgn] = ACTIONS(283),
    [sym__r_flw_seq_end] = ACTIONS(333),
    [sym__br_flw_seq_end] = ACTIONS(359),
    [sym__r_flw_map_bgn] = ACTIONS(289),
    [sym__br_flw_map_bgn] = ACTIONS(291),
    [sym__r_flw_key_bgn] = ACTIONS(293),
    [sym__br_flw_key_bgn] = ACTIONS(295),
    [sym__r_flw_njv_bgn] = ACTIONS(297),
    [sym__br_flw_njv_bgn] = ACTIONS(299),
    [sym__r_dqt_str_bgn] = ACTIONS(301),
    [sym__br_dqt_str_bgn] = ACTIONS(303),
    [sym__r_sqt_str_bgn] = ACTIONS(305),
    [sym__br_sqt_str_bgn] = ACTIONS(307),
    [sym__r_sgl_pln_flw] = ACTIONS(309),
    [sym__br_sgl_pln_flw] = ACTIONS(311),
    [sym__r_mtl_pln_flw] = ACTIONS(313),
    [sym__br_mtl_pln_flw] = ACTIONS(311),
    [sym__r_tag] = ACTIONS(315),
    [sym__br_tag] = ACTIONS(317),
    [sym__r_acr] = ACTIONS(319),
    [sym__br_acr] = ACTIONS(321),
    [sym__r_als] = ACTIONS(323),
    [sym__br_als] = ACTIONS(325),
    [sym_comment] = ACTIONS(3),
  },
  [35] = {
    [sym__doc_w_bgn_w_end_seq] = STATE(1336),
    [sym__doc_w_bgn_wo_end_seq] = STATE(1336),
    [sym__doc_wo_bgn_w_end_seq] = STATE(1336),
    [sym__doc_wo_bgn_wo_end_seq] = STATE(1336),
    [sym__doc_w_bgn_w_end] = STATE(37),
    [sym__doc_w_bgn_wo_end] = STATE(396),
    [sym__doc_wo_bgn_w_end] = STATE(36),
    [sym__doc_wo_bgn_wo_end] = STATE(395),
    [sym__drs_doc] = STATE(1035),
    [sym__exp_doc] = STATE(1034),
    [sym__imp_doc] = STATE(1036),
    [sym__drs_doc_end] = STATE(36),
    [sym__exp_doc_end] = STATE(37),
    [sym__imp_doc_end] = STATE(36),
    [sym__doc_end] = STATE(37),
    [sym__s_dir] = STATE(387),
    [sym__s_dir_yml] = STATE(387),
    [sym__s_dir_tag] = STATE(387),
    [sym__s_dir_rsv] = STATE(387),
    [sym__br_prp_val] = STATE(1039),
    [sym__br_sgl_prp_val] = STATE(1149),
    [sym__br_prp] = STATE(80),
    [sym__br_sgl_prp] = STATE(394),
    [sym__br_blk_seq_val] = STATE(1039),
    [sym__br_blk_seq] = STATE(950),
    [sym__br_blk_seq_itm] = STATE(730),
    [sym__br_blk_map_val] = STATE(1039),
    [sym__br_blk_map] = STATE(952),
    [sym__br_blk_map_itm] = STATE(109),
    [sym__br_blk_exp_itm] = STATE(278),
    [sym__br_blk_key_itm] = STATE(231),
    [sym__br_blk_val_itm] = STATE(283),
    [sym__br_blk_imp_itm] = STATE(278),
    [sym__br_blk_str_val] = STATE(1039),
    [sym__br_blk_str] = STATE(954),
    [sym__br_flw_seq_val] = STATE(1039),
    [sym__br_sgl_flw_seq_val] = STATE(1149),
    [sym__br_flw_seq] = STATE(961),
    [sym__br_sgl_flw_seq] = STATE(1280),
    [sym__br_flw_map_val] = STATE(1039),
    [sym__br_sgl_flw_map_val] = STATE(1149),
    [sym__br_flw_map] = STATE(963),
    [sym__br_sgl_flw_map] = STATE(1266),
    [sym__br_dqt_str_val] = STATE(1039),
    [sym__br_sgl_dqt_str_val] = STATE(1149),
    [sym__br_dqt_str] = STATE(966),
    [sym__br_sgl_dqt_str] = STATE(1262),
    [sym__br_sqt_str_val] = STATE(1039),
    [sym__br_sgl_sqt_str_val] = STATE(1149),
    [sym__br_sqt_str] = STATE(970),
    [sym__br_sgl_sqt_str] = STATE(1275),
    [sym__br_pln_blk_val] = STATE(1039),
    [sym__br_sgl_pln_blk_val] = STATE(1149),
    [sym__br_als_val] = STATE(669),
    [aux_sym__drs_doc_repeat1] = STATE(387),
    [sym__eof] = ACTIONS(361),
    [sym__s_dir_yml_bgn] = ACTIONS(7),
    [sym__s_dir_tag_bgn] = ACTIONS(9),
    [sym__s_dir_rsv_bgn] = ACTIONS(11),
    [sym__s_drs_end] = ACTIONS(13),
    [sym__s_doc_end] = ACTIONS(15),
    [sym__br_blk_seq_bgn] = ACTIONS(19),
    [sym__br_blk_key_bgn] = ACTIONS(23),
    [sym__br_blk_val_bgn] = ACTIONS(27),
    [sym__br_blk_lit_bgn] = ACTIONS(31),
    [sym__br_blk_fld_bgn] = ACTIONS(31),
    [sym__br_flw_seq_bgn] = ACTIONS(35),
    [sym__br_flw_map_bgn] = ACTIONS(39),
    [sym__br_dqt_str_bgn] = ACTIONS(43),
    [sym__br_sqt_str_bgn] = ACTIONS(47),
    [sym__br_sgl_pln_blk] = ACTIONS(51),
    [sym__br_mtl_pln_blk] = ACTIONS(55),
    [sym__br_tag] = ACTIONS(59),
    [sym__br_acr] = ACTIONS(63),
    [sym__br_als] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
  },
  [36] = {
    [sym__doc_w_bgn_w_end_seq] = STATE(1322),
    [sym__doc_w_bgn_wo_end_seq] = STATE(1322),
    [sym__doc_wo_bgn_w_end_seq] = STATE(1322),
    [sym__doc_wo_bgn_wo_end_seq] = STATE(1322),
    [sym__doc_w_bgn_w_end] = STATE(37),
    [sym__doc_w_bgn_wo_end] = STATE(396),
    [sym__doc_wo_bgn_w_end] = STATE(36),
    [sym__doc_wo_bgn_wo_end] = STATE(395),
    [sym__drs_doc] = STATE(1035),
    [sym__exp_doc] = STATE(1034),
    [sym__imp_doc] = STATE(1036),
    [sym__drs_doc_end] = STATE(36),
    [sym__exp_doc_end] = STATE(37),
    [sym__imp_doc_end] = STATE(36),
    [sym__doc_end] = STATE(37),
    [sym__s_dir] = STATE(387),
    [sym__s_dir_yml] = STATE(387),
    [sym__s_dir_tag] = STATE(387),
    [sym__s_dir_rsv] = STATE(387),
    [sym__br_prp_val] = STATE(1039),
    [sym__br_sgl_prp_val] = STATE(1149),
    [sym__br_prp] = STATE(80),
    [sym__br_sgl_prp] = STATE(394),
    [sym__br_blk_seq_val] = STATE(1039),
    [sym__br_blk_seq] = STATE(950),
    [sym__br_blk_seq_itm] = STATE(730),
    [sym__br_blk_map_val] = STATE(1039),
    [sym__br_blk_map] = STATE(952),
    [sym__br_blk_map_itm] = STATE(109),
    [sym__br_blk_exp_itm] = STATE(278),
    [sym__br_blk_key_itm] = STATE(231),
    [sym__br_blk_val_itm] = STATE(283),
    [sym__br_blk_imp_itm] = STATE(278),
    [sym__br_blk_str_val] = STATE(1039),
    [sym__br_blk_str] = STATE(954),
    [sym__br_flw_seq_val] = STATE(1039),
    [sym__br_sgl_flw_seq_val] = STATE(1149),
    [sym__br_flw_seq] = STATE(961),
    [sym__br_sgl_flw_seq] = STATE(1280),
    [sym__br_flw_map_val] = STATE(1039),
    [sym__br_sgl_flw_map_val] = STATE(1149),
    [sym__br_flw_map] = STATE(963),
    [sym__br_sgl_flw_map] = STATE(1266),
    [sym__br_dqt_str_val] = STATE(1039),
    [sym__br_sgl_dqt_str_val] = STATE(1149),
    [sym__br_dqt_str] = STATE(966),
    [sym__br_sgl_dqt_str] = STATE(1262),
    [sym__br_sqt_str_val] = STATE(1039),
    [sym__br_sgl_sqt_str_val] = STATE(1149),
    [sym__br_sqt_str] = STATE(970),
    [sym__br_sgl_sqt_str] = STATE(1275),
    [sym__br_pln_blk_val] = STATE(1039),
    [sym__br_sgl_pln_blk_val] = STATE(1149),
    [sym__br_als_val] = STATE(669),
    [aux_sym__drs_doc_repeat1] = STATE(387),
    [sym__eof] = ACTIONS(363),
    [sym__s_dir_yml_bgn] = ACTIONS(7),
    [sym__s_dir_tag_bgn] = ACTIONS(9),
    [sym__s_dir_rsv_bgn] = ACTIONS(11),
    [sym__s_drs_end] = ACTIONS(13),
    [sym__s_doc_end] = ACTIONS(15),
    [sym__br_blk_seq_bgn] = ACTIONS(19),
    [sym__br_blk_key_bgn] = ACTIONS(23),
    [sym__br_blk_val_bgn] = ACTIONS(27),
    [sym__br_blk_lit_bgn] = ACTIONS(31),
    [sym__br_blk_fld_bgn] = ACTIONS(31),
    [sym__br_flw_seq_bgn] = ACTIONS(35),
    [sym__br_flw_map_bgn] = ACTIONS(39),
    [sym__br_dqt_str_bgn] = ACTIONS(43),
    [sym__br_sqt_str_bgn] = ACTIONS(47),
    [sym__br_sgl_pln_blk] = ACTIONS(51),
    [sym__br_mtl_pln_blk] = ACTIONS(55),
    [sym__br_tag] = ACTIONS(59),
    [sym__br_acr] = ACTIONS(63),
    [sym__br_als] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
  },
  [37] = {
    [sym__doc_w_bgn_w_end_seq] = STATE(1282),
    [sym__doc_w_bgn_wo_end_seq] = STATE(1282),
    [sym__doc_wo_bgn_w_end_seq] = STATE(1282),
    [sym__doc_wo_bgn_wo_end_seq] = STATE(1282),
    [sym__doc_w_bgn_w_end] = STATE(37),
    [sym__doc_w_bgn_wo_end] = STATE(396),
    [sym__doc_wo_bgn_w_end] = STATE(36),
    [sym__doc_wo_bgn_wo_end] = STATE(395),
    [sym__drs_doc] = STATE(1035),
    [sym__exp_doc] = STATE(1034),
    [sym__imp_doc] = STATE(1036),
    [sym__drs_doc_end] = STATE(36),
    [sym__exp_doc_end] = STATE(37),
    [sym__imp_doc_end] = STATE(36),
    [sym__doc_end] = STATE(37),
    [sym__s_dir] = STATE(387),
    [sym__s_dir_yml] = STATE(387),
    [sym__s_dir_tag] = STATE(387),
    [sym__s_dir_rsv] = STATE(387),
    [sym__br_prp_val] = STATE(1039),
    [sym__br_sgl_prp_val] = STATE(1149),
    [sym__br_prp] = STATE(80),
    [sym__br_sgl_prp] = STATE(394),
    [sym__br_blk_seq_val] = STATE(1039),
    [sym__br_blk_seq] = STATE(950),
    [sym__br_blk_seq_itm] = STATE(730),
    [sym__br_blk_map_val] = STATE(1039),
    [sym__br_blk_map] = STATE(952),
    [sym__br_blk_map_itm] = STATE(109),
    [sym__br_blk_exp_itm] = STATE(278),
    [sym__br_blk_key_itm] = STATE(231),
    [sym__br_blk_val_itm] = STATE(283),
    [sym__br_blk_imp_itm] = STATE(278),
    [sym__br_blk_str_val] = STATE(1039),
    [sym__br_blk_str] = STATE(954),
    [sym__br_flw_seq_val] = STATE(1039),
    [sym__br_sgl_flw_seq_val] = STATE(1149),
    [sym__br_flw_seq] = STATE(961),
    [sym__br_sgl_flw_seq] = STATE(1280),
    [sym__br_flw_map_val] = STATE(1039),
    [sym__br_sgl_flw_map_val] = STATE(1149),
    [sym__br_flw_map] = STATE(963),
    [sym__br_sgl_flw_map] = STATE(1266),
    [sym__br_dqt_str_val] = STATE(1039),
    [sym__br_sgl_dqt_str_val] = STATE(1149),
    [sym__br_dqt_str] = STATE(966),
    [sym__br_sgl_dqt_str] = STATE(1262),
    [sym__br_sqt_str_val] = STATE(1039),
    [sym__br_sgl_sqt_str_val] = STATE(1149),
    [sym__br_sqt_str] = STATE(970),
    [sym__br_sgl_sqt_str] = STATE(1275),
    [sym__br_pln_blk_val] = STATE(1039),
    [sym__br_sgl_pln_blk_val] = STATE(1149),
    [sym__br_als_val] = STATE(669),
    [aux_sym__drs_doc_repeat1] = STATE(387),
    [sym__eof] = ACTIONS(365),
    [sym__s_dir_yml_bgn] = ACTIONS(7),
    [sym__s_dir_tag_bgn] = ACTIONS(9),
    [sym__s_dir_rsv_bgn] = ACTIONS(11),
    [sym__s_drs_end] = ACTIONS(13),
    [sym__s_doc_end] = ACTIONS(15),
    [sym__br_blk_seq_bgn] = ACTIONS(19),
    [sym__br_blk_key_bgn] = ACTIONS(23),
    [sym__br_blk_val_bgn] = ACTIONS(27),
    [sym__br_blk_lit_bgn] = ACTIONS(31),
    [sym__br_blk_fld_bgn] = ACTIONS(31),
    [sym__br_flw_seq_bgn] = ACTIONS(35),
    [sym__br_flw_map_bgn] = ACTIONS(39),
    [sym__br_dqt_str_bgn] = ACTIONS(43),
    [sym__br_sqt_str_bgn] = ACTIONS(47),
    [sym__br_sgl_pln_blk] = ACTIONS(51),
    [sym__br_mtl_pln_blk] = ACTIONS(55),
    [sym__br_tag] = ACTIONS(59),
    [sym__br_acr] = ACTIONS(63),
    [sym__br_als] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
  },
  [38] = {
    [sym__br_sgl_prp_val] = STATE(1149),
    [sym__br_sgl_prp] = STATE(394),
    [sym__br_blk_seq] = STATE(355),
    [sym__b_blk_seq_spc] = STATE(280),
    [sym__br_blk_seq_itm] = STATE(798),
    [sym__b_blk_seq_itm] = STATE(758),
    [sym__br_blk_map] = STATE(354),
    [sym__br_blk_map_itm] = STATE(123),
    [sym__br_blk_exp_itm] = STATE(278),
    [sym__br_blk_key_itm] = STATE(231),
    [sym__br_blk_val_itm] = STATE(283),
    [sym__br_blk_imp_itm] = STATE(278),
    [sym__r_blk_str] = STATE(352),
    [sym__br_blk_str] = STATE(352),
    [sym__br_sgl_flw_seq_val] = STATE(1149),
    [sym__r_flw_seq] = STATE(351),
    [sym__br_flw_seq] = STATE(351),
    [sym__br_sgl_flw_seq] = STATE(1280),
    [sym__br_sgl_flw_map_val] = STATE(1149),
    [sym__r_flw_map] = STATE(350),
    [sym__br_flw_map] = STATE(350),
    [sym__br_sgl_flw_map] = STATE(1266),
    [sym__br_sgl_dqt_str_val] = STATE(1149),
    [sym__r_dqt_str] = STATE(349),
    [sym__br_dqt_str] = STATE(349),
    [sym__br_sgl_dqt_str] = STATE(1262),
    [sym__br_sgl_sqt_str_val] = STATE(1149),
    [sym__r_sqt_str] = STATE(348),
    [sym__br_sqt_str] = STATE(348),
    [sym__br_sgl_sqt_str] = STATE(1275),
    [sym__br_sgl_pln_blk_val] = STATE(1149),
    [sym__br_als_val] = STATE(1149),
    [aux_sym__r_blk_seq_repeat1] = STATE(758),
    [sym__br_blk_seq_bgn] = ACTIONS(19),
    [sym__b_blk_seq_bgn] = ACTIONS(69),
    [sym__br_blk_key_bgn] = ACTIONS(23),
    [sym__b_blk_key_bgn] = ACTIONS(367),
    [sym__br_blk_val_bgn] = ACTIONS(27),
    [sym__b_blk_val_bgn] = ACTIONS(367),
    [sym__r_blk_lit_bgn] = ACTIONS(73),
    [sym__br_blk_lit_bgn] = ACTIONS(75),
    [sym__r_blk_fld_bgn] = ACTIONS(73),
    [sym__br_blk_fld_bgn] = ACTIONS(75),
    [sym__r_flw_seq_bgn] = ACTIONS(171),
    [sym__br_flw_seq_bgn] = ACTIONS(79),
    [sym__b_flw_seq_bgn] = ACTIONS(367),
    [sym__r_flw_map_bgn] = ACTIONS(173),
    [sym__br_flw_map_bgn] = ACTIONS(83),
    [sym__b_flw_map_bgn] = ACTIONS(367),
    [sym__r_dqt_str_bgn] = ACTIONS(175),
    [sym__br_dqt_str_bgn] = ACTIONS(87),
    [sym__b_dqt_str_bgn] = ACTIONS(367),
    [sym__r_sqt_str_bgn] = ACTIONS(177),
    [sym__br_sqt_str_bgn] = ACTIONS(91),
    [sym__b_sqt_str_bgn] = ACTIONS(367),
    [sym__r_sgl_pln_blk] = ACTIONS(369),
    [sym__br_sgl_pln_blk] = ACTIONS(371),
    [sym__b_sgl_pln_blk] = ACTIONS(367),
    [sym__r_mtl_pln_blk] = ACTIONS(369),
    [sym__br_mtl_pln_blk] = ACTIONS(369),
    [sym__br_tag] = ACTIONS(373),
    [sym__b_tag] = ACTIONS(367),
    [sym__br_acr] = ACTIONS(375),
    [sym__b_acr] = ACTIONS(367),
    [sym__br_als] = ACTIONS(377),
    [sym__b_als] = ACTIONS(367),
    [sym__bl] = ACTIONS(367),
    [sym_comment] = ACTIONS(3),
  },
  [39] = {
    [sym__br_sgl_prp_val] = STATE(1149),
    [sym__br_sgl_prp] = STATE(394),
    [sym__br_blk_seq] = STATE(345),
    [sym__b_blk_seq_spc] = STATE(281),
    [sym__br_blk_seq_itm] = STATE(798),
    [sym__b_blk_seq_itm] = STATE(758),
    [sym__br_blk_map] = STATE(344),
    [sym__br_blk_map_itm] = STATE(123),
    [sym__br_blk_exp_itm] = STATE(278),
    [sym__br_blk_key_itm] = STATE(231),
    [sym__br_blk_val_itm] = STATE(283),
    [sym__br_blk_imp_itm] = STATE(278),
    [sym__r_blk_str] = STATE(343),
    [sym__br_blk_str] = STATE(343),
    [sym__br_sgl_flw_seq_val] = STATE(1149),
    [sym__r_flw_seq] = STATE(342),
    [sym__br_flw_seq] = STATE(342),
    [sym__br_sgl_flw_seq] = STATE(1280),
    [sym__br_sgl_flw_map_val] = STATE(1149),
    [sym__r_flw_map] = STATE(341),
    [sym__br_flw_map] = STATE(341),
    [sym__br_sgl_flw_map] = STATE(1266),
    [sym__br_sgl_dqt_str_val] = STATE(1149),
    [sym__r_dqt_str] = STATE(340),
    [sym__br_dqt_str] = STATE(340),
    [sym__br_sgl_dqt_str] = STATE(1262),
    [sym__br_sgl_sqt_str_val] = STATE(1149),
    [sym__r_sqt_str] = STATE(339),
    [sym__br_sqt_str] = STATE(339),
    [sym__br_sgl_sqt_str] = STATE(1275),
    [sym__br_sgl_pln_blk_val] = STATE(1149),
    [sym__br_als_val] = STATE(1149),
    [aux_sym__r_blk_seq_repeat1] = STATE(758),
    [sym__br_blk_seq_bgn] = ACTIONS(19),
    [sym__b_blk_seq_bgn] = ACTIONS(69),
    [sym__br_blk_key_bgn] = ACTIONS(23),
    [sym__b_blk_key_bgn] = ACTIONS(379),
    [sym__br_blk_val_bgn] = ACTIONS(27),
    [sym__b_blk_val_bgn] = ACTIONS(379),
    [sym__r_blk_lit_bgn] = ACTIONS(73),
    [sym__br_blk_lit_bgn] = ACTIONS(75),
    [sym__r_blk_fld_bgn] = ACTIONS(73),
    [sym__br_blk_fld_bgn] = ACTIONS(75),
    [sym__r_flw_seq_bgn] = ACTIONS(171),
    [sym__br_flw_seq_bgn] = ACTIONS(79),
    [sym__b_flw_seq_bgn] = ACTIONS(379),
    [sym__r_flw_map_bgn] = ACTIONS(173),
    [sym__br_flw_map_bgn] = ACTIONS(83),
    [sym__b_flw_map_bgn] = ACTIONS(379),
    [sym__r_dqt_str_bgn] = ACTIONS(175),
    [sym__br_dqt_str_bgn] = ACTIONS(87),
    [sym__b_dqt_str_bgn] = ACTIONS(379),
    [sym__r_sqt_str_bgn] = ACTIONS(177),
    [sym__br_sqt_str_bgn] = ACTIONS(91),
    [sym__b_sqt_str_bgn] = ACTIONS(379),
    [sym__r_sgl_pln_blk] = ACTIONS(381),
    [sym__br_sgl_pln_blk] = ACTIONS(383),
    [sym__b_sgl_pln_blk] = ACTIONS(379),
    [sym__r_mtl_pln_blk] = ACTIONS(381),
    [sym__br_mtl_pln_blk] = ACTIONS(381),
    [sym__br_tag] = ACTIONS(373),
    [sym__b_tag] = ACTIONS(379),
    [sym__br_acr] = ACTIONS(375),
    [sym__b_acr] = ACTIONS(379),
    [sym__br_als] = ACTIONS(377),
    [sym__b_als] = ACTIONS(379),
    [sym__bl] = ACTIONS(379),
    [sym_comment] = ACTIONS(3),
  },
};

static uint16_t ts_small_parse_table[] = {
  [0] = 44,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(385), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(387), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(394), 1,
      sym__r_flw_map_bgn,
    ACTIONS(396), 1,
      sym__br_flw_map_bgn,
    ACTIONS(398), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(400), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(402), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(404), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(406), 1,
      sym__r_sgl_pln_flw,
    ACTIONS(410), 1,
      sym__r_mtl_pln_flw,
    ACTIONS(412), 1,
      sym__r_tag,
    ACTIONS(414), 1,
      sym__br_tag,
    ACTIONS(416), 1,
      sym__r_acr,
    ACTIONS(418), 1,
      sym__br_acr,
    ACTIONS(420), 1,
      sym__r_als,
    ACTIONS(422), 1,
      sym__br_als,
    STATE(171), 1,
      sym__br_prp,
    STATE(172), 1,
      sym__r_prp,
    STATE(388), 1,
      sym__r_sgl_prp,
    STATE(714), 1,
      sym__r_als_val,
    STATE(1093), 1,
      sym__r_sgl_flw_imp_par,
    STATE(1161), 1,
      sym__r_flw_seq,
    STATE(1164), 1,
      sym__br_flw_seq,
    STATE(1175), 1,
      sym__r_flw_map,
    STATE(1183), 1,
      sym__br_flw_map,
    STATE(1196), 1,
      sym__r_dqt_str,
    STATE(1199), 1,
      sym__br_dqt_str,
    STATE(1202), 1,
      sym__r_sqt_str,
    STATE(1203), 1,
      sym__br_sqt_str,
    STATE(1264), 1,
      sym__r_sgl_flw_map,
    STATE(1267), 1,
      sym__r_sgl_flw_seq,
    STATE(1269), 1,
      sym__r_sgl_sqt_str,
    STATE(1273), 1,
      sym__r_sgl_dqt_str,
    ACTIONS(389), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
    ACTIONS(392), 2,
      sym__br_flw_seq_end,
      sym__br_flw_sep_bgn,
    ACTIONS(408), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    STATE(771), 2,
      sym__r_prp_val,
      sym__r_pln_flw_val,
    STATE(1218), 2,
      sym__r_sgl_prp_val,
      sym__r_sgl_pln_flw_val,
    STATE(768), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(760), 4,
      sym__r_flw_imp_r_par,
      sym__r_flw_imp_br_par,
      sym__br_flw_imp_r_par,
      sym__br_flw_imp_br_par,
    STATE(765), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
    STATE(766), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
    STATE(1220), 4,
      sym__r_sgl_flw_seq_val,
      sym__r_sgl_flw_map_val,
      sym__r_sgl_dqt_str_val,
      sym__r_sgl_sqt_str_val,
  [152] = 44,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(385), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(387), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(394), 1,
      sym__r_flw_map_bgn,
    ACTIONS(396), 1,
      sym__br_flw_map_bgn,
    ACTIONS(398), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(400), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(402), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(404), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(406), 1,
      sym__r_sgl_pln_flw,
    ACTIONS(410), 1,
      sym__r_mtl_pln_flw,
    ACTIONS(412), 1,
      sym__r_tag,
    ACTIONS(414), 1,
      sym__br_tag,
    ACTIONS(416), 1,
      sym__r_acr,
    ACTIONS(418), 1,
      sym__br_acr,
    ACTIONS(420), 1,
      sym__r_als,
    ACTIONS(422), 1,
      sym__br_als,
    STATE(171), 1,
      sym__br_prp,
    STATE(172), 1,
      sym__r_prp,
    STATE(388), 1,
      sym__r_sgl_prp,
    STATE(668), 1,
      sym__r_als_val,
    STATE(1130), 1,
      sym__r_sgl_flw_imp_par,
    STATE(1161), 1,
      sym__r_flw_seq,
    STATE(1164), 1,
      sym__br_flw_seq,
    STATE(1175), 1,
      sym__r_flw_map,
    STATE(1183), 1,
      sym__br_flw_map,
    STATE(1196), 1,
      sym__r_dqt_str,
    STATE(1199), 1,
      sym__br_dqt_str,
    STATE(1202), 1,
      sym__r_sqt_str,
    STATE(1203), 1,
      sym__br_sqt_str,
    STATE(1264), 1,
      sym__r_sgl_flw_map,
    STATE(1267), 1,
      sym__r_sgl_flw_seq,
    STATE(1269), 1,
      sym__r_sgl_sqt_str,
    STATE(1273), 1,
      sym__r_sgl_dqt_str,
    ACTIONS(389), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
    ACTIONS(392), 2,
      sym__br_flw_map_end,
      sym__br_flw_sep_bgn,
    ACTIONS(408), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    STATE(791), 2,
      sym__r_prp_val,
      sym__r_pln_flw_val,
    STATE(1099), 2,
      sym__r_sgl_prp_val,
      sym__r_sgl_pln_flw_val,
    STATE(793), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(795), 4,
      sym__r_flw_imp_r_par,
      sym__r_flw_imp_br_par,
      sym__br_flw_imp_r_par,
      sym__br_flw_imp_br_par,
    STATE(817), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
    STATE(818), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
    STATE(1102), 4,
      sym__r_sgl_flw_seq_val,
      sym__r_sgl_flw_map_val,
      sym__r_sgl_dqt_str_val,
      sym__r_sgl_sqt_str_val,
  [304] = 44,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(207), 1,
      sym__br_flw_map_bgn,
    ACTIONS(215), 1,
      sym__br_flw_key_bgn,
    ACTIONS(219), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(223), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(227), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(237), 1,
      sym__br_tag,
    ACTIONS(241), 1,
      sym__br_acr,
    ACTIONS(243), 1,
      sym__r_als,
    ACTIONS(245), 1,
      sym__br_als,
    ACTIONS(424), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(426), 1,
      sym__r_flw_map_bgn,
    ACTIONS(430), 1,
      sym__r_flw_key_bgn,
    ACTIONS(432), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(434), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(436), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(438), 1,
      sym__r_tag,
    ACTIONS(440), 1,
      sym__r_acr,
    STATE(144), 1,
      sym__br_prp,
    STATE(146), 1,
      sym__r_prp,
    STATE(594), 1,
      sym__r_flw_map_itm,
    STATE(596), 1,
      sym__br_flw_map_itm,
    STATE(645), 1,
      sym__br_sqt_str,
    STATE(646), 1,
      sym__r_sqt_str,
    STATE(647), 1,
      sym__br_dqt_str,
    STATE(648), 1,
      sym__r_dqt_str,
    STATE(649), 1,
      sym__br_flw_map,
    STATE(650), 1,
      sym__r_flw_map,
    STATE(651), 1,
      sym__br_flw_seq,
    STATE(653), 1,
      sym__r_flw_seq,
    STATE(788), 1,
      sym__r_flw_exp_par,
    STATE(790), 1,
      sym__br_flw_exp_par,
    STATE(868), 1,
      sym__flw_map_tal,
    ACTIONS(231), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(233), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(428), 2,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
    STATE(1101), 2,
      sym__r_flw_map_dat,
      sym__br_flw_map_dat,
    STATE(463), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(464), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    STATE(792), 3,
      sym__r_flw_imp_r_par,
      sym__r_flw_imp_br_par,
      sym__r_flw_njl_ann_par,
    STATE(794), 3,
      sym__br_flw_imp_r_par,
      sym__br_flw_imp_br_par,
      sym__br_flw_njl_ann_par,
    STATE(461), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
    STATE(462), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
  [455] = 44,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(207), 1,
      sym__br_flw_map_bgn,
    ACTIONS(215), 1,
      sym__br_flw_key_bgn,
    ACTIONS(219), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(223), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(227), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(237), 1,
      sym__br_tag,
    ACTIONS(241), 1,
      sym__br_acr,
    ACTIONS(243), 1,
      sym__r_als,
    ACTIONS(245), 1,
      sym__br_als,
    ACTIONS(424), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(426), 1,
      sym__r_flw_map_bgn,
    ACTIONS(430), 1,
      sym__r_flw_key_bgn,
    ACTIONS(432), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(434), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(436), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(438), 1,
      sym__r_tag,
    ACTIONS(440), 1,
      sym__r_acr,
    STATE(144), 1,
      sym__br_prp,
    STATE(146), 1,
      sym__r_prp,
    STATE(594), 1,
      sym__r_flw_map_itm,
    STATE(596), 1,
      sym__br_flw_map_itm,
    STATE(645), 1,
      sym__br_sqt_str,
    STATE(646), 1,
      sym__r_sqt_str,
    STATE(647), 1,
      sym__br_dqt_str,
    STATE(648), 1,
      sym__r_dqt_str,
    STATE(649), 1,
      sym__br_flw_map,
    STATE(650), 1,
      sym__r_flw_map,
    STATE(651), 1,
      sym__br_flw_seq,
    STATE(653), 1,
      sym__r_flw_seq,
    STATE(704), 1,
      sym__flw_map_tal,
    STATE(788), 1,
      sym__r_flw_exp_par,
    STATE(790), 1,
      sym__br_flw_exp_par,
    ACTIONS(231), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(233), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(442), 2,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
    STATE(1189), 2,
      sym__r_flw_map_dat,
      sym__br_flw_map_dat,
    STATE(463), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(464), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    STATE(792), 3,
      sym__r_flw_imp_r_par,
      sym__r_flw_imp_br_par,
      sym__r_flw_njl_ann_par,
    STATE(794), 3,
      sym__br_flw_imp_r_par,
      sym__br_flw_imp_br_par,
      sym__br_flw_njl_ann_par,
    STATE(461), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
    STATE(462), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
  [606] = 44,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(207), 1,
      sym__br_flw_map_bgn,
    ACTIONS(215), 1,
      sym__br_flw_key_bgn,
    ACTIONS(219), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(223), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(227), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(237), 1,
      sym__br_tag,
    ACTIONS(241), 1,
      sym__br_acr,
    ACTIONS(243), 1,
      sym__r_als,
    ACTIONS(245), 1,
      sym__br_als,
    ACTIONS(424), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(426), 1,
      sym__r_flw_map_bgn,
    ACTIONS(430), 1,
      sym__r_flw_key_bgn,
    ACTIONS(432), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(434), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(436), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(438), 1,
      sym__r_tag,
    ACTIONS(440), 1,
      sym__r_acr,
    STATE(144), 1,
      sym__br_prp,
    STATE(146), 1,
      sym__r_prp,
    STATE(594), 1,
      sym__r_flw_map_itm,
    STATE(596), 1,
      sym__br_flw_map_itm,
    STATE(645), 1,
      sym__br_sqt_str,
    STATE(646), 1,
      sym__r_sqt_str,
    STATE(647), 1,
      sym__br_dqt_str,
    STATE(648), 1,
      sym__r_dqt_str,
    STATE(649), 1,
      sym__br_flw_map,
    STATE(650), 1,
      sym__r_flw_map,
    STATE(651), 1,
      sym__br_flw_seq,
    STATE(653), 1,
      sym__r_flw_seq,
    STATE(788), 1,
      sym__r_flw_exp_par,
    STATE(790), 1,
      sym__br_flw_exp_par,
    STATE(921), 1,
      sym__flw_map_tal,
    ACTIONS(231), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(233), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(444), 2,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
    STATE(1162), 2,
      sym__r_flw_map_dat,
      sym__br_flw_map_dat,
    STATE(463), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(464), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    STATE(792), 3,
      sym__r_flw_imp_r_par,
      sym__r_flw_imp_br_par,
      sym__r_flw_njl_ann_par,
    STATE(794), 3,
      sym__br_flw_imp_r_par,
      sym__br_flw_imp_br_par,
      sym__br_flw_njl_ann_par,
    STATE(461), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
    STATE(462), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
  [757] = 44,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(207), 1,
      sym__br_flw_map_bgn,
    ACTIONS(215), 1,
      sym__br_flw_key_bgn,
    ACTIONS(219), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(223), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(227), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(237), 1,
      sym__br_tag,
    ACTIONS(241), 1,
      sym__br_acr,
    ACTIONS(243), 1,
      sym__r_als,
    ACTIONS(245), 1,
      sym__br_als,
    ACTIONS(424), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(426), 1,
      sym__r_flw_map_bgn,
    ACTIONS(430), 1,
      sym__r_flw_key_bgn,
    ACTIONS(432), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(434), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(436), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(438), 1,
      sym__r_tag,
    ACTIONS(440), 1,
      sym__r_acr,
    STATE(144), 1,
      sym__br_prp,
    STATE(146), 1,
      sym__r_prp,
    STATE(594), 1,
      sym__r_flw_map_itm,
    STATE(596), 1,
      sym__br_flw_map_itm,
    STATE(645), 1,
      sym__br_sqt_str,
    STATE(646), 1,
      sym__r_sqt_str,
    STATE(647), 1,
      sym__br_dqt_str,
    STATE(648), 1,
      sym__r_dqt_str,
    STATE(649), 1,
      sym__br_flw_map,
    STATE(650), 1,
      sym__r_flw_map,
    STATE(651), 1,
      sym__br_flw_seq,
    STATE(653), 1,
      sym__r_flw_seq,
    STATE(788), 1,
      sym__r_flw_exp_par,
    STATE(790), 1,
      sym__br_flw_exp_par,
    STATE(1000), 1,
      sym__flw_map_tal,
    ACTIONS(231), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(233), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(263), 2,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
    STATE(1159), 2,
      sym__r_flw_map_dat,
      sym__br_flw_map_dat,
    STATE(463), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(464), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    STATE(792), 3,
      sym__r_flw_imp_r_par,
      sym__r_flw_imp_br_par,
      sym__r_flw_njl_ann_par,
    STATE(794), 3,
      sym__br_flw_imp_r_par,
      sym__br_flw_imp_br_par,
      sym__br_flw_njl_ann_par,
    STATE(461), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
    STATE(462), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
  [908] = 44,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(207), 1,
      sym__br_flw_map_bgn,
    ACTIONS(215), 1,
      sym__br_flw_key_bgn,
    ACTIONS(219), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(223), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(227), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(237), 1,
      sym__br_tag,
    ACTIONS(241), 1,
      sym__br_acr,
    ACTIONS(243), 1,
      sym__r_als,
    ACTIONS(245), 1,
      sym__br_als,
    ACTIONS(424), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(426), 1,
      sym__r_flw_map_bgn,
    ACTIONS(430), 1,
      sym__r_flw_key_bgn,
    ACTIONS(432), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(434), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(436), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(438), 1,
      sym__r_tag,
    ACTIONS(440), 1,
      sym__r_acr,
    STATE(144), 1,
      sym__br_prp,
    STATE(146), 1,
      sym__r_prp,
    STATE(594), 1,
      sym__r_flw_map_itm,
    STATE(596), 1,
      sym__br_flw_map_itm,
    STATE(645), 1,
      sym__br_sqt_str,
    STATE(646), 1,
      sym__r_sqt_str,
    STATE(647), 1,
      sym__br_dqt_str,
    STATE(648), 1,
      sym__r_dqt_str,
    STATE(649), 1,
      sym__br_flw_map,
    STATE(650), 1,
      sym__r_flw_map,
    STATE(651), 1,
      sym__br_flw_seq,
    STATE(653), 1,
      sym__r_flw_seq,
    STATE(700), 1,
      sym__flw_map_tal,
    STATE(788), 1,
      sym__r_flw_exp_par,
    STATE(790), 1,
      sym__br_flw_exp_par,
    ACTIONS(211), 2,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
    ACTIONS(231), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(233), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    STATE(1189), 2,
      sym__r_flw_map_dat,
      sym__br_flw_map_dat,
    STATE(463), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(464), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    STATE(792), 3,
      sym__r_flw_imp_r_par,
      sym__r_flw_imp_br_par,
      sym__r_flw_njl_ann_par,
    STATE(794), 3,
      sym__br_flw_imp_r_par,
      sym__br_flw_imp_br_par,
      sym__br_flw_njl_ann_par,
    STATE(461), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
    STATE(462), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
  [1059] = 44,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(207), 1,
      sym__br_flw_map_bgn,
    ACTIONS(215), 1,
      sym__br_flw_key_bgn,
    ACTIONS(219), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(223), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(227), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(237), 1,
      sym__br_tag,
    ACTIONS(241), 1,
      sym__br_acr,
    ACTIONS(243), 1,
      sym__r_als,
    ACTIONS(245), 1,
      sym__br_als,
    ACTIONS(424), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(426), 1,
      sym__r_flw_map_bgn,
    ACTIONS(430), 1,
      sym__r_flw_key_bgn,
    ACTIONS(432), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(434), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(436), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(438), 1,
      sym__r_tag,
    ACTIONS(440), 1,
      sym__r_acr,
    STATE(144), 1,
      sym__br_prp,
    STATE(146), 1,
      sym__r_prp,
    STATE(594), 1,
      sym__r_flw_map_itm,
    STATE(596), 1,
      sym__br_flw_map_itm,
    STATE(645), 1,
      sym__br_sqt_str,
    STATE(646), 1,
      sym__r_sqt_str,
    STATE(647), 1,
      sym__br_dqt_str,
    STATE(648), 1,
      sym__r_dqt_str,
    STATE(649), 1,
      sym__br_flw_map,
    STATE(650), 1,
      sym__r_flw_map,
    STATE(651), 1,
      sym__br_flw_seq,
    STATE(653), 1,
      sym__r_flw_seq,
    STATE(788), 1,
      sym__r_flw_exp_par,
    STATE(790), 1,
      sym__br_flw_exp_par,
    STATE(1238), 1,
      sym__flw_map_tal,
    ACTIONS(231), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(233), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(446), 2,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
    STATE(1253), 2,
      sym__r_flw_map_dat,
      sym__br_flw_map_dat,
    STATE(463), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(464), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    STATE(792), 3,
      sym__r_flw_imp_r_par,
      sym__r_flw_imp_br_par,
      sym__r_flw_njl_ann_par,
    STATE(794), 3,
      sym__br_flw_imp_r_par,
      sym__br_flw_imp_br_par,
      sym__br_flw_njl_ann_par,
    STATE(461), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
    STATE(462), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
  [1210] = 44,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(207), 1,
      sym__br_flw_map_bgn,
    ACTIONS(215), 1,
      sym__br_flw_key_bgn,
    ACTIONS(219), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(223), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(227), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(237), 1,
      sym__br_tag,
    ACTIONS(241), 1,
      sym__br_acr,
    ACTIONS(243), 1,
      sym__r_als,
    ACTIONS(245), 1,
      sym__br_als,
    ACTIONS(424), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(426), 1,
      sym__r_flw_map_bgn,
    ACTIONS(430), 1,
      sym__r_flw_key_bgn,
    ACTIONS(432), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(434), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(436), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(438), 1,
      sym__r_tag,
    ACTIONS(440), 1,
      sym__r_acr,
    STATE(144), 1,
      sym__br_prp,
    STATE(146), 1,
      sym__r_prp,
    STATE(594), 1,
      sym__r_flw_map_itm,
    STATE(596), 1,
      sym__br_flw_map_itm,
    STATE(645), 1,
      sym__br_sqt_str,
    STATE(646), 1,
      sym__r_sqt_str,
    STATE(647), 1,
      sym__br_dqt_str,
    STATE(648), 1,
      sym__r_dqt_str,
    STATE(649), 1,
      sym__br_flw_map,
    STATE(650), 1,
      sym__r_flw_map,
    STATE(651), 1,
      sym__br_flw_seq,
    STATE(653), 1,
      sym__r_flw_seq,
    STATE(788), 1,
      sym__r_flw_exp_par,
    STATE(790), 1,
      sym__br_flw_exp_par,
    STATE(869), 1,
      sym__flw_map_tal,
    ACTIONS(231), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(233), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(279), 2,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
    STATE(1101), 2,
      sym__r_flw_map_dat,
      sym__br_flw_map_dat,
    STATE(463), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(464), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    STATE(792), 3,
      sym__r_flw_imp_r_par,
      sym__r_flw_imp_br_par,
      sym__r_flw_njl_ann_par,
    STATE(794), 3,
      sym__br_flw_imp_r_par,
      sym__br_flw_imp_br_par,
      sym__br_flw_njl_ann_par,
    STATE(461), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
    STATE(462), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
  [1361] = 44,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(207), 1,
      sym__br_flw_map_bgn,
    ACTIONS(215), 1,
      sym__br_flw_key_bgn,
    ACTIONS(219), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(223), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(227), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(237), 1,
      sym__br_tag,
    ACTIONS(241), 1,
      sym__br_acr,
    ACTIONS(243), 1,
      sym__r_als,
    ACTIONS(245), 1,
      sym__br_als,
    ACTIONS(424), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(426), 1,
      sym__r_flw_map_bgn,
    ACTIONS(430), 1,
      sym__r_flw_key_bgn,
    ACTIONS(432), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(434), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(436), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(438), 1,
      sym__r_tag,
    ACTIONS(440), 1,
      sym__r_acr,
    STATE(144), 1,
      sym__br_prp,
    STATE(146), 1,
      sym__r_prp,
    STATE(594), 1,
      sym__r_flw_map_itm,
    STATE(596), 1,
      sym__br_flw_map_itm,
    STATE(645), 1,
      sym__br_sqt_str,
    STATE(646), 1,
      sym__r_sqt_str,
    STATE(647), 1,
      sym__br_dqt_str,
    STATE(648), 1,
      sym__r_dqt_str,
    STATE(649), 1,
      sym__br_flw_map,
    STATE(650), 1,
      sym__r_flw_map,
    STATE(651), 1,
      sym__br_flw_seq,
    STATE(653), 1,
      sym__r_flw_seq,
    STATE(788), 1,
      sym__r_flw_exp_par,
    STATE(790), 1,
      sym__br_flw_exp_par,
    STATE(913), 1,
      sym__flw_map_tal,
    ACTIONS(231), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(233), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(257), 2,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
    STATE(1162), 2,
      sym__r_flw_map_dat,
      sym__br_flw_map_dat,
    STATE(463), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(464), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    STATE(792), 3,
      sym__r_flw_imp_r_par,
      sym__r_flw_imp_br_par,
      sym__r_flw_njl_ann_par,
    STATE(794), 3,
      sym__br_flw_imp_r_par,
      sym__br_flw_imp_br_par,
      sym__br_flw_njl_ann_par,
    STATE(461), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
    STATE(462), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
  [1512] = 44,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(207), 1,
      sym__br_flw_map_bgn,
    ACTIONS(215), 1,
      sym__br_flw_key_bgn,
    ACTIONS(219), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(223), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(227), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(237), 1,
      sym__br_tag,
    ACTIONS(241), 1,
      sym__br_acr,
    ACTIONS(243), 1,
      sym__r_als,
    ACTIONS(245), 1,
      sym__br_als,
    ACTIONS(424), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(426), 1,
      sym__r_flw_map_bgn,
    ACTIONS(430), 1,
      sym__r_flw_key_bgn,
    ACTIONS(432), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(434), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(436), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(438), 1,
      sym__r_tag,
    ACTIONS(440), 1,
      sym__r_acr,
    STATE(144), 1,
      sym__br_prp,
    STATE(146), 1,
      sym__r_prp,
    STATE(380), 1,
      sym__flw_map_tal,
    STATE(594), 1,
      sym__r_flw_map_itm,
    STATE(596), 1,
      sym__br_flw_map_itm,
    STATE(645), 1,
      sym__br_sqt_str,
    STATE(646), 1,
      sym__r_sqt_str,
    STATE(647), 1,
      sym__br_dqt_str,
    STATE(648), 1,
      sym__r_dqt_str,
    STATE(649), 1,
      sym__br_flw_map,
    STATE(650), 1,
      sym__r_flw_map,
    STATE(651), 1,
      sym__br_flw_seq,
    STATE(653), 1,
      sym__r_flw_seq,
    STATE(788), 1,
      sym__r_flw_exp_par,
    STATE(790), 1,
      sym__br_flw_exp_par,
    ACTIONS(231), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(233), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(259), 2,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
    STATE(1141), 2,
      sym__r_flw_map_dat,
      sym__br_flw_map_dat,
    STATE(463), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(464), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    STATE(792), 3,
      sym__r_flw_imp_r_par,
      sym__r_flw_imp_br_par,
      sym__r_flw_njl_ann_par,
    STATE(794), 3,
      sym__br_flw_imp_r_par,
      sym__br_flw_imp_br_par,
      sym__br_flw_njl_ann_par,
    STATE(461), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
    STATE(462), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
  [1663] = 44,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(207), 1,
      sym__br_flw_map_bgn,
    ACTIONS(215), 1,
      sym__br_flw_key_bgn,
    ACTIONS(219), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(223), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(227), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(237), 1,
      sym__br_tag,
    ACTIONS(241), 1,
      sym__br_acr,
    ACTIONS(243), 1,
      sym__r_als,
    ACTIONS(245), 1,
      sym__br_als,
    ACTIONS(424), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(426), 1,
      sym__r_flw_map_bgn,
    ACTIONS(430), 1,
      sym__r_flw_key_bgn,
    ACTIONS(432), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(434), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(436), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(438), 1,
      sym__r_tag,
    ACTIONS(440), 1,
      sym__r_acr,
    STATE(144), 1,
      sym__br_prp,
    STATE(146), 1,
      sym__r_prp,
    STATE(594), 1,
      sym__r_flw_map_itm,
    STATE(596), 1,
      sym__br_flw_map_itm,
    STATE(645), 1,
      sym__br_sqt_str,
    STATE(646), 1,
      sym__r_sqt_str,
    STATE(647), 1,
      sym__br_dqt_str,
    STATE(648), 1,
      sym__r_dqt_str,
    STATE(649), 1,
      sym__br_flw_map,
    STATE(650), 1,
      sym__r_flw_map,
    STATE(651), 1,
      sym__br_flw_seq,
    STATE(653), 1,
      sym__r_flw_seq,
    STATE(788), 1,
      sym__r_flw_exp_par,
    STATE(790), 1,
      sym__br_flw_exp_par,
    STATE(1229), 1,
      sym__flw_map_tal,
    ACTIONS(231), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(233), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(249), 2,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
    STATE(1253), 2,
      sym__r_flw_map_dat,
      sym__br_flw_map_dat,
    STATE(463), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(464), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    STATE(792), 3,
      sym__r_flw_imp_r_par,
      sym__r_flw_imp_br_par,
      sym__r_flw_njl_ann_par,
    STATE(794), 3,
      sym__br_flw_imp_r_par,
      sym__br_flw_imp_br_par,
      sym__br_flw_njl_ann_par,
    STATE(461), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
    STATE(462), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
  [1814] = 44,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(207), 1,
      sym__br_flw_map_bgn,
    ACTIONS(215), 1,
      sym__br_flw_key_bgn,
    ACTIONS(219), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(223), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(227), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(237), 1,
      sym__br_tag,
    ACTIONS(241), 1,
      sym__br_acr,
    ACTIONS(243), 1,
      sym__r_als,
    ACTIONS(245), 1,
      sym__br_als,
    ACTIONS(424), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(426), 1,
      sym__r_flw_map_bgn,
    ACTIONS(430), 1,
      sym__r_flw_key_bgn,
    ACTIONS(432), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(434), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(436), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(438), 1,
      sym__r_tag,
    ACTIONS(440), 1,
      sym__r_acr,
    STATE(144), 1,
      sym__br_prp,
    STATE(146), 1,
      sym__r_prp,
    STATE(594), 1,
      sym__r_flw_map_itm,
    STATE(596), 1,
      sym__br_flw_map_itm,
    STATE(645), 1,
      sym__br_sqt_str,
    STATE(646), 1,
      sym__r_sqt_str,
    STATE(647), 1,
      sym__br_dqt_str,
    STATE(648), 1,
      sym__r_dqt_str,
    STATE(649), 1,
      sym__br_flw_map,
    STATE(650), 1,
      sym__r_flw_map,
    STATE(651), 1,
      sym__br_flw_seq,
    STATE(653), 1,
      sym__r_flw_seq,
    STATE(788), 1,
      sym__r_flw_exp_par,
    STATE(790), 1,
      sym__br_flw_exp_par,
    STATE(1156), 1,
      sym__flw_map_tal,
    ACTIONS(231), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(233), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(271), 2,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
    STATE(1077), 2,
      sym__r_flw_map_dat,
      sym__br_flw_map_dat,
    STATE(463), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(464), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    STATE(792), 3,
      sym__r_flw_imp_r_par,
      sym__r_flw_imp_br_par,
      sym__r_flw_njl_ann_par,
    STATE(794), 3,
      sym__br_flw_imp_r_par,
      sym__br_flw_imp_br_par,
      sym__br_flw_njl_ann_par,
    STATE(461), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
    STATE(462), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
  [1965] = 44,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(207), 1,
      sym__br_flw_map_bgn,
    ACTIONS(215), 1,
      sym__br_flw_key_bgn,
    ACTIONS(219), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(223), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(227), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(237), 1,
      sym__br_tag,
    ACTIONS(241), 1,
      sym__br_acr,
    ACTIONS(243), 1,
      sym__r_als,
    ACTIONS(245), 1,
      sym__br_als,
    ACTIONS(424), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(426), 1,
      sym__r_flw_map_bgn,
    ACTIONS(430), 1,
      sym__r_flw_key_bgn,
    ACTIONS(432), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(434), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(436), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(438), 1,
      sym__r_tag,
    ACTIONS(440), 1,
      sym__r_acr,
    STATE(144), 1,
      sym__br_prp,
    STATE(146), 1,
      sym__r_prp,
    STATE(594), 1,
      sym__r_flw_map_itm,
    STATE(596), 1,
      sym__br_flw_map_itm,
    STATE(640), 1,
      sym__flw_map_tal,
    STATE(645), 1,
      sym__br_sqt_str,
    STATE(646), 1,
      sym__r_sqt_str,
    STATE(647), 1,
      sym__br_dqt_str,
    STATE(648), 1,
      sym__r_dqt_str,
    STATE(649), 1,
      sym__br_flw_map,
    STATE(650), 1,
      sym__r_flw_map,
    STATE(651), 1,
      sym__br_flw_seq,
    STATE(653), 1,
      sym__r_flw_seq,
    STATE(788), 1,
      sym__r_flw_exp_par,
    STATE(790), 1,
      sym__br_flw_exp_par,
    ACTIONS(231), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(233), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(275), 2,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
    STATE(1228), 2,
      sym__r_flw_map_dat,
      sym__br_flw_map_dat,
    STATE(463), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(464), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    STATE(792), 3,
      sym__r_flw_imp_r_par,
      sym__r_flw_imp_br_par,
      sym__r_flw_njl_ann_par,
    STATE(794), 3,
      sym__br_flw_imp_r_par,
      sym__br_flw_imp_br_par,
      sym__br_flw_njl_ann_par,
    STATE(461), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
    STATE(462), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
  [2116] = 44,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(207), 1,
      sym__br_flw_map_bgn,
    ACTIONS(215), 1,
      sym__br_flw_key_bgn,
    ACTIONS(219), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(223), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(227), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(237), 1,
      sym__br_tag,
    ACTIONS(241), 1,
      sym__br_acr,
    ACTIONS(243), 1,
      sym__r_als,
    ACTIONS(245), 1,
      sym__br_als,
    ACTIONS(424), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(426), 1,
      sym__r_flw_map_bgn,
    ACTIONS(430), 1,
      sym__r_flw_key_bgn,
    ACTIONS(432), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(434), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(436), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(438), 1,
      sym__r_tag,
    ACTIONS(440), 1,
      sym__r_acr,
    STATE(144), 1,
      sym__br_prp,
    STATE(146), 1,
      sym__r_prp,
    STATE(594), 1,
      sym__r_flw_map_itm,
    STATE(596), 1,
      sym__br_flw_map_itm,
    STATE(639), 1,
      sym__flw_map_tal,
    STATE(645), 1,
      sym__br_sqt_str,
    STATE(646), 1,
      sym__r_sqt_str,
    STATE(647), 1,
      sym__br_dqt_str,
    STATE(648), 1,
      sym__r_dqt_str,
    STATE(649), 1,
      sym__br_flw_map,
    STATE(650), 1,
      sym__r_flw_map,
    STATE(651), 1,
      sym__br_flw_seq,
    STATE(653), 1,
      sym__r_flw_seq,
    STATE(788), 1,
      sym__r_flw_exp_par,
    STATE(790), 1,
      sym__br_flw_exp_par,
    ACTIONS(231), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(233), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(448), 2,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
    STATE(1228), 2,
      sym__r_flw_map_dat,
      sym__br_flw_map_dat,
    STATE(463), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(464), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    STATE(792), 3,
      sym__r_flw_imp_r_par,
      sym__r_flw_imp_br_par,
      sym__r_flw_njl_ann_par,
    STATE(794), 3,
      sym__br_flw_imp_r_par,
      sym__br_flw_imp_br_par,
      sym__br_flw_njl_ann_par,
    STATE(461), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
    STATE(462), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
  [2267] = 44,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(291), 1,
      sym__br_flw_map_bgn,
    ACTIONS(295), 1,
      sym__br_flw_key_bgn,
    ACTIONS(299), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(303), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(307), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(317), 1,
      sym__br_tag,
    ACTIONS(321), 1,
      sym__br_acr,
    ACTIONS(323), 1,
      sym__r_als,
    ACTIONS(325), 1,
      sym__br_als,
    ACTIONS(450), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(452), 1,
      sym__r_flw_map_bgn,
    ACTIONS(454), 1,
      sym__r_flw_key_bgn,
    ACTIONS(456), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(458), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(460), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(462), 1,
      sym__r_tag,
    ACTIONS(464), 1,
      sym__r_acr,
    STATE(153), 1,
      sym__br_prp,
    STATE(154), 1,
      sym__r_prp,
    STATE(590), 1,
      sym__r_flw_seq_itm,
    STATE(591), 1,
      sym__br_flw_seq_itm,
    STATE(662), 1,
      sym__br_flw_seq,
    STATE(675), 1,
      sym__r_flw_map,
    STATE(676), 1,
      sym__br_flw_map,
    STATE(678), 1,
      sym__r_dqt_str,
    STATE(679), 1,
      sym__br_dqt_str,
    STATE(681), 1,
      sym__r_sqt_str,
    STATE(682), 1,
      sym__br_sqt_str,
    STATE(716), 1,
      sym__r_flw_seq,
    STATE(775), 1,
      sym__r_flw_exp_par,
    STATE(776), 1,
      sym__br_flw_exp_par,
    STATE(1095), 1,
      sym__flw_seq_tal,
    ACTIONS(311), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(313), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(339), 2,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
    STATE(717), 2,
      sym__r_flw_imp_r_par,
      sym__r_flw_njl_ann_par,
    STATE(777), 2,
      sym__br_flw_imp_r_par,
      sym__br_flw_njl_ann_par,
    STATE(1252), 2,
      sym__r_flw_seq_dat,
      sym__br_flw_seq_dat,
    STATE(584), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    STATE(585), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(586), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
    STATE(587), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
  [2416] = 44,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(291), 1,
      sym__br_flw_map_bgn,
    ACTIONS(295), 1,
      sym__br_flw_key_bgn,
    ACTIONS(299), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(303), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(307), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(317), 1,
      sym__br_tag,
    ACTIONS(321), 1,
      sym__br_acr,
    ACTIONS(323), 1,
      sym__r_als,
    ACTIONS(325), 1,
      sym__br_als,
    ACTIONS(450), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(452), 1,
      sym__r_flw_map_bgn,
    ACTIONS(454), 1,
      sym__r_flw_key_bgn,
    ACTIONS(456), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(458), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(460), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(462), 1,
      sym__r_tag,
    ACTIONS(464), 1,
      sym__r_acr,
    STATE(153), 1,
      sym__br_prp,
    STATE(154), 1,
      sym__r_prp,
    STATE(384), 1,
      sym__flw_seq_tal,
    STATE(590), 1,
      sym__r_flw_seq_itm,
    STATE(591), 1,
      sym__br_flw_seq_itm,
    STATE(662), 1,
      sym__br_flw_seq,
    STATE(675), 1,
      sym__r_flw_map,
    STATE(676), 1,
      sym__br_flw_map,
    STATE(678), 1,
      sym__r_dqt_str,
    STATE(679), 1,
      sym__br_dqt_str,
    STATE(681), 1,
      sym__r_sqt_str,
    STATE(682), 1,
      sym__br_sqt_str,
    STATE(716), 1,
      sym__r_flw_seq,
    STATE(775), 1,
      sym__r_flw_exp_par,
    STATE(776), 1,
      sym__br_flw_exp_par,
    ACTIONS(311), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(313), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(351), 2,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
    STATE(717), 2,
      sym__r_flw_imp_r_par,
      sym__r_flw_njl_ann_par,
    STATE(777), 2,
      sym__br_flw_imp_r_par,
      sym__br_flw_njl_ann_par,
    STATE(1139), 2,
      sym__r_flw_seq_dat,
      sym__br_flw_seq_dat,
    STATE(584), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    STATE(585), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(586), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
    STATE(587), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
  [2565] = 44,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(291), 1,
      sym__br_flw_map_bgn,
    ACTIONS(295), 1,
      sym__br_flw_key_bgn,
    ACTIONS(299), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(303), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(307), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(317), 1,
      sym__br_tag,
    ACTIONS(321), 1,
      sym__br_acr,
    ACTIONS(323), 1,
      sym__r_als,
    ACTIONS(325), 1,
      sym__br_als,
    ACTIONS(450), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(452), 1,
      sym__r_flw_map_bgn,
    ACTIONS(454), 1,
      sym__r_flw_key_bgn,
    ACTIONS(456), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(458), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(460), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(462), 1,
      sym__r_tag,
    ACTIONS(464), 1,
      sym__r_acr,
    STATE(153), 1,
      sym__br_prp,
    STATE(154), 1,
      sym__r_prp,
    STATE(590), 1,
      sym__r_flw_seq_itm,
    STATE(591), 1,
      sym__br_flw_seq_itm,
    STATE(662), 1,
      sym__br_flw_seq,
    STATE(675), 1,
      sym__r_flw_map,
    STATE(676), 1,
      sym__br_flw_map,
    STATE(678), 1,
      sym__r_dqt_str,
    STATE(679), 1,
      sym__br_dqt_str,
    STATE(681), 1,
      sym__r_sqt_str,
    STATE(682), 1,
      sym__br_sqt_str,
    STATE(696), 1,
      sym__flw_seq_tal,
    STATE(716), 1,
      sym__r_flw_seq,
    STATE(775), 1,
      sym__r_flw_exp_par,
    STATE(776), 1,
      sym__br_flw_exp_par,
    ACTIONS(311), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(313), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(343), 2,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
    STATE(717), 2,
      sym__r_flw_imp_r_par,
      sym__r_flw_njl_ann_par,
    STATE(777), 2,
      sym__br_flw_imp_r_par,
      sym__br_flw_njl_ann_par,
    STATE(1187), 2,
      sym__r_flw_seq_dat,
      sym__br_flw_seq_dat,
    STATE(584), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    STATE(585), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(586), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
    STATE(587), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
  [2714] = 44,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(291), 1,
      sym__br_flw_map_bgn,
    ACTIONS(295), 1,
      sym__br_flw_key_bgn,
    ACTIONS(299), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(303), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(307), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(317), 1,
      sym__br_tag,
    ACTIONS(321), 1,
      sym__br_acr,
    ACTIONS(323), 1,
      sym__r_als,
    ACTIONS(325), 1,
      sym__br_als,
    ACTIONS(450), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(452), 1,
      sym__r_flw_map_bgn,
    ACTIONS(454), 1,
      sym__r_flw_key_bgn,
    ACTIONS(456), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(458), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(460), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(462), 1,
      sym__r_tag,
    ACTIONS(464), 1,
      sym__r_acr,
    STATE(153), 1,
      sym__br_prp,
    STATE(154), 1,
      sym__r_prp,
    STATE(590), 1,
      sym__r_flw_seq_itm,
    STATE(591), 1,
      sym__br_flw_seq_itm,
    STATE(662), 1,
      sym__br_flw_seq,
    STATE(675), 1,
      sym__r_flw_map,
    STATE(676), 1,
      sym__br_flw_map,
    STATE(678), 1,
      sym__r_dqt_str,
    STATE(679), 1,
      sym__br_dqt_str,
    STATE(681), 1,
      sym__r_sqt_str,
    STATE(682), 1,
      sym__br_sqt_str,
    STATE(716), 1,
      sym__r_flw_seq,
    STATE(775), 1,
      sym__r_flw_exp_par,
    STATE(776), 1,
      sym__br_flw_exp_par,
    STATE(871), 1,
      sym__flw_seq_tal,
    ACTIONS(311), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(313), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(466), 2,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
    STATE(717), 2,
      sym__r_flw_imp_r_par,
      sym__r_flw_njl_ann_par,
    STATE(777), 2,
      sym__br_flw_imp_r_par,
      sym__br_flw_njl_ann_par,
    STATE(1103), 2,
      sym__r_flw_seq_dat,
      sym__br_flw_seq_dat,
    STATE(584), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    STATE(585), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(586), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
    STATE(587), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
  [2863] = 44,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(291), 1,
      sym__br_flw_map_bgn,
    ACTIONS(295), 1,
      sym__br_flw_key_bgn,
    ACTIONS(299), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(303), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(307), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(317), 1,
      sym__br_tag,
    ACTIONS(321), 1,
      sym__br_acr,
    ACTIONS(323), 1,
      sym__r_als,
    ACTIONS(325), 1,
      sym__br_als,
    ACTIONS(450), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(452), 1,
      sym__r_flw_map_bgn,
    ACTIONS(454), 1,
      sym__r_flw_key_bgn,
    ACTIONS(456), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(458), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(460), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(462), 1,
      sym__r_tag,
    ACTIONS(464), 1,
      sym__r_acr,
    STATE(153), 1,
      sym__br_prp,
    STATE(154), 1,
      sym__r_prp,
    STATE(590), 1,
      sym__r_flw_seq_itm,
    STATE(591), 1,
      sym__br_flw_seq_itm,
    STATE(662), 1,
      sym__br_flw_seq,
    STATE(675), 1,
      sym__r_flw_map,
    STATE(676), 1,
      sym__br_flw_map,
    STATE(678), 1,
      sym__r_dqt_str,
    STATE(679), 1,
      sym__br_dqt_str,
    STATE(681), 1,
      sym__r_sqt_str,
    STATE(682), 1,
      sym__br_sqt_str,
    STATE(716), 1,
      sym__r_flw_seq,
    STATE(775), 1,
      sym__r_flw_exp_par,
    STATE(776), 1,
      sym__br_flw_exp_par,
    STATE(926), 1,
      sym__flw_seq_tal,
    ACTIONS(311), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(313), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(331), 2,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
    STATE(717), 2,
      sym__r_flw_imp_r_par,
      sym__r_flw_njl_ann_par,
    STATE(777), 2,
      sym__br_flw_imp_r_par,
      sym__br_flw_njl_ann_par,
    STATE(1069), 2,
      sym__r_flw_seq_dat,
      sym__br_flw_seq_dat,
    STATE(584), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    STATE(585), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(586), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
    STATE(587), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
  [3012] = 38,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(468), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(470), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(472), 1,
      sym__r_flw_map_bgn,
    ACTIONS(474), 1,
      sym__br_flw_map_bgn,
    ACTIONS(481), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(483), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(485), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(487), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(489), 1,
      sym__r_sgl_pln_flw,
    ACTIONS(493), 1,
      sym__r_mtl_pln_flw,
    ACTIONS(495), 1,
      sym__r_tag,
    ACTIONS(497), 1,
      sym__br_tag,
    ACTIONS(499), 1,
      sym__r_acr,
    ACTIONS(501), 1,
      sym__br_acr,
    ACTIONS(503), 1,
      sym__r_als,
    ACTIONS(505), 1,
      sym__br_als,
    STATE(160), 1,
      sym__r_prp,
    STATE(161), 1,
      sym__br_prp,
    STATE(257), 1,
      sym__r_sgl_prp,
    STATE(806), 1,
      sym__r_als_val,
    STATE(842), 1,
      sym__br_flw_map,
    STATE(874), 1,
      sym__br_sqt_str,
    STATE(875), 1,
      sym__r_sqt_str,
    STATE(876), 1,
      sym__br_dqt_str,
    STATE(877), 1,
      sym__r_dqt_str,
    STATE(880), 1,
      sym__r_flw_map,
    STATE(881), 1,
      sym__br_flw_seq,
    STATE(882), 1,
      sym__r_flw_seq,
    STATE(1170), 1,
      sym__r_sgl_flw_seq,
    STATE(1191), 1,
      sym__r_sgl_flw_map,
    STATE(1201), 1,
      sym__r_sgl_dqt_str,
    STATE(1204), 1,
      sym__r_sgl_sqt_str,
    ACTIONS(476), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
    ACTIONS(479), 2,
      sym__br_flw_map_end,
      sym__br_flw_sep_bgn,
    ACTIONS(491), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    STATE(1114), 7,
      sym__r_sgl_prp_val,
      sym__r_sgl_flw_seq_val,
      sym__r_sgl_flw_map_val,
      sym__sgl_flw_ann_par_tal,
      sym__r_sgl_dqt_str_val,
      sym__r_sgl_sqt_str_val,
      sym__r_sgl_pln_flw_val,
    STATE(801), 14,
      sym__r_prp_val,
      sym__br_prp_val,
      sym__r_flw_seq_val,
      sym__br_flw_seq_val,
      sym__r_flw_map_val,
      sym__br_flw_map_val,
      sym__flw_ann_par_tal,
      sym__r_dqt_str_val,
      sym__br_dqt_str_val,
      sym__r_sqt_str_val,
      sym__br_sqt_str_val,
      sym__r_pln_flw_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
  [3149] = 44,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(291), 1,
      sym__br_flw_map_bgn,
    ACTIONS(295), 1,
      sym__br_flw_key_bgn,
    ACTIONS(299), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(303), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(307), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(317), 1,
      sym__br_tag,
    ACTIONS(321), 1,
      sym__br_acr,
    ACTIONS(323), 1,
      sym__r_als,
    ACTIONS(325), 1,
      sym__br_als,
    ACTIONS(450), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(452), 1,
      sym__r_flw_map_bgn,
    ACTIONS(454), 1,
      sym__r_flw_key_bgn,
    ACTIONS(456), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(458), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(460), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(462), 1,
      sym__r_tag,
    ACTIONS(464), 1,
      sym__r_acr,
    STATE(153), 1,
      sym__br_prp,
    STATE(154), 1,
      sym__r_prp,
    STATE(590), 1,
      sym__r_flw_seq_itm,
    STATE(591), 1,
      sym__br_flw_seq_itm,
    STATE(642), 1,
      sym__flw_seq_tal,
    STATE(662), 1,
      sym__br_flw_seq,
    STATE(675), 1,
      sym__r_flw_map,
    STATE(676), 1,
      sym__br_flw_map,
    STATE(678), 1,
      sym__r_dqt_str,
    STATE(679), 1,
      sym__br_dqt_str,
    STATE(681), 1,
      sym__r_sqt_str,
    STATE(682), 1,
      sym__br_sqt_str,
    STATE(716), 1,
      sym__r_flw_seq,
    STATE(775), 1,
      sym__r_flw_exp_par,
    STATE(776), 1,
      sym__br_flw_exp_par,
    ACTIONS(311), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(313), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(507), 2,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
    STATE(717), 2,
      sym__r_flw_imp_r_par,
      sym__r_flw_njl_ann_par,
    STATE(777), 2,
      sym__br_flw_imp_r_par,
      sym__br_flw_njl_ann_par,
    STATE(1227), 2,
      sym__r_flw_seq_dat,
      sym__br_flw_seq_dat,
    STATE(584), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    STATE(585), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(586), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
    STATE(587), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
  [3298] = 44,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(291), 1,
      sym__br_flw_map_bgn,
    ACTIONS(295), 1,
      sym__br_flw_key_bgn,
    ACTIONS(299), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(303), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(307), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(317), 1,
      sym__br_tag,
    ACTIONS(321), 1,
      sym__br_acr,
    ACTIONS(323), 1,
      sym__r_als,
    ACTIONS(325), 1,
      sym__br_als,
    ACTIONS(450), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(452), 1,
      sym__r_flw_map_bgn,
    ACTIONS(454), 1,
      sym__r_flw_key_bgn,
    ACTIONS(456), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(458), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(460), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(462), 1,
      sym__r_tag,
    ACTIONS(464), 1,
      sym__r_acr,
    STATE(153), 1,
      sym__br_prp,
    STATE(154), 1,
      sym__r_prp,
    STATE(590), 1,
      sym__r_flw_seq_itm,
    STATE(591), 1,
      sym__br_flw_seq_itm,
    STATE(662), 1,
      sym__br_flw_seq,
    STATE(675), 1,
      sym__r_flw_map,
    STATE(676), 1,
      sym__br_flw_map,
    STATE(678), 1,
      sym__r_dqt_str,
    STATE(679), 1,
      sym__br_dqt_str,
    STATE(681), 1,
      sym__r_sqt_str,
    STATE(682), 1,
      sym__br_sqt_str,
    STATE(716), 1,
      sym__r_flw_seq,
    STATE(775), 1,
      sym__r_flw_exp_par,
    STATE(776), 1,
      sym__br_flw_exp_par,
    STATE(1128), 1,
      sym__flw_seq_tal,
    ACTIONS(311), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(313), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(327), 2,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
    STATE(717), 2,
      sym__r_flw_imp_r_par,
      sym__r_flw_njl_ann_par,
    STATE(777), 2,
      sym__br_flw_imp_r_par,
      sym__br_flw_njl_ann_par,
    STATE(1075), 2,
      sym__r_flw_seq_dat,
      sym__br_flw_seq_dat,
    STATE(584), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    STATE(585), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(586), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
    STATE(587), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
  [3447] = 44,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(291), 1,
      sym__br_flw_map_bgn,
    ACTIONS(295), 1,
      sym__br_flw_key_bgn,
    ACTIONS(299), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(303), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(307), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(317), 1,
      sym__br_tag,
    ACTIONS(321), 1,
      sym__br_acr,
    ACTIONS(323), 1,
      sym__r_als,
    ACTIONS(325), 1,
      sym__br_als,
    ACTIONS(450), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(452), 1,
      sym__r_flw_map_bgn,
    ACTIONS(454), 1,
      sym__r_flw_key_bgn,
    ACTIONS(456), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(458), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(460), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(462), 1,
      sym__r_tag,
    ACTIONS(464), 1,
      sym__r_acr,
    STATE(153), 1,
      sym__br_prp,
    STATE(154), 1,
      sym__r_prp,
    STATE(590), 1,
      sym__r_flw_seq_itm,
    STATE(591), 1,
      sym__br_flw_seq_itm,
    STATE(662), 1,
      sym__br_flw_seq,
    STATE(675), 1,
      sym__r_flw_map,
    STATE(676), 1,
      sym__br_flw_map,
    STATE(678), 1,
      sym__r_dqt_str,
    STATE(679), 1,
      sym__br_dqt_str,
    STATE(681), 1,
      sym__r_sqt_str,
    STATE(682), 1,
      sym__br_sqt_str,
    STATE(716), 1,
      sym__r_flw_seq,
    STATE(775), 1,
      sym__r_flw_exp_par,
    STATE(776), 1,
      sym__br_flw_exp_par,
    STATE(928), 1,
      sym__flw_seq_tal,
    ACTIONS(311), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(313), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(509), 2,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
    STATE(717), 2,
      sym__r_flw_imp_r_par,
      sym__r_flw_njl_ann_par,
    STATE(777), 2,
      sym__br_flw_imp_r_par,
      sym__br_flw_njl_ann_par,
    STATE(1069), 2,
      sym__r_flw_seq_dat,
      sym__br_flw_seq_dat,
    STATE(584), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    STATE(585), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(586), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
    STATE(587), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
  [3596] = 44,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(291), 1,
      sym__br_flw_map_bgn,
    ACTIONS(295), 1,
      sym__br_flw_key_bgn,
    ACTIONS(299), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(303), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(307), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(317), 1,
      sym__br_tag,
    ACTIONS(321), 1,
      sym__br_acr,
    ACTIONS(323), 1,
      sym__r_als,
    ACTIONS(325), 1,
      sym__br_als,
    ACTIONS(450), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(452), 1,
      sym__r_flw_map_bgn,
    ACTIONS(454), 1,
      sym__r_flw_key_bgn,
    ACTIONS(456), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(458), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(460), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(462), 1,
      sym__r_tag,
    ACTIONS(464), 1,
      sym__r_acr,
    STATE(153), 1,
      sym__br_prp,
    STATE(154), 1,
      sym__r_prp,
    STATE(590), 1,
      sym__r_flw_seq_itm,
    STATE(591), 1,
      sym__br_flw_seq_itm,
    STATE(643), 1,
      sym__flw_seq_tal,
    STATE(662), 1,
      sym__br_flw_seq,
    STATE(675), 1,
      sym__r_flw_map,
    STATE(676), 1,
      sym__br_flw_map,
    STATE(678), 1,
      sym__r_dqt_str,
    STATE(679), 1,
      sym__br_dqt_str,
    STATE(681), 1,
      sym__r_sqt_str,
    STATE(682), 1,
      sym__br_sqt_str,
    STATE(716), 1,
      sym__r_flw_seq,
    STATE(775), 1,
      sym__r_flw_exp_par,
    STATE(776), 1,
      sym__br_flw_exp_par,
    ACTIONS(311), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(313), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(355), 2,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
    STATE(717), 2,
      sym__r_flw_imp_r_par,
      sym__r_flw_njl_ann_par,
    STATE(777), 2,
      sym__br_flw_imp_r_par,
      sym__br_flw_njl_ann_par,
    STATE(1227), 2,
      sym__r_flw_seq_dat,
      sym__br_flw_seq_dat,
    STATE(584), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    STATE(585), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(586), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
    STATE(587), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
  [3745] = 44,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(291), 1,
      sym__br_flw_map_bgn,
    ACTIONS(295), 1,
      sym__br_flw_key_bgn,
    ACTIONS(299), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(303), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(307), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(317), 1,
      sym__br_tag,
    ACTIONS(321), 1,
      sym__br_acr,
    ACTIONS(323), 1,
      sym__r_als,
    ACTIONS(325), 1,
      sym__br_als,
    ACTIONS(450), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(452), 1,
      sym__r_flw_map_bgn,
    ACTIONS(454), 1,
      sym__r_flw_key_bgn,
    ACTIONS(456), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(458), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(460), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(462), 1,
      sym__r_tag,
    ACTIONS(464), 1,
      sym__r_acr,
    STATE(153), 1,
      sym__br_prp,
    STATE(154), 1,
      sym__r_prp,
    STATE(590), 1,
      sym__r_flw_seq_itm,
    STATE(591), 1,
      sym__br_flw_seq_itm,
    STATE(662), 1,
      sym__br_flw_seq,
    STATE(675), 1,
      sym__r_flw_map,
    STATE(676), 1,
      sym__br_flw_map,
    STATE(678), 1,
      sym__r_dqt_str,
    STATE(679), 1,
      sym__br_dqt_str,
    STATE(681), 1,
      sym__r_sqt_str,
    STATE(682), 1,
      sym__br_sqt_str,
    STATE(716), 1,
      sym__r_flw_seq,
    STATE(775), 1,
      sym__r_flw_exp_par,
    STATE(776), 1,
      sym__br_flw_exp_par,
    STATE(992), 1,
      sym__flw_seq_tal,
    ACTIONS(311), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(313), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(335), 2,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
    STATE(717), 2,
      sym__r_flw_imp_r_par,
      sym__r_flw_njl_ann_par,
    STATE(777), 2,
      sym__br_flw_imp_r_par,
      sym__br_flw_njl_ann_par,
    STATE(1186), 2,
      sym__r_flw_seq_dat,
      sym__br_flw_seq_dat,
    STATE(584), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    STATE(585), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(586), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
    STATE(587), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
  [3894] = 44,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(291), 1,
      sym__br_flw_map_bgn,
    ACTIONS(295), 1,
      sym__br_flw_key_bgn,
    ACTIONS(299), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(303), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(307), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(317), 1,
      sym__br_tag,
    ACTIONS(321), 1,
      sym__br_acr,
    ACTIONS(323), 1,
      sym__r_als,
    ACTIONS(325), 1,
      sym__br_als,
    ACTIONS(450), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(452), 1,
      sym__r_flw_map_bgn,
    ACTIONS(454), 1,
      sym__r_flw_key_bgn,
    ACTIONS(456), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(458), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(460), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(462), 1,
      sym__r_tag,
    ACTIONS(464), 1,
      sym__r_acr,
    STATE(153), 1,
      sym__br_prp,
    STATE(154), 1,
      sym__r_prp,
    STATE(590), 1,
      sym__r_flw_seq_itm,
    STATE(591), 1,
      sym__br_flw_seq_itm,
    STATE(662), 1,
      sym__br_flw_seq,
    STATE(675), 1,
      sym__r_flw_map,
    STATE(676), 1,
      sym__br_flw_map,
    STATE(678), 1,
      sym__r_dqt_str,
    STATE(679), 1,
      sym__br_dqt_str,
    STATE(681), 1,
      sym__r_sqt_str,
    STATE(682), 1,
      sym__br_sqt_str,
    STATE(716), 1,
      sym__r_flw_seq,
    STATE(775), 1,
      sym__r_flw_exp_par,
    STATE(776), 1,
      sym__br_flw_exp_par,
    STATE(872), 1,
      sym__flw_seq_tal,
    ACTIONS(311), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(313), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(347), 2,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
    STATE(717), 2,
      sym__r_flw_imp_r_par,
      sym__r_flw_njl_ann_par,
    STATE(777), 2,
      sym__br_flw_imp_r_par,
      sym__br_flw_njl_ann_par,
    STATE(1103), 2,
      sym__r_flw_seq_dat,
      sym__br_flw_seq_dat,
    STATE(584), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    STATE(585), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(586), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
    STATE(587), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
  [4043] = 38,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(511), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(513), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(515), 1,
      sym__r_flw_map_bgn,
    ACTIONS(517), 1,
      sym__br_flw_map_bgn,
    ACTIONS(519), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(521), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(523), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(525), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(527), 1,
      sym__r_sgl_pln_flw,
    ACTIONS(531), 1,
      sym__r_mtl_pln_flw,
    ACTIONS(533), 1,
      sym__r_tag,
    ACTIONS(535), 1,
      sym__br_tag,
    ACTIONS(537), 1,
      sym__r_acr,
    ACTIONS(539), 1,
      sym__br_acr,
    ACTIONS(541), 1,
      sym__r_als,
    ACTIONS(543), 1,
      sym__br_als,
    STATE(159), 1,
      sym__r_prp,
    STATE(164), 1,
      sym__br_prp,
    STATE(287), 1,
      sym__r_sgl_prp,
    STATE(741), 1,
      sym__br_sqt_str,
    STATE(751), 1,
      sym__r_als_val,
    STATE(914), 1,
      sym__r_flw_seq,
    STATE(915), 1,
      sym__br_flw_seq,
    STATE(916), 1,
      sym__r_flw_map,
    STATE(917), 1,
      sym__br_flw_map,
    STATE(918), 1,
      sym__r_dqt_str,
    STATE(919), 1,
      sym__r_sqt_str,
    STATE(920), 1,
      sym__br_dqt_str,
    STATE(1112), 1,
      sym__r_sgl_sqt_str,
    STATE(1119), 1,
      sym__r_sgl_dqt_str,
    STATE(1122), 1,
      sym__r_sgl_flw_map,
    STATE(1125), 1,
      sym__r_sgl_flw_seq,
    ACTIONS(476), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
    ACTIONS(479), 2,
      sym__br_flw_seq_end,
      sym__br_flw_sep_bgn,
    ACTIONS(529), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    STATE(1237), 7,
      sym__r_sgl_prp_val,
      sym__r_sgl_flw_seq_val,
      sym__r_sgl_flw_map_val,
      sym__sgl_flw_ann_par_tal,
      sym__r_sgl_dqt_str_val,
      sym__r_sgl_sqt_str_val,
      sym__r_sgl_pln_flw_val,
    STATE(753), 14,
      sym__r_prp_val,
      sym__br_prp_val,
      sym__r_flw_seq_val,
      sym__br_flw_seq_val,
      sym__r_flw_map_val,
      sym__br_flw_map_val,
      sym__flw_ann_par_tal,
      sym__r_dqt_str_val,
      sym__br_dqt_str_val,
      sym__r_sqt_str_val,
      sym__br_sqt_str_val,
      sym__r_pln_flw_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
  [4180] = 44,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(291), 1,
      sym__br_flw_map_bgn,
    ACTIONS(295), 1,
      sym__br_flw_key_bgn,
    ACTIONS(299), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(303), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(307), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(317), 1,
      sym__br_tag,
    ACTIONS(321), 1,
      sym__br_acr,
    ACTIONS(323), 1,
      sym__r_als,
    ACTIONS(325), 1,
      sym__br_als,
    ACTIONS(450), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(452), 1,
      sym__r_flw_map_bgn,
    ACTIONS(454), 1,
      sym__r_flw_key_bgn,
    ACTIONS(456), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(458), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(460), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(462), 1,
      sym__r_tag,
    ACTIONS(464), 1,
      sym__r_acr,
    STATE(153), 1,
      sym__br_prp,
    STATE(154), 1,
      sym__r_prp,
    STATE(590), 1,
      sym__r_flw_seq_itm,
    STATE(591), 1,
      sym__br_flw_seq_itm,
    STATE(662), 1,
      sym__br_flw_seq,
    STATE(675), 1,
      sym__r_flw_map,
    STATE(676), 1,
      sym__br_flw_map,
    STATE(678), 1,
      sym__r_dqt_str,
    STATE(679), 1,
      sym__br_dqt_str,
    STATE(681), 1,
      sym__r_sqt_str,
    STATE(682), 1,
      sym__br_sqt_str,
    STATE(716), 1,
      sym__r_flw_seq,
    STATE(775), 1,
      sym__r_flw_exp_par,
    STATE(776), 1,
      sym__br_flw_exp_par,
    STATE(1224), 1,
      sym__flw_seq_tal,
    ACTIONS(311), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(313), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(545), 2,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
    STATE(717), 2,
      sym__r_flw_imp_r_par,
      sym__r_flw_njl_ann_par,
    STATE(777), 2,
      sym__br_flw_imp_r_par,
      sym__br_flw_njl_ann_par,
    STATE(1252), 2,
      sym__r_flw_seq_dat,
      sym__br_flw_seq_dat,
    STATE(584), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    STATE(585), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(586), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
    STATE(587), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
  [4329] = 44,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(291), 1,
      sym__br_flw_map_bgn,
    ACTIONS(295), 1,
      sym__br_flw_key_bgn,
    ACTIONS(299), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(303), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(307), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(317), 1,
      sym__br_tag,
    ACTIONS(321), 1,
      sym__br_acr,
    ACTIONS(323), 1,
      sym__r_als,
    ACTIONS(325), 1,
      sym__br_als,
    ACTIONS(450), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(452), 1,
      sym__r_flw_map_bgn,
    ACTIONS(454), 1,
      sym__r_flw_key_bgn,
    ACTIONS(456), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(458), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(460), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(462), 1,
      sym__r_tag,
    ACTIONS(464), 1,
      sym__r_acr,
    STATE(153), 1,
      sym__br_prp,
    STATE(154), 1,
      sym__r_prp,
    STATE(590), 1,
      sym__r_flw_seq_itm,
    STATE(591), 1,
      sym__br_flw_seq_itm,
    STATE(662), 1,
      sym__br_flw_seq,
    STATE(675), 1,
      sym__r_flw_map,
    STATE(676), 1,
      sym__br_flw_map,
    STATE(678), 1,
      sym__r_dqt_str,
    STATE(679), 1,
      sym__br_dqt_str,
    STATE(681), 1,
      sym__r_sqt_str,
    STATE(682), 1,
      sym__br_sqt_str,
    STATE(698), 1,
      sym__flw_seq_tal,
    STATE(716), 1,
      sym__r_flw_seq,
    STATE(775), 1,
      sym__r_flw_exp_par,
    STATE(776), 1,
      sym__br_flw_exp_par,
    ACTIONS(311), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(313), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(547), 2,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
    STATE(717), 2,
      sym__r_flw_imp_r_par,
      sym__r_flw_njl_ann_par,
    STATE(777), 2,
      sym__br_flw_imp_r_par,
      sym__br_flw_njl_ann_par,
    STATE(1187), 2,
      sym__r_flw_seq_dat,
      sym__br_flw_seq_dat,
    STATE(584), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    STATE(585), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(586), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
    STATE(587), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
  [4478] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(207), 1,
      sym__br_flw_map_bgn,
    ACTIONS(215), 1,
      sym__br_flw_key_bgn,
    ACTIONS(219), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(223), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(227), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(237), 1,
      sym__br_tag,
    ACTIONS(241), 1,
      sym__br_acr,
    ACTIONS(243), 1,
      sym__r_als,
    ACTIONS(245), 1,
      sym__br_als,
    ACTIONS(424), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(426), 1,
      sym__r_flw_map_bgn,
    ACTIONS(430), 1,
      sym__r_flw_key_bgn,
    ACTIONS(432), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(434), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(436), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(438), 1,
      sym__r_tag,
    ACTIONS(440), 1,
      sym__r_acr,
    STATE(144), 1,
      sym__br_prp,
    STATE(146), 1,
      sym__r_prp,
    STATE(645), 1,
      sym__br_sqt_str,
    STATE(646), 1,
      sym__r_sqt_str,
    STATE(647), 1,
      sym__br_dqt_str,
    STATE(648), 1,
      sym__r_dqt_str,
    STATE(649), 1,
      sym__br_flw_map,
    STATE(650), 1,
      sym__r_flw_map,
    STATE(651), 1,
      sym__br_flw_seq,
    STATE(653), 1,
      sym__r_flw_seq,
    STATE(788), 1,
      sym__r_flw_exp_par,
    STATE(790), 1,
      sym__br_flw_exp_par,
    ACTIONS(231), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(233), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(549), 2,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
    STATE(860), 2,
      sym__r_flw_map_itm,
      sym__br_flw_map_itm,
    STATE(463), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(464), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    STATE(792), 3,
      sym__r_flw_imp_r_par,
      sym__r_flw_imp_br_par,
      sym__r_flw_njl_ann_par,
    STATE(794), 3,
      sym__br_flw_imp_r_par,
      sym__br_flw_imp_br_par,
      sym__br_flw_njl_ann_par,
    STATE(461), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
    STATE(462), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
  [4620] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(207), 1,
      sym__br_flw_map_bgn,
    ACTIONS(215), 1,
      sym__br_flw_key_bgn,
    ACTIONS(219), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(223), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(227), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(237), 1,
      sym__br_tag,
    ACTIONS(241), 1,
      sym__br_acr,
    ACTIONS(243), 1,
      sym__r_als,
    ACTIONS(245), 1,
      sym__br_als,
    ACTIONS(424), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(426), 1,
      sym__r_flw_map_bgn,
    ACTIONS(430), 1,
      sym__r_flw_key_bgn,
    ACTIONS(432), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(434), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(436), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(438), 1,
      sym__r_tag,
    ACTIONS(440), 1,
      sym__r_acr,
    STATE(144), 1,
      sym__br_prp,
    STATE(146), 1,
      sym__r_prp,
    STATE(645), 1,
      sym__br_sqt_str,
    STATE(646), 1,
      sym__r_sqt_str,
    STATE(647), 1,
      sym__br_dqt_str,
    STATE(648), 1,
      sym__r_dqt_str,
    STATE(649), 1,
      sym__br_flw_map,
    STATE(650), 1,
      sym__r_flw_map,
    STATE(651), 1,
      sym__br_flw_seq,
    STATE(653), 1,
      sym__r_flw_seq,
    STATE(788), 1,
      sym__r_flw_exp_par,
    STATE(790), 1,
      sym__br_flw_exp_par,
    ACTIONS(231), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(233), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(551), 2,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
    STATE(860), 2,
      sym__r_flw_map_itm,
      sym__br_flw_map_itm,
    STATE(463), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(464), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    STATE(792), 3,
      sym__r_flw_imp_r_par,
      sym__r_flw_imp_br_par,
      sym__r_flw_njl_ann_par,
    STATE(794), 3,
      sym__br_flw_imp_r_par,
      sym__br_flw_imp_br_par,
      sym__br_flw_njl_ann_par,
    STATE(461), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
    STATE(462), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
  [4762] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(207), 1,
      sym__br_flw_map_bgn,
    ACTIONS(215), 1,
      sym__br_flw_key_bgn,
    ACTIONS(219), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(223), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(227), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(237), 1,
      sym__br_tag,
    ACTIONS(241), 1,
      sym__br_acr,
    ACTIONS(243), 1,
      sym__r_als,
    ACTIONS(245), 1,
      sym__br_als,
    ACTIONS(424), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(426), 1,
      sym__r_flw_map_bgn,
    ACTIONS(430), 1,
      sym__r_flw_key_bgn,
    ACTIONS(432), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(434), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(436), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(438), 1,
      sym__r_tag,
    ACTIONS(440), 1,
      sym__r_acr,
    STATE(144), 1,
      sym__br_prp,
    STATE(146), 1,
      sym__r_prp,
    STATE(645), 1,
      sym__br_sqt_str,
    STATE(646), 1,
      sym__r_sqt_str,
    STATE(647), 1,
      sym__br_dqt_str,
    STATE(648), 1,
      sym__r_dqt_str,
    STATE(649), 1,
      sym__br_flw_map,
    STATE(650), 1,
      sym__r_flw_map,
    STATE(651), 1,
      sym__br_flw_seq,
    STATE(653), 1,
      sym__r_flw_seq,
    STATE(788), 1,
      sym__r_flw_exp_par,
    STATE(790), 1,
      sym__br_flw_exp_par,
    ACTIONS(231), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(233), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(553), 2,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
    STATE(860), 2,
      sym__r_flw_map_itm,
      sym__br_flw_map_itm,
    STATE(463), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(464), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    STATE(792), 3,
      sym__r_flw_imp_r_par,
      sym__r_flw_imp_br_par,
      sym__r_flw_njl_ann_par,
    STATE(794), 3,
      sym__br_flw_imp_r_par,
      sym__br_flw_imp_br_par,
      sym__br_flw_njl_ann_par,
    STATE(461), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
    STATE(462), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
  [4904] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(207), 1,
      sym__br_flw_map_bgn,
    ACTIONS(215), 1,
      sym__br_flw_key_bgn,
    ACTIONS(219), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(223), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(227), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(237), 1,
      sym__br_tag,
    ACTIONS(241), 1,
      sym__br_acr,
    ACTIONS(243), 1,
      sym__r_als,
    ACTIONS(245), 1,
      sym__br_als,
    ACTIONS(424), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(426), 1,
      sym__r_flw_map_bgn,
    ACTIONS(430), 1,
      sym__r_flw_key_bgn,
    ACTIONS(432), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(434), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(436), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(438), 1,
      sym__r_tag,
    ACTIONS(440), 1,
      sym__r_acr,
    STATE(144), 1,
      sym__br_prp,
    STATE(146), 1,
      sym__r_prp,
    STATE(645), 1,
      sym__br_sqt_str,
    STATE(646), 1,
      sym__r_sqt_str,
    STATE(647), 1,
      sym__br_dqt_str,
    STATE(648), 1,
      sym__r_dqt_str,
    STATE(649), 1,
      sym__br_flw_map,
    STATE(650), 1,
      sym__r_flw_map,
    STATE(651), 1,
      sym__br_flw_seq,
    STATE(653), 1,
      sym__r_flw_seq,
    STATE(788), 1,
      sym__r_flw_exp_par,
    STATE(790), 1,
      sym__br_flw_exp_par,
    ACTIONS(231), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(233), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(555), 2,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
    STATE(860), 2,
      sym__r_flw_map_itm,
      sym__br_flw_map_itm,
    STATE(463), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(464), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    STATE(792), 3,
      sym__r_flw_imp_r_par,
      sym__r_flw_imp_br_par,
      sym__r_flw_njl_ann_par,
    STATE(794), 3,
      sym__br_flw_imp_r_par,
      sym__br_flw_imp_br_par,
      sym__br_flw_njl_ann_par,
    STATE(461), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
    STATE(462), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
  [5046] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(291), 1,
      sym__br_flw_map_bgn,
    ACTIONS(295), 1,
      sym__br_flw_key_bgn,
    ACTIONS(299), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(303), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(307), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(317), 1,
      sym__br_tag,
    ACTIONS(321), 1,
      sym__br_acr,
    ACTIONS(323), 1,
      sym__r_als,
    ACTIONS(325), 1,
      sym__br_als,
    ACTIONS(450), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(452), 1,
      sym__r_flw_map_bgn,
    ACTIONS(454), 1,
      sym__r_flw_key_bgn,
    ACTIONS(456), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(458), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(460), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(462), 1,
      sym__r_tag,
    ACTIONS(464), 1,
      sym__r_acr,
    STATE(153), 1,
      sym__br_prp,
    STATE(154), 1,
      sym__r_prp,
    STATE(662), 1,
      sym__br_flw_seq,
    STATE(675), 1,
      sym__r_flw_map,
    STATE(676), 1,
      sym__br_flw_map,
    STATE(678), 1,
      sym__r_dqt_str,
    STATE(679), 1,
      sym__br_dqt_str,
    STATE(681), 1,
      sym__r_sqt_str,
    STATE(682), 1,
      sym__br_sqt_str,
    STATE(716), 1,
      sym__r_flw_seq,
    STATE(775), 1,
      sym__r_flw_exp_par,
    STATE(776), 1,
      sym__br_flw_exp_par,
    ACTIONS(311), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(313), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(557), 2,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
    STATE(717), 2,
      sym__r_flw_imp_r_par,
      sym__r_flw_njl_ann_par,
    STATE(777), 2,
      sym__br_flw_imp_r_par,
      sym__br_flw_njl_ann_par,
    STATE(854), 2,
      sym__r_flw_seq_itm,
      sym__br_flw_seq_itm,
    STATE(584), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    STATE(585), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(586), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
    STATE(587), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
  [5186] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(291), 1,
      sym__br_flw_map_bgn,
    ACTIONS(295), 1,
      sym__br_flw_key_bgn,
    ACTIONS(299), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(303), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(307), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(317), 1,
      sym__br_tag,
    ACTIONS(321), 1,
      sym__br_acr,
    ACTIONS(323), 1,
      sym__r_als,
    ACTIONS(325), 1,
      sym__br_als,
    ACTIONS(450), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(452), 1,
      sym__r_flw_map_bgn,
    ACTIONS(454), 1,
      sym__r_flw_key_bgn,
    ACTIONS(456), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(458), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(460), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(462), 1,
      sym__r_tag,
    ACTIONS(464), 1,
      sym__r_acr,
    STATE(153), 1,
      sym__br_prp,
    STATE(154), 1,
      sym__r_prp,
    STATE(662), 1,
      sym__br_flw_seq,
    STATE(675), 1,
      sym__r_flw_map,
    STATE(676), 1,
      sym__br_flw_map,
    STATE(678), 1,
      sym__r_dqt_str,
    STATE(679), 1,
      sym__br_dqt_str,
    STATE(681), 1,
      sym__r_sqt_str,
    STATE(682), 1,
      sym__br_sqt_str,
    STATE(716), 1,
      sym__r_flw_seq,
    STATE(775), 1,
      sym__r_flw_exp_par,
    STATE(776), 1,
      sym__br_flw_exp_par,
    ACTIONS(311), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(313), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(559), 2,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
    STATE(717), 2,
      sym__r_flw_imp_r_par,
      sym__r_flw_njl_ann_par,
    STATE(777), 2,
      sym__br_flw_imp_r_par,
      sym__br_flw_njl_ann_par,
    STATE(854), 2,
      sym__r_flw_seq_itm,
      sym__br_flw_seq_itm,
    STATE(584), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    STATE(585), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(586), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
    STATE(587), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
  [5326] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(291), 1,
      sym__br_flw_map_bgn,
    ACTIONS(295), 1,
      sym__br_flw_key_bgn,
    ACTIONS(299), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(303), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(307), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(317), 1,
      sym__br_tag,
    ACTIONS(321), 1,
      sym__br_acr,
    ACTIONS(323), 1,
      sym__r_als,
    ACTIONS(325), 1,
      sym__br_als,
    ACTIONS(450), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(452), 1,
      sym__r_flw_map_bgn,
    ACTIONS(454), 1,
      sym__r_flw_key_bgn,
    ACTIONS(456), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(458), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(460), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(462), 1,
      sym__r_tag,
    ACTIONS(464), 1,
      sym__r_acr,
    STATE(153), 1,
      sym__br_prp,
    STATE(154), 1,
      sym__r_prp,
    STATE(662), 1,
      sym__br_flw_seq,
    STATE(675), 1,
      sym__r_flw_map,
    STATE(676), 1,
      sym__br_flw_map,
    STATE(678), 1,
      sym__r_dqt_str,
    STATE(679), 1,
      sym__br_dqt_str,
    STATE(681), 1,
      sym__r_sqt_str,
    STATE(682), 1,
      sym__br_sqt_str,
    STATE(716), 1,
      sym__r_flw_seq,
    STATE(775), 1,
      sym__r_flw_exp_par,
    STATE(776), 1,
      sym__br_flw_exp_par,
    ACTIONS(311), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(313), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(561), 2,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
    STATE(717), 2,
      sym__r_flw_imp_r_par,
      sym__r_flw_njl_ann_par,
    STATE(777), 2,
      sym__br_flw_imp_r_par,
      sym__br_flw_njl_ann_par,
    STATE(854), 2,
      sym__r_flw_seq_itm,
      sym__br_flw_seq_itm,
    STATE(584), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    STATE(585), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(586), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
    STATE(587), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
  [5466] = 40,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(207), 1,
      sym__br_flw_map_bgn,
    ACTIONS(215), 1,
      sym__br_flw_key_bgn,
    ACTIONS(219), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(223), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(227), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(237), 1,
      sym__br_tag,
    ACTIONS(241), 1,
      sym__br_acr,
    ACTIONS(243), 1,
      sym__r_als,
    ACTIONS(245), 1,
      sym__br_als,
    ACTIONS(424), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(426), 1,
      sym__r_flw_map_bgn,
    ACTIONS(430), 1,
      sym__r_flw_key_bgn,
    ACTIONS(432), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(434), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(436), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(438), 1,
      sym__r_tag,
    ACTIONS(440), 1,
      sym__r_acr,
    STATE(144), 1,
      sym__br_prp,
    STATE(146), 1,
      sym__r_prp,
    STATE(645), 1,
      sym__br_sqt_str,
    STATE(646), 1,
      sym__r_sqt_str,
    STATE(647), 1,
      sym__br_dqt_str,
    STATE(648), 1,
      sym__r_dqt_str,
    STATE(649), 1,
      sym__br_flw_map,
    STATE(650), 1,
      sym__r_flw_map,
    STATE(651), 1,
      sym__br_flw_seq,
    STATE(653), 1,
      sym__r_flw_seq,
    STATE(788), 1,
      sym__r_flw_exp_par,
    STATE(790), 1,
      sym__br_flw_exp_par,
    ACTIONS(231), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(233), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    STATE(860), 2,
      sym__r_flw_map_itm,
      sym__br_flw_map_itm,
    STATE(463), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(464), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    STATE(792), 3,
      sym__r_flw_imp_r_par,
      sym__r_flw_imp_br_par,
      sym__r_flw_njl_ann_par,
    STATE(794), 3,
      sym__br_flw_imp_r_par,
      sym__br_flw_imp_br_par,
      sym__br_flw_njl_ann_par,
    STATE(461), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
    STATE(462), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
  [5604] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(291), 1,
      sym__br_flw_map_bgn,
    ACTIONS(295), 1,
      sym__br_flw_key_bgn,
    ACTIONS(299), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(303), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(307), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(317), 1,
      sym__br_tag,
    ACTIONS(321), 1,
      sym__br_acr,
    ACTIONS(323), 1,
      sym__r_als,
    ACTIONS(325), 1,
      sym__br_als,
    ACTIONS(450), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(452), 1,
      sym__r_flw_map_bgn,
    ACTIONS(454), 1,
      sym__r_flw_key_bgn,
    ACTIONS(456), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(458), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(460), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(462), 1,
      sym__r_tag,
    ACTIONS(464), 1,
      sym__r_acr,
    STATE(153), 1,
      sym__br_prp,
    STATE(154), 1,
      sym__r_prp,
    STATE(662), 1,
      sym__br_flw_seq,
    STATE(675), 1,
      sym__r_flw_map,
    STATE(676), 1,
      sym__br_flw_map,
    STATE(678), 1,
      sym__r_dqt_str,
    STATE(679), 1,
      sym__br_dqt_str,
    STATE(681), 1,
      sym__r_sqt_str,
    STATE(682), 1,
      sym__br_sqt_str,
    STATE(716), 1,
      sym__r_flw_seq,
    STATE(775), 1,
      sym__r_flw_exp_par,
    STATE(776), 1,
      sym__br_flw_exp_par,
    ACTIONS(311), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(313), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(563), 2,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
    STATE(717), 2,
      sym__r_flw_imp_r_par,
      sym__r_flw_njl_ann_par,
    STATE(777), 2,
      sym__br_flw_imp_r_par,
      sym__br_flw_njl_ann_par,
    STATE(854), 2,
      sym__r_flw_seq_itm,
      sym__br_flw_seq_itm,
    STATE(584), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    STATE(585), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(586), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
    STATE(587), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
  [5744] = 38,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__br_blk_seq_bgn,
    ACTIONS(23), 1,
      sym__br_blk_key_bgn,
    ACTIONS(27), 1,
      sym__br_blk_val_bgn,
    ACTIONS(35), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(39), 1,
      sym__br_flw_map_bgn,
    ACTIONS(43), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(47), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(187), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(189), 1,
      sym__r_flw_map_bgn,
    ACTIONS(191), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(193), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(373), 1,
      sym__br_tag,
    ACTIONS(375), 1,
      sym__br_acr,
    ACTIONS(377), 1,
      sym__br_als,
    ACTIONS(567), 1,
      sym__br_sgl_pln_blk,
    STATE(109), 1,
      sym__br_blk_map_itm,
    STATE(231), 1,
      sym__br_blk_key_itm,
    STATE(283), 1,
      sym__br_blk_val_itm,
    STATE(394), 1,
      sym__br_sgl_prp,
    STATE(730), 1,
      sym__br_blk_seq_itm,
    STATE(1049), 1,
      sym__br_blk_seq,
    STATE(1050), 1,
      sym__br_blk_map,
    STATE(1262), 1,
      sym__br_sgl_dqt_str,
    STATE(1266), 1,
      sym__br_sgl_flw_map,
    STATE(1275), 1,
      sym__br_sgl_sqt_str,
    STATE(1280), 1,
      sym__br_sgl_flw_seq,
    ACTIONS(29), 2,
      sym__r_blk_lit_bgn,
      sym__r_blk_fld_bgn,
    ACTIONS(31), 2,
      sym__br_blk_lit_bgn,
      sym__br_blk_fld_bgn,
    STATE(278), 2,
      sym__br_blk_exp_itm,
      sym__br_blk_imp_itm,
    STATE(1053), 2,
      sym__r_blk_str,
      sym__br_blk_str,
    STATE(1063), 2,
      sym__r_sqt_str,
      sym__br_sqt_str,
    STATE(1064), 2,
      sym__r_dqt_str,
      sym__br_dqt_str,
    STATE(1065), 2,
      sym__r_flw_map,
      sym__br_flw_map,
    STATE(1066), 2,
      sym__r_flw_seq,
      sym__br_flw_seq,
    ACTIONS(367), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
    ACTIONS(565), 3,
      sym__r_sgl_pln_blk,
      sym__r_mtl_pln_blk,
      sym__br_mtl_pln_blk,
    STATE(1149), 7,
      sym__br_sgl_prp_val,
      sym__br_sgl_flw_seq_val,
      sym__br_sgl_flw_map_val,
      sym__br_sgl_dqt_str_val,
      sym__br_sgl_sqt_str_val,
      sym__br_sgl_pln_blk_val,
      sym__br_als_val,
  [5877] = 38,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__br_blk_seq_bgn,
    ACTIONS(23), 1,
      sym__br_blk_key_bgn,
    ACTIONS(27), 1,
      sym__br_blk_val_bgn,
    ACTIONS(35), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(39), 1,
      sym__br_flw_map_bgn,
    ACTIONS(43), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(47), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(187), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(189), 1,
      sym__r_flw_map_bgn,
    ACTIONS(191), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(193), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(373), 1,
      sym__br_tag,
    ACTIONS(375), 1,
      sym__br_acr,
    ACTIONS(377), 1,
      sym__br_als,
    ACTIONS(571), 1,
      sym__br_sgl_pln_blk,
    STATE(109), 1,
      sym__br_blk_map_itm,
    STATE(231), 1,
      sym__br_blk_key_itm,
    STATE(283), 1,
      sym__br_blk_val_itm,
    STATE(394), 1,
      sym__br_sgl_prp,
    STATE(730), 1,
      sym__br_blk_seq_itm,
    STATE(1059), 1,
      sym__br_blk_map,
    STATE(1060), 1,
      sym__br_blk_seq,
    STATE(1262), 1,
      sym__br_sgl_dqt_str,
    STATE(1266), 1,
      sym__br_sgl_flw_map,
    STATE(1275), 1,
      sym__br_sgl_sqt_str,
    STATE(1280), 1,
      sym__br_sgl_flw_seq,
    ACTIONS(29), 2,
      sym__r_blk_lit_bgn,
      sym__r_blk_fld_bgn,
    ACTIONS(31), 2,
      sym__br_blk_lit_bgn,
      sym__br_blk_fld_bgn,
    STATE(278), 2,
      sym__br_blk_exp_itm,
      sym__br_blk_imp_itm,
    STATE(1054), 2,
      sym__r_sqt_str,
      sym__br_sqt_str,
    STATE(1055), 2,
      sym__r_dqt_str,
      sym__br_dqt_str,
    STATE(1056), 2,
      sym__r_flw_map,
      sym__br_flw_map,
    STATE(1057), 2,
      sym__r_flw_seq,
      sym__br_flw_seq,
    STATE(1058), 2,
      sym__r_blk_str,
      sym__br_blk_str,
    ACTIONS(379), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
    ACTIONS(569), 3,
      sym__r_sgl_pln_blk,
      sym__r_mtl_pln_blk,
      sym__br_mtl_pln_blk,
    STATE(1149), 7,
      sym__br_sgl_prp_val,
      sym__br_sgl_flw_seq_val,
      sym__br_sgl_flw_map_val,
      sym__br_sgl_dqt_str_val,
      sym__br_sgl_sqt_str_val,
      sym__br_sgl_pln_blk_val,
      sym__br_als_val,
  [6010] = 38,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__br_blk_seq_bgn,
    ACTIONS(23), 1,
      sym__br_blk_key_bgn,
    ACTIONS(27), 1,
      sym__br_blk_val_bgn,
    ACTIONS(131), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(135), 1,
      sym__br_flw_map_bgn,
    ACTIONS(139), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(143), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(373), 1,
      sym__br_tag,
    ACTIONS(375), 1,
      sym__br_acr,
    ACTIONS(377), 1,
      sym__br_als,
    ACTIONS(573), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(575), 1,
      sym__r_flw_map_bgn,
    ACTIONS(577), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(579), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(583), 1,
      sym__br_sgl_pln_blk,
    STATE(124), 1,
      sym__br_blk_map_itm,
    STATE(231), 1,
      sym__br_blk_key_itm,
    STATE(283), 1,
      sym__br_blk_val_itm,
    STATE(394), 1,
      sym__br_sgl_prp,
    STATE(827), 1,
      sym__br_blk_seq_itm,
    STATE(1243), 1,
      sym__br_blk_map,
    STATE(1248), 1,
      sym__br_blk_seq,
    STATE(1262), 1,
      sym__br_sgl_dqt_str,
    STATE(1266), 1,
      sym__br_sgl_flw_map,
    STATE(1275), 1,
      sym__br_sgl_sqt_str,
    STATE(1280), 1,
      sym__br_sgl_flw_seq,
    ACTIONS(125), 2,
      sym__r_blk_lit_bgn,
      sym__r_blk_fld_bgn,
    ACTIONS(127), 2,
      sym__br_blk_lit_bgn,
      sym__br_blk_fld_bgn,
    ACTIONS(367), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
    STATE(278), 2,
      sym__br_blk_exp_itm,
      sym__br_blk_imp_itm,
    STATE(1232), 2,
      sym__r_sqt_str,
      sym__br_sqt_str,
    STATE(1233), 2,
      sym__r_dqt_str,
      sym__br_dqt_str,
    STATE(1240), 2,
      sym__r_flw_map,
      sym__br_flw_map,
    STATE(1241), 2,
      sym__r_flw_seq,
      sym__br_flw_seq,
    STATE(1242), 2,
      sym__r_blk_str,
      sym__br_blk_str,
    ACTIONS(581), 3,
      sym__r_sgl_pln_blk,
      sym__r_mtl_pln_blk,
      sym__br_mtl_pln_blk,
    STATE(1149), 7,
      sym__br_sgl_prp_val,
      sym__br_sgl_flw_seq_val,
      sym__br_sgl_flw_map_val,
      sym__br_sgl_dqt_str_val,
      sym__br_sgl_sqt_str_val,
      sym__br_sgl_pln_blk_val,
      sym__br_als_val,
  [6142] = 38,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__br_blk_seq_bgn,
    ACTIONS(23), 1,
      sym__br_blk_key_bgn,
    ACTIONS(27), 1,
      sym__br_blk_val_bgn,
    ACTIONS(131), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(135), 1,
      sym__br_flw_map_bgn,
    ACTIONS(139), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(143), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(373), 1,
      sym__br_tag,
    ACTIONS(375), 1,
      sym__br_acr,
    ACTIONS(377), 1,
      sym__br_als,
    ACTIONS(573), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(575), 1,
      sym__r_flw_map_bgn,
    ACTIONS(577), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(579), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(587), 1,
      sym__br_sgl_pln_blk,
    STATE(124), 1,
      sym__br_blk_map_itm,
    STATE(231), 1,
      sym__br_blk_key_itm,
    STATE(283), 1,
      sym__br_blk_val_itm,
    STATE(394), 1,
      sym__br_sgl_prp,
    STATE(827), 1,
      sym__br_blk_seq_itm,
    STATE(1215), 1,
      sym__br_blk_map,
    STATE(1216), 1,
      sym__br_blk_seq,
    STATE(1262), 1,
      sym__br_sgl_dqt_str,
    STATE(1266), 1,
      sym__br_sgl_flw_map,
    STATE(1275), 1,
      sym__br_sgl_sqt_str,
    STATE(1280), 1,
      sym__br_sgl_flw_seq,
    ACTIONS(125), 2,
      sym__r_blk_lit_bgn,
      sym__r_blk_fld_bgn,
    ACTIONS(127), 2,
      sym__br_blk_lit_bgn,
      sym__br_blk_fld_bgn,
    ACTIONS(379), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
    STATE(278), 2,
      sym__br_blk_exp_itm,
      sym__br_blk_imp_itm,
    STATE(1195), 2,
      sym__r_sqt_str,
      sym__br_sqt_str,
    STATE(1207), 2,
      sym__r_dqt_str,
      sym__br_dqt_str,
    STATE(1208), 2,
      sym__r_flw_map,
      sym__br_flw_map,
    STATE(1209), 2,
      sym__r_flw_seq,
      sym__br_flw_seq,
    STATE(1210), 2,
      sym__r_blk_str,
      sym__br_blk_str,
    ACTIONS(585), 3,
      sym__r_sgl_pln_blk,
      sym__r_mtl_pln_blk,
      sym__br_mtl_pln_blk,
    STATE(1149), 7,
      sym__br_sgl_prp_val,
      sym__br_sgl_flw_seq_val,
      sym__br_sgl_flw_map_val,
      sym__br_sgl_dqt_str_val,
      sym__br_sgl_sqt_str_val,
      sym__br_sgl_pln_blk_val,
      sym__br_als_val,
  [6274] = 40,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(291), 1,
      sym__br_flw_map_bgn,
    ACTIONS(295), 1,
      sym__br_flw_key_bgn,
    ACTIONS(299), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(303), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(307), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(317), 1,
      sym__br_tag,
    ACTIONS(321), 1,
      sym__br_acr,
    ACTIONS(323), 1,
      sym__r_als,
    ACTIONS(325), 1,
      sym__br_als,
    ACTIONS(450), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(452), 1,
      sym__r_flw_map_bgn,
    ACTIONS(454), 1,
      sym__r_flw_key_bgn,
    ACTIONS(456), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(458), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(460), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(462), 1,
      sym__r_tag,
    ACTIONS(464), 1,
      sym__r_acr,
    STATE(153), 1,
      sym__br_prp,
    STATE(154), 1,
      sym__r_prp,
    STATE(662), 1,
      sym__br_flw_seq,
    STATE(675), 1,
      sym__r_flw_map,
    STATE(676), 1,
      sym__br_flw_map,
    STATE(678), 1,
      sym__r_dqt_str,
    STATE(679), 1,
      sym__br_dqt_str,
    STATE(681), 1,
      sym__r_sqt_str,
    STATE(682), 1,
      sym__br_sqt_str,
    STATE(716), 1,
      sym__r_flw_seq,
    STATE(775), 1,
      sym__r_flw_exp_par,
    STATE(776), 1,
      sym__br_flw_exp_par,
    ACTIONS(311), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(313), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    STATE(717), 2,
      sym__r_flw_imp_r_par,
      sym__r_flw_njl_ann_par,
    STATE(777), 2,
      sym__br_flw_imp_r_par,
      sym__br_flw_njl_ann_par,
    STATE(854), 2,
      sym__r_flw_seq_itm,
      sym__br_flw_seq_itm,
    STATE(584), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    STATE(585), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(586), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
    STATE(587), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
  [6410] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(387), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(396), 1,
      sym__br_flw_map_bgn,
    ACTIONS(400), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(404), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(414), 1,
      sym__br_tag,
    ACTIONS(418), 1,
      sym__br_acr,
    ACTIONS(420), 1,
      sym__r_als,
    ACTIONS(422), 1,
      sym__br_als,
    ACTIONS(589), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(591), 1,
      sym__r_flw_map_bgn,
    ACTIONS(593), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(595), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(597), 1,
      sym__r_tag,
    ACTIONS(599), 1,
      sym__r_acr,
    STATE(171), 1,
      sym__br_prp,
    STATE(172), 1,
      sym__r_prp,
    STATE(1161), 1,
      sym__r_flw_seq,
    STATE(1164), 1,
      sym__br_flw_seq,
    STATE(1175), 1,
      sym__r_flw_map,
    STATE(1183), 1,
      sym__br_flw_map,
    STATE(1196), 1,
      sym__r_dqt_str,
    STATE(1199), 1,
      sym__br_dqt_str,
    STATE(1202), 1,
      sym__r_sqt_str,
    STATE(1203), 1,
      sym__br_sqt_str,
    ACTIONS(408), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(410), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    STATE(791), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    STATE(793), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    ACTIONS(392), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
    STATE(795), 4,
      sym__r_flw_imp_r_par,
      sym__r_flw_imp_br_par,
      sym__br_flw_imp_r_par,
      sym__br_flw_imp_br_par,
    STATE(817), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
    STATE(818), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
  [6528] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(387), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(396), 1,
      sym__br_flw_map_bgn,
    ACTIONS(400), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(404), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(414), 1,
      sym__br_tag,
    ACTIONS(418), 1,
      sym__br_acr,
    ACTIONS(420), 1,
      sym__r_als,
    ACTIONS(422), 1,
      sym__br_als,
    ACTIONS(589), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(591), 1,
      sym__r_flw_map_bgn,
    ACTIONS(593), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(595), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(597), 1,
      sym__r_tag,
    ACTIONS(599), 1,
      sym__r_acr,
    STATE(171), 1,
      sym__br_prp,
    STATE(172), 1,
      sym__r_prp,
    STATE(1161), 1,
      sym__r_flw_seq,
    STATE(1164), 1,
      sym__br_flw_seq,
    STATE(1175), 1,
      sym__r_flw_map,
    STATE(1183), 1,
      sym__br_flw_map,
    STATE(1196), 1,
      sym__r_dqt_str,
    STATE(1199), 1,
      sym__br_dqt_str,
    STATE(1202), 1,
      sym__r_sqt_str,
    STATE(1203), 1,
      sym__br_sqt_str,
    ACTIONS(408), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(410), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    STATE(768), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(771), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    ACTIONS(601), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
    STATE(754), 4,
      sym__r_flw_imp_r_par,
      sym__r_flw_imp_br_par,
      sym__br_flw_imp_r_par,
      sym__br_flw_imp_br_par,
    STATE(765), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
    STATE(766), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
  [6646] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(387), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(396), 1,
      sym__br_flw_map_bgn,
    ACTIONS(400), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(404), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(414), 1,
      sym__br_tag,
    ACTIONS(418), 1,
      sym__br_acr,
    ACTIONS(420), 1,
      sym__r_als,
    ACTIONS(422), 1,
      sym__br_als,
    ACTIONS(589), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(591), 1,
      sym__r_flw_map_bgn,
    ACTIONS(593), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(595), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(597), 1,
      sym__r_tag,
    ACTIONS(599), 1,
      sym__r_acr,
    STATE(171), 1,
      sym__br_prp,
    STATE(172), 1,
      sym__r_prp,
    STATE(1161), 1,
      sym__r_flw_seq,
    STATE(1164), 1,
      sym__br_flw_seq,
    STATE(1175), 1,
      sym__r_flw_map,
    STATE(1183), 1,
      sym__br_flw_map,
    STATE(1196), 1,
      sym__r_dqt_str,
    STATE(1199), 1,
      sym__br_dqt_str,
    STATE(1202), 1,
      sym__r_sqt_str,
    STATE(1203), 1,
      sym__br_sqt_str,
    ACTIONS(408), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(410), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    STATE(791), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    STATE(793), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    ACTIONS(601), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
    STATE(800), 4,
      sym__r_flw_imp_r_par,
      sym__r_flw_imp_br_par,
      sym__br_flw_imp_r_par,
      sym__br_flw_imp_br_par,
    STATE(817), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
    STATE(818), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
  [6764] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(387), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(396), 1,
      sym__br_flw_map_bgn,
    ACTIONS(400), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(404), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(414), 1,
      sym__br_tag,
    ACTIONS(418), 1,
      sym__br_acr,
    ACTIONS(420), 1,
      sym__r_als,
    ACTIONS(422), 1,
      sym__br_als,
    ACTIONS(589), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(591), 1,
      sym__r_flw_map_bgn,
    ACTIONS(593), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(595), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(597), 1,
      sym__r_tag,
    ACTIONS(599), 1,
      sym__r_acr,
    STATE(171), 1,
      sym__br_prp,
    STATE(172), 1,
      sym__r_prp,
    STATE(1161), 1,
      sym__r_flw_seq,
    STATE(1164), 1,
      sym__br_flw_seq,
    STATE(1175), 1,
      sym__r_flw_map,
    STATE(1183), 1,
      sym__br_flw_map,
    STATE(1196), 1,
      sym__r_dqt_str,
    STATE(1199), 1,
      sym__br_dqt_str,
    STATE(1202), 1,
      sym__r_sqt_str,
    STATE(1203), 1,
      sym__br_sqt_str,
    ACTIONS(408), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(410), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    STATE(768), 3,
      sym__br_prp_val,
      sym__br_pln_flw_val,
      sym__br_als_val,
    STATE(771), 3,
      sym__r_prp_val,
      sym__r_pln_flw_val,
      sym__r_als_val,
    ACTIONS(392), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
    STATE(760), 4,
      sym__r_flw_imp_r_par,
      sym__r_flw_imp_br_par,
      sym__br_flw_imp_r_par,
      sym__br_flw_imp_br_par,
    STATE(765), 4,
      sym__br_flw_seq_val,
      sym__br_flw_map_val,
      sym__br_dqt_str_val,
      sym__br_sqt_str_val,
    STATE(766), 4,
      sym__r_flw_seq_val,
      sym__r_flw_map_val,
      sym__r_dqt_str_val,
      sym__r_sqt_str_val,
  [6882] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(470), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(474), 1,
      sym__br_flw_map_bgn,
    ACTIONS(483), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(487), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(497), 1,
      sym__br_tag,
    ACTIONS(501), 1,
      sym__br_acr,
    ACTIONS(503), 1,
      sym__r_als,
    ACTIONS(505), 1,
      sym__br_als,
    ACTIONS(603), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(605), 1,
      sym__r_flw_map_bgn,
    ACTIONS(607), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(609), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(611), 1,
      sym__r_tag,
    ACTIONS(613), 1,
      sym__r_acr,
    STATE(160), 1,
      sym__r_prp,
    STATE(161), 1,
      sym__br_prp,
    STATE(842), 1,
      sym__br_flw_map,
    STATE(874), 1,
      sym__br_sqt_str,
    STATE(875), 1,
      sym__r_sqt_str,
    STATE(876), 1,
      sym__br_dqt_str,
    STATE(877), 1,
      sym__r_dqt_str,
    STATE(880), 1,
      sym__r_flw_map,
    STATE(881), 1,
      sym__br_flw_seq,
    STATE(882), 1,
      sym__r_flw_seq,
    ACTIONS(491), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(493), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(479), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
    STATE(801), 15,
      sym__r_prp_val,
      sym__br_prp_val,
      sym__r_flw_seq_val,
      sym__br_flw_seq_val,
      sym__r_flw_map_val,
      sym__br_flw_map_val,
      sym__flw_ann_par_tal,
      sym__r_dqt_str_val,
      sym__br_dqt_str_val,
      sym__r_sqt_str_val,
      sym__br_sqt_str_val,
      sym__r_pln_flw_val,
      sym__br_pln_flw_val,
      sym__r_als_val,
      sym__br_als_val,
  [6989] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(470), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(474), 1,
      sym__br_flw_map_bgn,
    ACTIONS(483), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(487), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(497), 1,
      sym__br_tag,
    ACTIONS(501), 1,
      sym__br_acr,
    ACTIONS(503), 1,
      sym__r_als,
    ACTIONS(505), 1,
      sym__br_als,
    ACTIONS(603), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(605), 1,
      sym__r_flw_map_bgn,
    ACTIONS(607), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(609), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(611), 1,
      sym__r_tag,
    ACTIONS(613), 1,
      sym__r_acr,
    STATE(160), 1,
      sym__r_prp,
    STATE(161), 1,
      sym__br_prp,
    STATE(842), 1,
      sym__br_flw_map,
    STATE(874), 1,
      sym__br_sqt_str,
    STATE(875), 1,
      sym__r_sqt_str,
    STATE(876), 1,
      sym__br_dqt_str,
    STATE(877), 1,
      sym__r_dqt_str,
    STATE(880), 1,
      sym__r_flw_map,
    STATE(881), 1,
      sym__br_flw_seq,
    STATE(882), 1,
      sym__r_flw_seq,
    ACTIONS(491), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(493), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(615), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
    STATE(811), 15,
      sym__r_prp_val,
      sym__br_prp_val,
      sym__r_flw_seq_val,
      sym__br_flw_seq_val,
      sym__r_flw_map_val,
      sym__br_flw_map_val,
      sym__flw_ann_par_tal,
      sym__r_dqt_str_val,
      sym__br_dqt_str_val,
      sym__r_sqt_str_val,
      sym__br_sqt_str_val,
      sym__r_pln_flw_val,
      sym__br_pln_flw_val,
      sym__r_als_val,
      sym__br_als_val,
  [7096] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(513), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(517), 1,
      sym__br_flw_map_bgn,
    ACTIONS(521), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(525), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(535), 1,
      sym__br_tag,
    ACTIONS(539), 1,
      sym__br_acr,
    ACTIONS(541), 1,
      sym__r_als,
    ACTIONS(543), 1,
      sym__br_als,
    ACTIONS(617), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(621), 1,
      sym__r_flw_map_bgn,
    ACTIONS(623), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(625), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(627), 1,
      sym__r_tag,
    ACTIONS(629), 1,
      sym__r_acr,
    STATE(159), 1,
      sym__r_prp,
    STATE(164), 1,
      sym__br_prp,
    STATE(741), 1,
      sym__br_sqt_str,
    STATE(914), 1,
      sym__r_flw_seq,
    STATE(915), 1,
      sym__br_flw_seq,
    STATE(916), 1,
      sym__r_flw_map,
    STATE(917), 1,
      sym__br_flw_map,
    STATE(918), 1,
      sym__r_dqt_str,
    STATE(919), 1,
      sym__r_sqt_str,
    STATE(920), 1,
      sym__br_dqt_str,
    ACTIONS(529), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(531), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(619), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
    STATE(755), 15,
      sym__r_prp_val,
      sym__br_prp_val,
      sym__r_flw_seq_val,
      sym__br_flw_seq_val,
      sym__r_flw_map_val,
      sym__br_flw_map_val,
      sym__flw_ann_par_tal,
      sym__r_dqt_str_val,
      sym__br_dqt_str_val,
      sym__r_sqt_str_val,
      sym__br_sqt_str_val,
      sym__r_pln_flw_val,
      sym__br_pln_flw_val,
      sym__r_als_val,
      sym__br_als_val,
  [7203] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(513), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(517), 1,
      sym__br_flw_map_bgn,
    ACTIONS(521), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(525), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(535), 1,
      sym__br_tag,
    ACTIONS(539), 1,
      sym__br_acr,
    ACTIONS(541), 1,
      sym__r_als,
    ACTIONS(543), 1,
      sym__br_als,
    ACTIONS(617), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(621), 1,
      sym__r_flw_map_bgn,
    ACTIONS(623), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(625), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(627), 1,
      sym__r_tag,
    ACTIONS(629), 1,
      sym__r_acr,
    STATE(159), 1,
      sym__r_prp,
    STATE(164), 1,
      sym__br_prp,
    STATE(741), 1,
      sym__br_sqt_str,
    STATE(914), 1,
      sym__r_flw_seq,
    STATE(915), 1,
      sym__br_flw_seq,
    STATE(916), 1,
      sym__r_flw_map,
    STATE(917), 1,
      sym__br_flw_map,
    STATE(918), 1,
      sym__r_dqt_str,
    STATE(919), 1,
      sym__r_sqt_str,
    STATE(920), 1,
      sym__br_dqt_str,
    ACTIONS(529), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(531), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(615), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
    STATE(747), 15,
      sym__r_prp_val,
      sym__br_prp_val,
      sym__r_flw_seq_val,
      sym__br_flw_seq_val,
      sym__r_flw_map_val,
      sym__br_flw_map_val,
      sym__flw_ann_par_tal,
      sym__r_dqt_str_val,
      sym__br_dqt_str_val,
      sym__r_sqt_str_val,
      sym__br_sqt_str_val,
      sym__r_pln_flw_val,
      sym__br_pln_flw_val,
      sym__r_als_val,
      sym__br_als_val,
  [7310] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(513), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(517), 1,
      sym__br_flw_map_bgn,
    ACTIONS(521), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(525), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(535), 1,
      sym__br_tag,
    ACTIONS(539), 1,
      sym__br_acr,
    ACTIONS(541), 1,
      sym__r_als,
    ACTIONS(543), 1,
      sym__br_als,
    ACTIONS(617), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(621), 1,
      sym__r_flw_map_bgn,
    ACTIONS(623), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(625), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(627), 1,
      sym__r_tag,
    ACTIONS(629), 1,
      sym__r_acr,
    STATE(159), 1,
      sym__r_prp,
    STATE(164), 1,
      sym__br_prp,
    STATE(741), 1,
      sym__br_sqt_str,
    STATE(914), 1,
      sym__r_flw_seq,
    STATE(915), 1,
      sym__br_flw_seq,
    STATE(916), 1,
      sym__r_flw_map,
    STATE(917), 1,
      sym__br_flw_map,
    STATE(918), 1,
      sym__r_dqt_str,
    STATE(919), 1,
      sym__r_sqt_str,
    STATE(920), 1,
      sym__br_dqt_str,
    ACTIONS(529), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(531), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(631), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
    STATE(841), 15,
      sym__r_prp_val,
      sym__br_prp_val,
      sym__r_flw_seq_val,
      sym__br_flw_seq_val,
      sym__r_flw_map_val,
      sym__br_flw_map_val,
      sym__flw_ann_par_tal,
      sym__r_dqt_str_val,
      sym__br_dqt_str_val,
      sym__r_sqt_str_val,
      sym__br_sqt_str_val,
      sym__r_pln_flw_val,
      sym__br_pln_flw_val,
      sym__r_als_val,
      sym__br_als_val,
  [7417] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(470), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(474), 1,
      sym__br_flw_map_bgn,
    ACTIONS(483), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(487), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(497), 1,
      sym__br_tag,
    ACTIONS(501), 1,
      sym__br_acr,
    ACTIONS(503), 1,
      sym__r_als,
    ACTIONS(505), 1,
      sym__br_als,
    ACTIONS(603), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(605), 1,
      sym__r_flw_map_bgn,
    ACTIONS(607), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(609), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(611), 1,
      sym__r_tag,
    ACTIONS(613), 1,
      sym__r_acr,
    STATE(160), 1,
      sym__r_prp,
    STATE(161), 1,
      sym__br_prp,
    STATE(842), 1,
      sym__br_flw_map,
    STATE(874), 1,
      sym__br_sqt_str,
    STATE(875), 1,
      sym__r_sqt_str,
    STATE(876), 1,
      sym__br_dqt_str,
    STATE(877), 1,
      sym__r_dqt_str,
    STATE(880), 1,
      sym__r_flw_map,
    STATE(881), 1,
      sym__br_flw_seq,
    STATE(882), 1,
      sym__r_flw_seq,
    ACTIONS(491), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(493), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(619), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
    STATE(858), 15,
      sym__r_prp_val,
      sym__br_prp_val,
      sym__r_flw_seq_val,
      sym__br_flw_seq_val,
      sym__r_flw_map_val,
      sym__br_flw_map_val,
      sym__flw_ann_par_tal,
      sym__r_dqt_str_val,
      sym__br_dqt_str_val,
      sym__r_sqt_str_val,
      sym__br_sqt_str_val,
      sym__r_pln_flw_val,
      sym__br_pln_flw_val,
      sym__r_als_val,
      sym__br_als_val,
  [7524] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(513), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(517), 1,
      sym__br_flw_map_bgn,
    ACTIONS(521), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(525), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(535), 1,
      sym__br_tag,
    ACTIONS(539), 1,
      sym__br_acr,
    ACTIONS(541), 1,
      sym__r_als,
    ACTIONS(543), 1,
      sym__br_als,
    ACTIONS(617), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(621), 1,
      sym__r_flw_map_bgn,
    ACTIONS(623), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(625), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(627), 1,
      sym__r_tag,
    ACTIONS(629), 1,
      sym__r_acr,
    STATE(159), 1,
      sym__r_prp,
    STATE(164), 1,
      sym__br_prp,
    STATE(741), 1,
      sym__br_sqt_str,
    STATE(914), 1,
      sym__r_flw_seq,
    STATE(915), 1,
      sym__br_flw_seq,
    STATE(916), 1,
      sym__r_flw_map,
    STATE(917), 1,
      sym__br_flw_map,
    STATE(918), 1,
      sym__r_dqt_str,
    STATE(919), 1,
      sym__r_sqt_str,
    STATE(920), 1,
      sym__br_dqt_str,
    ACTIONS(529), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(531), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(479), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
    STATE(753), 15,
      sym__r_prp_val,
      sym__br_prp_val,
      sym__r_flw_seq_val,
      sym__br_flw_seq_val,
      sym__r_flw_map_val,
      sym__br_flw_map_val,
      sym__flw_ann_par_tal,
      sym__r_dqt_str_val,
      sym__br_dqt_str_val,
      sym__r_sqt_str_val,
      sym__br_sqt_str_val,
      sym__r_pln_flw_val,
      sym__br_pln_flw_val,
      sym__r_als_val,
      sym__br_als_val,
  [7631] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(470), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(474), 1,
      sym__br_flw_map_bgn,
    ACTIONS(483), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(487), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(497), 1,
      sym__br_tag,
    ACTIONS(501), 1,
      sym__br_acr,
    ACTIONS(503), 1,
      sym__r_als,
    ACTIONS(505), 1,
      sym__br_als,
    ACTIONS(603), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(605), 1,
      sym__r_flw_map_bgn,
    ACTIONS(607), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(609), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(611), 1,
      sym__r_tag,
    ACTIONS(613), 1,
      sym__r_acr,
    STATE(160), 1,
      sym__r_prp,
    STATE(161), 1,
      sym__br_prp,
    STATE(842), 1,
      sym__br_flw_map,
    STATE(874), 1,
      sym__br_sqt_str,
    STATE(875), 1,
      sym__r_sqt_str,
    STATE(876), 1,
      sym__br_dqt_str,
    STATE(877), 1,
      sym__r_dqt_str,
    STATE(880), 1,
      sym__r_flw_map,
    STATE(881), 1,
      sym__br_flw_seq,
    STATE(882), 1,
      sym__r_flw_seq,
    ACTIONS(491), 2,
      sym__br_sgl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(493), 2,
      sym__r_sgl_pln_flw,
      sym__r_mtl_pln_flw,
    ACTIONS(631), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
    STATE(736), 15,
      sym__r_prp_val,
      sym__br_prp_val,
      sym__r_flw_seq_val,
      sym__br_flw_seq_val,
      sym__r_flw_map_val,
      sym__br_flw_map_val,
      sym__flw_ann_par_tal,
      sym__r_dqt_str_val,
      sym__br_dqt_str_val,
      sym__r_sqt_str_val,
      sym__br_sqt_str_val,
      sym__r_pln_flw_val,
      sym__br_pln_flw_val,
      sym__r_als_val,
      sym__br_als_val,
  [7738] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(640), 1,
      sym__r_acr,
    ACTIONS(642), 1,
      sym__br_acr,
    ACTIONS(637), 5,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_blk,
    ACTIONS(633), 28,
      sym__br_blk_seq_bgn,
      sym__b_blk_seq_bgn,
      sym__br_blk_key_bgn,
      sym__b_blk_key_bgn,
      sym__br_blk_val_bgn,
      sym__b_blk_val_bgn,
      sym__r_blk_lit_bgn,
      sym__br_blk_lit_bgn,
      sym__r_blk_fld_bgn,
      sym__br_blk_fld_bgn,
      sym__br_flw_seq_bgn,
      sym__b_flw_seq_bgn,
      sym__br_flw_map_bgn,
      sym__b_flw_map_bgn,
      sym__br_dqt_str_bgn,
      sym__b_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__br_sgl_pln_blk,
      sym__b_sgl_pln_blk,
      sym__r_mtl_pln_blk,
      sym__br_mtl_pln_blk,
      sym__br_tag,
      sym__b_tag,
      sym__b_acr,
      sym__br_als,
      sym__b_als,
      sym__bl,
  [7788] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(652), 1,
      sym__r_tag,
    ACTIONS(654), 1,
      sym__br_tag,
    ACTIONS(649), 5,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_blk,
    ACTIONS(645), 28,
      sym__br_blk_seq_bgn,
      sym__b_blk_seq_bgn,
      sym__br_blk_key_bgn,
      sym__b_blk_key_bgn,
      sym__br_blk_val_bgn,
      sym__b_blk_val_bgn,
      sym__r_blk_lit_bgn,
      sym__br_blk_lit_bgn,
      sym__r_blk_fld_bgn,
      sym__br_blk_fld_bgn,
      sym__br_flw_seq_bgn,
      sym__b_flw_seq_bgn,
      sym__br_flw_map_bgn,
      sym__b_flw_map_bgn,
      sym__br_dqt_str_bgn,
      sym__b_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__br_sgl_pln_blk,
      sym__b_sgl_pln_blk,
      sym__r_mtl_pln_blk,
      sym__br_mtl_pln_blk,
      sym__b_tag,
      sym__br_acr,
      sym__b_acr,
      sym__br_als,
      sym__b_als,
      sym__bl,
  [7838] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(640), 1,
      sym__r_tag,
    ACTIONS(642), 1,
      sym__br_tag,
    ACTIONS(637), 5,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_blk,
    ACTIONS(633), 28,
      sym__br_blk_seq_bgn,
      sym__b_blk_seq_bgn,
      sym__br_blk_key_bgn,
      sym__b_blk_key_bgn,
      sym__br_blk_val_bgn,
      sym__b_blk_val_bgn,
      sym__r_blk_lit_bgn,
      sym__br_blk_lit_bgn,
      sym__r_blk_fld_bgn,
      sym__br_blk_fld_bgn,
      sym__br_flw_seq_bgn,
      sym__b_flw_seq_bgn,
      sym__br_flw_map_bgn,
      sym__b_flw_map_bgn,
      sym__br_dqt_str_bgn,
      sym__b_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__br_sgl_pln_blk,
      sym__b_sgl_pln_blk,
      sym__r_mtl_pln_blk,
      sym__br_mtl_pln_blk,
      sym__b_tag,
      sym__br_acr,
      sym__b_acr,
      sym__br_als,
      sym__b_als,
      sym__bl,
  [7888] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(652), 1,
      sym__r_acr,
    ACTIONS(654), 1,
      sym__br_acr,
    ACTIONS(649), 5,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_blk,
    ACTIONS(645), 28,
      sym__br_blk_seq_bgn,
      sym__b_blk_seq_bgn,
      sym__br_blk_key_bgn,
      sym__b_blk_key_bgn,
      sym__br_blk_val_bgn,
      sym__b_blk_val_bgn,
      sym__r_blk_lit_bgn,
      sym__br_blk_lit_bgn,
      sym__r_blk_fld_bgn,
      sym__br_blk_fld_bgn,
      sym__br_flw_seq_bgn,
      sym__b_flw_seq_bgn,
      sym__br_flw_map_bgn,
      sym__b_flw_map_bgn,
      sym__br_dqt_str_bgn,
      sym__b_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__br_sgl_pln_blk,
      sym__b_sgl_pln_blk,
      sym__r_mtl_pln_blk,
      sym__br_mtl_pln_blk,
      sym__br_tag,
      sym__b_tag,
      sym__b_acr,
      sym__br_als,
      sym__b_als,
      sym__bl,
  [7938] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(661), 5,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_blk,
    ACTIONS(657), 29,
      sym__br_blk_seq_bgn,
      sym__b_blk_seq_bgn,
      sym__br_blk_key_bgn,
      sym__b_blk_key_bgn,
      sym__br_blk_val_bgn,
      sym__b_blk_val_bgn,
      sym__r_blk_lit_bgn,
      sym__br_blk_lit_bgn,
      sym__r_blk_fld_bgn,
      sym__br_blk_fld_bgn,
      sym__br_flw_seq_bgn,
      sym__b_flw_seq_bgn,
      sym__br_flw_map_bgn,
      sym__b_flw_map_bgn,
      sym__br_dqt_str_bgn,
      sym__b_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__br_sgl_pln_blk,
      sym__b_sgl_pln_blk,
      sym__r_mtl_pln_blk,
      sym__br_mtl_pln_blk,
      sym__br_tag,
      sym__b_tag,
      sym__br_acr,
      sym__b_acr,
      sym__br_als,
      sym__b_als,
      sym__bl,
  [7983] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(666), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(668), 5,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_blk,
    ACTIONS(664), 29,
      sym__br_blk_seq_bgn,
      sym__b_blk_seq_bgn,
      sym__br_blk_key_bgn,
      sym__b_blk_key_bgn,
      sym__br_blk_val_bgn,
      sym__b_blk_val_bgn,
      sym__r_blk_lit_bgn,
      sym__br_blk_lit_bgn,
      sym__r_blk_fld_bgn,
      sym__br_blk_fld_bgn,
      sym__br_flw_seq_bgn,
      sym__b_flw_seq_bgn,
      sym__br_flw_map_bgn,
      sym__b_flw_map_bgn,
      sym__br_dqt_str_bgn,
      sym__b_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__br_sgl_pln_blk,
      sym__b_sgl_pln_blk,
      sym__r_mtl_pln_blk,
      sym__br_mtl_pln_blk,
      sym__br_tag,
      sym__b_tag,
      sym__br_acr,
      sym__b_acr,
      sym__br_als,
      sym__b_als,
      sym__bl,
  [8028] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(654), 1,
      sym__br_tag,
    ACTIONS(671), 1,
      sym__r_tag,
    ACTIONS(645), 33,
      sym__br_blk_seq_bgn,
      sym__b_blk_seq_bgn,
      sym__br_blk_key_bgn,
      sym__b_blk_key_bgn,
      sym__br_blk_val_bgn,
      sym__b_blk_val_bgn,
      sym__r_blk_lit_bgn,
      sym__br_blk_lit_bgn,
      sym__r_blk_fld_bgn,
      sym__br_blk_fld_bgn,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__b_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__b_flw_map_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__b_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__r_sgl_pln_blk,
      sym__br_sgl_pln_blk,
      sym__b_sgl_pln_blk,
      sym__r_mtl_pln_blk,
      sym__br_mtl_pln_blk,
      sym__b_tag,
      sym__br_acr,
      sym__b_acr,
      sym__br_als,
      sym__b_als,
      sym__bl,
  [8073] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(654), 1,
      sym__br_acr,
    ACTIONS(671), 1,
      sym__r_acr,
    ACTIONS(645), 33,
      sym__br_blk_seq_bgn,
      sym__b_blk_seq_bgn,
      sym__br_blk_key_bgn,
      sym__b_blk_key_bgn,
      sym__br_blk_val_bgn,
      sym__b_blk_val_bgn,
      sym__r_blk_lit_bgn,
      sym__br_blk_lit_bgn,
      sym__r_blk_fld_bgn,
      sym__br_blk_fld_bgn,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__b_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__b_flw_map_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__b_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__r_sgl_pln_blk,
      sym__br_sgl_pln_blk,
      sym__b_sgl_pln_blk,
      sym__r_mtl_pln_blk,
      sym__br_mtl_pln_blk,
      sym__br_tag,
      sym__b_tag,
      sym__b_acr,
      sym__br_als,
      sym__b_als,
      sym__bl,
  [8118] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(664), 34,
      sym__br_blk_seq_bgn,
      sym__b_blk_seq_bgn,
      sym__br_blk_key_bgn,
      sym__b_blk_key_bgn,
      sym__br_blk_val_bgn,
      sym__b_blk_val_bgn,
      sym__r_blk_lit_bgn,
      sym__br_blk_lit_bgn,
      sym__r_blk_fld_bgn,
      sym__br_blk_fld_bgn,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__b_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__b_flw_map_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__b_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__r_sgl_pln_blk,
      sym__br_sgl_pln_blk,
      sym__b_sgl_pln_blk,
      sym__r_mtl_pln_blk,
      sym__br_mtl_pln_blk,
      sym__br_tag,
      sym__b_tag,
      sym__br_acr,
      sym__b_acr,
      sym__br_als,
      sym__b_als,
      sym__bl,
  [8158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(657), 34,
      sym__br_blk_seq_bgn,
      sym__b_blk_seq_bgn,
      sym__br_blk_key_bgn,
      sym__b_blk_key_bgn,
      sym__br_blk_val_bgn,
      sym__b_blk_val_bgn,
      sym__r_blk_lit_bgn,
      sym__br_blk_lit_bgn,
      sym__r_blk_fld_bgn,
      sym__br_blk_fld_bgn,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__b_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__b_flw_map_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__b_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__r_sgl_pln_blk,
      sym__br_sgl_pln_blk,
      sym__b_sgl_pln_blk,
      sym__r_mtl_pln_blk,
      sym__br_mtl_pln_blk,
      sym__br_tag,
      sym__b_tag,
      sym__br_acr,
      sym__b_acr,
      sym__br_als,
      sym__b_als,
      sym__bl,
  [8198] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(673), 1,
      sym__b_blk_key_bgn,
    ACTIONS(675), 1,
      sym__b_blk_val_bgn,
    ACTIONS(677), 1,
      sym__b_flw_seq_bgn,
    ACTIONS(679), 1,
      sym__b_flw_map_bgn,
    ACTIONS(681), 1,
      sym__b_dqt_str_bgn,
    ACTIONS(683), 1,
      sym__b_sqt_str_bgn,
    ACTIONS(685), 1,
      sym__b_sgl_pln_blk,
    ACTIONS(687), 1,
      sym__b_tag,
    ACTIONS(689), 1,
      sym__b_acr,
    ACTIONS(691), 1,
      sym__b_als,
    ACTIONS(693), 1,
      sym__bl,
    STATE(238), 1,
      sym__b_blk_key_itm,
    STATE(261), 1,
      sym__b_blk_val_itm,
    STATE(389), 1,
      sym__b_sgl_prp,
    STATE(1274), 1,
      sym__b_sgl_flw_seq,
    STATE(1330), 1,
      sym__b_sgl_sqt_str,
    STATE(1333), 1,
      sym__b_sgl_dqt_str,
    STATE(1334), 1,
      sym__b_sgl_flw_map,
    STATE(113), 2,
      sym__b_blk_map_itm,
      aux_sym__r_blk_map_repeat1,
    STATE(259), 2,
      sym__b_blk_exp_itm,
      sym__b_blk_imp_itm,
    STATE(1094), 7,
      sym__b_sgl_prp_val,
      sym__b_sgl_flw_seq_val,
      sym__b_sgl_flw_map_val,
      sym__b_sgl_dqt_str_val,
      sym__b_sgl_sqt_str_val,
      sym__b_sgl_pln_blk_val,
      sym__b_als_val,
  [8273] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(673), 1,
      sym__b_blk_key_bgn,
    ACTIONS(675), 1,
      sym__b_blk_val_bgn,
    ACTIONS(677), 1,
      sym__b_flw_seq_bgn,
    ACTIONS(679), 1,
      sym__b_flw_map_bgn,
    ACTIONS(681), 1,
      sym__b_dqt_str_bgn,
    ACTIONS(683), 1,
      sym__b_sqt_str_bgn,
    ACTIONS(685), 1,
      sym__b_sgl_pln_blk,
    ACTIONS(687), 1,
      sym__b_tag,
    ACTIONS(689), 1,
      sym__b_acr,
    ACTIONS(691), 1,
      sym__b_als,
    ACTIONS(695), 1,
      sym__bl,
    STATE(238), 1,
      sym__b_blk_key_itm,
    STATE(261), 1,
      sym__b_blk_val_itm,
    STATE(389), 1,
      sym__b_sgl_prp,
    STATE(1274), 1,
      sym__b_sgl_flw_seq,
    STATE(1330), 1,
      sym__b_sgl_sqt_str,
    STATE(1333), 1,
      sym__b_sgl_dqt_str,
    STATE(1334), 1,
      sym__b_sgl_flw_map,
    STATE(126), 2,
      sym__b_blk_map_itm,
      aux_sym__r_blk_map_repeat1,
    STATE(259), 2,
      sym__b_blk_exp_itm,
      sym__b_blk_imp_itm,
    STATE(1094), 7,
      sym__b_sgl_prp_val,
      sym__b_sgl_flw_seq_val,
      sym__b_sgl_flw_map_val,
      sym__b_sgl_dqt_str_val,
      sym__b_sgl_sqt_str_val,
      sym__b_sgl_pln_blk_val,
      sym__b_als_val,
  [8348] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(673), 1,
      sym__b_blk_key_bgn,
    ACTIONS(675), 1,
      sym__b_blk_val_bgn,
    ACTIONS(677), 1,
      sym__b_flw_seq_bgn,
    ACTIONS(679), 1,
      sym__b_flw_map_bgn,
    ACTIONS(681), 1,
      sym__b_dqt_str_bgn,
    ACTIONS(683), 1,
      sym__b_sqt_str_bgn,
    ACTIONS(685), 1,
      sym__b_sgl_pln_blk,
    ACTIONS(687), 1,
      sym__b_tag,
    ACTIONS(689), 1,
      sym__b_acr,
    ACTIONS(691), 1,
      sym__b_als,
    ACTIONS(697), 1,
      sym__bl,
    STATE(238), 1,
      sym__b_blk_key_itm,
    STATE(261), 1,
      sym__b_blk_val_itm,
    STATE(389), 1,
      sym__b_sgl_prp,
    STATE(1274), 1,
      sym__b_sgl_flw_seq,
    STATE(1330), 1,
      sym__b_sgl_sqt_str,
    STATE(1333), 1,
      sym__b_sgl_dqt_str,
    STATE(1334), 1,
      sym__b_sgl_flw_map,
    STATE(110), 2,
      sym__b_blk_map_itm,
      aux_sym__r_blk_map_repeat1,
    STATE(259), 2,
      sym__b_blk_exp_itm,
      sym__b_blk_imp_itm,
    STATE(1094), 7,
      sym__b_sgl_prp_val,
      sym__b_sgl_flw_seq_val,
      sym__b_sgl_flw_map_val,
      sym__b_sgl_dqt_str_val,
      sym__b_sgl_sqt_str_val,
      sym__b_sgl_pln_blk_val,
      sym__b_als_val,
  [8423] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(673), 1,
      sym__b_blk_key_bgn,
    ACTIONS(675), 1,
      sym__b_blk_val_bgn,
    ACTIONS(677), 1,
      sym__b_flw_seq_bgn,
    ACTIONS(679), 1,
      sym__b_flw_map_bgn,
    ACTIONS(681), 1,
      sym__b_dqt_str_bgn,
    ACTIONS(683), 1,
      sym__b_sqt_str_bgn,
    ACTIONS(685), 1,
      sym__b_sgl_pln_blk,
    ACTIONS(687), 1,
      sym__b_tag,
    ACTIONS(689), 1,
      sym__b_acr,
    ACTIONS(691), 1,
      sym__b_als,
    ACTIONS(699), 1,
      sym__bl,
    STATE(238), 1,
      sym__b_blk_key_itm,
    STATE(261), 1,
      sym__b_blk_val_itm,
    STATE(389), 1,
      sym__b_sgl_prp,
    STATE(1274), 1,
      sym__b_sgl_flw_seq,
    STATE(1330), 1,
      sym__b_sgl_sqt_str,
    STATE(1333), 1,
      sym__b_sgl_dqt_str,
    STATE(1334), 1,
      sym__b_sgl_flw_map,
    STATE(111), 2,
      sym__b_blk_map_itm,
      aux_sym__r_blk_map_repeat1,
    STATE(259), 2,
      sym__b_blk_exp_itm,
      sym__b_blk_imp_itm,
    STATE(1094), 7,
      sym__b_sgl_prp_val,
      sym__b_sgl_flw_seq_val,
      sym__b_sgl_flw_map_val,
      sym__b_sgl_dqt_str_val,
      sym__b_sgl_sqt_str_val,
      sym__b_sgl_pln_blk_val,
      sym__b_als_val,
  [8498] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(673), 1,
      sym__b_blk_key_bgn,
    ACTIONS(675), 1,
      sym__b_blk_val_bgn,
    ACTIONS(677), 1,
      sym__b_flw_seq_bgn,
    ACTIONS(679), 1,
      sym__b_flw_map_bgn,
    ACTIONS(681), 1,
      sym__b_dqt_str_bgn,
    ACTIONS(683), 1,
      sym__b_sqt_str_bgn,
    ACTIONS(685), 1,
      sym__b_sgl_pln_blk,
    ACTIONS(687), 1,
      sym__b_tag,
    ACTIONS(689), 1,
      sym__b_acr,
    ACTIONS(691), 1,
      sym__b_als,
    ACTIONS(701), 1,
      sym__bl,
    STATE(238), 1,
      sym__b_blk_key_itm,
    STATE(261), 1,
      sym__b_blk_val_itm,
    STATE(389), 1,
      sym__b_sgl_prp,
    STATE(1274), 1,
      sym__b_sgl_flw_seq,
    STATE(1330), 1,
      sym__b_sgl_sqt_str,
    STATE(1333), 1,
      sym__b_sgl_dqt_str,
    STATE(1334), 1,
      sym__b_sgl_flw_map,
    STATE(116), 2,
      sym__b_blk_map_itm,
      aux_sym__r_blk_map_repeat1,
    STATE(259), 2,
      sym__b_blk_exp_itm,
      sym__b_blk_imp_itm,
    STATE(1094), 7,
      sym__b_sgl_prp_val,
      sym__b_sgl_flw_seq_val,
      sym__b_sgl_flw_map_val,
      sym__b_sgl_dqt_str_val,
      sym__b_sgl_sqt_str_val,
      sym__b_sgl_pln_blk_val,
      sym__b_als_val,
  [8573] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(673), 1,
      sym__b_blk_key_bgn,
    ACTIONS(675), 1,
      sym__b_blk_val_bgn,
    ACTIONS(677), 1,
      sym__b_flw_seq_bgn,
    ACTIONS(679), 1,
      sym__b_flw_map_bgn,
    ACTIONS(681), 1,
      sym__b_dqt_str_bgn,
    ACTIONS(683), 1,
      sym__b_sqt_str_bgn,
    ACTIONS(685), 1,
      sym__b_sgl_pln_blk,
    ACTIONS(687), 1,
      sym__b_tag,
    ACTIONS(689), 1,
      sym__b_acr,
    ACTIONS(691), 1,
      sym__b_als,
    ACTIONS(703), 1,
      sym__bl,
    STATE(238), 1,
      sym__b_blk_key_itm,
    STATE(261), 1,
      sym__b_blk_val_itm,
    STATE(389), 1,
      sym__b_sgl_prp,
    STATE(1274), 1,
      sym__b_sgl_flw_seq,
    STATE(1330), 1,
      sym__b_sgl_sqt_str,
    STATE(1333), 1,
      sym__b_sgl_dqt_str,
    STATE(1334), 1,
      sym__b_sgl_flw_map,
    STATE(116), 2,
      sym__b_blk_map_itm,
      aux_sym__r_blk_map_repeat1,
    STATE(259), 2,
      sym__b_blk_exp_itm,
      sym__b_blk_imp_itm,
    STATE(1094), 7,
      sym__b_sgl_prp_val,
      sym__b_sgl_flw_seq_val,
      sym__b_sgl_flw_map_val,
      sym__b_sgl_dqt_str_val,
      sym__b_sgl_sqt_str_val,
      sym__b_sgl_pln_blk_val,
      sym__b_als_val,
  [8648] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(705), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(707), 1,
      sym__r_flw_map_bgn,
    ACTIONS(709), 1,
      sym__r_flw_map_end,
    ACTIONS(711), 1,
      sym__r_flw_key_bgn,
    ACTIONS(713), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(715), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(717), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(719), 1,
      sym__r_sgl_pln_flw,
    ACTIONS(721), 1,
      sym__r_tag,
    ACTIONS(723), 1,
      sym__r_acr,
    ACTIONS(725), 1,
      sym__r_als,
    STATE(248), 1,
      sym__r_sgl_prp,
    STATE(728), 1,
      sym__r_sgl_flw_col_itm,
    STATE(1006), 1,
      sym__r_sgl_flw_seq,
    STATE(1011), 1,
      sym__r_sgl_flw_map,
    STATE(1021), 1,
      sym__r_sgl_dqt_str,
    STATE(1022), 1,
      sym__r_sgl_sqt_str,
    STATE(1083), 1,
      sym__sgl_flw_map_tal,
    STATE(1134), 1,
      sym__r_sgl_flw_exp_par,
    STATE(1277), 1,
      sym__r_sgl_flw_col_dat,
    STATE(1136), 2,
      sym__r_sgl_flw_imp_par,
      sym__r_sgl_flw_njl_ann_par,
    STATE(720), 3,
      sym__r_sgl_prp_val,
      sym__r_sgl_pln_flw_val,
      sym__r_als_val,
    STATE(727), 4,
      sym__r_sgl_flw_seq_val,
      sym__r_sgl_flw_map_val,
      sym__r_sgl_dqt_str_val,
      sym__r_sgl_sqt_str_val,
  [8727] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(673), 1,
      sym__b_blk_key_bgn,
    ACTIONS(675), 1,
      sym__b_blk_val_bgn,
    ACTIONS(677), 1,
      sym__b_flw_seq_bgn,
    ACTIONS(679), 1,
      sym__b_flw_map_bgn,
    ACTIONS(681), 1,
      sym__b_dqt_str_bgn,
    ACTIONS(683), 1,
      sym__b_sqt_str_bgn,
    ACTIONS(685), 1,
      sym__b_sgl_pln_blk,
    ACTIONS(687), 1,
      sym__b_tag,
    ACTIONS(689), 1,
      sym__b_acr,
    ACTIONS(691), 1,
      sym__b_als,
    ACTIONS(727), 1,
      sym__bl,
    STATE(238), 1,
      sym__b_blk_key_itm,
    STATE(261), 1,
      sym__b_blk_val_itm,
    STATE(389), 1,
      sym__b_sgl_prp,
    STATE(1274), 1,
      sym__b_sgl_flw_seq,
    STATE(1330), 1,
      sym__b_sgl_sqt_str,
    STATE(1333), 1,
      sym__b_sgl_dqt_str,
    STATE(1334), 1,
      sym__b_sgl_flw_map,
    STATE(116), 2,
      sym__b_blk_map_itm,
      aux_sym__r_blk_map_repeat1,
    STATE(259), 2,
      sym__b_blk_exp_itm,
      sym__b_blk_imp_itm,
    STATE(1094), 7,
      sym__b_sgl_prp_val,
      sym__b_sgl_flw_seq_val,
      sym__b_sgl_flw_map_val,
      sym__b_sgl_dqt_str_val,
      sym__b_sgl_sqt_str_val,
      sym__b_sgl_pln_blk_val,
      sym__b_als_val,
  [8802] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(673), 1,
      sym__b_blk_key_bgn,
    ACTIONS(675), 1,
      sym__b_blk_val_bgn,
    ACTIONS(677), 1,
      sym__b_flw_seq_bgn,
    ACTIONS(679), 1,
      sym__b_flw_map_bgn,
    ACTIONS(681), 1,
      sym__b_dqt_str_bgn,
    ACTIONS(683), 1,
      sym__b_sqt_str_bgn,
    ACTIONS(685), 1,
      sym__b_sgl_pln_blk,
    ACTIONS(687), 1,
      sym__b_tag,
    ACTIONS(689), 1,
      sym__b_acr,
    ACTIONS(691), 1,
      sym__b_als,
    ACTIONS(729), 1,
      sym__bl,
    STATE(238), 1,
      sym__b_blk_key_itm,
    STATE(261), 1,
      sym__b_blk_val_itm,
    STATE(389), 1,
      sym__b_sgl_prp,
    STATE(1274), 1,
      sym__b_sgl_flw_seq,
    STATE(1330), 1,
      sym__b_sgl_sqt_str,
    STATE(1333), 1,
      sym__b_sgl_dqt_str,
    STATE(1334), 1,
      sym__b_sgl_flw_map,
    STATE(116), 2,
      sym__b_blk_map_itm,
      aux_sym__r_blk_map_repeat1,
    STATE(259), 2,
      sym__b_blk_exp_itm,
      sym__b_blk_imp_itm,
    STATE(1094), 7,
      sym__b_sgl_prp_val,
      sym__b_sgl_flw_seq_val,
      sym__b_sgl_flw_map_val,
      sym__b_sgl_dqt_str_val,
      sym__b_sgl_sqt_str_val,
      sym__b_sgl_pln_blk_val,
      sym__b_als_val,
  [8877] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(705), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(707), 1,
      sym__r_flw_map_bgn,
    ACTIONS(711), 1,
      sym__r_flw_key_bgn,
    ACTIONS(713), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(715), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(717), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(719), 1,
      sym__r_sgl_pln_flw,
    ACTIONS(721), 1,
      sym__r_tag,
    ACTIONS(723), 1,
      sym__r_acr,
    ACTIONS(725), 1,
      sym__r_als,
    ACTIONS(731), 1,
      sym__r_flw_map_end,
    STATE(248), 1,
      sym__r_sgl_prp,
    STATE(728), 1,
      sym__r_sgl_flw_col_itm,
    STATE(949), 1,
      sym__sgl_flw_map_tal,
    STATE(1006), 1,
      sym__r_sgl_flw_seq,
    STATE(1011), 1,
      sym__r_sgl_flw_map,
    STATE(1021), 1,
      sym__r_sgl_dqt_str,
    STATE(1022), 1,
      sym__r_sgl_sqt_str,
    STATE(1134), 1,
      sym__r_sgl_flw_exp_par,
    STATE(1347), 1,
      sym__r_sgl_flw_col_dat,
    STATE(1136), 2,
      sym__r_sgl_flw_imp_par,
      sym__r_sgl_flw_njl_ann_par,
    STATE(720), 3,
      sym__r_sgl_prp_val,
      sym__r_sgl_pln_flw_val,
      sym__r_als_val,
    STATE(727), 4,
      sym__r_sgl_flw_seq_val,
      sym__r_sgl_flw_map_val,
      sym__r_sgl_dqt_str_val,
      sym__r_sgl_sqt_str_val,
  [8956] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(733), 1,
      sym__b_blk_key_bgn,
    ACTIONS(736), 1,
      sym__b_blk_val_bgn,
    ACTIONS(739), 1,
      sym__b_flw_seq_bgn,
    ACTIONS(742), 1,
      sym__b_flw_map_bgn,
    ACTIONS(745), 1,
      sym__b_dqt_str_bgn,
    ACTIONS(748), 1,
      sym__b_sqt_str_bgn,
    ACTIONS(751), 1,
      sym__b_sgl_pln_blk,
    ACTIONS(754), 1,
      sym__b_tag,
    ACTIONS(757), 1,
      sym__b_acr,
    ACTIONS(760), 1,
      sym__b_als,
    ACTIONS(763), 1,
      sym__bl,
    STATE(238), 1,
      sym__b_blk_key_itm,
    STATE(261), 1,
      sym__b_blk_val_itm,
    STATE(389), 1,
      sym__b_sgl_prp,
    STATE(1274), 1,
      sym__b_sgl_flw_seq,
    STATE(1330), 1,
      sym__b_sgl_sqt_str,
    STATE(1333), 1,
      sym__b_sgl_dqt_str,
    STATE(1334), 1,
      sym__b_sgl_flw_map,
    STATE(116), 2,
      sym__b_blk_map_itm,
      aux_sym__r_blk_map_repeat1,
    STATE(259), 2,
      sym__b_blk_exp_itm,
      sym__b_blk_imp_itm,
    STATE(1094), 7,
      sym__b_sgl_prp_val,
      sym__b_sgl_flw_seq_val,
      sym__b_sgl_flw_map_val,
      sym__b_sgl_dqt_str_val,
      sym__b_sgl_sqt_str_val,
      sym__b_sgl_pln_blk_val,
      sym__b_als_val,
  [9031] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(767), 1,
      sym__r_flw_seq_end,
    ACTIONS(769), 1,
      sym__r_flw_map_bgn,
    ACTIONS(771), 1,
      sym__r_flw_key_bgn,
    ACTIONS(773), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(775), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(777), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(779), 1,
      sym__r_sgl_pln_flw,
    ACTIONS(781), 1,
      sym__r_tag,
    ACTIONS(783), 1,
      sym__r_acr,
    ACTIONS(785), 1,
      sym__r_als,
    STATE(234), 1,
      sym__r_sgl_prp,
    STATE(774), 1,
      sym__r_sgl_flw_col_itm,
    STATE(933), 1,
      sym__r_sgl_sqt_str,
    STATE(979), 1,
      sym__r_sgl_dqt_str,
    STATE(1015), 1,
      sym__r_sgl_flw_seq,
    STATE(1048), 1,
      sym__r_sgl_flw_map,
    STATE(1179), 1,
      sym__r_sgl_flw_exp_par,
    STATE(1293), 1,
      sym__sgl_flw_seq_tal,
    STATE(1296), 1,
      sym__r_sgl_flw_col_dat,
    STATE(1176), 2,
      sym__r_sgl_flw_imp_par,
      sym__r_sgl_flw_njl_ann_par,
    STATE(770), 3,
      sym__r_sgl_prp_val,
      sym__r_sgl_pln_flw_val,
      sym__r_als_val,
    STATE(823), 4,
      sym__r_sgl_flw_seq_val,
      sym__r_sgl_flw_map_val,
      sym__r_sgl_dqt_str_val,
      sym__r_sgl_sqt_str_val,
  [9110] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(705), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(707), 1,
      sym__r_flw_map_bgn,
    ACTIONS(711), 1,
      sym__r_flw_key_bgn,
    ACTIONS(713), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(715), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(717), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(719), 1,
      sym__r_sgl_pln_flw,
    ACTIONS(721), 1,
      sym__r_tag,
    ACTIONS(723), 1,
      sym__r_acr,
    ACTIONS(725), 1,
      sym__r_als,
    ACTIONS(787), 1,
      sym__r_flw_map_end,
    STATE(248), 1,
      sym__r_sgl_prp,
    STATE(728), 1,
      sym__r_sgl_flw_col_itm,
    STATE(1006), 1,
      sym__r_sgl_flw_seq,
    STATE(1011), 1,
      sym__r_sgl_flw_map,
    STATE(1021), 1,
      sym__r_sgl_dqt_str,
    STATE(1022), 1,
      sym__r_sgl_sqt_str,
    STATE(1134), 1,
      sym__r_sgl_flw_exp_par,
    STATE(1306), 1,
      sym__sgl_flw_map_tal,
    STATE(1310), 1,
      sym__r_sgl_flw_col_dat,
    STATE(1136), 2,
      sym__r_sgl_flw_imp_par,
      sym__r_sgl_flw_njl_ann_par,
    STATE(720), 3,
      sym__r_sgl_prp_val,
      sym__r_sgl_pln_flw_val,
      sym__r_als_val,
    STATE(727), 4,
      sym__r_sgl_flw_seq_val,
      sym__r_sgl_flw_map_val,
      sym__r_sgl_dqt_str_val,
      sym__r_sgl_sqt_str_val,
  [9189] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(769), 1,
      sym__r_flw_map_bgn,
    ACTIONS(771), 1,
      sym__r_flw_key_bgn,
    ACTIONS(773), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(775), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(777), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(779), 1,
      sym__r_sgl_pln_flw,
    ACTIONS(781), 1,
      sym__r_tag,
    ACTIONS(783), 1,
      sym__r_acr,
    ACTIONS(785), 1,
      sym__r_als,
    ACTIONS(789), 1,
      sym__r_flw_seq_end,
    STATE(234), 1,
      sym__r_sgl_prp,
    STATE(774), 1,
      sym__r_sgl_flw_col_itm,
    STATE(933), 1,
      sym__r_sgl_sqt_str,
    STATE(979), 1,
      sym__r_sgl_dqt_str,
    STATE(1015), 1,
      sym__r_sgl_flw_seq,
    STATE(1048), 1,
      sym__r_sgl_flw_map,
    STATE(1179), 1,
      sym__r_sgl_flw_exp_par,
    STATE(1223), 1,
      sym__sgl_flw_seq_tal,
    STATE(1268), 1,
      sym__r_sgl_flw_col_dat,
    STATE(1176), 2,
      sym__r_sgl_flw_imp_par,
      sym__r_sgl_flw_njl_ann_par,
    STATE(770), 3,
      sym__r_sgl_prp_val,
      sym__r_sgl_pln_flw_val,
      sym__r_als_val,
    STATE(823), 4,
      sym__r_sgl_flw_seq_val,
      sym__r_sgl_flw_map_val,
      sym__r_sgl_dqt_str_val,
      sym__r_sgl_sqt_str_val,
  [9268] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(705), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(707), 1,
      sym__r_flw_map_bgn,
    ACTIONS(711), 1,
      sym__r_flw_key_bgn,
    ACTIONS(713), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(715), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(717), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(719), 1,
      sym__r_sgl_pln_flw,
    ACTIONS(721), 1,
      sym__r_tag,
    ACTIONS(723), 1,
      sym__r_acr,
    ACTIONS(725), 1,
      sym__r_als,
    ACTIONS(791), 1,
      sym__r_flw_map_end,
    STATE(248), 1,
      sym__r_sgl_prp,
    STATE(728), 1,
      sym__r_sgl_flw_col_itm,
    STATE(1006), 1,
      sym__r_sgl_flw_seq,
    STATE(1011), 1,
      sym__r_sgl_flw_map,
    STATE(1021), 1,
      sym__r_sgl_dqt_str,
    STATE(1022), 1,
      sym__r_sgl_sqt_str,
    STATE(1134), 1,
      sym__r_sgl_flw_exp_par,
    STATE(1234), 1,
      sym__sgl_flw_map_tal,
    STATE(1270), 1,
      sym__r_sgl_flw_col_dat,
    STATE(1136), 2,
      sym__r_sgl_flw_imp_par,
      sym__r_sgl_flw_njl_ann_par,
    STATE(720), 3,
      sym__r_sgl_prp_val,
      sym__r_sgl_pln_flw_val,
      sym__r_als_val,
    STATE(727), 4,
      sym__r_sgl_flw_seq_val,
      sym__r_sgl_flw_map_val,
      sym__r_sgl_dqt_str_val,
      sym__r_sgl_sqt_str_val,
  [9347] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(769), 1,
      sym__r_flw_map_bgn,
    ACTIONS(771), 1,
      sym__r_flw_key_bgn,
    ACTIONS(773), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(775), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(777), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(779), 1,
      sym__r_sgl_pln_flw,
    ACTIONS(781), 1,
      sym__r_tag,
    ACTIONS(783), 1,
      sym__r_acr,
    ACTIONS(785), 1,
      sym__r_als,
    ACTIONS(793), 1,
      sym__r_flw_seq_end,
    STATE(234), 1,
      sym__r_sgl_prp,
    STATE(774), 1,
      sym__r_sgl_flw_col_itm,
    STATE(933), 1,
      sym__r_sgl_sqt_str,
    STATE(979), 1,
      sym__r_sgl_dqt_str,
    STATE(1015), 1,
      sym__r_sgl_flw_seq,
    STATE(1048), 1,
      sym__r_sgl_flw_map,
    STATE(1179), 1,
      sym__r_sgl_flw_exp_par,
    STATE(1296), 1,
      sym__r_sgl_flw_col_dat,
    STATE(1328), 1,
      sym__sgl_flw_seq_tal,
    STATE(1176), 2,
      sym__r_sgl_flw_imp_par,
      sym__r_sgl_flw_njl_ann_par,
    STATE(770), 3,
      sym__r_sgl_prp_val,
      sym__r_sgl_pln_flw_val,
      sym__r_als_val,
    STATE(823), 4,
      sym__r_sgl_flw_seq_val,
      sym__r_sgl_flw_map_val,
      sym__r_sgl_dqt_str_val,
      sym__r_sgl_sqt_str_val,
  [9426] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(769), 1,
      sym__r_flw_map_bgn,
    ACTIONS(771), 1,
      sym__r_flw_key_bgn,
    ACTIONS(773), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(775), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(777), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(779), 1,
      sym__r_sgl_pln_flw,
    ACTIONS(781), 1,
      sym__r_tag,
    ACTIONS(783), 1,
      sym__r_acr,
    ACTIONS(785), 1,
      sym__r_als,
    ACTIONS(795), 1,
      sym__r_flw_seq_end,
    STATE(234), 1,
      sym__r_sgl_prp,
    STATE(774), 1,
      sym__r_sgl_flw_col_itm,
    STATE(933), 1,
      sym__r_sgl_sqt_str,
    STATE(979), 1,
      sym__r_sgl_dqt_str,
    STATE(1015), 1,
      sym__r_sgl_flw_seq,
    STATE(1044), 1,
      sym__sgl_flw_seq_tal,
    STATE(1048), 1,
      sym__r_sgl_flw_map,
    STATE(1179), 1,
      sym__r_sgl_flw_exp_par,
    STATE(1314), 1,
      sym__r_sgl_flw_col_dat,
    STATE(1176), 2,
      sym__r_sgl_flw_imp_par,
      sym__r_sgl_flw_njl_ann_par,
    STATE(770), 3,
      sym__r_sgl_prp_val,
      sym__r_sgl_pln_flw_val,
      sym__r_als_val,
    STATE(823), 4,
      sym__r_sgl_flw_seq_val,
      sym__r_sgl_flw_map_val,
      sym__r_sgl_dqt_str_val,
      sym__r_sgl_sqt_str_val,
  [9505] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(673), 1,
      sym__b_blk_key_bgn,
    ACTIONS(675), 1,
      sym__b_blk_val_bgn,
    ACTIONS(677), 1,
      sym__b_flw_seq_bgn,
    ACTIONS(679), 1,
      sym__b_flw_map_bgn,
    ACTIONS(681), 1,
      sym__b_dqt_str_bgn,
    ACTIONS(683), 1,
      sym__b_sqt_str_bgn,
    ACTIONS(685), 1,
      sym__b_sgl_pln_blk,
    ACTIONS(687), 1,
      sym__b_tag,
    ACTIONS(689), 1,
      sym__b_acr,
    ACTIONS(691), 1,
      sym__b_als,
    ACTIONS(797), 1,
      sym__bl,
    STATE(238), 1,
      sym__b_blk_key_itm,
    STATE(261), 1,
      sym__b_blk_val_itm,
    STATE(389), 1,
      sym__b_sgl_prp,
    STATE(1274), 1,
      sym__b_sgl_flw_seq,
    STATE(1330), 1,
      sym__b_sgl_sqt_str,
    STATE(1333), 1,
      sym__b_sgl_dqt_str,
    STATE(1334), 1,
      sym__b_sgl_flw_map,
    STATE(127), 2,
      sym__b_blk_map_itm,
      aux_sym__r_blk_map_repeat1,
    STATE(259), 2,
      sym__b_blk_exp_itm,
      sym__b_blk_imp_itm,
    STATE(1094), 7,
      sym__b_sgl_prp_val,
      sym__b_sgl_flw_seq_val,
      sym__b_sgl_flw_map_val,
      sym__b_sgl_dqt_str_val,
      sym__b_sgl_sqt_str_val,
      sym__b_sgl_pln_blk_val,
      sym__b_als_val,
  [9580] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(673), 1,
      sym__b_blk_key_bgn,
    ACTIONS(675), 1,
      sym__b_blk_val_bgn,
    ACTIONS(677), 1,
      sym__b_flw_seq_bgn,
    ACTIONS(679), 1,
      sym__b_flw_map_bgn,
    ACTIONS(681), 1,
      sym__b_dqt_str_bgn,
    ACTIONS(683), 1,
      sym__b_sqt_str_bgn,
    ACTIONS(685), 1,
      sym__b_sgl_pln_blk,
    ACTIONS(687), 1,
      sym__b_tag,
    ACTIONS(689), 1,
      sym__b_acr,
    ACTIONS(691), 1,
      sym__b_als,
    ACTIONS(799), 1,
      sym__bl,
    STATE(238), 1,
      sym__b_blk_key_itm,
    STATE(261), 1,
      sym__b_blk_val_itm,
    STATE(389), 1,
      sym__b_sgl_prp,
    STATE(1274), 1,
      sym__b_sgl_flw_seq,
    STATE(1330), 1,
      sym__b_sgl_sqt_str,
    STATE(1333), 1,
      sym__b_sgl_dqt_str,
    STATE(1334), 1,
      sym__b_sgl_flw_map,
    STATE(114), 2,
      sym__b_blk_map_itm,
      aux_sym__r_blk_map_repeat1,
    STATE(259), 2,
      sym__b_blk_exp_itm,
      sym__b_blk_imp_itm,
    STATE(1094), 7,
      sym__b_sgl_prp_val,
      sym__b_sgl_flw_seq_val,
      sym__b_sgl_flw_map_val,
      sym__b_sgl_dqt_str_val,
      sym__b_sgl_sqt_str_val,
      sym__b_sgl_pln_blk_val,
      sym__b_als_val,
  [9655] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(705), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(707), 1,
      sym__r_flw_map_bgn,
    ACTIONS(711), 1,
      sym__r_flw_key_bgn,
    ACTIONS(713), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(715), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(717), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(719), 1,
      sym__r_sgl_pln_flw,
    ACTIONS(721), 1,
      sym__r_tag,
    ACTIONS(723), 1,
      sym__r_acr,
    ACTIONS(725), 1,
      sym__r_als,
    ACTIONS(801), 1,
      sym__r_flw_map_end,
    STATE(248), 1,
      sym__r_sgl_prp,
    STATE(728), 1,
      sym__r_sgl_flw_col_itm,
    STATE(1006), 1,
      sym__r_sgl_flw_seq,
    STATE(1011), 1,
      sym__r_sgl_flw_map,
    STATE(1021), 1,
      sym__r_sgl_dqt_str,
    STATE(1022), 1,
      sym__r_sgl_sqt_str,
    STATE(1061), 1,
      sym__sgl_flw_map_tal,
    STATE(1134), 1,
      sym__r_sgl_flw_exp_par,
    STATE(1313), 1,
      sym__r_sgl_flw_col_dat,
    STATE(1136), 2,
      sym__r_sgl_flw_imp_par,
      sym__r_sgl_flw_njl_ann_par,
    STATE(720), 3,
      sym__r_sgl_prp_val,
      sym__r_sgl_pln_flw_val,
      sym__r_als_val,
    STATE(727), 4,
      sym__r_sgl_flw_seq_val,
      sym__r_sgl_flw_map_val,
      sym__r_sgl_dqt_str_val,
      sym__r_sgl_sqt_str_val,
  [9734] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(673), 1,
      sym__b_blk_key_bgn,
    ACTIONS(675), 1,
      sym__b_blk_val_bgn,
    ACTIONS(677), 1,
      sym__b_flw_seq_bgn,
    ACTIONS(679), 1,
      sym__b_flw_map_bgn,
    ACTIONS(681), 1,
      sym__b_dqt_str_bgn,
    ACTIONS(683), 1,
      sym__b_sqt_str_bgn,
    ACTIONS(685), 1,
      sym__b_sgl_pln_blk,
    ACTIONS(687), 1,
      sym__b_tag,
    ACTIONS(689), 1,
      sym__b_acr,
    ACTIONS(691), 1,
      sym__b_als,
    ACTIONS(803), 1,
      sym__bl,
    STATE(238), 1,
      sym__b_blk_key_itm,
    STATE(261), 1,
      sym__b_blk_val_itm,
    STATE(389), 1,
      sym__b_sgl_prp,
    STATE(1274), 1,
      sym__b_sgl_flw_seq,
    STATE(1330), 1,
      sym__b_sgl_sqt_str,
    STATE(1333), 1,
      sym__b_sgl_dqt_str,
    STATE(1334), 1,
      sym__b_sgl_flw_map,
    STATE(116), 2,
      sym__b_blk_map_itm,
      aux_sym__r_blk_map_repeat1,
    STATE(259), 2,
      sym__b_blk_exp_itm,
      sym__b_blk_imp_itm,
    STATE(1094), 7,
      sym__b_sgl_prp_val,
      sym__b_sgl_flw_seq_val,
      sym__b_sgl_flw_map_val,
      sym__b_sgl_dqt_str_val,
      sym__b_sgl_sqt_str_val,
      sym__b_sgl_pln_blk_val,
      sym__b_als_val,
  [9809] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(673), 1,
      sym__b_blk_key_bgn,
    ACTIONS(675), 1,
      sym__b_blk_val_bgn,
    ACTIONS(677), 1,
      sym__b_flw_seq_bgn,
    ACTIONS(679), 1,
      sym__b_flw_map_bgn,
    ACTIONS(681), 1,
      sym__b_dqt_str_bgn,
    ACTIONS(683), 1,
      sym__b_sqt_str_bgn,
    ACTIONS(685), 1,
      sym__b_sgl_pln_blk,
    ACTIONS(687), 1,
      sym__b_tag,
    ACTIONS(689), 1,
      sym__b_acr,
    ACTIONS(691), 1,
      sym__b_als,
    ACTIONS(805), 1,
      sym__bl,
    STATE(238), 1,
      sym__b_blk_key_itm,
    STATE(261), 1,
      sym__b_blk_val_itm,
    STATE(389), 1,
      sym__b_sgl_prp,
    STATE(1274), 1,
      sym__b_sgl_flw_seq,
    STATE(1330), 1,
      sym__b_sgl_sqt_str,
    STATE(1333), 1,
      sym__b_sgl_dqt_str,
    STATE(1334), 1,
      sym__b_sgl_flw_map,
    STATE(116), 2,
      sym__b_blk_map_itm,
      aux_sym__r_blk_map_repeat1,
    STATE(259), 2,
      sym__b_blk_exp_itm,
      sym__b_blk_imp_itm,
    STATE(1094), 7,
      sym__b_sgl_prp_val,
      sym__b_sgl_flw_seq_val,
      sym__b_sgl_flw_map_val,
      sym__b_sgl_dqt_str_val,
      sym__b_sgl_sqt_str_val,
      sym__b_sgl_pln_blk_val,
      sym__b_als_val,
  [9884] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(705), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(707), 1,
      sym__r_flw_map_bgn,
    ACTIONS(711), 1,
      sym__r_flw_key_bgn,
    ACTIONS(713), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(715), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(717), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(719), 1,
      sym__r_sgl_pln_flw,
    ACTIONS(721), 1,
      sym__r_tag,
    ACTIONS(723), 1,
      sym__r_acr,
    ACTIONS(725), 1,
      sym__r_als,
    ACTIONS(807), 1,
      sym__r_flw_map_end,
    STATE(248), 1,
      sym__r_sgl_prp,
    STATE(728), 1,
      sym__r_sgl_flw_col_itm,
    STATE(1006), 1,
      sym__r_sgl_flw_seq,
    STATE(1011), 1,
      sym__r_sgl_flw_map,
    STATE(1021), 1,
      sym__r_sgl_dqt_str,
    STATE(1022), 1,
      sym__r_sgl_sqt_str,
    STATE(1134), 1,
      sym__r_sgl_flw_exp_par,
    STATE(1288), 1,
      sym__sgl_flw_map_tal,
    STATE(1294), 1,
      sym__r_sgl_flw_col_dat,
    STATE(1136), 2,
      sym__r_sgl_flw_imp_par,
      sym__r_sgl_flw_njl_ann_par,
    STATE(720), 3,
      sym__r_sgl_prp_val,
      sym__r_sgl_pln_flw_val,
      sym__r_als_val,
    STATE(727), 4,
      sym__r_sgl_flw_seq_val,
      sym__r_sgl_flw_map_val,
      sym__r_sgl_dqt_str_val,
      sym__r_sgl_sqt_str_val,
  [9963] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(769), 1,
      sym__r_flw_map_bgn,
    ACTIONS(771), 1,
      sym__r_flw_key_bgn,
    ACTIONS(773), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(775), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(777), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(779), 1,
      sym__r_sgl_pln_flw,
    ACTIONS(781), 1,
      sym__r_tag,
    ACTIONS(783), 1,
      sym__r_acr,
    ACTIONS(785), 1,
      sym__r_als,
    ACTIONS(809), 1,
      sym__r_flw_seq_end,
    STATE(234), 1,
      sym__r_sgl_prp,
    STATE(774), 1,
      sym__r_sgl_flw_col_itm,
    STATE(933), 1,
      sym__r_sgl_sqt_str,
    STATE(979), 1,
      sym__r_sgl_dqt_str,
    STATE(1015), 1,
      sym__r_sgl_flw_seq,
    STATE(1048), 1,
      sym__r_sgl_flw_map,
    STATE(1179), 1,
      sym__r_sgl_flw_exp_par,
    STATE(1287), 1,
      sym__sgl_flw_seq_tal,
    STATE(1295), 1,
      sym__r_sgl_flw_col_dat,
    STATE(1176), 2,
      sym__r_sgl_flw_imp_par,
      sym__r_sgl_flw_njl_ann_par,
    STATE(770), 3,
      sym__r_sgl_prp_val,
      sym__r_sgl_pln_flw_val,
      sym__r_als_val,
    STATE(823), 4,
      sym__r_sgl_flw_seq_val,
      sym__r_sgl_flw_map_val,
      sym__r_sgl_dqt_str_val,
      sym__r_sgl_sqt_str_val,
  [10042] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(769), 1,
      sym__r_flw_map_bgn,
    ACTIONS(771), 1,
      sym__r_flw_key_bgn,
    ACTIONS(773), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(775), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(777), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(779), 1,
      sym__r_sgl_pln_flw,
    ACTIONS(781), 1,
      sym__r_tag,
    ACTIONS(783), 1,
      sym__r_acr,
    ACTIONS(785), 1,
      sym__r_als,
    ACTIONS(811), 1,
      sym__r_flw_seq_end,
    STATE(234), 1,
      sym__r_sgl_prp,
    STATE(774), 1,
      sym__r_sgl_flw_col_itm,
    STATE(933), 1,
      sym__r_sgl_sqt_str,
    STATE(944), 1,
      sym__sgl_flw_seq_tal,
    STATE(979), 1,
      sym__r_sgl_dqt_str,
    STATE(1015), 1,
      sym__r_sgl_flw_seq,
    STATE(1048), 1,
      sym__r_sgl_flw_map,
    STATE(1179), 1,
      sym__r_sgl_flw_exp_par,
    STATE(1348), 1,
      sym__r_sgl_flw_col_dat,
    STATE(1176), 2,
      sym__r_sgl_flw_imp_par,
      sym__r_sgl_flw_njl_ann_par,
    STATE(770), 3,
      sym__r_sgl_prp_val,
      sym__r_sgl_pln_flw_val,
      sym__r_als_val,
    STATE(823), 4,
      sym__r_sgl_flw_seq_val,
      sym__r_sgl_flw_map_val,
      sym__r_sgl_dqt_str_val,
      sym__r_sgl_sqt_str_val,
  [10121] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(769), 1,
      sym__r_flw_map_bgn,
    ACTIONS(771), 1,
      sym__r_flw_key_bgn,
    ACTIONS(773), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(775), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(777), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(779), 1,
      sym__r_sgl_pln_flw,
    ACTIONS(781), 1,
      sym__r_tag,
    ACTIONS(783), 1,
      sym__r_acr,
    ACTIONS(785), 1,
      sym__r_als,
    ACTIONS(813), 1,
      sym__r_flw_seq_end,
    STATE(234), 1,
      sym__r_sgl_prp,
    STATE(774), 1,
      sym__r_sgl_flw_col_itm,
    STATE(933), 1,
      sym__r_sgl_sqt_str,
    STATE(979), 1,
      sym__r_sgl_dqt_str,
    STATE(1015), 1,
      sym__r_sgl_flw_seq,
    STATE(1048), 1,
      sym__r_sgl_flw_map,
    STATE(1092), 1,
      sym__sgl_flw_seq_tal,
    STATE(1179), 1,
      sym__r_sgl_flw_exp_par,
    STATE(1271), 1,
      sym__r_sgl_flw_col_dat,
    STATE(1176), 2,
      sym__r_sgl_flw_imp_par,
      sym__r_sgl_flw_njl_ann_par,
    STATE(770), 3,
      sym__r_sgl_prp_val,
      sym__r_sgl_pln_flw_val,
      sym__r_als_val,
    STATE(823), 4,
      sym__r_sgl_flw_seq_val,
      sym__r_sgl_flw_map_val,
      sym__r_sgl_dqt_str_val,
      sym__r_sgl_sqt_str_val,
  [10200] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(705), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(707), 1,
      sym__r_flw_map_bgn,
    ACTIONS(711), 1,
      sym__r_flw_key_bgn,
    ACTIONS(713), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(715), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(717), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(719), 1,
      sym__r_sgl_pln_flw,
    ACTIONS(721), 1,
      sym__r_tag,
    ACTIONS(723), 1,
      sym__r_acr,
    ACTIONS(725), 1,
      sym__r_als,
    ACTIONS(815), 1,
      sym__r_flw_map_end,
    STATE(248), 1,
      sym__r_sgl_prp,
    STATE(728), 1,
      sym__r_sgl_flw_col_itm,
    STATE(1006), 1,
      sym__r_sgl_flw_seq,
    STATE(1011), 1,
      sym__r_sgl_flw_map,
    STATE(1021), 1,
      sym__r_sgl_dqt_str,
    STATE(1022), 1,
      sym__r_sgl_sqt_str,
    STATE(1134), 1,
      sym__r_sgl_flw_exp_par,
    STATE(1310), 1,
      sym__r_sgl_flw_col_dat,
    STATE(1337), 1,
      sym__sgl_flw_map_tal,
    STATE(1136), 2,
      sym__r_sgl_flw_imp_par,
      sym__r_sgl_flw_njl_ann_par,
    STATE(720), 3,
      sym__r_sgl_prp_val,
      sym__r_sgl_pln_flw_val,
      sym__r_als_val,
    STATE(727), 4,
      sym__r_sgl_flw_seq_val,
      sym__r_sgl_flw_map_val,
      sym__r_sgl_dqt_str_val,
      sym__r_sgl_sqt_str_val,
  [10279] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(705), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(707), 1,
      sym__r_flw_map_bgn,
    ACTIONS(711), 1,
      sym__r_flw_key_bgn,
    ACTIONS(713), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(715), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(717), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(719), 1,
      sym__r_sgl_pln_flw,
    ACTIONS(721), 1,
      sym__r_tag,
    ACTIONS(723), 1,
      sym__r_acr,
    ACTIONS(725), 1,
      sym__r_als,
    ACTIONS(817), 1,
      sym__r_flw_map_end,
    STATE(248), 1,
      sym__r_sgl_prp,
    STATE(1006), 1,
      sym__r_sgl_flw_seq,
    STATE(1011), 1,
      sym__r_sgl_flw_map,
    STATE(1021), 1,
      sym__r_sgl_dqt_str,
    STATE(1022), 1,
      sym__r_sgl_sqt_str,
    STATE(1134), 1,
      sym__r_sgl_flw_exp_par,
    STATE(1258), 1,
      sym__r_sgl_flw_col_itm,
    STATE(1136), 2,
      sym__r_sgl_flw_imp_par,
      sym__r_sgl_flw_njl_ann_par,
    STATE(720), 3,
      sym__r_sgl_prp_val,
      sym__r_sgl_pln_flw_val,
      sym__r_als_val,
    STATE(727), 4,
      sym__r_sgl_flw_seq_val,
      sym__r_sgl_flw_map_val,
      sym__r_sgl_dqt_str_val,
      sym__r_sgl_sqt_str_val,
  [10352] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(769), 1,
      sym__r_flw_map_bgn,
    ACTIONS(771), 1,
      sym__r_flw_key_bgn,
    ACTIONS(773), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(775), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(777), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(779), 1,
      sym__r_sgl_pln_flw,
    ACTIONS(781), 1,
      sym__r_tag,
    ACTIONS(783), 1,
      sym__r_acr,
    ACTIONS(785), 1,
      sym__r_als,
    ACTIONS(819), 1,
      sym__r_flw_seq_end,
    STATE(234), 1,
      sym__r_sgl_prp,
    STATE(933), 1,
      sym__r_sgl_sqt_str,
    STATE(979), 1,
      sym__r_sgl_dqt_str,
    STATE(1015), 1,
      sym__r_sgl_flw_seq,
    STATE(1048), 1,
      sym__r_sgl_flw_map,
    STATE(1127), 1,
      sym__r_sgl_flw_col_itm,
    STATE(1179), 1,
      sym__r_sgl_flw_exp_par,
    STATE(1176), 2,
      sym__r_sgl_flw_imp_par,
      sym__r_sgl_flw_njl_ann_par,
    STATE(770), 3,
      sym__r_sgl_prp_val,
      sym__r_sgl_pln_flw_val,
      sym__r_als_val,
    STATE(823), 4,
      sym__r_sgl_flw_seq_val,
      sym__r_sgl_flw_map_val,
      sym__r_sgl_dqt_str_val,
      sym__r_sgl_sqt_str_val,
  [10425] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(705), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(707), 1,
      sym__r_flw_map_bgn,
    ACTIONS(711), 1,
      sym__r_flw_key_bgn,
    ACTIONS(713), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(715), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(717), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(719), 1,
      sym__r_sgl_pln_flw,
    ACTIONS(721), 1,
      sym__r_tag,
    ACTIONS(723), 1,
      sym__r_acr,
    ACTIONS(725), 1,
      sym__r_als,
    ACTIONS(819), 1,
      sym__r_flw_map_end,
    STATE(248), 1,
      sym__r_sgl_prp,
    STATE(1006), 1,
      sym__r_sgl_flw_seq,
    STATE(1011), 1,
      sym__r_sgl_flw_map,
    STATE(1021), 1,
      sym__r_sgl_dqt_str,
    STATE(1022), 1,
      sym__r_sgl_sqt_str,
    STATE(1134), 1,
      sym__r_sgl_flw_exp_par,
    STATE(1258), 1,
      sym__r_sgl_flw_col_itm,
    STATE(1136), 2,
      sym__r_sgl_flw_imp_par,
      sym__r_sgl_flw_njl_ann_par,
    STATE(720), 3,
      sym__r_sgl_prp_val,
      sym__r_sgl_pln_flw_val,
      sym__r_als_val,
    STATE(727), 4,
      sym__r_sgl_flw_seq_val,
      sym__r_sgl_flw_map_val,
      sym__r_sgl_dqt_str_val,
      sym__r_sgl_sqt_str_val,
  [10498] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(769), 1,
      sym__r_flw_map_bgn,
    ACTIONS(771), 1,
      sym__r_flw_key_bgn,
    ACTIONS(773), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(775), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(777), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(779), 1,
      sym__r_sgl_pln_flw,
    ACTIONS(781), 1,
      sym__r_tag,
    ACTIONS(783), 1,
      sym__r_acr,
    ACTIONS(785), 1,
      sym__r_als,
    ACTIONS(817), 1,
      sym__r_flw_seq_end,
    STATE(234), 1,
      sym__r_sgl_prp,
    STATE(933), 1,
      sym__r_sgl_sqt_str,
    STATE(979), 1,
      sym__r_sgl_dqt_str,
    STATE(1015), 1,
      sym__r_sgl_flw_seq,
    STATE(1048), 1,
      sym__r_sgl_flw_map,
    STATE(1127), 1,
      sym__r_sgl_flw_col_itm,
    STATE(1179), 1,
      sym__r_sgl_flw_exp_par,
    STATE(1176), 2,
      sym__r_sgl_flw_imp_par,
      sym__r_sgl_flw_njl_ann_par,
    STATE(770), 3,
      sym__r_sgl_prp_val,
      sym__r_sgl_pln_flw_val,
      sym__r_als_val,
    STATE(823), 4,
      sym__r_sgl_flw_seq_val,
      sym__r_sgl_flw_map_val,
      sym__r_sgl_dqt_str_val,
      sym__r_sgl_sqt_str_val,
  [10571] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(821), 1,
      sym__r_acr,
    ACTIONS(823), 1,
      sym__br_acr,
    ACTIONS(649), 5,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_blk,
    ACTIONS(645), 19,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
      sym__br_blk_seq_bgn,
      sym__br_blk_key_bgn,
      sym__br_blk_val_bgn,
      sym__r_blk_lit_bgn,
      sym__br_blk_lit_bgn,
      sym__r_blk_fld_bgn,
      sym__br_blk_fld_bgn,
      sym__br_flw_seq_bgn,
      sym__br_flw_map_bgn,
      sym__br_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__br_sgl_pln_blk,
      sym__r_mtl_pln_blk,
      sym__br_mtl_pln_blk,
      sym__br_tag,
      sym__br_als,
  [10612] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(826), 1,
      sym__r_acr,
    ACTIONS(828), 1,
      sym__br_acr,
    ACTIONS(637), 5,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_blk,
    ACTIONS(633), 19,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
      sym__br_blk_seq_bgn,
      sym__br_blk_key_bgn,
      sym__br_blk_val_bgn,
      sym__r_blk_lit_bgn,
      sym__br_blk_lit_bgn,
      sym__r_blk_fld_bgn,
      sym__br_blk_fld_bgn,
      sym__br_flw_seq_bgn,
      sym__br_flw_map_bgn,
      sym__br_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__br_sgl_pln_blk,
      sym__r_mtl_pln_blk,
      sym__br_mtl_pln_blk,
      sym__br_tag,
      sym__br_als,
  [10653] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(821), 1,
      sym__r_tag,
    ACTIONS(823), 1,
      sym__br_tag,
    ACTIONS(649), 5,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_blk,
    ACTIONS(645), 19,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
      sym__br_blk_seq_bgn,
      sym__br_blk_key_bgn,
      sym__br_blk_val_bgn,
      sym__r_blk_lit_bgn,
      sym__br_blk_lit_bgn,
      sym__r_blk_fld_bgn,
      sym__br_blk_fld_bgn,
      sym__br_flw_seq_bgn,
      sym__br_flw_map_bgn,
      sym__br_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__br_sgl_pln_blk,
      sym__r_mtl_pln_blk,
      sym__br_mtl_pln_blk,
      sym__br_acr,
      sym__br_als,
  [10694] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(826), 1,
      sym__r_tag,
    ACTIONS(828), 1,
      sym__br_tag,
    ACTIONS(637), 5,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_blk,
    ACTIONS(633), 19,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
      sym__br_blk_seq_bgn,
      sym__br_blk_key_bgn,
      sym__br_blk_val_bgn,
      sym__r_blk_lit_bgn,
      sym__br_blk_lit_bgn,
      sym__r_blk_fld_bgn,
      sym__br_blk_fld_bgn,
      sym__br_flw_seq_bgn,
      sym__br_flw_map_bgn,
      sym__br_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__br_sgl_pln_blk,
      sym__r_mtl_pln_blk,
      sym__br_mtl_pln_blk,
      sym__br_acr,
      sym__br_als,
  [10735] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(831), 1,
      sym__r_tag,
    ACTIONS(833), 1,
      sym__br_tag,
    ACTIONS(637), 5,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_blk,
    ACTIONS(633), 18,
      sym__br_blk_seq_bgn,
      sym__b_blk_seq_bgn,
      sym__br_blk_key_bgn,
      sym__br_blk_val_bgn,
      sym__r_blk_lit_bgn,
      sym__br_blk_lit_bgn,
      sym__r_blk_fld_bgn,
      sym__br_blk_fld_bgn,
      sym__br_flw_seq_bgn,
      sym__br_flw_map_bgn,
      sym__br_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__br_sgl_pln_blk,
      sym__r_mtl_pln_blk,
      sym__br_mtl_pln_blk,
      sym__br_acr,
      sym__br_als,
      sym__bl,
  [10775] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      sym__br_acr,
    ACTIONS(836), 1,
      sym__r_acr,
    ACTIONS(645), 24,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
      sym__br_blk_seq_bgn,
      sym__br_blk_key_bgn,
      sym__br_blk_val_bgn,
      sym__r_blk_lit_bgn,
      sym__br_blk_lit_bgn,
      sym__r_blk_fld_bgn,
      sym__br_blk_fld_bgn,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__r_sgl_pln_blk,
      sym__br_sgl_pln_blk,
      sym__r_mtl_pln_blk,
      sym__br_mtl_pln_blk,
      sym__br_tag,
      sym__br_als,
  [10811] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(705), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(707), 1,
      sym__r_flw_map_bgn,
    ACTIONS(711), 1,
      sym__r_flw_key_bgn,
    ACTIONS(713), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(715), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(717), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(719), 1,
      sym__r_sgl_pln_flw,
    ACTIONS(721), 1,
      sym__r_tag,
    ACTIONS(723), 1,
      sym__r_acr,
    ACTIONS(725), 1,
      sym__r_als,
    STATE(248), 1,
      sym__r_sgl_prp,
    STATE(1006), 1,
      sym__r_sgl_flw_seq,
    STATE(1011), 1,
      sym__r_sgl_flw_map,
    STATE(1021), 1,
      sym__r_sgl_dqt_str,
    STATE(1022), 1,
      sym__r_sgl_sqt_str,
    STATE(1134), 1,
      sym__r_sgl_flw_exp_par,
    STATE(1258), 1,
      sym__r_sgl_flw_col_itm,
    STATE(1136), 2,
      sym__r_sgl_flw_imp_par,
      sym__r_sgl_flw_njl_ann_par,
    STATE(720), 3,
      sym__r_sgl_prp_val,
      sym__r_sgl_pln_flw_val,
      sym__r_als_val,
    STATE(727), 4,
      sym__r_sgl_flw_seq_val,
      sym__r_sgl_flw_map_val,
      sym__r_sgl_dqt_str_val,
      sym__r_sgl_sqt_str_val,
  [10881] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(207), 1,
      sym__br_flw_map_bgn,
    ACTIONS(223), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(227), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(424), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(426), 1,
      sym__r_flw_map_bgn,
    ACTIONS(434), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(436), 1,
      sym__r_sqt_str_bgn,
    STATE(624), 2,
      sym__r_sqt_str,
      sym__br_sqt_str,
    STATE(625), 2,
      sym__r_dqt_str,
      sym__br_dqt_str,
    STATE(626), 2,
      sym__r_flw_map,
      sym__br_flw_map,
    STATE(627), 2,
      sym__r_flw_seq,
      sym__br_flw_seq,
    ACTIONS(838), 4,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(379), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_njv_bgn,
      sym__br_flw_njv_bgn,
  [10939] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(666), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(668), 5,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_blk,
    ACTIONS(664), 20,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
      sym__br_blk_seq_bgn,
      sym__br_blk_key_bgn,
      sym__br_blk_val_bgn,
      sym__r_blk_lit_bgn,
      sym__br_blk_lit_bgn,
      sym__r_blk_fld_bgn,
      sym__br_blk_fld_bgn,
      sym__br_flw_seq_bgn,
      sym__br_flw_map_bgn,
      sym__br_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__br_sgl_pln_blk,
      sym__r_mtl_pln_blk,
      sym__br_mtl_pln_blk,
      sym__br_tag,
      sym__br_acr,
      sym__br_als,
  [10975] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(207), 1,
      sym__br_flw_map_bgn,
    ACTIONS(223), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(227), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(424), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(426), 1,
      sym__r_flw_map_bgn,
    ACTIONS(434), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(436), 1,
      sym__r_sqt_str_bgn,
    STATE(628), 2,
      sym__r_sqt_str,
      sym__br_sqt_str,
    STATE(629), 2,
      sym__r_dqt_str,
      sym__br_dqt_str,
    STATE(630), 2,
      sym__r_flw_map,
      sym__br_flw_map,
    STATE(631), 2,
      sym__r_flw_seq,
      sym__br_flw_seq,
    ACTIONS(840), 4,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(367), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_njv_bgn,
      sym__br_flw_njv_bgn,
  [11033] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(661), 5,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_blk,
    ACTIONS(657), 20,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
      sym__br_blk_seq_bgn,
      sym__br_blk_key_bgn,
      sym__br_blk_val_bgn,
      sym__r_blk_lit_bgn,
      sym__br_blk_lit_bgn,
      sym__r_blk_fld_bgn,
      sym__br_blk_fld_bgn,
      sym__br_flw_seq_bgn,
      sym__br_flw_map_bgn,
      sym__br_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__br_sgl_pln_blk,
      sym__r_mtl_pln_blk,
      sym__br_mtl_pln_blk,
      sym__br_tag,
      sym__br_acr,
      sym__br_als,
  [11069] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      sym__br_tag,
    ACTIONS(836), 1,
      sym__r_tag,
    ACTIONS(645), 24,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
      sym__br_blk_seq_bgn,
      sym__br_blk_key_bgn,
      sym__br_blk_val_bgn,
      sym__r_blk_lit_bgn,
      sym__br_blk_lit_bgn,
      sym__r_blk_fld_bgn,
      sym__br_blk_fld_bgn,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__r_sgl_pln_blk,
      sym__br_sgl_pln_blk,
      sym__r_mtl_pln_blk,
      sym__br_mtl_pln_blk,
      sym__br_acr,
      sym__br_als,
  [11105] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(842), 1,
      sym__r_tag,
    ACTIONS(844), 1,
      sym__br_tag,
    ACTIONS(649), 5,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_blk,
    ACTIONS(645), 18,
      sym__br_blk_seq_bgn,
      sym__b_blk_seq_bgn,
      sym__br_blk_key_bgn,
      sym__br_blk_val_bgn,
      sym__r_blk_lit_bgn,
      sym__br_blk_lit_bgn,
      sym__r_blk_fld_bgn,
      sym__br_blk_fld_bgn,
      sym__br_flw_seq_bgn,
      sym__br_flw_map_bgn,
      sym__br_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__br_sgl_pln_blk,
      sym__r_mtl_pln_blk,
      sym__br_mtl_pln_blk,
      sym__br_acr,
      sym__br_als,
      sym__bl,
  [11145] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(831), 1,
      sym__r_acr,
    ACTIONS(833), 1,
      sym__br_acr,
    ACTIONS(637), 5,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_blk,
    ACTIONS(633), 18,
      sym__br_blk_seq_bgn,
      sym__b_blk_seq_bgn,
      sym__br_blk_key_bgn,
      sym__br_blk_val_bgn,
      sym__r_blk_lit_bgn,
      sym__br_blk_lit_bgn,
      sym__r_blk_fld_bgn,
      sym__br_blk_fld_bgn,
      sym__br_flw_seq_bgn,
      sym__br_flw_map_bgn,
      sym__br_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__br_sgl_pln_blk,
      sym__r_mtl_pln_blk,
      sym__br_mtl_pln_blk,
      sym__br_tag,
      sym__br_als,
      sym__bl,
  [11185] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(842), 1,
      sym__r_acr,
    ACTIONS(844), 1,
      sym__br_acr,
    ACTIONS(649), 5,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_blk,
    ACTIONS(645), 18,
      sym__br_blk_seq_bgn,
      sym__b_blk_seq_bgn,
      sym__br_blk_key_bgn,
      sym__br_blk_val_bgn,
      sym__r_blk_lit_bgn,
      sym__br_blk_lit_bgn,
      sym__r_blk_fld_bgn,
      sym__br_blk_fld_bgn,
      sym__br_flw_seq_bgn,
      sym__br_flw_map_bgn,
      sym__br_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__br_sgl_pln_blk,
      sym__r_mtl_pln_blk,
      sym__br_mtl_pln_blk,
      sym__br_tag,
      sym__br_als,
      sym__bl,
  [11225] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(769), 1,
      sym__r_flw_map_bgn,
    ACTIONS(771), 1,
      sym__r_flw_key_bgn,
    ACTIONS(773), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(775), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(777), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(779), 1,
      sym__r_sgl_pln_flw,
    ACTIONS(781), 1,
      sym__r_tag,
    ACTIONS(783), 1,
      sym__r_acr,
    ACTIONS(785), 1,
      sym__r_als,
    STATE(234), 1,
      sym__r_sgl_prp,
    STATE(933), 1,
      sym__r_sgl_sqt_str,
    STATE(979), 1,
      sym__r_sgl_dqt_str,
    STATE(1015), 1,
      sym__r_sgl_flw_seq,
    STATE(1048), 1,
      sym__r_sgl_flw_map,
    STATE(1127), 1,
      sym__r_sgl_flw_col_itm,
    STATE(1179), 1,
      sym__r_sgl_flw_exp_par,
    STATE(1176), 2,
      sym__r_sgl_flw_imp_par,
      sym__r_sgl_flw_njl_ann_par,
    STATE(770), 3,
      sym__r_sgl_prp_val,
      sym__r_sgl_pln_flw_val,
      sym__r_als_val,
    STATE(823), 4,
      sym__r_sgl_flw_seq_val,
      sym__r_sgl_flw_map_val,
      sym__r_sgl_dqt_str_val,
      sym__r_sgl_sqt_str_val,
  [11295] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(291), 1,
      sym__br_flw_map_bgn,
    ACTIONS(303), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(307), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(450), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(452), 1,
      sym__r_flw_map_bgn,
    ACTIONS(458), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(460), 1,
      sym__r_sqt_str_bgn,
    STATE(684), 2,
      sym__r_flw_seq,
      sym__br_flw_seq,
    STATE(686), 2,
      sym__r_flw_map,
      sym__br_flw_map,
    STATE(688), 2,
      sym__r_dqt_str,
      sym__br_dqt_str,
    STATE(689), 2,
      sym__r_sqt_str,
      sym__br_sqt_str,
    ACTIONS(847), 4,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(379), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_njv_bgn,
  [11352] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(291), 1,
      sym__br_flw_map_bgn,
    ACTIONS(303), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(307), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(450), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(452), 1,
      sym__r_flw_map_bgn,
    ACTIONS(458), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(460), 1,
      sym__r_sqt_str_bgn,
    STATE(661), 2,
      sym__r_dqt_str,
      sym__br_dqt_str,
    STATE(674), 2,
      sym__r_flw_seq,
      sym__br_flw_seq,
    STATE(677), 2,
      sym__r_flw_map,
      sym__br_flw_map,
    STATE(683), 2,
      sym__r_sqt_str,
      sym__br_sqt_str,
    ACTIONS(849), 4,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
    ACTIONS(367), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_njv_bgn,
  [11409] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(657), 25,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
      sym__br_blk_seq_bgn,
      sym__br_blk_key_bgn,
      sym__br_blk_val_bgn,
      sym__r_blk_lit_bgn,
      sym__br_blk_lit_bgn,
      sym__r_blk_fld_bgn,
      sym__br_blk_fld_bgn,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__r_sgl_pln_blk,
      sym__br_sgl_pln_blk,
      sym__r_mtl_pln_blk,
      sym__br_mtl_pln_blk,
      sym__br_tag,
      sym__br_acr,
      sym__br_als,
  [11440] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(666), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(668), 5,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_blk,
    ACTIONS(664), 19,
      sym__br_blk_seq_bgn,
      sym__b_blk_seq_bgn,
      sym__br_blk_key_bgn,
      sym__br_blk_val_bgn,
      sym__r_blk_lit_bgn,
      sym__br_blk_lit_bgn,
      sym__r_blk_fld_bgn,
      sym__br_blk_fld_bgn,
      sym__br_flw_seq_bgn,
      sym__br_flw_map_bgn,
      sym__br_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__br_sgl_pln_blk,
      sym__r_mtl_pln_blk,
      sym__br_mtl_pln_blk,
      sym__br_tag,
      sym__br_acr,
      sym__br_als,
      sym__bl,
  [11475] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(664), 25,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
      sym__br_blk_seq_bgn,
      sym__br_blk_key_bgn,
      sym__br_blk_val_bgn,
      sym__r_blk_lit_bgn,
      sym__br_blk_lit_bgn,
      sym__r_blk_fld_bgn,
      sym__br_blk_fld_bgn,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__r_sgl_pln_blk,
      sym__br_sgl_pln_blk,
      sym__r_mtl_pln_blk,
      sym__br_mtl_pln_blk,
      sym__br_tag,
      sym__br_acr,
      sym__br_als,
  [11506] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(661), 5,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_blk,
    ACTIONS(657), 19,
      sym__br_blk_seq_bgn,
      sym__b_blk_seq_bgn,
      sym__br_blk_key_bgn,
      sym__br_blk_val_bgn,
      sym__r_blk_lit_bgn,
      sym__br_blk_lit_bgn,
      sym__r_blk_fld_bgn,
      sym__br_blk_fld_bgn,
      sym__br_flw_seq_bgn,
      sym__br_flw_map_bgn,
      sym__br_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__br_sgl_pln_blk,
      sym__r_mtl_pln_blk,
      sym__br_mtl_pln_blk,
      sym__br_tag,
      sym__br_acr,
      sym__br_als,
      sym__bl,
  [11541] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(513), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(517), 1,
      sym__br_flw_map_bgn,
    ACTIONS(521), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(525), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(617), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(621), 1,
      sym__r_flw_map_bgn,
    ACTIONS(623), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(625), 1,
      sym__r_sqt_str_bgn,
    STATE(903), 2,
      sym__r_sqt_str,
      sym__br_sqt_str,
    STATE(904), 2,
      sym__r_dqt_str,
      sym__br_dqt_str,
    STATE(905), 2,
      sym__r_flw_map,
      sym__br_flw_map,
    STATE(906), 2,
      sym__r_flw_seq,
      sym__br_flw_seq,
    ACTIONS(367), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
    ACTIONS(851), 4,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [11597] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(470), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(474), 1,
      sym__br_flw_map_bgn,
    ACTIONS(483), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(487), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(603), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(605), 1,
      sym__r_flw_map_bgn,
    ACTIONS(607), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(609), 1,
      sym__r_sqt_str_bgn,
    STATE(853), 2,
      sym__r_sqt_str,
      sym__br_sqt_str,
    STATE(855), 2,
      sym__r_dqt_str,
      sym__br_dqt_str,
    STATE(856), 2,
      sym__r_flw_map,
      sym__br_flw_map,
    STATE(859), 2,
      sym__r_flw_seq,
      sym__br_flw_seq,
    ACTIONS(367), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
    ACTIONS(853), 4,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [11653] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(470), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(474), 1,
      sym__br_flw_map_bgn,
    ACTIONS(483), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(487), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(603), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(605), 1,
      sym__r_flw_map_bgn,
    ACTIONS(607), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(609), 1,
      sym__r_sqt_str_bgn,
    STATE(847), 2,
      sym__r_sqt_str,
      sym__br_sqt_str,
    STATE(848), 2,
      sym__r_dqt_str,
      sym__br_dqt_str,
    STATE(851), 2,
      sym__r_flw_map,
      sym__br_flw_map,
    STATE(852), 2,
      sym__r_flw_seq,
      sym__br_flw_seq,
    ACTIONS(379), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
    ACTIONS(855), 4,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [11709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(664), 24,
      sym__br_blk_seq_bgn,
      sym__b_blk_seq_bgn,
      sym__br_blk_key_bgn,
      sym__br_blk_val_bgn,
      sym__r_blk_lit_bgn,
      sym__br_blk_lit_bgn,
      sym__r_blk_fld_bgn,
      sym__br_blk_fld_bgn,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__r_sgl_pln_blk,
      sym__br_sgl_pln_blk,
      sym__r_mtl_pln_blk,
      sym__br_mtl_pln_blk,
      sym__br_tag,
      sym__br_acr,
      sym__br_als,
      sym__bl,
  [11739] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(657), 24,
      sym__br_blk_seq_bgn,
      sym__b_blk_seq_bgn,
      sym__br_blk_key_bgn,
      sym__br_blk_val_bgn,
      sym__r_blk_lit_bgn,
      sym__br_blk_lit_bgn,
      sym__r_blk_fld_bgn,
      sym__br_blk_fld_bgn,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__r_sgl_pln_blk,
      sym__br_sgl_pln_blk,
      sym__r_mtl_pln_blk,
      sym__br_mtl_pln_blk,
      sym__br_tag,
      sym__br_acr,
      sym__br_als,
      sym__bl,
  [11769] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(513), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(517), 1,
      sym__br_flw_map_bgn,
    ACTIONS(521), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(525), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(617), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(621), 1,
      sym__r_flw_map_bgn,
    ACTIONS(623), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(625), 1,
      sym__r_sqt_str_bgn,
    STATE(899), 2,
      sym__r_sqt_str,
      sym__br_sqt_str,
    STATE(900), 2,
      sym__r_dqt_str,
      sym__br_dqt_str,
    STATE(901), 2,
      sym__r_flw_map,
      sym__br_flw_map,
    STATE(902), 2,
      sym__r_flw_seq,
      sym__br_flw_seq,
    ACTIONS(379), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
    ACTIONS(857), 4,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [11825] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(859), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(861), 1,
      sym__r_flw_map_bgn,
    ACTIONS(865), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(867), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(869), 1,
      sym__r_sgl_pln_flw,
    ACTIONS(871), 1,
      sym__r_tag,
    ACTIONS(873), 1,
      sym__r_acr,
    ACTIONS(875), 1,
      sym__r_als,
    STATE(388), 1,
      sym__r_sgl_prp,
    STATE(1130), 1,
      sym__r_sgl_flw_imp_par,
    STATE(1264), 1,
      sym__r_sgl_flw_map,
    STATE(1267), 1,
      sym__r_sgl_flw_seq,
    STATE(1269), 1,
      sym__r_sgl_sqt_str,
    STATE(1273), 1,
      sym__r_sgl_dqt_str,
    ACTIONS(863), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
    STATE(1099), 3,
      sym__r_sgl_prp_val,
      sym__r_sgl_pln_flw_val,
      sym__r_als_val,
    STATE(1102), 4,
      sym__r_sgl_flw_seq_val,
      sym__r_sgl_flw_map_val,
      sym__r_sgl_dqt_str_val,
      sym__r_sgl_sqt_str_val,
  [11886] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(877), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(881), 1,
      sym__r_flw_map_bgn,
    ACTIONS(883), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(885), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(887), 1,
      sym__r_sgl_pln_flw,
    ACTIONS(889), 1,
      sym__r_tag,
    ACTIONS(891), 1,
      sym__r_acr,
    ACTIONS(893), 1,
      sym__r_als,
    STATE(287), 1,
      sym__r_sgl_prp,
    STATE(1112), 1,
      sym__r_sgl_sqt_str,
    STATE(1119), 1,
      sym__r_sgl_dqt_str,
    STATE(1122), 1,
      sym__r_sgl_flw_map,
    STATE(1125), 1,
      sym__r_sgl_flw_seq,
    ACTIONS(879), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
    STATE(1071), 8,
      sym__r_sgl_prp_val,
      sym__r_sgl_flw_seq_val,
      sym__r_sgl_flw_map_val,
      sym__sgl_flw_ann_par_tal,
      sym__r_sgl_dqt_str_val,
      sym__r_sgl_sqt_str_val,
      sym__r_sgl_pln_flw_val,
      sym__r_als_val,
  [11943] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(877), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(881), 1,
      sym__r_flw_map_bgn,
    ACTIONS(883), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(885), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(887), 1,
      sym__r_sgl_pln_flw,
    ACTIONS(889), 1,
      sym__r_tag,
    ACTIONS(891), 1,
      sym__r_acr,
    ACTIONS(893), 1,
      sym__r_als,
    STATE(287), 1,
      sym__r_sgl_prp,
    STATE(1112), 1,
      sym__r_sgl_sqt_str,
    STATE(1119), 1,
      sym__r_sgl_dqt_str,
    STATE(1122), 1,
      sym__r_sgl_flw_map,
    STATE(1125), 1,
      sym__r_sgl_flw_seq,
    ACTIONS(895), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
    STATE(1237), 8,
      sym__r_sgl_prp_val,
      sym__r_sgl_flw_seq_val,
      sym__r_sgl_flw_map_val,
      sym__sgl_flw_ann_par_tal,
      sym__r_sgl_dqt_str_val,
      sym__r_sgl_sqt_str_val,
      sym__r_sgl_pln_flw_val,
      sym__r_als_val,
  [12000] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(859), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(861), 1,
      sym__r_flw_map_bgn,
    ACTIONS(865), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(867), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(869), 1,
      sym__r_sgl_pln_flw,
    ACTIONS(871), 1,
      sym__r_tag,
    ACTIONS(873), 1,
      sym__r_acr,
    ACTIONS(875), 1,
      sym__r_als,
    STATE(388), 1,
      sym__r_sgl_prp,
    STATE(1093), 1,
      sym__r_sgl_flw_imp_par,
    STATE(1264), 1,
      sym__r_sgl_flw_map,
    STATE(1267), 1,
      sym__r_sgl_flw_seq,
    STATE(1269), 1,
      sym__r_sgl_sqt_str,
    STATE(1273), 1,
      sym__r_sgl_dqt_str,
    ACTIONS(863), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
    STATE(1218), 3,
      sym__r_sgl_prp_val,
      sym__r_sgl_pln_flw_val,
      sym__r_als_val,
    STATE(1220), 4,
      sym__r_sgl_flw_seq_val,
      sym__r_sgl_flw_map_val,
      sym__r_sgl_dqt_str_val,
      sym__r_sgl_sqt_str_val,
  [12061] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(897), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(899), 1,
      sym__r_flw_map_bgn,
    ACTIONS(901), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(903), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(905), 1,
      sym__r_sgl_pln_flw,
    ACTIONS(907), 1,
      sym__r_tag,
    ACTIONS(909), 1,
      sym__r_acr,
    ACTIONS(911), 1,
      sym__r_als,
    STATE(257), 1,
      sym__r_sgl_prp,
    STATE(1170), 1,
      sym__r_sgl_flw_seq,
    STATE(1191), 1,
      sym__r_sgl_flw_map,
    STATE(1201), 1,
      sym__r_sgl_dqt_str,
    STATE(1204), 1,
      sym__r_sgl_sqt_str,
    ACTIONS(879), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
    STATE(1163), 8,
      sym__r_sgl_prp_val,
      sym__r_sgl_flw_seq_val,
      sym__r_sgl_flw_map_val,
      sym__sgl_flw_ann_par_tal,
      sym__r_sgl_dqt_str_val,
      sym__r_sgl_sqt_str_val,
      sym__r_sgl_pln_flw_val,
      sym__r_als_val,
  [12118] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(897), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(899), 1,
      sym__r_flw_map_bgn,
    ACTIONS(901), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(903), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(905), 1,
      sym__r_sgl_pln_flw,
    ACTIONS(907), 1,
      sym__r_tag,
    ACTIONS(909), 1,
      sym__r_acr,
    ACTIONS(911), 1,
      sym__r_als,
    STATE(257), 1,
      sym__r_sgl_prp,
    STATE(1170), 1,
      sym__r_sgl_flw_seq,
    STATE(1191), 1,
      sym__r_sgl_flw_map,
    STATE(1201), 1,
      sym__r_sgl_dqt_str,
    STATE(1204), 1,
      sym__r_sgl_sqt_str,
    ACTIONS(895), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
    STATE(1114), 8,
      sym__r_sgl_prp_val,
      sym__r_sgl_flw_seq_val,
      sym__r_sgl_flw_map_val,
      sym__sgl_flw_ann_par_tal,
      sym__r_sgl_dqt_str_val,
      sym__r_sgl_sqt_str_val,
      sym__r_sgl_pln_flw_val,
      sym__r_als_val,
  [12175] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(387), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(396), 1,
      sym__br_flw_map_bgn,
    ACTIONS(400), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(404), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(589), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(591), 1,
      sym__r_flw_map_bgn,
    ACTIONS(593), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(595), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(379), 2,
      sym__r_flw_njv_bgn,
      sym__br_flw_njv_bgn,
    STATE(1073), 2,
      sym__r_flw_seq,
      sym__br_flw_seq,
    STATE(1076), 2,
      sym__r_flw_map,
      sym__br_flw_map,
    STATE(1078), 2,
      sym__r_dqt_str,
      sym__br_dqt_str,
    STATE(1085), 2,
      sym__r_sqt_str,
      sym__br_sqt_str,
    ACTIONS(913), 4,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [12229] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(387), 1,
      sym__br_flw_seq_bgn,
    ACTIONS(396), 1,
      sym__br_flw_map_bgn,
    ACTIONS(400), 1,
      sym__br_dqt_str_bgn,
    ACTIONS(404), 1,
      sym__br_sqt_str_bgn,
    ACTIONS(589), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(591), 1,
      sym__r_flw_map_bgn,
    ACTIONS(593), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(595), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(367), 2,
      sym__r_flw_njv_bgn,
      sym__br_flw_njv_bgn,
    STATE(1098), 2,
      sym__r_dqt_str,
      sym__br_dqt_str,
    STATE(1221), 2,
      sym__r_sqt_str,
      sym__br_sqt_str,
    STATE(1250), 2,
      sym__r_flw_seq,
      sym__br_flw_seq,
    STATE(1251), 2,
      sym__r_flw_map,
      sym__br_flw_map,
    ACTIONS(915), 4,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [12283] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(917), 1,
      sym__r_acr,
    ACTIONS(919), 1,
      sym__br_acr,
    ACTIONS(649), 8,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_njv_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_flw,
    ACTIONS(645), 10,
      sym__br_flw_seq_bgn,
      sym__br_flw_map_bgn,
      sym__br_flw_map_end,
      sym__br_flw_sep_bgn,
      sym__br_flw_njv_bgn,
      sym__br_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [12315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 2,
      sym__r_acr,
      sym__br_acr,
    ACTIONS(645), 18,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_njv_bgn,
      sym__br_flw_njv_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [12343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(921), 20,
      sym__eof,
      sym__s_dir_yml_bgn,
      sym__s_dir_tag_bgn,
      sym__s_dir_rsv_bgn,
      sym__s_drs_end,
      sym__s_doc_end,
      sym__br_blk_seq_bgn,
      sym__br_blk_key_bgn,
      sym__br_blk_val_bgn,
      sym__br_blk_lit_bgn,
      sym__br_blk_fld_bgn,
      sym__br_flw_seq_bgn,
      sym__br_flw_map_bgn,
      sym__br_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__br_sgl_pln_blk,
      sym__br_mtl_pln_blk,
      sym__br_tag,
      sym__br_acr,
      sym__br_als,
  [12369] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(923), 20,
      sym__eof,
      sym__s_dir_yml_bgn,
      sym__s_dir_tag_bgn,
      sym__s_dir_rsv_bgn,
      sym__s_drs_end,
      sym__s_doc_end,
      sym__br_blk_seq_bgn,
      sym__br_blk_key_bgn,
      sym__br_blk_val_bgn,
      sym__br_blk_lit_bgn,
      sym__br_blk_fld_bgn,
      sym__br_flw_seq_bgn,
      sym__br_flw_map_bgn,
      sym__br_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__br_sgl_pln_blk,
      sym__br_mtl_pln_blk,
      sym__br_tag,
      sym__br_acr,
      sym__br_als,
  [12395] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(925), 20,
      sym__eof,
      sym__s_dir_yml_bgn,
      sym__s_dir_tag_bgn,
      sym__s_dir_rsv_bgn,
      sym__s_drs_end,
      sym__s_doc_end,
      sym__br_blk_seq_bgn,
      sym__br_blk_key_bgn,
      sym__br_blk_val_bgn,
      sym__br_blk_lit_bgn,
      sym__br_blk_fld_bgn,
      sym__br_flw_seq_bgn,
      sym__br_flw_map_bgn,
      sym__br_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__br_sgl_pln_blk,
      sym__br_mtl_pln_blk,
      sym__br_tag,
      sym__br_acr,
      sym__br_als,
  [12421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(927), 20,
      sym__eof,
      sym__s_dir_yml_bgn,
      sym__s_dir_tag_bgn,
      sym__s_dir_rsv_bgn,
      sym__s_drs_end,
      sym__s_doc_end,
      sym__br_blk_seq_bgn,
      sym__br_blk_key_bgn,
      sym__br_blk_val_bgn,
      sym__br_blk_lit_bgn,
      sym__br_blk_fld_bgn,
      sym__br_flw_seq_bgn,
      sym__br_flw_map_bgn,
      sym__br_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__br_sgl_pln_blk,
      sym__br_mtl_pln_blk,
      sym__br_tag,
      sym__br_acr,
      sym__br_als,
  [12447] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(921), 20,
      sym__eof,
      sym__s_dir_yml_bgn,
      sym__s_dir_tag_bgn,
      sym__s_dir_rsv_bgn,
      sym__s_drs_end,
      sym__s_doc_end,
      sym__br_blk_seq_bgn,
      sym__br_blk_key_bgn,
      sym__br_blk_val_bgn,
      sym__br_blk_lit_bgn,
      sym__br_blk_fld_bgn,
      sym__br_flw_seq_bgn,
      sym__br_flw_map_bgn,
      sym__br_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__br_sgl_pln_blk,
      sym__br_mtl_pln_blk,
      sym__br_tag,
      sym__br_acr,
      sym__br_als,
  [12473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(923), 20,
      sym__eof,
      sym__s_dir_yml_bgn,
      sym__s_dir_tag_bgn,
      sym__s_dir_rsv_bgn,
      sym__s_drs_end,
      sym__s_doc_end,
      sym__br_blk_seq_bgn,
      sym__br_blk_key_bgn,
      sym__br_blk_val_bgn,
      sym__br_blk_lit_bgn,
      sym__br_blk_fld_bgn,
      sym__br_flw_seq_bgn,
      sym__br_flw_map_bgn,
      sym__br_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__br_sgl_pln_blk,
      sym__br_mtl_pln_blk,
      sym__br_tag,
      sym__br_acr,
      sym__br_als,
  [12499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(929), 2,
      sym__r_acr,
      sym__br_acr,
    ACTIONS(633), 18,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_njv_bgn,
      sym__br_flw_njv_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [12527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 2,
      sym__r_tag,
      sym__br_tag,
    ACTIONS(645), 18,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_njv_bgn,
      sym__br_flw_njv_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [12555] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(917), 1,
      sym__r_tag,
    ACTIONS(919), 1,
      sym__br_tag,
    ACTIONS(649), 8,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_njv_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_flw,
    ACTIONS(645), 10,
      sym__br_flw_seq_bgn,
      sym__br_flw_map_bgn,
      sym__br_flw_map_end,
      sym__br_flw_sep_bgn,
      sym__br_flw_njv_bgn,
      sym__br_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [12587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(929), 2,
      sym__r_tag,
      sym__br_tag,
    ACTIONS(633), 18,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_njv_bgn,
      sym__br_flw_njv_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [12615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(931), 20,
      sym__eof,
      sym__s_dir_yml_bgn,
      sym__s_dir_tag_bgn,
      sym__s_dir_rsv_bgn,
      sym__s_drs_end,
      sym__s_doc_end,
      sym__br_blk_seq_bgn,
      sym__br_blk_key_bgn,
      sym__br_blk_val_bgn,
      sym__br_blk_lit_bgn,
      sym__br_blk_fld_bgn,
      sym__br_flw_seq_bgn,
      sym__br_flw_map_bgn,
      sym__br_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__br_sgl_pln_blk,
      sym__br_mtl_pln_blk,
      sym__br_tag,
      sym__br_acr,
      sym__br_als,
  [12641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(933), 2,
      sym__r_tag,
      sym__br_tag,
    ACTIONS(645), 17,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_njv_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [12668] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(933), 1,
      sym__br_tag,
    ACTIONS(935), 1,
      sym__r_tag,
    ACTIONS(649), 8,
      sym__r_flw_seq_bgn,
      sym__r_flw_seq_end,
      sym__r_flw_map_bgn,
      sym__r_flw_sep_bgn,
      sym__r_flw_njv_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_flw,
    ACTIONS(645), 9,
      sym__br_flw_seq_bgn,
      sym__br_flw_seq_end,
      sym__br_flw_map_bgn,
      sym__br_flw_sep_bgn,
      sym__br_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [12699] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(933), 1,
      sym__br_acr,
    ACTIONS(935), 1,
      sym__r_acr,
    ACTIONS(649), 8,
      sym__r_flw_seq_bgn,
      sym__r_flw_seq_end,
      sym__r_flw_map_bgn,
      sym__r_flw_sep_bgn,
      sym__r_flw_njv_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_flw,
    ACTIONS(645), 9,
      sym__br_flw_seq_bgn,
      sym__br_flw_seq_end,
      sym__br_flw_map_bgn,
      sym__br_flw_sep_bgn,
      sym__br_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [12730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(937), 2,
      sym__r_acr,
      sym__br_acr,
    ACTIONS(633), 17,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_njv_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [12757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(937), 2,
      sym__r_tag,
      sym__br_tag,
    ACTIONS(633), 17,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_njv_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [12784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(933), 2,
      sym__r_acr,
      sym__br_acr,
    ACTIONS(645), 17,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_njv_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [12811] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(939), 1,
      sym__r_acr,
    ACTIONS(941), 1,
      sym__br_acr,
    ACTIONS(649), 7,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_flw,
    ACTIONS(645), 9,
      sym__br_flw_seq_bgn,
      sym__br_flw_map_bgn,
      sym__br_flw_map_end,
      sym__br_flw_sep_bgn,
      sym__br_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [12841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 2,
      sym__r_tag,
      sym__br_tag,
    ACTIONS(633), 16,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [12867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(664), 18,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_njv_bgn,
      sym__br_flw_njv_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [12891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(668), 8,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_njv_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_flw,
    ACTIONS(664), 10,
      sym__br_flw_seq_bgn,
      sym__br_flw_map_bgn,
      sym__br_flw_map_end,
      sym__br_flw_sep_bgn,
      sym__br_flw_njv_bgn,
      sym__br_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [12917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 2,
      sym__r_acr,
      sym__br_acr,
    ACTIONS(645), 16,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [12943] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(939), 1,
      sym__r_tag,
    ACTIONS(941), 1,
      sym__br_tag,
    ACTIONS(649), 7,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_flw,
    ACTIONS(645), 9,
      sym__br_flw_seq_bgn,
      sym__br_flw_map_bgn,
      sym__br_flw_map_end,
      sym__br_flw_sep_bgn,
      sym__br_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [12973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 2,
      sym__r_acr,
      sym__br_acr,
    ACTIONS(633), 16,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [12999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 2,
      sym__r_tag,
      sym__br_tag,
    ACTIONS(645), 16,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [13025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(947), 2,
      sym__r_acr,
      sym__br_acr,
    ACTIONS(633), 16,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [13051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(947), 2,
      sym__r_tag,
      sym__br_tag,
    ACTIONS(633), 16,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [13077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(657), 18,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_njv_bgn,
      sym__br_flw_njv_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [13101] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym__br_tag,
    ACTIONS(949), 1,
      sym__r_tag,
    ACTIONS(649), 7,
      sym__r_flw_seq_bgn,
      sym__r_flw_seq_end,
      sym__r_flw_map_bgn,
      sym__r_flw_sep_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_flw,
    ACTIONS(645), 9,
      sym__br_flw_seq_bgn,
      sym__br_flw_seq_end,
      sym__br_flw_map_bgn,
      sym__br_flw_sep_bgn,
      sym__br_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [13131] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym__br_acr,
    ACTIONS(949), 1,
      sym__r_acr,
    ACTIONS(649), 7,
      sym__r_flw_seq_bgn,
      sym__r_flw_seq_end,
      sym__r_flw_map_bgn,
      sym__r_flw_sep_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_flw,
    ACTIONS(645), 9,
      sym__br_flw_seq_bgn,
      sym__br_flw_seq_end,
      sym__br_flw_map_bgn,
      sym__br_flw_sep_bgn,
      sym__br_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [13161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(941), 2,
      sym__r_tag,
      sym__br_tag,
    ACTIONS(645), 16,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [13187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(941), 2,
      sym__r_acr,
      sym__br_acr,
    ACTIONS(645), 16,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [13213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(657), 17,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_njv_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [13236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(664), 17,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_njv_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [13259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(668), 8,
      sym__r_flw_seq_bgn,
      sym__r_flw_seq_end,
      sym__r_flw_map_bgn,
      sym__r_flw_sep_bgn,
      sym__r_flw_njv_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_flw,
    ACTIONS(664), 9,
      sym__br_flw_seq_bgn,
      sym__br_flw_seq_end,
      sym__br_flw_map_bgn,
      sym__br_flw_sep_bgn,
      sym__br_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [13284] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(951), 1,
      sym__r_tag,
    ACTIONS(953), 1,
      sym__br_tag,
    ACTIONS(649), 6,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_flw_njv_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_flw,
    ACTIONS(645), 8,
      sym__br_flw_seq_bgn,
      sym__br_flw_map_bgn,
      sym__br_flw_njv_bgn,
      sym__br_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [13312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(668), 7,
      sym__r_flw_seq_bgn,
      sym__r_flw_seq_end,
      sym__r_flw_map_bgn,
      sym__r_flw_sep_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_flw,
    ACTIONS(664), 9,
      sym__br_flw_seq_bgn,
      sym__br_flw_seq_end,
      sym__br_flw_map_bgn,
      sym__br_flw_sep_bgn,
      sym__br_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [13336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(664), 16,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [13358] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(657), 16,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [13380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(668), 7,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_flw,
    ACTIONS(664), 9,
      sym__br_flw_seq_bgn,
      sym__br_flw_map_bgn,
      sym__br_flw_map_end,
      sym__br_flw_sep_bgn,
      sym__br_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [13404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(664), 16,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [13426] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(657), 16,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [13448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(953), 2,
      sym__r_acr,
      sym__br_acr,
    ACTIONS(645), 14,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__r_flw_njv_bgn,
      sym__br_flw_njv_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [13472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(953), 2,
      sym__r_tag,
      sym__br_tag,
    ACTIONS(645), 14,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__r_flw_njv_bgn,
      sym__br_flw_njv_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [13496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(955), 2,
      sym__r_acr,
      sym__br_acr,
    ACTIONS(633), 14,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__r_flw_njv_bgn,
      sym__br_flw_njv_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [13520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(955), 2,
      sym__r_tag,
      sym__br_tag,
    ACTIONS(633), 14,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__r_flw_njv_bgn,
      sym__br_flw_njv_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [13544] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(951), 1,
      sym__r_acr,
    ACTIONS(953), 1,
      sym__br_acr,
    ACTIONS(649), 6,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_flw_njv_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_flw,
    ACTIONS(645), 8,
      sym__br_flw_seq_bgn,
      sym__br_flw_map_bgn,
      sym__br_flw_njv_bgn,
      sym__br_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [13572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(668), 6,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_flw_njv_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_flw,
    ACTIONS(664), 8,
      sym__br_flw_seq_bgn,
      sym__br_flw_map_bgn,
      sym__br_flw_njv_bgn,
      sym__br_dqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [13594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(664), 14,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__r_flw_njv_bgn,
      sym__br_flw_njv_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [13614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(657), 14,
      sym__r_flw_seq_bgn,
      sym__br_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__br_flw_map_bgn,
      sym__r_flw_njv_bgn,
      sym__br_flw_njv_bgn,
      sym__r_dqt_str_bgn,
      sym__br_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__br_sqt_str_bgn,
      sym__r_sgl_pln_flw,
      sym__br_sgl_pln_flw,
      sym__r_mtl_pln_flw,
      sym__br_mtl_pln_flw,
  [13634] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(959), 1,
      sym__r_blk_imp_bgn,
    STATE(267), 1,
      sym__blk_imp_itm_tal,
    ACTIONS(957), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [13657] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(959), 1,
      sym__r_blk_imp_bgn,
    STATE(266), 1,
      sym__blk_imp_itm_tal,
    ACTIONS(961), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [13680] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(959), 1,
      sym__r_blk_imp_bgn,
    STATE(266), 1,
      sym__blk_imp_itm_tal,
    ACTIONS(957), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [13703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(965), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(963), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [13723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(967), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [13743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(973), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(971), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [13763] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 1,
      sym__b_blk_val_bgn,
    STATE(270), 1,
      sym__b_blk_val_itm,
    ACTIONS(975), 10,
      sym__b_blk_key_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [13785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(977), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [13805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(981), 12,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__r_blk_imp_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [13823] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(769), 1,
      sym__r_flw_map_bgn,
    ACTIONS(775), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(777), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(985), 1,
      sym__r_sgl_pln_flw,
    STATE(993), 1,
      sym__r_sgl_flw_seq,
    STATE(994), 1,
      sym__r_sgl_flw_map,
    STATE(995), 1,
      sym__r_sgl_dqt_str,
    STATE(997), 1,
      sym__r_sgl_sqt_str,
    ACTIONS(983), 3,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_njv_bgn,
  [13859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(989), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(987), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [13879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(993), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(991), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [13899] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 1,
      sym__b_blk_val_bgn,
    STATE(269), 1,
      sym__b_blk_val_itm,
    ACTIONS(995), 10,
      sym__b_blk_key_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [13921] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 1,
      sym__b_blk_val_bgn,
    STATE(386), 1,
      sym__b_blk_val_itm,
    ACTIONS(997), 10,
      sym__b_blk_key_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [13943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1001), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(999), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [13963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1005), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(1003), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [13983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1009), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(1007), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [14003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1013), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(1011), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [14023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1017), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(1015), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [14043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 12,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__r_blk_imp_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [14061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(1021), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [14081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(993), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(1025), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [14101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(993), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(1027), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [14121] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(705), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(707), 1,
      sym__r_flw_map_bgn,
    ACTIONS(715), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(717), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(1029), 1,
      sym__r_sgl_pln_flw,
    STATE(969), 1,
      sym__r_sgl_flw_seq,
    STATE(1008), 1,
      sym__r_sgl_flw_map,
    STATE(1010), 1,
      sym__r_sgl_sqt_str,
    STATE(1014), 1,
      sym__r_sgl_dqt_str,
    ACTIONS(983), 3,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_njv_bgn,
  [14157] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1035), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1037), 1,
      sym__br_dqt_esc_nwl,
    STATE(301), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1031), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1039), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(513), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [14186] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1043), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1045), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1047), 1,
      sym__r_dqt_str_end,
    ACTIONS(1049), 1,
      sym__br_dqt_str_end,
    STATE(366), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1041), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    STATE(515), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [14217] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1043), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1045), 1,
      sym__br_dqt_esc_nwl,
    STATE(274), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1049), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    ACTIONS(1051), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    STATE(515), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [14246] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1055), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1057), 1,
      sym__br_dqt_esc_nwl,
    STATE(405), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1053), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    ACTIONS(1059), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(472), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [14275] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1055), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1057), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1059), 1,
      sym__br_dqt_str_end,
    ACTIONS(1061), 1,
      sym__r_dqt_str_end,
    STATE(405), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1053), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    STATE(472), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [14306] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1065), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1067), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1069), 1,
      sym__r_dqt_str_end,
    ACTIONS(1071), 1,
      sym__br_dqt_str_end,
    STATE(265), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1063), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    STATE(539), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [14337] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1075), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1077), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1079), 1,
      sym__r_dqt_str_end,
    ACTIONS(1081), 1,
      sym__br_dqt_str_end,
    STATE(264), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1073), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    STATE(541), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [14368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [14385] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(897), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(899), 1,
      sym__r_flw_map_bgn,
    ACTIONS(901), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(903), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(1083), 1,
      sym__r_sgl_pln_flw,
    STATE(1088), 1,
      sym__r_sgl_flw_map,
    STATE(1096), 1,
      sym__r_sgl_dqt_str,
    STATE(1097), 1,
      sym__r_sgl_sqt_str,
    STATE(1222), 1,
      sym__r_sgl_flw_seq,
    ACTIONS(983), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
  [14420] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1087), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1089), 1,
      sym__br_dqt_esc_nwl,
    STATE(252), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1085), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    ACTIONS(1091), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(475), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [14449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1093), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [14466] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1097), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1099), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1101), 1,
      sym__r_dqt_str_end,
    ACTIONS(1103), 1,
      sym__br_dqt_str_end,
    STATE(294), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1095), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    STATE(529), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [14497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1105), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [14514] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1111), 1,
      sym__br_dqt_esc_nwl,
    STATE(284), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1107), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    ACTIONS(1113), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(503), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [14543] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1117), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1119), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1121), 1,
      sym__r_dqt_str_end,
    ACTIONS(1123), 1,
      sym__br_dqt_str_end,
    STATE(292), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1115), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    STATE(531), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [14574] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1127), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1129), 1,
      sym__r_dqt_str_end,
    ACTIONS(1131), 1,
      sym__br_dqt_str_end,
    STATE(405), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1053), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    STATE(538), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [14605] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1135), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1137), 1,
      sym__r_dqt_str_end,
    ACTIONS(1139), 1,
      sym__br_dqt_str_end,
    STATE(405), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1053), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    STATE(536), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [14636] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [14653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [14670] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1087), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1089), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1091), 1,
      sym__br_dqt_str_end,
    ACTIONS(1147), 1,
      sym__r_dqt_str_end,
    STATE(253), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1145), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    STATE(475), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [14701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1149), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [14718] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [14735] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1155), 1,
      sym__br_dqt_esc_nwl,
    STATE(405), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1053), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    ACTIONS(1157), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(482), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [14764] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1155), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1157), 1,
      sym__br_dqt_str_end,
    ACTIONS(1159), 1,
      sym__r_dqt_str_end,
    STATE(405), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1053), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    STATE(482), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [14795] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1165), 1,
      sym__br_dqt_esc_nwl,
    STATE(271), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1161), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    ACTIONS(1167), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(485), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [14824] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1171), 1,
      sym__br_dqt_esc_nwl,
    STATE(405), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1053), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    ACTIONS(1173), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(512), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [14853] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1165), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1167), 1,
      sym__br_dqt_str_end,
    ACTIONS(1177), 1,
      sym__r_dqt_str_end,
    STATE(272), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1175), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    STATE(485), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [14884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [14901] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1183), 1,
      sym__br_dqt_esc_nwl,
    STATE(405), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1053), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    ACTIONS(1185), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(551), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [14930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [14947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [14964] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [14981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [14998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [15015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [15032] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1201), 1,
      sym__br_dqt_esc_nwl,
    STATE(405), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1053), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    ACTIONS(1203), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(500), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [15061] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1207), 1,
      sym__br_dqt_esc_nwl,
    STATE(405), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1053), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    ACTIONS(1209), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(492), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [15090] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1207), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1209), 1,
      sym__br_dqt_str_end,
    ACTIONS(1211), 1,
      sym__r_dqt_str_end,
    STATE(405), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1053), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    STATE(492), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [15121] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(877), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(881), 1,
      sym__r_flw_map_bgn,
    ACTIONS(883), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(885), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(1213), 1,
      sym__r_sgl_pln_flw,
    STATE(1111), 1,
      sym__r_sgl_flw_seq,
    STATE(1113), 1,
      sym__r_sgl_flw_map,
    STATE(1116), 1,
      sym__r_sgl_sqt_str,
    STATE(1256), 1,
      sym__r_sgl_dqt_str,
    ACTIONS(983), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
  [15156] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1219), 1,
      sym__br_dqt_esc_nwl,
    STATE(285), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1215), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    ACTIONS(1221), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(495), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [15185] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1227), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1229), 1,
      sym__r_dqt_str_end,
    ACTIONS(1231), 1,
      sym__br_dqt_str_end,
    STATE(316), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1223), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    STATE(526), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [15216] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1237), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1239), 1,
      sym__r_dqt_str_end,
    ACTIONS(1241), 1,
      sym__br_dqt_str_end,
    STATE(317), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1233), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    STATE(524), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [15247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(977), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [15264] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1245), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1247), 1,
      sym__r_dqt_str_end,
    ACTIONS(1249), 1,
      sym__br_dqt_str_end,
    STATE(405), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1053), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    STATE(465), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [15295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(991), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [15312] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1183), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1185), 1,
      sym__br_dqt_str_end,
    ACTIONS(1251), 1,
      sym__r_dqt_str_end,
    STATE(405), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1053), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    STATE(551), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [15343] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1257), 1,
      sym__br_dqt_esc_nwl,
    STATE(327), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1253), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    ACTIONS(1259), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(505), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [15372] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1219), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1221), 1,
      sym__br_dqt_str_end,
    ACTIONS(1263), 1,
      sym__r_dqt_str_end,
    STATE(286), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1261), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    STATE(495), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [15403] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1265), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [15420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1267), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [15437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [15454] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1271), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [15471] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1275), 1,
      sym__br_dqt_esc_nwl,
    STATE(405), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1053), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    ACTIONS(1277), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(510), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [15500] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1279), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1281), 1,
      sym__br_dqt_esc_nwl,
    STATE(405), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1053), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    ACTIONS(1283), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(470), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [15529] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [15546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1287), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [15563] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1291), 1,
      sym__br_dqt_esc_nwl,
    STATE(405), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1053), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    ACTIONS(1293), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(523), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [15592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1295), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [15609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [15626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1299), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [15643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [15660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [15677] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1307), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1309), 1,
      sym__br_dqt_esc_nwl,
    STATE(346), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1305), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    ACTIONS(1311), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(493), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [15706] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [15723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1315), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [15740] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [15757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [15774] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1291), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1293), 1,
      sym__br_dqt_str_end,
    ACTIONS(1319), 1,
      sym__r_dqt_str_end,
    STATE(405), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1053), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    STATE(523), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [15805] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1323), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1325), 1,
      sym__r_dqt_str_end,
    ACTIONS(1327), 1,
      sym__br_dqt_str_end,
    STATE(405), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1053), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    STATE(521), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [15836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [15853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [15870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1331), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [15887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1333), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [15904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [15921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1007), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [15938] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [15955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1339), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [15972] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1011), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [15989] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1341), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1343), 1,
      sym__br_dqt_esc_nwl,
    STATE(405), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1053), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    ACTIONS(1345), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(502), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [16018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1347), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1351), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16069] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16103] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16137] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1097), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1099), 1,
      sym__br_dqt_esc_nwl,
    STATE(277), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1103), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    ACTIONS(1361), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    STATE(529), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [16166] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16234] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16251] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16336] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1385), 1,
      sym__br_dqt_esc_nwl,
    STATE(405), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1053), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    ACTIONS(1387), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(490), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [16365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16382] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1393), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16501] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16535] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1341), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1343), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1345), 1,
      sym__br_dqt_str_end,
    ACTIONS(1407), 1,
      sym__r_dqt_str_end,
    STATE(405), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1053), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    STATE(502), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [16566] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1075), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1077), 1,
      sym__br_dqt_esc_nwl,
    STATE(368), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1081), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    ACTIONS(1409), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    STATE(541), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [16595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16612] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1413), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1415), 1,
      sym__br_dqt_esc_nwl,
    STATE(302), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1411), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    ACTIONS(1417), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(473), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [16641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1025), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16658] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1423), 1,
      sym__br_dqt_esc_nwl,
    STATE(374), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1419), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    ACTIONS(1425), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(483), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [16687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16704] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16721] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16738] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1171), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1173), 1,
      sym__br_dqt_str_end,
    ACTIONS(1433), 1,
      sym__r_dqt_str_end,
    STATE(405), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1053), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    STATE(512), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [16769] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16786] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1127), 1,
      sym__br_dqt_esc_nwl,
    STATE(405), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1053), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    ACTIONS(1131), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(538), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [16815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16832] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1437), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16866] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16900] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1445), 1,
      sym__br_dqt_esc_nwl,
    STATE(405), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1053), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    ACTIONS(1447), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(480), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [16929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1015), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1449), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16963] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1021), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16980] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [16997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [17014] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [17031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1457), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [17048] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1257), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1259), 1,
      sym__br_dqt_str_end,
    ACTIONS(1461), 1,
      sym__r_dqt_str_end,
    STATE(357), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1459), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    STATE(505), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [17079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1463), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [17096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [17113] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 1,
      sym__r_dqt_esc_nwl,
    ACTIONS(1227), 1,
      sym__br_dqt_esc_nwl,
    STATE(305), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1231), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    ACTIONS(1467), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    STATE(526), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [17142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 11,
      sym__b_blk_key_bgn,
      sym__b_blk_val_bgn,
      sym__b_flw_seq_bgn,
      sym__b_flw_map_bgn,
      sym__b_dqt_str_bgn,
      sym__b_sqt_str_bgn,
      sym__b_sgl_pln_blk,
      sym__b_tag,
      sym__b_acr,
      sym__b_als,
      sym__bl,
  [17159] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__s_dir_yml_bgn,
    ACTIONS(9), 1,
      sym__s_dir_tag_bgn,
    ACTIONS(11), 1,
      sym__s_dir_rsv_bgn,
    ACTIONS(13), 1,
      sym__s_drs_end,
    STATE(1030), 1,
      sym__exp_doc,
    STATE(447), 5,
      sym__s_dir,
      sym__s_dir_yml,
      sym__s_dir_tag,
      sym__s_dir_rsv,
      aux_sym__drs_doc_repeat1,
  [17185] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(859), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(861), 1,
      sym__r_flw_map_bgn,
    ACTIONS(865), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(867), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(983), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(1471), 1,
      sym__r_sgl_pln_flw,
    STATE(1297), 1,
      sym__r_sgl_flw_seq,
    STATE(1298), 1,
      sym__r_sgl_flw_map,
    STATE(1299), 1,
      sym__r_sgl_dqt_str,
    STATE(1302), 1,
      sym__r_sgl_sqt_str,
  [17219] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1473), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(1475), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(1477), 1,
      sym__r_flw_map_bgn,
    ACTIONS(1479), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(1481), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(1483), 1,
      sym__r_sgl_pln_blk,
    STATE(1259), 1,
      sym__r_sgl_dqt_str,
    STATE(1279), 1,
      sym__r_sgl_sqt_str,
    STATE(1345), 1,
      sym__r_sgl_flw_map,
    STATE(1350), 1,
      sym__r_sgl_flw_seq,
  [17253] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      sym__s_drs_end,
    ACTIONS(1485), 1,
      sym__eof,
    ACTIONS(1487), 1,
      sym__s_doc_end,
    STATE(396), 1,
      sym__doc_w_bgn_wo_end,
    STATE(1034), 1,
      sym__exp_doc,
    STATE(1332), 2,
      sym__doc_w_bgn_w_end_seq,
      sym__doc_w_bgn_wo_end_seq,
    STATE(37), 3,
      sym__doc_w_bgn_w_end,
      sym__exp_doc_end,
      sym__doc_end,
  [17281] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      sym__s_drs_end,
    ACTIONS(1485), 1,
      sym__eof,
    ACTIONS(1489), 1,
      sym__s_doc_end,
    STATE(396), 1,
      sym__doc_w_bgn_wo_end,
    STATE(1034), 1,
      sym__exp_doc,
    STATE(1332), 2,
      sym__doc_w_bgn_w_end_seq,
      sym__doc_w_bgn_wo_end_seq,
    STATE(37), 3,
      sym__doc_w_bgn_w_end,
      sym__exp_doc_end,
      sym__doc_end,
  [17309] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      sym__s_drs_end,
    ACTIONS(1485), 1,
      sym__eof,
    ACTIONS(1491), 1,
      sym__s_doc_end,
    STATE(396), 1,
      sym__doc_w_bgn_wo_end,
    STATE(1034), 1,
      sym__exp_doc,
    STATE(1332), 2,
      sym__doc_w_bgn_w_end_seq,
      sym__doc_w_bgn_wo_end_seq,
    STATE(37), 3,
      sym__doc_w_bgn_w_end,
      sym__exp_doc_end,
      sym__doc_end,
  [17337] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(983), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(1475), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(1477), 1,
      sym__r_flw_map_bgn,
    ACTIONS(1479), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(1481), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(1493), 1,
      sym__r_sgl_pln_blk,
    STATE(1290), 1,
      sym__r_sgl_sqt_str,
    STATE(1292), 1,
      sym__r_sgl_dqt_str,
    STATE(1318), 1,
      sym__r_sgl_flw_map,
    STATE(1320), 1,
      sym__r_sgl_flw_seq,
  [17371] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1475), 1,
      sym__r_flw_seq_bgn,
    ACTIONS(1477), 1,
      sym__r_flw_map_bgn,
    ACTIONS(1479), 1,
      sym__r_dqt_str_bgn,
    ACTIONS(1481), 1,
      sym__r_sqt_str_bgn,
    ACTIONS(1495), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(1497), 1,
      sym__r_sgl_pln_blk,
    STATE(1261), 1,
      sym__r_sgl_flw_seq,
    STATE(1276), 1,
      sym__r_sgl_dqt_str,
    STATE(1285), 1,
      sym__r_sgl_sqt_str,
    STATE(1344), 1,
      sym__r_sgl_flw_map,
  [17405] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      sym__s_drs_end,
    ACTIONS(15), 1,
      sym__s_doc_end,
    ACTIONS(1499), 1,
      sym__eof,
    STATE(396), 1,
      sym__doc_w_bgn_wo_end,
    STATE(1034), 1,
      sym__exp_doc,
    STATE(1324), 2,
      sym__doc_w_bgn_w_end_seq,
      sym__doc_w_bgn_wo_end_seq,
    STATE(37), 3,
      sym__doc_w_bgn_w_end,
      sym__exp_doc_end,
      sym__doc_end,
  [17433] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      sym__s_drs_end,
    ACTIONS(15), 1,
      sym__s_doc_end,
    ACTIONS(1501), 1,
      sym__eof,
    STATE(396), 1,
      sym__doc_w_bgn_wo_end,
    STATE(1034), 1,
      sym__exp_doc,
    STATE(1291), 2,
      sym__doc_w_bgn_w_end_seq,
      sym__doc_w_bgn_wo_end_seq,
    STATE(37), 3,
      sym__doc_w_bgn_w_end,
      sym__exp_doc_end,
      sym__doc_end,
  [17461] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(397), 1,
      aux_sym__br_mtl_dqt_ctn_repeat1,
    ACTIONS(1503), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    ACTIONS(1506), 6,
      sym__br_dqt_str_ctn,
      sym__r_dqt_esc_nwl,
      sym__br_dqt_esc_nwl,
      sym__br_dqt_esc_seq,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
  [17480] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1512), 1,
      sym__r_sqt_str_end,
    ACTIONS(1514), 1,
      sym__br_sqt_str_end,
    STATE(556), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1508), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    STATE(659), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [17505] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(423), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1516), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    ACTIONS(1518), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(563), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [17528] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1522), 1,
      sym__r_sqt_str_end,
    ACTIONS(1524), 1,
      sym__br_sqt_str_end,
    STATE(404), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1520), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    STATE(589), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [17553] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(438), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1524), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    ACTIONS(1526), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    STATE(589), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [17576] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(556), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1508), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1528), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(573), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [17599] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(436), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1530), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    ACTIONS(1532), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(598), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [17622] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1534), 1,
      sym__r_sqt_str_end,
    ACTIONS(1536), 1,
      sym__br_sqt_str_end,
    STATE(556), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1508), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    STATE(583), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [17647] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(405), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1538), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    ACTIONS(1541), 6,
      sym__br_dqt_str_ctn,
      sym__r_dqt_esc_nwl,
      sym__br_dqt_esc_nwl,
      sym__br_dqt_esc_seq,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
  [17666] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1547), 1,
      sym__r_dqt_esc_nwl,
    STATE(397), 1,
      aux_sym__br_mtl_dqt_ctn_repeat1,
    ACTIONS(1543), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    ACTIONS(1545), 5,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_nwl,
      sym__br_dqt_esc_seq,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
  [17687] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1551), 1,
      sym__r_sqt_str_end,
    ACTIONS(1553), 1,
      sym__br_sqt_str_end,
    STATE(419), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1549), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    STATE(581), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [17712] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1557), 1,
      sym__r_sqt_str_end,
    ACTIONS(1559), 1,
      sym__br_sqt_str_end,
    STATE(449), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1555), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    STATE(602), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [17737] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 1,
      sym__r_sqt_str_end,
    ACTIONS(1563), 1,
      sym__br_sqt_str_end,
    STATE(556), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1508), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    STATE(562), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [17762] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1567), 1,
      sym__r_sqt_str_end,
    ACTIONS(1569), 1,
      sym__br_sqt_str_end,
    STATE(454), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1565), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    STATE(603), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [17787] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(450), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1571), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    ACTIONS(1573), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(564), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [17810] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1575), 1,
      sym__r_sqt_str_end,
    ACTIONS(1577), 1,
      sym__br_sqt_str_end,
    STATE(556), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1508), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    STATE(592), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [17835] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1579), 1,
      sym__r_sqt_str_end,
    ACTIONS(1581), 1,
      sym__br_sqt_str_end,
    STATE(556), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1508), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    STATE(593), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [17860] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(402), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1583), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    ACTIONS(1585), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(575), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [17883] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(556), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1508), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1587), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(569), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [17906] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(556), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1508), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1589), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(578), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [17929] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(432), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1591), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    ACTIONS(1593), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(580), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [17952] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(219), 1,
      sym__br_flw_njv_bgn,
    STATE(734), 1,
      sym__br_flw_njl_ann_par,
    STATE(812), 1,
      sym__r_flw_njl_ann_par,
    STATE(1084), 1,
      sym__r_sgl_flw_njl_ann_par,
    ACTIONS(1595), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
    ACTIONS(1598), 2,
      sym__br_flw_map_end,
      sym__br_flw_sep_bgn,
  [17979] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1589), 1,
      sym__br_sqt_str_end,
    ACTIONS(1600), 1,
      sym__r_sqt_str_end,
    STATE(556), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1508), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    STATE(578), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [18004] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1606), 1,
      sym__r_dqt_esc_nwl,
    STATE(406), 1,
      aux_sym__br_mtl_dqt_ctn_repeat1,
    ACTIONS(1602), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
    ACTIONS(1604), 5,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_nwl,
      sym__br_dqt_esc_seq,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
  [18025] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(556), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1508), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1581), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(593), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [18048] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(556), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1508), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1608), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(582), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [18071] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(556), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1508), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1610), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(561), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [18094] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(416), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1553), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    ACTIONS(1612), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    STATE(581), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [18117] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      sym__r_sqt_str_end,
    ACTIONS(1618), 1,
      sym__br_sqt_str_end,
    STATE(431), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1614), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    STATE(576), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [18142] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1622), 1,
      sym__r_sqt_str_end,
    ACTIONS(1624), 1,
      sym__br_sqt_str_end,
    STATE(412), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1620), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    STATE(595), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [18167] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1628), 1,
      sym__r_sqt_str_end,
    ACTIONS(1630), 1,
      sym__br_sqt_str_end,
    STATE(413), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1626), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    STATE(597), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [18192] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1632), 1,
      sym__r_sqt_str_end,
    ACTIONS(1634), 1,
      sym__br_sqt_str_end,
    STATE(556), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1508), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    STATE(660), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [18217] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(433), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1618), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    ACTIONS(1636), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    STATE(576), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [18240] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(452), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1569), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    ACTIONS(1638), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    STATE(603), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [18263] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1640), 1,
      sym__r_sqt_str_end,
    ACTIONS(1642), 1,
      sym__br_sqt_str_end,
    STATE(556), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1508), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    STATE(574), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [18288] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(556), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1508), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1644), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(577), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [18311] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(556), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1508), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1642), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(574), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [18334] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1532), 1,
      sym__br_sqt_str_end,
    ACTIONS(1648), 1,
      sym__r_sqt_str_end,
    STATE(428), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1646), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    STATE(598), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [18359] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1652), 1,
      sym__r_sqt_str_end,
    ACTIONS(1654), 1,
      sym__br_sqt_str_end,
    STATE(398), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1650), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    STATE(599), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [18384] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(556), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1508), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1634), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(660), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [18407] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1573), 1,
      sym__br_sqt_str_end,
    ACTIONS(1658), 1,
      sym__r_sqt_str_end,
    STATE(409), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1656), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    STATE(564), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [18432] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(556), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1508), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1536), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(583), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [18455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1660), 1,
      sym__r_tag,
    ACTIONS(647), 8,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_njv_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_flw,
  [18472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1660), 1,
      sym__r_acr,
    ACTIONS(647), 8,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_njv_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_flw,
  [18489] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(422), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1662), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    ACTIONS(1664), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(588), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [18512] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1668), 1,
      sym__r_sqt_str_end,
    ACTIONS(1670), 1,
      sym__br_sqt_str_end,
    STATE(448), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1666), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    STATE(572), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [18537] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(415), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1672), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    ACTIONS(1674), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(571), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [18560] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(453), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1670), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    ACTIONS(1676), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    STATE(572), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [18583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 1,
      sym__r_acr,
    ACTIONS(647), 8,
      sym__r_flw_seq_bgn,
      sym__r_flw_seq_end,
      sym__r_flw_map_bgn,
      sym__r_flw_sep_bgn,
      sym__r_flw_njv_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_flw,
  [18600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 1,
      sym__r_tag,
    ACTIONS(647), 8,
      sym__r_flw_seq_bgn,
      sym__r_flw_seq_end,
      sym__r_flw_map_bgn,
      sym__r_flw_sep_bgn,
      sym__r_flw_njv_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_flw,
  [18617] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1680), 1,
      sym__s_dir_yml_bgn,
    ACTIONS(1683), 1,
      sym__s_dir_tag_bgn,
    ACTIONS(1686), 1,
      sym__s_dir_rsv_bgn,
    ACTIONS(1689), 1,
      sym__s_drs_end,
    STATE(447), 5,
      sym__s_dir,
      sym__s_dir_yml,
      sym__s_dir_tag,
      sym__s_dir_rsv,
      aux_sym__drs_doc_repeat1,
  [18640] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 1,
      sym__r_sqt_str_end,
    ACTIONS(1693), 1,
      sym__br_sqt_str_end,
    STATE(556), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1508), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    STATE(570), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [18665] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1695), 1,
      sym__r_sqt_str_end,
    ACTIONS(1697), 1,
      sym__br_sqt_str_end,
    STATE(556), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1508), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    STATE(600), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [18690] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(556), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1508), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1563), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(562), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [18713] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(421), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1630), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    ACTIONS(1699), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    STATE(597), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [18736] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(556), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1508), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1701), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(601), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [18759] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(556), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1508), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1693), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(570), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [18782] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1701), 1,
      sym__br_sqt_str_end,
    ACTIONS(1703), 1,
      sym__r_sqt_str_end,
    STATE(556), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1508), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    STATE(601), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [18807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(666), 8,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_njv_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_flw,
  [18821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1705), 1,
      sym__r_tag,
    ACTIONS(647), 7,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_flw,
  [18837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1705), 1,
      sym__r_acr,
    ACTIONS(647), 7,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_flw,
  [18853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1707), 1,
      sym__r_tag,
    ACTIONS(647), 7,
      sym__r_flw_seq_bgn,
      sym__r_flw_seq_end,
      sym__r_flw_map_bgn,
      sym__r_flw_sep_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_flw,
  [18869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1707), 1,
      sym__r_acr,
    ACTIONS(647), 7,
      sym__r_flw_seq_bgn,
      sym__r_flw_seq_end,
      sym__r_flw_map_bgn,
      sym__r_flw_sep_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_flw,
  [18885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(666), 8,
      sym__r_flw_seq_bgn,
      sym__r_flw_seq_end,
      sym__r_flw_map_bgn,
      sym__r_flw_sep_bgn,
      sym__r_flw_njv_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_flw,
  [18899] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1711), 1,
      sym__r_flw_jsv_bgn,
    ACTIONS(1713), 1,
      sym__br_flw_jsv_bgn,
    STATE(733), 1,
      sym__br_flw_jsl_ann_par,
    STATE(816), 1,
      sym__r_flw_jsl_ann_par,
    ACTIONS(1709), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [18921] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1711), 1,
      sym__r_flw_jsv_bgn,
    ACTIONS(1713), 1,
      sym__br_flw_jsv_bgn,
    STATE(734), 1,
      sym__br_flw_jsl_ann_par,
    STATE(812), 1,
      sym__r_flw_jsl_ann_par,
    ACTIONS(1598), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [18943] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(219), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(432), 1,
      sym__r_flw_njv_bgn,
    STATE(733), 1,
      sym__br_flw_njl_ann_par,
    STATE(816), 1,
      sym__r_flw_njl_ann_par,
    ACTIONS(1709), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [18965] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(219), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(432), 1,
      sym__r_flw_njv_bgn,
    STATE(734), 1,
      sym__br_flw_njl_ann_par,
    STATE(812), 1,
      sym__r_flw_njl_ann_par,
    ACTIONS(1598), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [18987] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1717), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19006] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(466), 1,
      aux_sym__br_mtl_sqt_ctn_repeat1,
    ACTIONS(1719), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    ACTIONS(1722), 4,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
  [19023] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1724), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19042] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1726), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19061] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1728), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1730), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(467), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19080] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1730), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19099] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1732), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1734), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(468), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19118] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1734), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19137] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1283), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19156] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1281), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1283), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(470), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19175] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1059), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19194] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1057), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1059), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(472), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19213] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1736), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19232] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1738), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19251] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1740), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1742), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(477), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19270] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1742), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19289] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1744), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1746), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(478), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19308] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1746), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19327] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1447), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19346] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1445), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1447), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(480), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19365] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1157), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19384] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1157), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(482), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19403] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1748), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19422] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1750), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19441] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1752), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1754), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(487), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19460] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1754), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19479] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1756), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1758), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(488), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19498] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1758), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19517] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1387), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19536] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1387), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(490), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19555] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1209), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19574] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1209), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(492), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19593] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1760), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19612] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1762), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19631] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1764), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1766), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(497), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19650] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1766), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19669] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1768), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1770), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(498), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19688] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1770), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19707] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1203), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19726] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1203), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(500), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19745] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1345), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19764] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1343), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1345), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(502), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19783] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1772), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19802] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1774), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19821] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1776), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1778), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(507), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19840] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1778), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19859] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1780), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1782), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(508), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19878] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1782), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19897] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1277), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19916] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1275), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1277), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(510), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19935] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1173), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19954] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1173), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(512), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [19973] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      sym__r_flw_njv_bgn,
    STATE(746), 1,
      sym__r_flw_njl_ann_par,
    STATE(1090), 1,
      sym__r_sgl_flw_njl_ann_par,
    ACTIONS(1784), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
    ACTIONS(1787), 2,
      sym__br_flw_seq_end,
      sym__br_flw_sep_bgn,
  [19994] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1789), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [20013] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1791), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [20032] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1793), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1795), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(518), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [20051] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1795), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [20070] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1797), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1799), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(519), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [20089] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1799), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [20108] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1327), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [20127] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1323), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1327), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(521), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [20146] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1293), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [20165] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1291), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1293), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(523), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [20184] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1185), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(551), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [20203] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1185), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [20222] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1249), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(465), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [20241] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1249), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [20260] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(555), 1,
      aux_sym__br_mtl_sqt_ctn_repeat1,
    ACTIONS(1801), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    ACTIONS(1803), 4,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
  [20277] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1805), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [20296] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1807), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [20315] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1809), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1811), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(533), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [20334] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1811), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [20353] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1813), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1815), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(534), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [20372] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1815), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [20391] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1139), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [20410] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1139), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(536), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [20429] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1131), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [20448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1817), 1,
      sym__r_acr,
    ACTIONS(635), 6,
      sym__r_blk_imp_bgn,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_blk,
  [20463] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1131), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(538), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [20482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1817), 1,
      sym__r_tag,
    ACTIONS(635), 6,
      sym__r_blk_imp_bgn,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_blk,
  [20497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1821), 1,
      sym__r_acr,
    ACTIONS(1819), 6,
      sym__r_blk_imp_bgn,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_blk,
  [20512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1821), 1,
      sym__r_tag,
    ACTIONS(1819), 6,
      sym__r_blk_imp_bgn,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_blk,
  [20527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 1,
      sym__r_tag,
    ACTIONS(647), 6,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_flw_njv_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_flw,
  [20542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 1,
      sym__r_acr,
    ACTIONS(647), 6,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_flw_njv_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_flw,
  [20557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(666), 7,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_flw,
  [20570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(666), 7,
      sym__r_flw_seq_bgn,
      sym__r_flw_seq_end,
      sym__r_flw_map_bgn,
      sym__r_flw_sep_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_flw,
  [20583] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1825), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [20602] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1825), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(557), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [20621] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1832), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1829), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1835), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [20640] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1837), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1717), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(558), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [20659] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(466), 1,
      aux_sym__br_mtl_sqt_ctn_repeat1,
    ACTIONS(1839), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    ACTIONS(1841), 4,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
  [20676] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(556), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1843), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
    ACTIONS(1846), 4,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
  [20693] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1848), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [20712] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      sym__br_dqt_esc_nwl,
    ACTIONS(1033), 2,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_seq,
    ACTIONS(1850), 2,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
    STATE(553), 2,
      sym__br_mtl_dqt_ctn,
      aux_sym__r_dqt_str_repeat1,
  [20731] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 2,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
    ACTIONS(1852), 2,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
    STATE(616), 2,
      sym__flw_map_dat_rpt,
      aux_sym__r_flw_map_dat_repeat1,
  [20747] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(551), 2,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
    ACTIONS(1854), 2,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
    STATE(616), 2,
      sym__flw_map_dat_rpt,
      aux_sym__r_flw_map_dat_repeat1,
  [20763] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1856), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(658), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [20779] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1858), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(658), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [20795] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1610), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(658), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [20811] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1563), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(658), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [20827] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1862), 1,
      sym__r_dir_rsv_prm,
    STATE(579), 1,
      aux_sym__s_dir_rsv_repeat1,
    ACTIONS(1860), 4,
      sym__s_dir_yml_bgn,
      sym__s_dir_tag_bgn,
      sym__s_dir_rsv_bgn,
      sym__s_drs_end,
  [20843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1864), 3,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_njv_bgn,
    ACTIONS(1867), 3,
      sym__br_flw_map_end,
      sym__br_flw_sep_bgn,
      sym__br_flw_njv_bgn,
  [20857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_njv_bgn,
      sym__br_flw_njv_bgn,
  [20869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1867), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_njv_bgn,
      sym__br_flw_njv_bgn,
  [20881] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1871), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(658), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [20897] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1873), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(658), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [20913] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1587), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(658), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [20929] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1693), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(658), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [20945] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1875), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(658), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [20961] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1877), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(658), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [20977] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1528), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(658), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [20993] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1642), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(658), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [21009] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1879), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(658), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [21025] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1881), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(658), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [21041] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1885), 1,
      sym__r_dir_rsv_prm,
    STATE(655), 1,
      aux_sym__s_dir_rsv_repeat1,
    ACTIONS(1883), 4,
      sym__s_dir_yml_bgn,
      sym__s_dir_tag_bgn,
      sym__s_dir_rsv_bgn,
      sym__s_drs_end,
  [21057] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1644), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(658), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [21073] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1589), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(658), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [21089] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1887), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(658), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [21105] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1889), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(658), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [21121] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(456), 1,
      sym__r_flw_njv_bgn,
    STATE(746), 1,
      sym__r_flw_njl_ann_par,
    ACTIONS(1787), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [21137] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(456), 1,
      sym__r_flw_njv_bgn,
    STATE(745), 1,
      sym__r_flw_njl_ann_par,
    ACTIONS(1891), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [21153] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1893), 1,
      sym__r_flw_jsv_bgn,
    STATE(746), 1,
      sym__r_flw_jsl_ann_par,
    ACTIONS(1787), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [21169] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1893), 1,
      sym__r_flw_jsv_bgn,
    STATE(745), 1,
      sym__r_flw_jsl_ann_par,
    ACTIONS(1891), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [21185] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1608), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(658), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [21201] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1536), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(658), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [21217] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1895), 2,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
    ACTIONS(1897), 2,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
    STATE(656), 2,
      sym__flw_seq_dat_rpt,
      aux_sym__r_flw_seq_dat_repeat1,
  [21233] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1899), 2,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
    ACTIONS(1901), 2,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
    STATE(657), 2,
      sym__flw_seq_dat_rpt,
      aux_sym__r_flw_seq_dat_repeat1,
  [21249] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1903), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(658), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [21265] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1905), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(658), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [21281] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1907), 2,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
    ACTIONS(1909), 2,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
    STATE(559), 2,
      sym__flw_map_dat_rpt,
      aux_sym__r_flw_map_dat_repeat1,
  [21297] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1577), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(658), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [21313] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1911), 2,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
    ACTIONS(1913), 2,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
    STATE(560), 2,
      sym__flw_map_dat_rpt,
      aux_sym__r_flw_map_dat_repeat1,
  [21329] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1581), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(658), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [21345] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1634), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(658), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [21361] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1514), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(658), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [21377] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1915), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(658), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [21393] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1917), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(658), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [21409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1697), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(658), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [21425] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1701), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(658), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [21441] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1919), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_njv_bgn,
      sym__br_flw_njv_bgn,
  [21453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1921), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_njv_bgn,
      sym__br_flw_njv_bgn,
  [21465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_njv_bgn,
      sym__br_flw_njv_bgn,
  [21477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1265), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [21489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1267), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [21501] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(666), 6,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_flw_njv_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_flw,
  [21513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [21525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1271), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [21537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [21549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1287), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [21561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [21573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [21585] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 2,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
    ACTIONS(1925), 2,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
    STATE(616), 2,
      sym__flw_map_dat_rpt,
      aux_sym__r_flw_map_dat_repeat1,
  [21601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 3,
      sym__br_flw_map_end,
      sym__br_flw_sep_bgn,
      sym__br_flw_jsv_bgn,
    ACTIONS(1928), 3,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [21615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1007), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [21627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1011), 3,
      sym__br_flw_map_end,
      sym__br_flw_sep_bgn,
      sym__br_flw_jsv_bgn,
    ACTIONS(1931), 3,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [21641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1011), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [21653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1347), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [21665] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1934), 2,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
    ACTIONS(1936), 2,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
    STATE(622), 2,
      sym__flw_seq_dat_rpt,
      aux_sym__r_flw_seq_dat_repeat1,
  [21681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [21693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [21705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [21717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [21729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [21741] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [21753] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [21765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1393), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [21777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [21789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [21801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [21813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 3,
      sym__br_flw_map_end,
      sym__br_flw_sep_bgn,
      sym__br_flw_jsv_bgn,
    ACTIONS(1939), 3,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [21827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1015), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [21839] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1021), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [21851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1021), 3,
      sym__br_flw_map_end,
      sym__br_flw_sep_bgn,
      sym__br_flw_jsv_bgn,
    ACTIONS(1942), 3,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [21865] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1945), 6,
      sym__r_blk_imp_bgn,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_blk,
  [21877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [21889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [21901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(999), 3,
      sym__br_flw_map_end,
      sym__br_flw_sep_bgn,
      sym__br_flw_jsv_bgn,
    ACTIONS(1947), 3,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [21915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1463), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [21927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [21939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1003), 3,
      sym__br_flw_map_end,
      sym__br_flw_sep_bgn,
      sym__br_flw_jsv_bgn,
    ACTIONS(1950), 3,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [21953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [21965] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [21977] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [21989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1351), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [22001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1339), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [22013] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [22025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [22037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 6,
      sym__r_blk_imp_bgn,
      sym__r_flw_seq_bgn,
      sym__r_flw_map_bgn,
      sym__r_dqt_str_bgn,
      sym__r_sqt_str_bgn,
      sym__r_sgl_pln_blk,
  [22049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1333), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [22061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(981), 6,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_njv_bgn,
      sym__br_flw_njv_bgn,
  [22073] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1955), 1,
      sym__r_dir_rsv_prm,
    STATE(655), 1,
      aux_sym__s_dir_rsv_repeat1,
    ACTIONS(1953), 4,
      sym__s_dir_yml_bgn,
      sym__s_dir_tag_bgn,
      sym__s_dir_rsv_bgn,
      sym__s_drs_end,
  [22089] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(557), 2,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
    ACTIONS(1958), 2,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
    STATE(622), 2,
      sym__flw_seq_dat_rpt,
      aux_sym__r_flw_seq_dat_repeat1,
  [22105] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(559), 2,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
    ACTIONS(1960), 2,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
    STATE(622), 2,
      sym__flw_seq_dat_rpt,
      aux_sym__r_flw_seq_dat_repeat1,
  [22121] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1962), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1965), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(658), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [22137] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1967), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(658), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [22153] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 2,
      sym__br_sqt_str_ctn,
      sym__br_sqt_esc_sqt,
    ACTIONS(1969), 2,
      sym__r_sqt_str_end,
      sym__br_sqt_str_end,
    STATE(658), 2,
      sym__br_mtl_sqt_ctn,
      aux_sym__r_sqt_str_repeat1,
  [22169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22191] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(959), 1,
      sym__r_blk_imp_bgn,
    STATE(267), 1,
      sym__blk_imp_itm_tal,
    ACTIONS(1971), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [22206] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(959), 1,
      sym__r_blk_imp_bgn,
    STATE(266), 1,
      sym__blk_imp_itm_tal,
    ACTIONS(1971), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [22221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1867), 2,
      sym__br_flw_seq_end,
      sym__br_flw_sep_bgn,
    ACTIONS(1864), 3,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_njv_bgn,
  [22234] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_njv_bgn,
  [22245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1867), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_njv_bgn,
  [22256] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(219), 1,
      sym__br_flw_njv_bgn,
    STATE(734), 1,
      sym__br_flw_njl_ann_par,
    STATE(812), 1,
      sym__r_flw_njl_ann_par,
    STATE(1084), 1,
      sym__r_sgl_flw_njl_ann_par,
  [22275] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(959), 1,
      sym__r_blk_imp_bgn,
    STATE(266), 1,
      sym__blk_imp_itm_tal,
    ACTIONS(1973), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [22290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1975), 5,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_nwl,
      sym__br_dqt_esc_seq,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
  [22301] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_njv_bgn,
  [22312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1265), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1267), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22356] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1339), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22367] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1393), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1351), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22389] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22400] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1011), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22411] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22422] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22444] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22455] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 5,
      sym__br_dqt_str_ctn,
      sym__br_dqt_esc_nwl,
      sym__br_dqt_esc_seq,
      sym__r_dqt_str_end,
      sym__br_dqt_str_end,
  [22466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1003), 2,
      sym__br_flw_seq_end,
      sym__br_flw_sep_bgn,
    ACTIONS(1950), 3,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22501] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1011), 2,
      sym__br_flw_seq_end,
      sym__br_flw_sep_bgn,
    ACTIONS(1931), 3,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1007), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 2,
      sym__br_flw_seq_end,
      sym__br_flw_sep_bgn,
    ACTIONS(1928), 3,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1287), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1463), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(999), 2,
      sym__br_flw_seq_end,
      sym__br_flw_sep_bgn,
    ACTIONS(1947), 3,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22628] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1921), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_njv_bgn,
  [22650] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1919), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_njv_bgn,
  [22661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1021), 2,
      sym__br_flw_seq_end,
      sym__br_flw_sep_bgn,
    ACTIONS(1942), 3,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1021), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1015), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 2,
      sym__br_flw_seq_end,
      sym__br_flw_sep_bgn,
    ACTIONS(1939), 3,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22742] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22753] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22764] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1347), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1271), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22786] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(299), 1,
      sym__br_flw_njv_bgn,
    STATE(746), 1,
      sym__r_flw_njl_ann_par,
    STATE(878), 1,
      sym__br_flw_njl_ann_par,
    STATE(1090), 1,
      sym__r_sgl_flw_njl_ann_par,
  [22805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(981), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_njv_bgn,
  [22816] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1333), 5,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [22827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1977), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [22837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(999), 2,
      sym__br_flw_seq_end,
      sym__br_flw_sep_bgn,
    ACTIONS(1947), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
  [22849] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1846), 1,
      sym__r_sqt_str_end,
    STATE(719), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1979), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
  [22863] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(713), 1,
      sym__r_flw_njv_bgn,
    STATE(1084), 1,
      sym__r_sgl_flw_njl_ann_par,
    ACTIONS(1982), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
  [22877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1013), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(1011), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [22889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [22899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(977), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [22911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(993), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(991), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [22923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 4,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
      sym__r_blk_imp_bgn,
  [22933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(981), 4,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
      sym__r_blk_imp_bgn,
  [22943] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1984), 1,
      sym__r_flw_jsv_bgn,
    STATE(1084), 1,
      sym__r_sgl_flw_jsl_ann_par,
    ACTIONS(1982), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
  [22957] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1986), 1,
      sym__r_flw_map_end,
    ACTIONS(1988), 1,
      sym__r_flw_sep_bgn,
    STATE(789), 2,
      sym__sgl_flw_col_dat_rpt,
      aux_sym__r_sgl_flw_col_dat_repeat1,
  [22971] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      sym__b_blk_seq_bgn,
    ACTIONS(1990), 1,
      sym__bl,
    STATE(927), 2,
      sym__b_blk_seq_itm,
      aux_sym__r_blk_seq_repeat1,
  [22985] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      sym__b_blk_seq_bgn,
    ACTIONS(1992), 1,
      sym__bl,
    STATE(909), 2,
      sym__b_blk_seq_itm,
      aux_sym__r_blk_seq_repeat1,
  [22999] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1996), 1,
      sym__r_sqt_str_end,
    STATE(719), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1994), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
  [23013] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2000), 1,
      sym__r_dqt_str_end,
    STATE(744), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1998), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
  [23027] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2002), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [23037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2004), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [23047] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(817), 1,
      sym__r_flw_seq_end,
    ACTIONS(2006), 1,
      sym__r_flw_sep_bgn,
    STATE(857), 2,
      sym__sgl_flw_col_dat_rpt,
      aux_sym__r_sgl_flw_col_dat_repeat1,
  [23061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2008), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [23071] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2012), 1,
      sym__r_sqt_str_end,
    STATE(731), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(2010), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
  [23085] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2016), 1,
      sym__r_dqt_str_end,
    STATE(732), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(2014), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
  [23099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2018), 1,
      sym__r_sqt_str_end,
    STATE(719), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1994), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
  [23113] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      sym__r_dqt_str_end,
    STATE(744), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1998), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
  [23127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [23137] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2022), 1,
      sym__r_flw_map_end,
    ACTIONS(2024), 1,
      sym__r_flw_sep_bgn,
    STATE(742), 2,
      sym__sgl_flw_col_dat_rpt,
      aux_sym__r_sgl_flw_col_dat_repeat1,
  [23151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(967), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [23163] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1541), 1,
      sym__r_dqt_str_end,
    STATE(744), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(2027), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
  [23177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [23187] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2032), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [23197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2034), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [23207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2002), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [23217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2036), 4,
      sym__s_dir_yml_bgn,
      sym__s_dir_tag_bgn,
      sym__s_dir_rsv_bgn,
      sym__s_drs_end,
  [23227] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2040), 1,
      sym__r_sqt_str_end,
    STATE(739), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(2038), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
  [23241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2042), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
    ACTIONS(2045), 2,
      sym__br_flw_seq_end,
      sym__br_flw_sep_bgn,
  [23253] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 1,
      sym__r_dqt_str_end,
    STATE(740), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(2047), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
  [23267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2051), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [23277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2053), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [23287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2055), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [23297] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(959), 1,
      sym__r_blk_imp_bgn,
    STATE(267), 1,
      sym__blk_imp_itm_tal,
    ACTIONS(957), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [23311] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(959), 1,
      sym__r_blk_imp_bgn,
    STATE(266), 1,
      sym__blk_imp_itm_tal,
    ACTIONS(957), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [23325] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      sym__b_blk_seq_bgn,
    ACTIONS(2057), 1,
      sym__bl,
    STATE(786), 2,
      sym__b_blk_seq_itm,
      aux_sym__r_blk_seq_repeat1,
  [23339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1005), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(1003), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [23351] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2059), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [23361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1864), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
    ACTIONS(1867), 2,
      sym__br_flw_seq_end,
      sym__br_flw_sep_bgn,
  [23373] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [23383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1867), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [23393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(989), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(987), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [23405] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1893), 1,
      sym__r_flw_jsv_bgn,
    ACTIONS(2061), 1,
      sym__br_flw_jsv_bgn,
    STATE(745), 1,
      sym__r_flw_jsl_ann_par,
    STATE(748), 1,
      sym__br_flw_jsl_ann_par,
  [23421] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1893), 1,
      sym__r_flw_jsv_bgn,
    ACTIONS(2061), 1,
      sym__br_flw_jsv_bgn,
    STATE(746), 1,
      sym__r_flw_jsl_ann_par,
    STATE(878), 1,
      sym__br_flw_jsl_ann_par,
  [23437] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2063), 1,
      sym__r_sqt_str_end,
    STATE(719), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1994), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
  [23451] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(299), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(456), 1,
      sym__r_flw_njv_bgn,
    STATE(745), 1,
      sym__r_flw_njl_ann_par,
    STATE(748), 1,
      sym__br_flw_njl_ann_par,
  [23467] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      sym__r_dqt_str_end,
    STATE(744), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1998), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
  [23481] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(773), 1,
      sym__r_flw_njv_bgn,
    STATE(1090), 1,
      sym__r_sgl_flw_njl_ann_par,
    ACTIONS(1982), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
  [23495] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(299), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(456), 1,
      sym__r_flw_njv_bgn,
    STATE(746), 1,
      sym__r_flw_njl_ann_par,
    STATE(878), 1,
      sym__br_flw_njl_ann_par,
  [23511] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2069), 1,
      sym__r_sqt_str_end,
    STATE(767), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(2067), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
  [23525] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2073), 1,
      sym__r_dqt_str_end,
    STATE(769), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(2071), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
  [23539] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1986), 1,
      sym__r_flw_seq_end,
    ACTIONS(2075), 1,
      sym__r_flw_sep_bgn,
    STATE(735), 2,
      sym__sgl_flw_col_dat_rpt,
      aux_sym__r_sgl_flw_col_dat_repeat1,
  [23553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2077), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [23563] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2079), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [23573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2081), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [23583] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2083), 1,
      sym__r_sqt_str_end,
    STATE(719), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1994), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
  [23597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1919), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [23607] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1921), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [23617] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2085), 1,
      sym__r_dqt_str_end,
    STATE(744), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1998), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
  [23631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1001), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(999), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [23643] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      sym__b_blk_seq_bgn,
    ACTIONS(2087), 1,
      sym__bl,
    STATE(786), 2,
      sym__b_blk_seq_itm,
      aux_sym__r_blk_seq_repeat1,
  [23657] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      sym__b_blk_seq_bgn,
    ACTIONS(2089), 1,
      sym__bl,
    STATE(786), 2,
      sym__b_blk_seq_itm,
      aux_sym__r_blk_seq_repeat1,
  [23671] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      sym__r_sqt_str_end,
    STATE(778), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(2091), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
  [23685] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      sym__b_blk_seq_bgn,
    ACTIONS(2098), 1,
      sym__bl,
    STATE(786), 2,
      sym__b_blk_seq_itm,
      aux_sym__r_blk_seq_repeat1,
  [23699] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2102), 1,
      sym__r_dqt_str_end,
    STATE(781), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(2100), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
  [23713] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2104), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [23723] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(817), 1,
      sym__r_flw_map_end,
    ACTIONS(2106), 1,
      sym__r_flw_sep_bgn,
    STATE(742), 2,
      sym__sgl_flw_col_dat_rpt,
      aux_sym__r_sgl_flw_col_dat_repeat1,
  [23737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2108), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [23747] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(219), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(432), 1,
      sym__r_flw_njv_bgn,
    STATE(734), 1,
      sym__br_flw_njl_ann_par,
    STATE(812), 1,
      sym__r_flw_njl_ann_par,
  [23763] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2110), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [23773] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(219), 1,
      sym__br_flw_njv_bgn,
    ACTIONS(432), 1,
      sym__r_flw_njv_bgn,
    STATE(733), 1,
      sym__br_flw_njl_ann_par,
    STATE(816), 1,
      sym__r_flw_njl_ann_par,
  [23789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2112), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [23799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2059), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [23809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(1021), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [23821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1017), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(1015), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [23833] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      sym__b_blk_seq_bgn,
    ACTIONS(2114), 1,
      sym__bl,
    STATE(783), 2,
      sym__b_blk_seq_itm,
      aux_sym__r_blk_seq_repeat1,
  [23847] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      sym__b_blk_seq_bgn,
    ACTIONS(2116), 1,
      sym__bl,
    STATE(784), 2,
      sym__b_blk_seq_itm,
      aux_sym__r_blk_seq_repeat1,
  [23861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2053), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [23871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2051), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [23881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(965), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(963), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [23893] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1007), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [23903] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2118), 1,
      sym__r_dqt_str_end,
    STATE(744), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1998), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
  [23917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(973), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(971), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [23929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2042), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
    ACTIONS(2045), 2,
      sym__br_flw_map_end,
      sym__br_flw_sep_bgn,
  [23941] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2120), 1,
      sym__r_sqt_str_end,
    STATE(719), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1994), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
  [23955] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2122), 1,
      sym__r_sqt_str_end,
    STATE(719), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1994), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
  [23969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      sym__r_dqt_str_end,
    STATE(744), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1998), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
  [23983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2126), 4,
      sym__s_dir_yml_bgn,
      sym__s_dir_tag_bgn,
      sym__s_dir_rsv_bgn,
      sym__s_drs_end,
  [23993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2034), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2032), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1864), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
    ACTIONS(1867), 2,
      sym__br_flw_map_end,
      sym__br_flw_sep_bgn,
  [24025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1867), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24055] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1711), 1,
      sym__r_flw_jsv_bgn,
    ACTIONS(1713), 1,
      sym__br_flw_jsv_bgn,
    STATE(733), 1,
      sym__br_flw_jsl_ann_par,
    STATE(816), 1,
      sym__r_flw_jsl_ann_par,
  [24071] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1711), 1,
      sym__r_flw_jsv_bgn,
    ACTIONS(1713), 1,
      sym__br_flw_jsv_bgn,
    STATE(734), 1,
      sym__br_flw_jsl_ann_par,
    STATE(812), 1,
      sym__r_flw_jsl_ann_par,
  [24087] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      sym__b_blk_seq_bgn,
    ACTIONS(2128), 1,
      sym__bl,
    STATE(786), 2,
      sym__b_blk_seq_itm,
      aux_sym__r_blk_seq_repeat1,
  [24101] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      sym__b_blk_seq_bgn,
    ACTIONS(2130), 1,
      sym__bl,
    STATE(786), 2,
      sym__b_blk_seq_itm,
      aux_sym__r_blk_seq_repeat1,
  [24115] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2134), 1,
      sym__r_sqt_str_end,
    STATE(808), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(2132), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
  [24129] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2138), 1,
      sym__r_dqt_str_end,
    STATE(809), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(2136), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
  [24143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2140), 1,
      sym__r_flw_jsv_bgn,
    STATE(1090), 1,
      sym__r_sgl_flw_jsl_ann_par,
    ACTIONS(1982), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
  [24157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(993), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(1025), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [24169] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2142), 1,
      sym__r_dqt_str_end,
    STATE(744), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(1998), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
  [24183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(993), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(1027), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [24195] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      sym__b_blk_seq_bgn,
    ACTIONS(2144), 1,
      sym__bl,
    STATE(819), 2,
      sym__b_blk_seq_itm,
      aux_sym__r_blk_seq_repeat1,
  [24209] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2146), 1,
      sym__r_sqt_str_end,
    STATE(719), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(1994), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
  [24223] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      sym__b_blk_seq_bgn,
    ACTIONS(2148), 1,
      sym__bl,
    STATE(820), 2,
      sym__b_blk_seq_itm,
      aux_sym__r_blk_seq_repeat1,
  [24237] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2152), 1,
      sym__r_dqt_str_end,
    STATE(804), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(2150), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
  [24251] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2156), 1,
      sym__r_sqt_str_end,
    STATE(807), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(2154), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
  [24265] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(981), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1265), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1267), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1271), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24325] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24335] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1287), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2008), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1339), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1011), 2,
      sym__br_flw_map_end,
      sym__br_flw_sep_bgn,
    ACTIONS(1931), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
  [24387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1011), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1347), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1919), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24447] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1921), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24487] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2158), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1393), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24517] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2022), 1,
      sym__r_flw_seq_end,
    ACTIONS(2160), 1,
      sym__r_flw_sep_bgn,
    STATE(857), 2,
      sym__sgl_flw_col_dat_rpt,
      aux_sym__r_sgl_flw_col_dat_repeat1,
  [24531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2055), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2163), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 2,
      sym__br_flw_map_end,
      sym__br_flw_sep_bgn,
    ACTIONS(1939), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
  [24593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1015), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1021), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1021), 2,
      sym__br_flw_map_end,
      sym__br_flw_sep_bgn,
    ACTIONS(1942), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
  [24625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1009), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(1007), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [24637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(999), 2,
      sym__br_flw_map_end,
      sym__br_flw_sep_bgn,
    ACTIONS(1947), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
  [24669] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1463), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1003), 2,
      sym__br_flw_map_end,
      sym__br_flw_sep_bgn,
    ACTIONS(1950), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
  [24701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24711] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24721] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1351), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24741] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2004), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 2,
      sym__br_flw_map_end,
      sym__br_flw_sep_bgn,
    ACTIONS(1928), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
  [24763] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24783] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1333), 4,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(981), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24803] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24813] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1265), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24823] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1267), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24833] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1271), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1287), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24893] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2167), 1,
      sym__r_sqt_str_end,
    STATE(828), 1,
      aux_sym__r_sgl_sqt_ctn,
    ACTIONS(2165), 2,
      sym__r_sqt_str_ctn,
      sym__r_sqt_esc_sqt,
  [24907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 2,
      sym__br_flw_seq_end,
      sym__br_flw_sep_bgn,
    ACTIONS(1928), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
  [24919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1011), 2,
      sym__br_flw_seq_end,
      sym__br_flw_sep_bgn,
    ACTIONS(1931), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
  [24931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1011), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1347), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [24991] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [25001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [25011] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [25021] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1393), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [25031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [25041] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [25051] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2171), 1,
      sym__r_dqt_str_end,
    STATE(825), 1,
      aux_sym__r_sgl_dqt_ctn,
    ACTIONS(2169), 2,
      sym__r_dqt_str_ctn,
      sym__r_dqt_esc_seq,
  [25065] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      sym__b_blk_seq_bgn,
    ACTIONS(2173), 1,
      sym__bl,
    STATE(786), 2,
      sym__b_blk_seq_itm,
      aux_sym__r_blk_seq_repeat1,
  [25079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [25089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 2,
      sym__br_flw_seq_end,
      sym__br_flw_sep_bgn,
    ACTIONS(1939), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
  [25101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1015), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [25111] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [25121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1333), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [25131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [25141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [25151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1339), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [25161] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1351), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [25171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [25181] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [25191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [25201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1021), 2,
      sym__br_flw_seq_end,
      sym__br_flw_sep_bgn,
    ACTIONS(1942), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
  [25213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1007), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [25223] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1021), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [25233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1003), 2,
      sym__br_flw_seq_end,
      sym__br_flw_sep_bgn,
    ACTIONS(1950), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
  [25245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [25255] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      sym__b_blk_seq_bgn,
    ACTIONS(2175), 1,
      sym__bl,
    STATE(786), 2,
      sym__b_blk_seq_itm,
      aux_sym__r_blk_seq_repeat1,
  [25269] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1463), 4,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__br_flw_sep_bgn,
  [25279] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 3,
      sym__b_blk_seq_bgn,
      sym__r_blk_imp_bgn,
      sym__bl,
  [25288] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2177), 1,
      sym__br_blk_str_ctn,
    ACTIONS(2179), 1,
      sym__bl,
    STATE(989), 1,
      aux_sym__r_blk_str_repeat1,
  [25301] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 3,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [25310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(967), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [25321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2183), 3,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [25330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1005), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(1003), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [25341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2185), 3,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_njv_bgn,
  [25350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 3,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [25359] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2187), 1,
      sym__br_blk_str_ctn,
    ACTIONS(2189), 1,
      sym__bl,
    STATE(982), 1,
      aux_sym__r_blk_str_repeat1,
  [25372] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2191), 1,
      sym__br_blk_str_ctn,
    ACTIONS(2193), 1,
      sym__bl,
    STATE(984), 1,
      aux_sym__r_blk_str_repeat1,
  [25385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(977), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [25394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(991), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [25403] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1011), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [25412] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2195), 3,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [25421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(965), 3,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [25430] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2197), 3,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [25439] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 3,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [25448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2199), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [25457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1001), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(999), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [25468] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [25477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2201), 3,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [25486] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [25495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1315), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [25504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [25513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [25522] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1331), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [25531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1333), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [25540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(1021), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [25551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1347), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [25560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1017), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(1015), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [25571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [25580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(965), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(963), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [25591] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [25600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [25609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1339), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [25618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(973), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(971), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [25629] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1351), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [25638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [25647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [25656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [25665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2203), 3,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [25674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [25683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(993), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(1025), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [25694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 3,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [25703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(965), 3,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [25712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [25721] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2205), 3,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_njv_bgn,
  [25730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1013), 3,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [25739] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(989), 3,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [25748] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2207), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [25757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2209), 3,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [25766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1007), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [25775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [25784] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2177), 1,
      sym__br_blk_str_ctn,
    ACTIONS(2211), 1,
      sym__bl,
    STATE(989), 1,
      aux_sym__r_blk_str_repeat1,
  [25797] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [25806] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2177), 1,
      sym__br_blk_str_ctn,
    ACTIONS(2213), 1,
      sym__bl,
    STATE(989), 1,
      aux_sym__r_blk_str_repeat1,
  [25819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [25828] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1013), 3,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [25837] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [25846] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(989), 3,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [25855] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2215), 1,
      sym__br_blk_str_ctn,
    ACTIONS(2218), 1,
      sym__bl,
    STATE(989), 1,
      aux_sym__r_blk_str_repeat1,
  [25868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(989), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(987), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [25879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1013), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(1011), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [25890] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [25899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2203), 3,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [25908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2220), 3,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [25917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2222), 3,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [25926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(981), 3,
      sym__b_blk_seq_bgn,
      sym__r_blk_imp_bgn,
      sym__bl,
  [25935] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2224), 3,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [25944] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [25953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1463), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [25962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [25971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [25980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(993), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(991), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [25991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(977), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [26002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2195), 3,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [26011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1009), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(1007), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [26022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2226), 3,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [26031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1265), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [26040] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2220), 3,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [26049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [26058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2224), 3,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [26067] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2228), 3,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [26076] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1287), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [26085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [26094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2222), 3,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [26103] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2226), 3,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [26112] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2177), 1,
      sym__br_blk_str_ctn,
    ACTIONS(2230), 1,
      sym__bl,
    STATE(989), 1,
      aux_sym__r_blk_str_repeat1,
  [26125] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2177), 1,
      sym__br_blk_str_ctn,
    ACTIONS(2232), 1,
      sym__bl,
    STATE(989), 1,
      aux_sym__r_blk_str_repeat1,
  [26138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1021), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [26147] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [26156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1015), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [26165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2209), 3,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [26174] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2183), 3,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [26183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2185), 3,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_njv_bgn,
  [26192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [26201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [26210] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1267), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [26219] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2234), 1,
      sym__br_blk_str_ctn,
    ACTIONS(2236), 1,
      sym__bl,
    STATE(1016), 1,
      aux_sym__r_blk_str_repeat1,
  [26232] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2238), 1,
      sym__br_blk_str_ctn,
    ACTIONS(2240), 1,
      sym__bl,
    STATE(1017), 1,
      aux_sym__r_blk_str_repeat1,
  [26245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [26254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2242), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [26263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1299), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [26272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [26281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(993), 1,
      sym__r_blk_imp_bgn,
    ACTIONS(1027), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [26292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2246), 1,
      sym__s_doc_end,
    ACTIONS(2244), 2,
      sym__eof,
      sym__s_drs_end,
  [26303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2250), 1,
      sym__s_doc_end,
    ACTIONS(2248), 2,
      sym__eof,
      sym__s_drs_end,
  [26314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2252), 1,
      sym__s_doc_end,
    ACTIONS(2248), 2,
      sym__eof,
      sym__s_drs_end,
  [26325] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1295), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [26334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [26343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1973), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [26352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1271), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [26361] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1025), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [26370] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [26379] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [26388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2197), 3,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [26397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2205), 3,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_njv_bgn,
  [26406] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 3,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_njv_bgn,
  [26415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 3,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_njv_bgn,
  [26424] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2228), 3,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [26433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [26442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [26451] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2254), 1,
      sym__br_blk_str_ctn,
    ACTIONS(2256), 1,
      sym__bl,
    STATE(1067), 1,
      aux_sym__r_blk_str_repeat1,
  [26464] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2258), 1,
      sym__br_blk_str_ctn,
    ACTIONS(2260), 1,
      sym__bl,
    STATE(930), 1,
      aux_sym__r_blk_str_repeat1,
  [26477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [26486] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [26495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [26504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [26513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [26522] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [26531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [26540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [26549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2201), 3,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
      sym__r_flw_jsv_bgn,
  [26558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [26567] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [26576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [26585] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1393), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [26594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 3,
      sym__eof,
      sym__s_drs_end,
      sym__s_doc_end,
  [26603] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2177), 1,
      sym__br_blk_str_ctn,
    ACTIONS(2262), 1,
      sym__bl,
    STATE(989), 1,
      aux_sym__r_blk_str_repeat1,
  [26616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1347), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [26624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2264), 2,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
  [26632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [26640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2266), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
  [26648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [26656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 2,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [26664] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
  [26672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 2,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
  [26680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 2,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [26688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2270), 2,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
  [26696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 2,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [26704] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1339), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [26712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
  [26720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [26728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [26736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2201), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
  [26744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
  [26752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 2,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [26760] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [26768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1333), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [26776] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2220), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
  [26784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1331), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [26792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
  [26800] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [26808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2197), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
  [26816] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2274), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
  [26824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(959), 1,
      sym__r_blk_imp_bgn,
    STATE(381), 1,
      sym__blk_imp_itm_tal,
  [26834] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 2,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [26842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2222), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
  [26850] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2224), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
  [26858] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 2,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [26866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(713), 1,
      sym__r_flw_njv_bgn,
    STATE(1084), 1,
      sym__r_sgl_flw_njl_ann_par,
  [26876] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [26884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2276), 2,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
  [26892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1984), 1,
      sym__r_flw_jsv_bgn,
    STATE(1084), 1,
      sym__r_sgl_flw_jsl_ann_par,
  [26902] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 2,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
  [26910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 2,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [26918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1867), 2,
      sym__r_flw_njv_bgn,
      sym__br_flw_njv_bgn,
  [26926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1919), 2,
      sym__r_flw_njv_bgn,
      sym__br_flw_njv_bgn,
  [26934] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1011), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [26942] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 2,
      sym__r_flw_njv_bgn,
      sym__br_flw_njv_bgn,
  [26950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [26958] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1921), 2,
      sym__r_flw_njv_bgn,
      sym__br_flw_njv_bgn,
  [26966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2203), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
  [26974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2183), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
  [26982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2220), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
  [26990] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2280), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
  [26998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2195), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
  [27006] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2224), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
  [27014] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2205), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
  [27022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1864), 1,
      sym__r_flw_njv_bgn,
    ACTIONS(1867), 1,
      sym__br_flw_njv_bgn,
  [27032] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2209), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
  [27040] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1347), 2,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [27048] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2195), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
  [27056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2228), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
  [27064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
  [27072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
  [27080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2226), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
  [27088] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1011), 2,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [27096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2282), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
  [27104] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1011), 1,
      sym__br_flw_jsv_bgn,
    ACTIONS(1931), 1,
      sym__r_flw_jsv_bgn,
  [27122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2274), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
  [27130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1007), 2,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [27146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 1,
      sym__br_flw_jsv_bgn,
    ACTIONS(1928), 1,
      sym__r_flw_jsv_bgn,
  [27156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2284), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
  [27164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27172] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2286), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
  [27180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
  [27188] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 2,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [27196] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2288), 2,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
  [27204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(959), 1,
      sym__r_blk_imp_bgn,
    STATE(267), 1,
      sym__blk_imp_itm_tal,
  [27214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2290), 2,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
  [27222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1299), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27230] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(965), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
  [27246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1007), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27262] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(959), 1,
      sym__r_blk_imp_bgn,
    STATE(266), 1,
      sym__blk_imp_itm_tal,
  [27288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1013), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
  [27296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(989), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
  [27304] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(977), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1463), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27328] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 2,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [27336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
  [27352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2185), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
  [27360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2294), 2,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
  [27368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(965), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
  [27376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1333), 2,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [27384] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 2,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
  [27392] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2266), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
  [27400] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 2,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [27408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1351), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27424] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27440] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(991), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2226), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
  [27456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1287), 2,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [27464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2205), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
  [27472] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27480] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 2,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [27496] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2286), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
  [27504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 2,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [27520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2284), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
  [27528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1271), 2,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [27536] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 2,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [27544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1013), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
  [27552] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1339), 2,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [27560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(989), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
  [27576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2298), 2,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
  [27584] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2300), 2,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
  [27592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2302), 2,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
  [27608] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1267), 2,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [27616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2228), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
  [27624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1265), 2,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [27632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1295), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2185), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
  [27648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1351), 2,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [27664] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1265), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1267), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 2,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [27688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2209), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
  [27704] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 2,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [27712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 2,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [27720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2183), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
  [27728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1021), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1315), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27760] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27776] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1271), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 2,
      sym__r_flw_njv_bgn,
      sym__br_flw_njv_bgn,
  [27800] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1015), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27816] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27824] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(981), 2,
      sym__r_flw_njv_bgn,
      sym__br_flw_njv_bgn,
  [27832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(773), 1,
      sym__r_flw_njv_bgn,
    STATE(1090), 1,
      sym__r_sgl_flw_njl_ann_par,
  [27842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1003), 1,
      sym__br_flw_jsv_bgn,
    ACTIONS(1950), 1,
      sym__r_flw_jsv_bgn,
  [27852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2140), 1,
      sym__r_flw_jsv_bgn,
    STATE(1090), 1,
      sym__r_sgl_flw_jsl_ann_par,
  [27862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 2,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [27870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2203), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
  [27878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2197), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
  [27886] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1463), 2,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [27894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(999), 1,
      sym__br_flw_jsv_bgn,
    ACTIONS(1947), 1,
      sym__r_flw_jsv_bgn,
  [27904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2304), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2306), 2,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
  [27920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2308), 2,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
  [27928] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 2,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [27936] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2310), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27944] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27952] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2201), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
  [27976] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27984] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1287), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [27992] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2280), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
  [28000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 2,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [28008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1021), 1,
      sym__br_flw_jsv_bgn,
    ACTIONS(1942), 1,
      sym__r_flw_jsv_bgn,
  [28018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1393), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [28026] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [28034] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [28042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [28050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1021), 2,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [28058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1015), 2,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [28066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 1,
      sym__br_flw_jsv_bgn,
    ACTIONS(1939), 1,
      sym__r_flw_jsv_bgn,
  [28076] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 2,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [28084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [28092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 2,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [28100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 2,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [28108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1393), 2,
      sym__r_flw_jsv_bgn,
      sym__br_flw_jsv_bgn,
  [28116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2312), 2,
      sym__r_flw_seq_end,
      sym__br_flw_seq_end,
  [28124] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2314), 2,
      sym__r_flw_map_end,
      sym__br_flw_map_end,
  [28132] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1025), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [28140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [28148] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2222), 2,
      sym__r_flw_seq_end,
      sym__r_flw_sep_bgn,
  [28156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 2,
      sym__b_blk_seq_bgn,
      sym__bl,
  [28164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2282), 2,
      sym__r_flw_map_end,
      sym__r_flw_sep_bgn,
  [28172] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2316), 1,
      sym__r_blk_imp_bgn,
  [28179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2318), 1,
      sym__r_blk_imp_bgn,
  [28186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2320), 1,
      sym__r_blk_imp_bgn,
  [28193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2322), 1,
      sym__r_blk_imp_bgn,
  [28200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2209), 1,
      sym__r_blk_imp_bgn,
  [28207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2228), 1,
      sym__r_flw_jsv_bgn,
  [28214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2324), 1,
      sym__r_dir_tag_pfx,
  [28221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2326), 1,
      sym__r_blk_imp_bgn,
  [28228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2226), 1,
      sym__r_flw_jsv_bgn,
  [28235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2328), 1,
      sym__r_flw_seq_end,
  [28242] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2183), 1,
      sym__r_flw_jsv_bgn,
  [28249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2330), 1,
      sym__r_flw_map_end,
  [28256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2332), 1,
      sym__r_flw_seq_end,
  [28263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2228), 1,
      sym__r_blk_imp_bgn,
  [28270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2209), 1,
      sym__r_flw_jsv_bgn,
  [28277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2334), 1,
      sym__r_blk_imp_bgn,
  [28284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2336), 1,
      sym__r_blk_imp_bgn,
  [28291] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2338), 1,
      sym__r_blk_imp_bgn,
  [28298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2340), 1,
      sym__r_flw_map_end,
  [28305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2183), 1,
      sym__r_blk_imp_bgn,
  [28312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2342), 1,
      sym__r_blk_imp_bgn,
  [28319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2344), 1,
      sym__r_blk_imp_bgn,
  [28326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2195), 1,
      sym__r_blk_imp_bgn,
  [28333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2346), 1,
      sym__eof,
  [28340] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2226), 1,
      sym__r_blk_imp_bgn,
  [28347] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2348), 1,
      sym__r_blk_imp_bgn,
  [28354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2350), 1,
      sym__r_blk_imp_bgn,
  [28361] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      ts_builtin_sym_end,
  [28368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2197), 1,
      sym__r_flw_jsv_bgn,
  [28375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2201), 1,
      sym__r_flw_jsv_bgn,
  [28382] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      sym__r_blk_imp_bgn,
  [28389] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2224), 1,
      sym__r_blk_imp_bgn,
  [28396] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2356), 1,
      sym__eof,
  [28403] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2222), 1,
      sym__r_blk_imp_bgn,
  [28410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2197), 1,
      sym__r_blk_imp_bgn,
  [28417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2358), 1,
      sym__r_flw_map_end,
  [28424] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      sym__r_flw_seq_end,
  [28431] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      sym__r_flw_seq_end,
  [28438] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2203), 1,
      sym__r_flw_jsv_bgn,
  [28445] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2220), 1,
      sym__r_flw_jsv_bgn,
  [28452] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2222), 1,
      sym__r_flw_jsv_bgn,
  [28459] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 1,
      sym__r_blk_imp_bgn,
  [28466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2364), 1,
      ts_builtin_sym_end,
  [28473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2224), 1,
      sym__r_flw_jsv_bgn,
  [28480] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2195), 1,
      sym__r_flw_jsv_bgn,
  [28487] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2366), 1,
      sym__r_blk_imp_bgn,
  [28494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 1,
      sym__r_flw_jsv_bgn,
  [28501] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2201), 1,
      sym__r_blk_imp_bgn,
  [28508] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(981), 1,
      sym__r_blk_imp_bgn,
  [28515] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 1,
      sym__r_flw_jsv_bgn,
  [28522] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(965), 1,
      sym__r_flw_jsv_bgn,
  [28529] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      sym__r_flw_map_end,
  [28536] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1013), 1,
      sym__r_flw_jsv_bgn,
  [28543] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(989), 1,
      sym__r_flw_jsv_bgn,
  [28550] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2370), 1,
      sym__r_flw_map_end,
  [28557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2372), 1,
      sym__r_flw_seq_end,
  [28564] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2374), 1,
      sym__r_blk_imp_bgn,
  [28571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2376), 1,
      sym__r_blk_imp_bgn,
  [28578] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2185), 1,
      sym__r_flw_njv_bgn,
  [28585] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2220), 1,
      sym__r_blk_imp_bgn,
  [28592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2378), 1,
      ts_builtin_sym_end,
  [28599] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2203), 1,
      sym__r_blk_imp_bgn,
  [28606] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2380), 1,
      sym__r_blk_imp_bgn,
  [28613] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2382), 1,
      sym__eof,
  [28620] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2384), 1,
      ts_builtin_sym_end,
  [28627] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2386), 1,
      sym__eof,
  [28634] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2205), 1,
      sym__r_flw_njv_bgn,
  [28641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 1,
      sym__r_blk_imp_bgn,
  [28648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(965), 1,
      sym__r_blk_imp_bgn,
  [28655] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2388), 1,
      sym__r_blk_imp_bgn,
  [28662] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2390), 1,
      sym__r_blk_imp_bgn,
  [28669] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2392), 1,
      sym__r_blk_imp_bgn,
  [28676] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2394), 1,
      ts_builtin_sym_end,
  [28683] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2396), 1,
      sym__eof,
  [28690] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2398), 1,
      sym__r_blk_imp_bgn,
  [28697] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2400), 1,
      sym__r_blk_imp_bgn,
  [28704] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2402), 1,
      ts_builtin_sym_end,
  [28711] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2404), 1,
      sym__eof,
  [28718] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2406), 1,
      sym__r_blk_imp_bgn,
  [28725] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2408), 1,
      sym__r_blk_imp_bgn,
  [28732] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(989), 1,
      sym__r_blk_imp_bgn,
  [28739] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2410), 1,
      sym__r_blk_imp_bgn,
  [28746] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 1,
      sym__r_dir_tag_hdl,
  [28753] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2414), 1,
      sym__r_dir_yml_ver,
  [28760] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1013), 1,
      sym__r_blk_imp_bgn,
  [28767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2416), 1,
      sym__r_blk_imp_bgn,
  [28774] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2418), 1,
      sym__r_blk_imp_bgn,
  [28781] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2420), 1,
      sym__r_blk_imp_bgn,
  [28788] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2422), 1,
      sym__r_flw_map_end,
  [28795] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2424), 1,
      sym__r_flw_seq_end,
  [28802] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 1,
      sym__r_flw_njv_bgn,
  [28809] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2426), 1,
      sym__r_blk_imp_bgn,
};

static uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(40)] = 0,
  [SMALL_STATE(41)] = 152,
  [SMALL_STATE(42)] = 304,
  [SMALL_STATE(43)] = 455,
  [SMALL_STATE(44)] = 606,
  [SMALL_STATE(45)] = 757,
  [SMALL_STATE(46)] = 908,
  [SMALL_STATE(47)] = 1059,
  [SMALL_STATE(48)] = 1210,
  [SMALL_STATE(49)] = 1361,
  [SMALL_STATE(50)] = 1512,
  [SMALL_STATE(51)] = 1663,
  [SMALL_STATE(52)] = 1814,
  [SMALL_STATE(53)] = 1965,
  [SMALL_STATE(54)] = 2116,
  [SMALL_STATE(55)] = 2267,
  [SMALL_STATE(56)] = 2416,
  [SMALL_STATE(57)] = 2565,
  [SMALL_STATE(58)] = 2714,
  [SMALL_STATE(59)] = 2863,
  [SMALL_STATE(60)] = 3012,
  [SMALL_STATE(61)] = 3149,
  [SMALL_STATE(62)] = 3298,
  [SMALL_STATE(63)] = 3447,
  [SMALL_STATE(64)] = 3596,
  [SMALL_STATE(65)] = 3745,
  [SMALL_STATE(66)] = 3894,
  [SMALL_STATE(67)] = 4043,
  [SMALL_STATE(68)] = 4180,
  [SMALL_STATE(69)] = 4329,
  [SMALL_STATE(70)] = 4478,
  [SMALL_STATE(71)] = 4620,
  [SMALL_STATE(72)] = 4762,
  [SMALL_STATE(73)] = 4904,
  [SMALL_STATE(74)] = 5046,
  [SMALL_STATE(75)] = 5186,
  [SMALL_STATE(76)] = 5326,
  [SMALL_STATE(77)] = 5466,
  [SMALL_STATE(78)] = 5604,
  [SMALL_STATE(79)] = 5744,
  [SMALL_STATE(80)] = 5877,
  [SMALL_STATE(81)] = 6010,
  [SMALL_STATE(82)] = 6142,
  [SMALL_STATE(83)] = 6274,
  [SMALL_STATE(84)] = 6410,
  [SMALL_STATE(85)] = 6528,
  [SMALL_STATE(86)] = 6646,
  [SMALL_STATE(87)] = 6764,
  [SMALL_STATE(88)] = 6882,
  [SMALL_STATE(89)] = 6989,
  [SMALL_STATE(90)] = 7096,
  [SMALL_STATE(91)] = 7203,
  [SMALL_STATE(92)] = 7310,
  [SMALL_STATE(93)] = 7417,
  [SMALL_STATE(94)] = 7524,
  [SMALL_STATE(95)] = 7631,
  [SMALL_STATE(96)] = 7738,
  [SMALL_STATE(97)] = 7788,
  [SMALL_STATE(98)] = 7838,
  [SMALL_STATE(99)] = 7888,
  [SMALL_STATE(100)] = 7938,
  [SMALL_STATE(101)] = 7983,
  [SMALL_STATE(102)] = 8028,
  [SMALL_STATE(103)] = 8073,
  [SMALL_STATE(104)] = 8118,
  [SMALL_STATE(105)] = 8158,
  [SMALL_STATE(106)] = 8198,
  [SMALL_STATE(107)] = 8273,
  [SMALL_STATE(108)] = 8348,
  [SMALL_STATE(109)] = 8423,
  [SMALL_STATE(110)] = 8498,
  [SMALL_STATE(111)] = 8573,
  [SMALL_STATE(112)] = 8648,
  [SMALL_STATE(113)] = 8727,
  [SMALL_STATE(114)] = 8802,
  [SMALL_STATE(115)] = 8877,
  [SMALL_STATE(116)] = 8956,
  [SMALL_STATE(117)] = 9031,
  [SMALL_STATE(118)] = 9110,
  [SMALL_STATE(119)] = 9189,
  [SMALL_STATE(120)] = 9268,
  [SMALL_STATE(121)] = 9347,
  [SMALL_STATE(122)] = 9426,
  [SMALL_STATE(123)] = 9505,
  [SMALL_STATE(124)] = 9580,
  [SMALL_STATE(125)] = 9655,
  [SMALL_STATE(126)] = 9734,
  [SMALL_STATE(127)] = 9809,
  [SMALL_STATE(128)] = 9884,
  [SMALL_STATE(129)] = 9963,
  [SMALL_STATE(130)] = 10042,
  [SMALL_STATE(131)] = 10121,
  [SMALL_STATE(132)] = 10200,
  [SMALL_STATE(133)] = 10279,
  [SMALL_STATE(134)] = 10352,
  [SMALL_STATE(135)] = 10425,
  [SMALL_STATE(136)] = 10498,
  [SMALL_STATE(137)] = 10571,
  [SMALL_STATE(138)] = 10612,
  [SMALL_STATE(139)] = 10653,
  [SMALL_STATE(140)] = 10694,
  [SMALL_STATE(141)] = 10735,
  [SMALL_STATE(142)] = 10775,
  [SMALL_STATE(143)] = 10811,
  [SMALL_STATE(144)] = 10881,
  [SMALL_STATE(145)] = 10939,
  [SMALL_STATE(146)] = 10975,
  [SMALL_STATE(147)] = 11033,
  [SMALL_STATE(148)] = 11069,
  [SMALL_STATE(149)] = 11105,
  [SMALL_STATE(150)] = 11145,
  [SMALL_STATE(151)] = 11185,
  [SMALL_STATE(152)] = 11225,
  [SMALL_STATE(153)] = 11295,
  [SMALL_STATE(154)] = 11352,
  [SMALL_STATE(155)] = 11409,
  [SMALL_STATE(156)] = 11440,
  [SMALL_STATE(157)] = 11475,
  [SMALL_STATE(158)] = 11506,
  [SMALL_STATE(159)] = 11541,
  [SMALL_STATE(160)] = 11597,
  [SMALL_STATE(161)] = 11653,
  [SMALL_STATE(162)] = 11709,
  [SMALL_STATE(163)] = 11739,
  [SMALL_STATE(164)] = 11769,
  [SMALL_STATE(165)] = 11825,
  [SMALL_STATE(166)] = 11886,
  [SMALL_STATE(167)] = 11943,
  [SMALL_STATE(168)] = 12000,
  [SMALL_STATE(169)] = 12061,
  [SMALL_STATE(170)] = 12118,
  [SMALL_STATE(171)] = 12175,
  [SMALL_STATE(172)] = 12229,
  [SMALL_STATE(173)] = 12283,
  [SMALL_STATE(174)] = 12315,
  [SMALL_STATE(175)] = 12343,
  [SMALL_STATE(176)] = 12369,
  [SMALL_STATE(177)] = 12395,
  [SMALL_STATE(178)] = 12421,
  [SMALL_STATE(179)] = 12447,
  [SMALL_STATE(180)] = 12473,
  [SMALL_STATE(181)] = 12499,
  [SMALL_STATE(182)] = 12527,
  [SMALL_STATE(183)] = 12555,
  [SMALL_STATE(184)] = 12587,
  [SMALL_STATE(185)] = 12615,
  [SMALL_STATE(186)] = 12641,
  [SMALL_STATE(187)] = 12668,
  [SMALL_STATE(188)] = 12699,
  [SMALL_STATE(189)] = 12730,
  [SMALL_STATE(190)] = 12757,
  [SMALL_STATE(191)] = 12784,
  [SMALL_STATE(192)] = 12811,
  [SMALL_STATE(193)] = 12841,
  [SMALL_STATE(194)] = 12867,
  [SMALL_STATE(195)] = 12891,
  [SMALL_STATE(196)] = 12917,
  [SMALL_STATE(197)] = 12943,
  [SMALL_STATE(198)] = 12973,
  [SMALL_STATE(199)] = 12999,
  [SMALL_STATE(200)] = 13025,
  [SMALL_STATE(201)] = 13051,
  [SMALL_STATE(202)] = 13077,
  [SMALL_STATE(203)] = 13101,
  [SMALL_STATE(204)] = 13131,
  [SMALL_STATE(205)] = 13161,
  [SMALL_STATE(206)] = 13187,
  [SMALL_STATE(207)] = 13213,
  [SMALL_STATE(208)] = 13236,
  [SMALL_STATE(209)] = 13259,
  [SMALL_STATE(210)] = 13284,
  [SMALL_STATE(211)] = 13312,
  [SMALL_STATE(212)] = 13336,
  [SMALL_STATE(213)] = 13358,
  [SMALL_STATE(214)] = 13380,
  [SMALL_STATE(215)] = 13404,
  [SMALL_STATE(216)] = 13426,
  [SMALL_STATE(217)] = 13448,
  [SMALL_STATE(218)] = 13472,
  [SMALL_STATE(219)] = 13496,
  [SMALL_STATE(220)] = 13520,
  [SMALL_STATE(221)] = 13544,
  [SMALL_STATE(222)] = 13572,
  [SMALL_STATE(223)] = 13594,
  [SMALL_STATE(224)] = 13614,
  [SMALL_STATE(225)] = 13634,
  [SMALL_STATE(226)] = 13657,
  [SMALL_STATE(227)] = 13680,
  [SMALL_STATE(228)] = 13703,
  [SMALL_STATE(229)] = 13723,
  [SMALL_STATE(230)] = 13743,
  [SMALL_STATE(231)] = 13763,
  [SMALL_STATE(232)] = 13785,
  [SMALL_STATE(233)] = 13805,
  [SMALL_STATE(234)] = 13823,
  [SMALL_STATE(235)] = 13859,
  [SMALL_STATE(236)] = 13879,
  [SMALL_STATE(237)] = 13899,
  [SMALL_STATE(238)] = 13921,
  [SMALL_STATE(239)] = 13943,
  [SMALL_STATE(240)] = 13963,
  [SMALL_STATE(241)] = 13983,
  [SMALL_STATE(242)] = 14003,
  [SMALL_STATE(243)] = 14023,
  [SMALL_STATE(244)] = 14043,
  [SMALL_STATE(245)] = 14061,
  [SMALL_STATE(246)] = 14081,
  [SMALL_STATE(247)] = 14101,
  [SMALL_STATE(248)] = 14121,
  [SMALL_STATE(249)] = 14157,
  [SMALL_STATE(250)] = 14186,
  [SMALL_STATE(251)] = 14217,
  [SMALL_STATE(252)] = 14246,
  [SMALL_STATE(253)] = 14275,
  [SMALL_STATE(254)] = 14306,
  [SMALL_STATE(255)] = 14337,
  [SMALL_STATE(256)] = 14368,
  [SMALL_STATE(257)] = 14385,
  [SMALL_STATE(258)] = 14420,
  [SMALL_STATE(259)] = 14449,
  [SMALL_STATE(260)] = 14466,
  [SMALL_STATE(261)] = 14497,
  [SMALL_STATE(262)] = 14514,
  [SMALL_STATE(263)] = 14543,
  [SMALL_STATE(264)] = 14574,
  [SMALL_STATE(265)] = 14605,
  [SMALL_STATE(266)] = 14636,
  [SMALL_STATE(267)] = 14653,
  [SMALL_STATE(268)] = 14670,
  [SMALL_STATE(269)] = 14701,
  [SMALL_STATE(270)] = 14718,
  [SMALL_STATE(271)] = 14735,
  [SMALL_STATE(272)] = 14764,
  [SMALL_STATE(273)] = 14795,
  [SMALL_STATE(274)] = 14824,
  [SMALL_STATE(275)] = 14853,
  [SMALL_STATE(276)] = 14884,
  [SMALL_STATE(277)] = 14901,
  [SMALL_STATE(278)] = 14930,
  [SMALL_STATE(279)] = 14947,
  [SMALL_STATE(280)] = 14964,
  [SMALL_STATE(281)] = 14981,
  [SMALL_STATE(282)] = 14998,
  [SMALL_STATE(283)] = 15015,
  [SMALL_STATE(284)] = 15032,
  [SMALL_STATE(285)] = 15061,
  [SMALL_STATE(286)] = 15090,
  [SMALL_STATE(287)] = 15121,
  [SMALL_STATE(288)] = 15156,
  [SMALL_STATE(289)] = 15185,
  [SMALL_STATE(290)] = 15216,
  [SMALL_STATE(291)] = 15247,
  [SMALL_STATE(292)] = 15264,
  [SMALL_STATE(293)] = 15295,
  [SMALL_STATE(294)] = 15312,
  [SMALL_STATE(295)] = 15343,
  [SMALL_STATE(296)] = 15372,
  [SMALL_STATE(297)] = 15403,
  [SMALL_STATE(298)] = 15420,
  [SMALL_STATE(299)] = 15437,
  [SMALL_STATE(300)] = 15454,
  [SMALL_STATE(301)] = 15471,
  [SMALL_STATE(302)] = 15500,
  [SMALL_STATE(303)] = 15529,
  [SMALL_STATE(304)] = 15546,
  [SMALL_STATE(305)] = 15563,
  [SMALL_STATE(306)] = 15592,
  [SMALL_STATE(307)] = 15609,
  [SMALL_STATE(308)] = 15626,
  [SMALL_STATE(309)] = 15643,
  [SMALL_STATE(310)] = 15660,
  [SMALL_STATE(311)] = 15677,
  [SMALL_STATE(312)] = 15706,
  [SMALL_STATE(313)] = 15723,
  [SMALL_STATE(314)] = 15740,
  [SMALL_STATE(315)] = 15757,
  [SMALL_STATE(316)] = 15774,
  [SMALL_STATE(317)] = 15805,
  [SMALL_STATE(318)] = 15836,
  [SMALL_STATE(319)] = 15853,
  [SMALL_STATE(320)] = 15870,
  [SMALL_STATE(321)] = 15887,
  [SMALL_STATE(322)] = 15904,
  [SMALL_STATE(323)] = 15921,
  [SMALL_STATE(324)] = 15938,
  [SMALL_STATE(325)] = 15955,
  [SMALL_STATE(326)] = 15972,
  [SMALL_STATE(327)] = 15989,
  [SMALL_STATE(328)] = 16018,
  [SMALL_STATE(329)] = 16035,
  [SMALL_STATE(330)] = 16052,
  [SMALL_STATE(331)] = 16069,
  [SMALL_STATE(332)] = 16086,
  [SMALL_STATE(333)] = 16103,
  [SMALL_STATE(334)] = 16120,
  [SMALL_STATE(335)] = 16137,
  [SMALL_STATE(336)] = 16166,
  [SMALL_STATE(337)] = 16183,
  [SMALL_STATE(338)] = 16200,
  [SMALL_STATE(339)] = 16217,
  [SMALL_STATE(340)] = 16234,
  [SMALL_STATE(341)] = 16251,
  [SMALL_STATE(342)] = 16268,
  [SMALL_STATE(343)] = 16285,
  [SMALL_STATE(344)] = 16302,
  [SMALL_STATE(345)] = 16319,
  [SMALL_STATE(346)] = 16336,
  [SMALL_STATE(347)] = 16365,
  [SMALL_STATE(348)] = 16382,
  [SMALL_STATE(349)] = 16399,
  [SMALL_STATE(350)] = 16416,
  [SMALL_STATE(351)] = 16433,
  [SMALL_STATE(352)] = 16450,
  [SMALL_STATE(353)] = 16467,
  [SMALL_STATE(354)] = 16484,
  [SMALL_STATE(355)] = 16501,
  [SMALL_STATE(356)] = 16518,
  [SMALL_STATE(357)] = 16535,
  [SMALL_STATE(358)] = 16566,
  [SMALL_STATE(359)] = 16595,
  [SMALL_STATE(360)] = 16612,
  [SMALL_STATE(361)] = 16641,
  [SMALL_STATE(362)] = 16658,
  [SMALL_STATE(363)] = 16687,
  [SMALL_STATE(364)] = 16704,
  [SMALL_STATE(365)] = 16721,
  [SMALL_STATE(366)] = 16738,
  [SMALL_STATE(367)] = 16769,
  [SMALL_STATE(368)] = 16786,
  [SMALL_STATE(369)] = 16815,
  [SMALL_STATE(370)] = 16832,
  [SMALL_STATE(371)] = 16849,
  [SMALL_STATE(372)] = 16866,
  [SMALL_STATE(373)] = 16883,
  [SMALL_STATE(374)] = 16900,
  [SMALL_STATE(375)] = 16929,
  [SMALL_STATE(376)] = 16946,
  [SMALL_STATE(377)] = 16963,
  [SMALL_STATE(378)] = 16980,
  [SMALL_STATE(379)] = 16997,
  [SMALL_STATE(380)] = 17014,
  [SMALL_STATE(381)] = 17031,
  [SMALL_STATE(382)] = 17048,
  [SMALL_STATE(383)] = 17079,
  [SMALL_STATE(384)] = 17096,
  [SMALL_STATE(385)] = 17113,
  [SMALL_STATE(386)] = 17142,
  [SMALL_STATE(387)] = 17159,
  [SMALL_STATE(388)] = 17185,
  [SMALL_STATE(389)] = 17219,
  [SMALL_STATE(390)] = 17253,
  [SMALL_STATE(391)] = 17281,
  [SMALL_STATE(392)] = 17309,
  [SMALL_STATE(393)] = 17337,
  [SMALL_STATE(394)] = 17371,
  [SMALL_STATE(395)] = 17405,
  [SMALL_STATE(396)] = 17433,
  [SMALL_STATE(397)] = 17461,
  [SMALL_STATE(398)] = 17480,
  [SMALL_STATE(399)] = 17505,
  [SMALL_STATE(400)] = 17528,
  [SMALL_STATE(401)] = 17553,
  [SMALL_STATE(402)] = 17576,
  [SMALL_STATE(403)] = 17599,
  [SMALL_STATE(404)] = 17622,
  [SMALL_STATE(405)] = 17647,
  [SMALL_STATE(406)] = 17666,
  [SMALL_STATE(407)] = 17687,
  [SMALL_STATE(408)] = 17712,
  [SMALL_STATE(409)] = 17737,
  [SMALL_STATE(410)] = 17762,
  [SMALL_STATE(411)] = 17787,
  [SMALL_STATE(412)] = 17810,
  [SMALL_STATE(413)] = 17835,
  [SMALL_STATE(414)] = 17860,
  [SMALL_STATE(415)] = 17883,
  [SMALL_STATE(416)] = 17906,
  [SMALL_STATE(417)] = 17929,
  [SMALL_STATE(418)] = 17952,
  [SMALL_STATE(419)] = 17979,
  [SMALL_STATE(420)] = 18004,
  [SMALL_STATE(421)] = 18025,
  [SMALL_STATE(422)] = 18048,
  [SMALL_STATE(423)] = 18071,
  [SMALL_STATE(424)] = 18094,
  [SMALL_STATE(425)] = 18117,
  [SMALL_STATE(426)] = 18142,
  [SMALL_STATE(427)] = 18167,
  [SMALL_STATE(428)] = 18192,
  [SMALL_STATE(429)] = 18217,
  [SMALL_STATE(430)] = 18240,
  [SMALL_STATE(431)] = 18263,
  [SMALL_STATE(432)] = 18288,
  [SMALL_STATE(433)] = 18311,
  [SMALL_STATE(434)] = 18334,
  [SMALL_STATE(435)] = 18359,
  [SMALL_STATE(436)] = 18384,
  [SMALL_STATE(437)] = 18407,
  [SMALL_STATE(438)] = 18432,
  [SMALL_STATE(439)] = 18455,
  [SMALL_STATE(440)] = 18472,
  [SMALL_STATE(441)] = 18489,
  [SMALL_STATE(442)] = 18512,
  [SMALL_STATE(443)] = 18537,
  [SMALL_STATE(444)] = 18560,
  [SMALL_STATE(445)] = 18583,
  [SMALL_STATE(446)] = 18600,
  [SMALL_STATE(447)] = 18617,
  [SMALL_STATE(448)] = 18640,
  [SMALL_STATE(449)] = 18665,
  [SMALL_STATE(450)] = 18690,
  [SMALL_STATE(451)] = 18713,
  [SMALL_STATE(452)] = 18736,
  [SMALL_STATE(453)] = 18759,
  [SMALL_STATE(454)] = 18782,
  [SMALL_STATE(455)] = 18807,
  [SMALL_STATE(456)] = 18821,
  [SMALL_STATE(457)] = 18837,
  [SMALL_STATE(458)] = 18853,
  [SMALL_STATE(459)] = 18869,
  [SMALL_STATE(460)] = 18885,
  [SMALL_STATE(461)] = 18899,
  [SMALL_STATE(462)] = 18921,
  [SMALL_STATE(463)] = 18943,
  [SMALL_STATE(464)] = 18965,
  [SMALL_STATE(465)] = 18987,
  [SMALL_STATE(466)] = 19006,
  [SMALL_STATE(467)] = 19023,
  [SMALL_STATE(468)] = 19042,
  [SMALL_STATE(469)] = 19061,
  [SMALL_STATE(470)] = 19080,
  [SMALL_STATE(471)] = 19099,
  [SMALL_STATE(472)] = 19118,
  [SMALL_STATE(473)] = 19137,
  [SMALL_STATE(474)] = 19156,
  [SMALL_STATE(475)] = 19175,
  [SMALL_STATE(476)] = 19194,
  [SMALL_STATE(477)] = 19213,
  [SMALL_STATE(478)] = 19232,
  [SMALL_STATE(479)] = 19251,
  [SMALL_STATE(480)] = 19270,
  [SMALL_STATE(481)] = 19289,
  [SMALL_STATE(482)] = 19308,
  [SMALL_STATE(483)] = 19327,
  [SMALL_STATE(484)] = 19346,
  [SMALL_STATE(485)] = 19365,
  [SMALL_STATE(486)] = 19384,
  [SMALL_STATE(487)] = 19403,
  [SMALL_STATE(488)] = 19422,
  [SMALL_STATE(489)] = 19441,
  [SMALL_STATE(490)] = 19460,
  [SMALL_STATE(491)] = 19479,
  [SMALL_STATE(492)] = 19498,
  [SMALL_STATE(493)] = 19517,
  [SMALL_STATE(494)] = 19536,
  [SMALL_STATE(495)] = 19555,
  [SMALL_STATE(496)] = 19574,
  [SMALL_STATE(497)] = 19593,
  [SMALL_STATE(498)] = 19612,
  [SMALL_STATE(499)] = 19631,
  [SMALL_STATE(500)] = 19650,
  [SMALL_STATE(501)] = 19669,
  [SMALL_STATE(502)] = 19688,
  [SMALL_STATE(503)] = 19707,
  [SMALL_STATE(504)] = 19726,
  [SMALL_STATE(505)] = 19745,
  [SMALL_STATE(506)] = 19764,
  [SMALL_STATE(507)] = 19783,
  [SMALL_STATE(508)] = 19802,
  [SMALL_STATE(509)] = 19821,
  [SMALL_STATE(510)] = 19840,
  [SMALL_STATE(511)] = 19859,
  [SMALL_STATE(512)] = 19878,
  [SMALL_STATE(513)] = 19897,
  [SMALL_STATE(514)] = 19916,
  [SMALL_STATE(515)] = 19935,
  [SMALL_STATE(516)] = 19954,
  [SMALL_STATE(517)] = 19973,
  [SMALL_STATE(518)] = 19994,
  [SMALL_STATE(519)] = 20013,
  [SMALL_STATE(520)] = 20032,
  [SMALL_STATE(521)] = 20051,
  [SMALL_STATE(522)] = 20070,
  [SMALL_STATE(523)] = 20089,
  [SMALL_STATE(524)] = 20108,
  [SMALL_STATE(525)] = 20127,
  [SMALL_STATE(526)] = 20146,
  [SMALL_STATE(527)] = 20165,
  [SMALL_STATE(528)] = 20184,
  [SMALL_STATE(529)] = 20203,
  [SMALL_STATE(530)] = 20222,
  [SMALL_STATE(531)] = 20241,
  [SMALL_STATE(532)] = 20260,
  [SMALL_STATE(533)] = 20277,
  [SMALL_STATE(534)] = 20296,
  [SMALL_STATE(535)] = 20315,
  [SMALL_STATE(536)] = 20334,
  [SMALL_STATE(537)] = 20353,
  [SMALL_STATE(538)] = 20372,
  [SMALL_STATE(539)] = 20391,
  [SMALL_STATE(540)] = 20410,
  [SMALL_STATE(541)] = 20429,
  [SMALL_STATE(542)] = 20448,
  [SMALL_STATE(543)] = 20463,
  [SMALL_STATE(544)] = 20482,
  [SMALL_STATE(545)] = 20497,
  [SMALL_STATE(546)] = 20512,
  [SMALL_STATE(547)] = 20527,
  [SMALL_STATE(548)] = 20542,
  [SMALL_STATE(549)] = 20557,
  [SMALL_STATE(550)] = 20570,
  [SMALL_STATE(551)] = 20583,
  [SMALL_STATE(552)] = 20602,
  [SMALL_STATE(553)] = 20621,
  [SMALL_STATE(554)] = 20640,
  [SMALL_STATE(555)] = 20659,
  [SMALL_STATE(556)] = 20676,
  [SMALL_STATE(557)] = 20693,
  [SMALL_STATE(558)] = 20712,
  [SMALL_STATE(559)] = 20731,
  [SMALL_STATE(560)] = 20747,
  [SMALL_STATE(561)] = 20763,
  [SMALL_STATE(562)] = 20779,
  [SMALL_STATE(563)] = 20795,
  [SMALL_STATE(564)] = 20811,
  [SMALL_STATE(565)] = 20827,
  [SMALL_STATE(566)] = 20843,
  [SMALL_STATE(567)] = 20857,
  [SMALL_STATE(568)] = 20869,
  [SMALL_STATE(569)] = 20881,
  [SMALL_STATE(570)] = 20897,
  [SMALL_STATE(571)] = 20913,
  [SMALL_STATE(572)] = 20929,
  [SMALL_STATE(573)] = 20945,
  [SMALL_STATE(574)] = 20961,
  [SMALL_STATE(575)] = 20977,
  [SMALL_STATE(576)] = 20993,
  [SMALL_STATE(577)] = 21009,
  [SMALL_STATE(578)] = 21025,
  [SMALL_STATE(579)] = 21041,
  [SMALL_STATE(580)] = 21057,
  [SMALL_STATE(581)] = 21073,
  [SMALL_STATE(582)] = 21089,
  [SMALL_STATE(583)] = 21105,
  [SMALL_STATE(584)] = 21121,
  [SMALL_STATE(585)] = 21137,
  [SMALL_STATE(586)] = 21153,
  [SMALL_STATE(587)] = 21169,
  [SMALL_STATE(588)] = 21185,
  [SMALL_STATE(589)] = 21201,
  [SMALL_STATE(590)] = 21217,
  [SMALL_STATE(591)] = 21233,
  [SMALL_STATE(592)] = 21249,
  [SMALL_STATE(593)] = 21265,
  [SMALL_STATE(594)] = 21281,
  [SMALL_STATE(595)] = 21297,
  [SMALL_STATE(596)] = 21313,
  [SMALL_STATE(597)] = 21329,
  [SMALL_STATE(598)] = 21345,
  [SMALL_STATE(599)] = 21361,
  [SMALL_STATE(600)] = 21377,
  [SMALL_STATE(601)] = 21393,
  [SMALL_STATE(602)] = 21409,
  [SMALL_STATE(603)] = 21425,
  [SMALL_STATE(604)] = 21441,
  [SMALL_STATE(605)] = 21453,
  [SMALL_STATE(606)] = 21465,
  [SMALL_STATE(607)] = 21477,
  [SMALL_STATE(608)] = 21489,
  [SMALL_STATE(609)] = 21501,
  [SMALL_STATE(610)] = 21513,
  [SMALL_STATE(611)] = 21525,
  [SMALL_STATE(612)] = 21537,
  [SMALL_STATE(613)] = 21549,
  [SMALL_STATE(614)] = 21561,
  [SMALL_STATE(615)] = 21573,
  [SMALL_STATE(616)] = 21585,
  [SMALL_STATE(617)] = 21601,
  [SMALL_STATE(618)] = 21615,
  [SMALL_STATE(619)] = 21627,
  [SMALL_STATE(620)] = 21641,
  [SMALL_STATE(621)] = 21653,
  [SMALL_STATE(622)] = 21665,
  [SMALL_STATE(623)] = 21681,
  [SMALL_STATE(624)] = 21693,
  [SMALL_STATE(625)] = 21705,
  [SMALL_STATE(626)] = 21717,
  [SMALL_STATE(627)] = 21729,
  [SMALL_STATE(628)] = 21741,
  [SMALL_STATE(629)] = 21753,
  [SMALL_STATE(630)] = 21765,
  [SMALL_STATE(631)] = 21777,
  [SMALL_STATE(632)] = 21789,
  [SMALL_STATE(633)] = 21801,
  [SMALL_STATE(634)] = 21813,
  [SMALL_STATE(635)] = 21827,
  [SMALL_STATE(636)] = 21839,
  [SMALL_STATE(637)] = 21851,
  [SMALL_STATE(638)] = 21865,
  [SMALL_STATE(639)] = 21877,
  [SMALL_STATE(640)] = 21889,
  [SMALL_STATE(641)] = 21901,
  [SMALL_STATE(642)] = 21915,
  [SMALL_STATE(643)] = 21927,
  [SMALL_STATE(644)] = 21939,
  [SMALL_STATE(645)] = 21953,
  [SMALL_STATE(646)] = 21965,
  [SMALL_STATE(647)] = 21977,
  [SMALL_STATE(648)] = 21989,
  [SMALL_STATE(649)] = 22001,
  [SMALL_STATE(650)] = 22013,
  [SMALL_STATE(651)] = 22025,
  [SMALL_STATE(652)] = 22037,
  [SMALL_STATE(653)] = 22049,
  [SMALL_STATE(654)] = 22061,
  [SMALL_STATE(655)] = 22073,
  [SMALL_STATE(656)] = 22089,
  [SMALL_STATE(657)] = 22105,
  [SMALL_STATE(658)] = 22121,
  [SMALL_STATE(659)] = 22137,
  [SMALL_STATE(660)] = 22153,
  [SMALL_STATE(661)] = 22169,
  [SMALL_STATE(662)] = 22180,
  [SMALL_STATE(663)] = 22191,
  [SMALL_STATE(664)] = 22206,
  [SMALL_STATE(665)] = 22221,
  [SMALL_STATE(666)] = 22234,
  [SMALL_STATE(667)] = 22245,
  [SMALL_STATE(668)] = 22256,
  [SMALL_STATE(669)] = 22275,
  [SMALL_STATE(670)] = 22290,
  [SMALL_STATE(671)] = 22301,
  [SMALL_STATE(672)] = 22312,
  [SMALL_STATE(673)] = 22323,
  [SMALL_STATE(674)] = 22334,
  [SMALL_STATE(675)] = 22345,
  [SMALL_STATE(676)] = 22356,
  [SMALL_STATE(677)] = 22367,
  [SMALL_STATE(678)] = 22378,
  [SMALL_STATE(679)] = 22389,
  [SMALL_STATE(680)] = 22400,
  [SMALL_STATE(681)] = 22411,
  [SMALL_STATE(682)] = 22422,
  [SMALL_STATE(683)] = 22433,
  [SMALL_STATE(684)] = 22444,
  [SMALL_STATE(685)] = 22455,
  [SMALL_STATE(686)] = 22466,
  [SMALL_STATE(687)] = 22477,
  [SMALL_STATE(688)] = 22490,
  [SMALL_STATE(689)] = 22501,
  [SMALL_STATE(690)] = 22512,
  [SMALL_STATE(691)] = 22525,
  [SMALL_STATE(692)] = 22536,
  [SMALL_STATE(693)] = 22549,
  [SMALL_STATE(694)] = 22560,
  [SMALL_STATE(695)] = 22571,
  [SMALL_STATE(696)] = 22582,
  [SMALL_STATE(697)] = 22593,
  [SMALL_STATE(698)] = 22604,
  [SMALL_STATE(699)] = 22615,
  [SMALL_STATE(700)] = 22628,
  [SMALL_STATE(701)] = 22639,
  [SMALL_STATE(702)] = 22650,
  [SMALL_STATE(703)] = 22661,
  [SMALL_STATE(704)] = 22672,
  [SMALL_STATE(705)] = 22683,
  [SMALL_STATE(706)] = 22696,
  [SMALL_STATE(707)] = 22707,
  [SMALL_STATE(708)] = 22718,
  [SMALL_STATE(709)] = 22731,
  [SMALL_STATE(710)] = 22742,
  [SMALL_STATE(711)] = 22753,
  [SMALL_STATE(712)] = 22764,
  [SMALL_STATE(713)] = 22775,
  [SMALL_STATE(714)] = 22786,
  [SMALL_STATE(715)] = 22805,
  [SMALL_STATE(716)] = 22816,
  [SMALL_STATE(717)] = 22827,
  [SMALL_STATE(718)] = 22837,
  [SMALL_STATE(719)] = 22849,
  [SMALL_STATE(720)] = 22863,
  [SMALL_STATE(721)] = 22877,
  [SMALL_STATE(722)] = 22889,
  [SMALL_STATE(723)] = 22899,
  [SMALL_STATE(724)] = 22911,
  [SMALL_STATE(725)] = 22923,
  [SMALL_STATE(726)] = 22933,
  [SMALL_STATE(727)] = 22943,
  [SMALL_STATE(728)] = 22957,
  [SMALL_STATE(729)] = 22971,
  [SMALL_STATE(730)] = 22985,
  [SMALL_STATE(731)] = 22999,
  [SMALL_STATE(732)] = 23013,
  [SMALL_STATE(733)] = 23027,
  [SMALL_STATE(734)] = 23037,
  [SMALL_STATE(735)] = 23047,
  [SMALL_STATE(736)] = 23061,
  [SMALL_STATE(737)] = 23071,
  [SMALL_STATE(738)] = 23085,
  [SMALL_STATE(739)] = 23099,
  [SMALL_STATE(740)] = 23113,
  [SMALL_STATE(741)] = 23127,
  [SMALL_STATE(742)] = 23137,
  [SMALL_STATE(743)] = 23151,
  [SMALL_STATE(744)] = 23163,
  [SMALL_STATE(745)] = 23177,
  [SMALL_STATE(746)] = 23187,
  [SMALL_STATE(747)] = 23197,
  [SMALL_STATE(748)] = 23207,
  [SMALL_STATE(749)] = 23217,
  [SMALL_STATE(750)] = 23227,
  [SMALL_STATE(751)] = 23241,
  [SMALL_STATE(752)] = 23253,
  [SMALL_STATE(753)] = 23267,
  [SMALL_STATE(754)] = 23277,
  [SMALL_STATE(755)] = 23287,
  [SMALL_STATE(756)] = 23297,
  [SMALL_STATE(757)] = 23311,
  [SMALL_STATE(758)] = 23325,
  [SMALL_STATE(759)] = 23339,
  [SMALL_STATE(760)] = 23351,
  [SMALL_STATE(761)] = 23361,
  [SMALL_STATE(762)] = 23373,
  [SMALL_STATE(763)] = 23383,
  [SMALL_STATE(764)] = 23393,
  [SMALL_STATE(765)] = 23405,
  [SMALL_STATE(766)] = 23421,
  [SMALL_STATE(767)] = 23437,
  [SMALL_STATE(768)] = 23451,
  [SMALL_STATE(769)] = 23467,
  [SMALL_STATE(770)] = 23481,
  [SMALL_STATE(771)] = 23495,
  [SMALL_STATE(772)] = 23511,
  [SMALL_STATE(773)] = 23525,
  [SMALL_STATE(774)] = 23539,
  [SMALL_STATE(775)] = 23553,
  [SMALL_STATE(776)] = 23563,
  [SMALL_STATE(777)] = 23573,
  [SMALL_STATE(778)] = 23583,
  [SMALL_STATE(779)] = 23597,
  [SMALL_STATE(780)] = 23607,
  [SMALL_STATE(781)] = 23617,
  [SMALL_STATE(782)] = 23631,
  [SMALL_STATE(783)] = 23643,
  [SMALL_STATE(784)] = 23657,
  [SMALL_STATE(785)] = 23671,
  [SMALL_STATE(786)] = 23685,
  [SMALL_STATE(787)] = 23699,
  [SMALL_STATE(788)] = 23713,
  [SMALL_STATE(789)] = 23723,
  [SMALL_STATE(790)] = 23737,
  [SMALL_STATE(791)] = 23747,
  [SMALL_STATE(792)] = 23763,
  [SMALL_STATE(793)] = 23773,
  [SMALL_STATE(794)] = 23789,
  [SMALL_STATE(795)] = 23799,
  [SMALL_STATE(796)] = 23809,
  [SMALL_STATE(797)] = 23821,
  [SMALL_STATE(798)] = 23833,
  [SMALL_STATE(799)] = 23847,
  [SMALL_STATE(800)] = 23861,
  [SMALL_STATE(801)] = 23871,
  [SMALL_STATE(802)] = 23881,
  [SMALL_STATE(803)] = 23893,
  [SMALL_STATE(804)] = 23903,
  [SMALL_STATE(805)] = 23917,
  [SMALL_STATE(806)] = 23929,
  [SMALL_STATE(807)] = 23941,
  [SMALL_STATE(808)] = 23955,
  [SMALL_STATE(809)] = 23969,
  [SMALL_STATE(810)] = 23983,
  [SMALL_STATE(811)] = 23993,
  [SMALL_STATE(812)] = 24003,
  [SMALL_STATE(813)] = 24013,
  [SMALL_STATE(814)] = 24025,
  [SMALL_STATE(815)] = 24035,
  [SMALL_STATE(816)] = 24045,
  [SMALL_STATE(817)] = 24055,
  [SMALL_STATE(818)] = 24071,
  [SMALL_STATE(819)] = 24087,
  [SMALL_STATE(820)] = 24101,
  [SMALL_STATE(821)] = 24115,
  [SMALL_STATE(822)] = 24129,
  [SMALL_STATE(823)] = 24143,
  [SMALL_STATE(824)] = 24157,
  [SMALL_STATE(825)] = 24169,
  [SMALL_STATE(826)] = 24183,
  [SMALL_STATE(827)] = 24195,
  [SMALL_STATE(828)] = 24209,
  [SMALL_STATE(829)] = 24223,
  [SMALL_STATE(830)] = 24237,
  [SMALL_STATE(831)] = 24251,
  [SMALL_STATE(832)] = 24265,
  [SMALL_STATE(833)] = 24275,
  [SMALL_STATE(834)] = 24285,
  [SMALL_STATE(835)] = 24295,
  [SMALL_STATE(836)] = 24305,
  [SMALL_STATE(837)] = 24315,
  [SMALL_STATE(838)] = 24325,
  [SMALL_STATE(839)] = 24335,
  [SMALL_STATE(840)] = 24345,
  [SMALL_STATE(841)] = 24355,
  [SMALL_STATE(842)] = 24365,
  [SMALL_STATE(843)] = 24375,
  [SMALL_STATE(844)] = 24387,
  [SMALL_STATE(845)] = 24397,
  [SMALL_STATE(846)] = 24407,
  [SMALL_STATE(847)] = 24417,
  [SMALL_STATE(848)] = 24427,
  [SMALL_STATE(849)] = 24437,
  [SMALL_STATE(850)] = 24447,
  [SMALL_STATE(851)] = 24457,
  [SMALL_STATE(852)] = 24467,
  [SMALL_STATE(853)] = 24477,
  [SMALL_STATE(854)] = 24487,
  [SMALL_STATE(855)] = 24497,
  [SMALL_STATE(856)] = 24507,
  [SMALL_STATE(857)] = 24517,
  [SMALL_STATE(858)] = 24531,
  [SMALL_STATE(859)] = 24541,
  [SMALL_STATE(860)] = 24551,
  [SMALL_STATE(861)] = 24561,
  [SMALL_STATE(862)] = 24571,
  [SMALL_STATE(863)] = 24581,
  [SMALL_STATE(864)] = 24593,
  [SMALL_STATE(865)] = 24603,
  [SMALL_STATE(866)] = 24613,
  [SMALL_STATE(867)] = 24625,
  [SMALL_STATE(868)] = 24637,
  [SMALL_STATE(869)] = 24647,
  [SMALL_STATE(870)] = 24657,
  [SMALL_STATE(871)] = 24669,
  [SMALL_STATE(872)] = 24679,
  [SMALL_STATE(873)] = 24689,
  [SMALL_STATE(874)] = 24701,
  [SMALL_STATE(875)] = 24711,
  [SMALL_STATE(876)] = 24721,
  [SMALL_STATE(877)] = 24731,
  [SMALL_STATE(878)] = 24741,
  [SMALL_STATE(879)] = 24751,
  [SMALL_STATE(880)] = 24763,
  [SMALL_STATE(881)] = 24773,
  [SMALL_STATE(882)] = 24783,
  [SMALL_STATE(883)] = 24793,
  [SMALL_STATE(884)] = 24803,
  [SMALL_STATE(885)] = 24813,
  [SMALL_STATE(886)] = 24823,
  [SMALL_STATE(887)] = 24833,
  [SMALL_STATE(888)] = 24843,
  [SMALL_STATE(889)] = 24853,
  [SMALL_STATE(890)] = 24863,
  [SMALL_STATE(891)] = 24873,
  [SMALL_STATE(892)] = 24883,
  [SMALL_STATE(893)] = 24893,
  [SMALL_STATE(894)] = 24907,
  [SMALL_STATE(895)] = 24919,
  [SMALL_STATE(896)] = 24931,
  [SMALL_STATE(897)] = 24941,
  [SMALL_STATE(898)] = 24951,
  [SMALL_STATE(899)] = 24961,
  [SMALL_STATE(900)] = 24971,
  [SMALL_STATE(901)] = 24981,
  [SMALL_STATE(902)] = 24991,
  [SMALL_STATE(903)] = 25001,
  [SMALL_STATE(904)] = 25011,
  [SMALL_STATE(905)] = 25021,
  [SMALL_STATE(906)] = 25031,
  [SMALL_STATE(907)] = 25041,
  [SMALL_STATE(908)] = 25051,
  [SMALL_STATE(909)] = 25065,
  [SMALL_STATE(910)] = 25079,
  [SMALL_STATE(911)] = 25089,
  [SMALL_STATE(912)] = 25101,
  [SMALL_STATE(913)] = 25111,
  [SMALL_STATE(914)] = 25121,
  [SMALL_STATE(915)] = 25131,
  [SMALL_STATE(916)] = 25141,
  [SMALL_STATE(917)] = 25151,
  [SMALL_STATE(918)] = 25161,
  [SMALL_STATE(919)] = 25171,
  [SMALL_STATE(920)] = 25181,
  [SMALL_STATE(921)] = 25191,
  [SMALL_STATE(922)] = 25201,
  [SMALL_STATE(923)] = 25213,
  [SMALL_STATE(924)] = 25223,
  [SMALL_STATE(925)] = 25233,
  [SMALL_STATE(926)] = 25245,
  [SMALL_STATE(927)] = 25255,
  [SMALL_STATE(928)] = 25269,
  [SMALL_STATE(929)] = 25279,
  [SMALL_STATE(930)] = 25288,
  [SMALL_STATE(931)] = 25301,
  [SMALL_STATE(932)] = 25310,
  [SMALL_STATE(933)] = 25321,
  [SMALL_STATE(934)] = 25330,
  [SMALL_STATE(935)] = 25341,
  [SMALL_STATE(936)] = 25350,
  [SMALL_STATE(937)] = 25359,
  [SMALL_STATE(938)] = 25372,
  [SMALL_STATE(939)] = 25385,
  [SMALL_STATE(940)] = 25394,
  [SMALL_STATE(941)] = 25403,
  [SMALL_STATE(942)] = 25412,
  [SMALL_STATE(943)] = 25421,
  [SMALL_STATE(944)] = 25430,
  [SMALL_STATE(945)] = 25439,
  [SMALL_STATE(946)] = 25448,
  [SMALL_STATE(947)] = 25457,
  [SMALL_STATE(948)] = 25468,
  [SMALL_STATE(949)] = 25477,
  [SMALL_STATE(950)] = 25486,
  [SMALL_STATE(951)] = 25495,
  [SMALL_STATE(952)] = 25504,
  [SMALL_STATE(953)] = 25513,
  [SMALL_STATE(954)] = 25522,
  [SMALL_STATE(955)] = 25531,
  [SMALL_STATE(956)] = 25540,
  [SMALL_STATE(957)] = 25551,
  [SMALL_STATE(958)] = 25560,
  [SMALL_STATE(959)] = 25571,
  [SMALL_STATE(960)] = 25580,
  [SMALL_STATE(961)] = 25591,
  [SMALL_STATE(962)] = 25600,
  [SMALL_STATE(963)] = 25609,
  [SMALL_STATE(964)] = 25618,
  [SMALL_STATE(965)] = 25629,
  [SMALL_STATE(966)] = 25638,
  [SMALL_STATE(967)] = 25647,
  [SMALL_STATE(968)] = 25656,
  [SMALL_STATE(969)] = 25665,
  [SMALL_STATE(970)] = 25674,
  [SMALL_STATE(971)] = 25683,
  [SMALL_STATE(972)] = 25694,
  [SMALL_STATE(973)] = 25703,
  [SMALL_STATE(974)] = 25712,
  [SMALL_STATE(975)] = 25721,
  [SMALL_STATE(976)] = 25730,
  [SMALL_STATE(977)] = 25739,
  [SMALL_STATE(978)] = 25748,
  [SMALL_STATE(979)] = 25757,
  [SMALL_STATE(980)] = 25766,
  [SMALL_STATE(981)] = 25775,
  [SMALL_STATE(982)] = 25784,
  [SMALL_STATE(983)] = 25797,
  [SMALL_STATE(984)] = 25806,
  [SMALL_STATE(985)] = 25819,
  [SMALL_STATE(986)] = 25828,
  [SMALL_STATE(987)] = 25837,
  [SMALL_STATE(988)] = 25846,
  [SMALL_STATE(989)] = 25855,
  [SMALL_STATE(990)] = 25868,
  [SMALL_STATE(991)] = 25879,
  [SMALL_STATE(992)] = 25890,
  [SMALL_STATE(993)] = 25899,
  [SMALL_STATE(994)] = 25908,
  [SMALL_STATE(995)] = 25917,
  [SMALL_STATE(996)] = 25926,
  [SMALL_STATE(997)] = 25935,
  [SMALL_STATE(998)] = 25944,
  [SMALL_STATE(999)] = 25953,
  [SMALL_STATE(1000)] = 25962,
  [SMALL_STATE(1001)] = 25971,
  [SMALL_STATE(1002)] = 25980,
  [SMALL_STATE(1003)] = 25991,
  [SMALL_STATE(1004)] = 26002,
  [SMALL_STATE(1005)] = 26011,
  [SMALL_STATE(1006)] = 26022,
  [SMALL_STATE(1007)] = 26031,
  [SMALL_STATE(1008)] = 26040,
  [SMALL_STATE(1009)] = 26049,
  [SMALL_STATE(1010)] = 26058,
  [SMALL_STATE(1011)] = 26067,
  [SMALL_STATE(1012)] = 26076,
  [SMALL_STATE(1013)] = 26085,
  [SMALL_STATE(1014)] = 26094,
  [SMALL_STATE(1015)] = 26103,
  [SMALL_STATE(1016)] = 26112,
  [SMALL_STATE(1017)] = 26125,
  [SMALL_STATE(1018)] = 26138,
  [SMALL_STATE(1019)] = 26147,
  [SMALL_STATE(1020)] = 26156,
  [SMALL_STATE(1021)] = 26165,
  [SMALL_STATE(1022)] = 26174,
  [SMALL_STATE(1023)] = 26183,
  [SMALL_STATE(1024)] = 26192,
  [SMALL_STATE(1025)] = 26201,
  [SMALL_STATE(1026)] = 26210,
  [SMALL_STATE(1027)] = 26219,
  [SMALL_STATE(1028)] = 26232,
  [SMALL_STATE(1029)] = 26245,
  [SMALL_STATE(1030)] = 26254,
  [SMALL_STATE(1031)] = 26263,
  [SMALL_STATE(1032)] = 26272,
  [SMALL_STATE(1033)] = 26281,
  [SMALL_STATE(1034)] = 26292,
  [SMALL_STATE(1035)] = 26303,
  [SMALL_STATE(1036)] = 26314,
  [SMALL_STATE(1037)] = 26325,
  [SMALL_STATE(1038)] = 26334,
  [SMALL_STATE(1039)] = 26343,
  [SMALL_STATE(1040)] = 26352,
  [SMALL_STATE(1041)] = 26361,
  [SMALL_STATE(1042)] = 26370,
  [SMALL_STATE(1043)] = 26379,
  [SMALL_STATE(1044)] = 26388,
  [SMALL_STATE(1045)] = 26397,
  [SMALL_STATE(1046)] = 26406,
  [SMALL_STATE(1047)] = 26415,
  [SMALL_STATE(1048)] = 26424,
  [SMALL_STATE(1049)] = 26433,
  [SMALL_STATE(1050)] = 26442,
  [SMALL_STATE(1051)] = 26451,
  [SMALL_STATE(1052)] = 26464,
  [SMALL_STATE(1053)] = 26477,
  [SMALL_STATE(1054)] = 26486,
  [SMALL_STATE(1055)] = 26495,
  [SMALL_STATE(1056)] = 26504,
  [SMALL_STATE(1057)] = 26513,
  [SMALL_STATE(1058)] = 26522,
  [SMALL_STATE(1059)] = 26531,
  [SMALL_STATE(1060)] = 26540,
  [SMALL_STATE(1061)] = 26549,
  [SMALL_STATE(1062)] = 26558,
  [SMALL_STATE(1063)] = 26567,
  [SMALL_STATE(1064)] = 26576,
  [SMALL_STATE(1065)] = 26585,
  [SMALL_STATE(1066)] = 26594,
  [SMALL_STATE(1067)] = 26603,
  [SMALL_STATE(1068)] = 26616,
  [SMALL_STATE(1069)] = 26624,
  [SMALL_STATE(1070)] = 26632,
  [SMALL_STATE(1071)] = 26640,
  [SMALL_STATE(1072)] = 26648,
  [SMALL_STATE(1073)] = 26656,
  [SMALL_STATE(1074)] = 26664,
  [SMALL_STATE(1075)] = 26672,
  [SMALL_STATE(1076)] = 26680,
  [SMALL_STATE(1077)] = 26688,
  [SMALL_STATE(1078)] = 26696,
  [SMALL_STATE(1079)] = 26704,
  [SMALL_STATE(1080)] = 26712,
  [SMALL_STATE(1081)] = 26720,
  [SMALL_STATE(1082)] = 26728,
  [SMALL_STATE(1083)] = 26736,
  [SMALL_STATE(1084)] = 26744,
  [SMALL_STATE(1085)] = 26752,
  [SMALL_STATE(1086)] = 26760,
  [SMALL_STATE(1087)] = 26768,
  [SMALL_STATE(1088)] = 26776,
  [SMALL_STATE(1089)] = 26784,
  [SMALL_STATE(1090)] = 26792,
  [SMALL_STATE(1091)] = 26800,
  [SMALL_STATE(1092)] = 26808,
  [SMALL_STATE(1093)] = 26816,
  [SMALL_STATE(1094)] = 26824,
  [SMALL_STATE(1095)] = 26834,
  [SMALL_STATE(1096)] = 26842,
  [SMALL_STATE(1097)] = 26850,
  [SMALL_STATE(1098)] = 26858,
  [SMALL_STATE(1099)] = 26866,
  [SMALL_STATE(1100)] = 26876,
  [SMALL_STATE(1101)] = 26884,
  [SMALL_STATE(1102)] = 26892,
  [SMALL_STATE(1103)] = 26902,
  [SMALL_STATE(1104)] = 26910,
  [SMALL_STATE(1105)] = 26918,
  [SMALL_STATE(1106)] = 26926,
  [SMALL_STATE(1107)] = 26934,
  [SMALL_STATE(1108)] = 26942,
  [SMALL_STATE(1109)] = 26950,
  [SMALL_STATE(1110)] = 26958,
  [SMALL_STATE(1111)] = 26966,
  [SMALL_STATE(1112)] = 26974,
  [SMALL_STATE(1113)] = 26982,
  [SMALL_STATE(1114)] = 26990,
  [SMALL_STATE(1115)] = 26998,
  [SMALL_STATE(1116)] = 27006,
  [SMALL_STATE(1117)] = 27014,
  [SMALL_STATE(1118)] = 27022,
  [SMALL_STATE(1119)] = 27032,
  [SMALL_STATE(1120)] = 27040,
  [SMALL_STATE(1121)] = 27048,
  [SMALL_STATE(1122)] = 27056,
  [SMALL_STATE(1123)] = 27064,
  [SMALL_STATE(1124)] = 27072,
  [SMALL_STATE(1125)] = 27080,
  [SMALL_STATE(1126)] = 27088,
  [SMALL_STATE(1127)] = 27096,
  [SMALL_STATE(1128)] = 27104,
  [SMALL_STATE(1129)] = 27112,
  [SMALL_STATE(1130)] = 27122,
  [SMALL_STATE(1131)] = 27130,
  [SMALL_STATE(1132)] = 27138,
  [SMALL_STATE(1133)] = 27146,
  [SMALL_STATE(1134)] = 27156,
  [SMALL_STATE(1135)] = 27164,
  [SMALL_STATE(1136)] = 27172,
  [SMALL_STATE(1137)] = 27180,
  [SMALL_STATE(1138)] = 27188,
  [SMALL_STATE(1139)] = 27196,
  [SMALL_STATE(1140)] = 27204,
  [SMALL_STATE(1141)] = 27214,
  [SMALL_STATE(1142)] = 27222,
  [SMALL_STATE(1143)] = 27230,
  [SMALL_STATE(1144)] = 27238,
  [SMALL_STATE(1145)] = 27246,
  [SMALL_STATE(1146)] = 27254,
  [SMALL_STATE(1147)] = 27262,
  [SMALL_STATE(1148)] = 27270,
  [SMALL_STATE(1149)] = 27278,
  [SMALL_STATE(1150)] = 27288,
  [SMALL_STATE(1151)] = 27296,
  [SMALL_STATE(1152)] = 27304,
  [SMALL_STATE(1153)] = 27312,
  [SMALL_STATE(1154)] = 27320,
  [SMALL_STATE(1155)] = 27328,
  [SMALL_STATE(1156)] = 27336,
  [SMALL_STATE(1157)] = 27344,
  [SMALL_STATE(1158)] = 27352,
  [SMALL_STATE(1159)] = 27360,
  [SMALL_STATE(1160)] = 27368,
  [SMALL_STATE(1161)] = 27376,
  [SMALL_STATE(1162)] = 27384,
  [SMALL_STATE(1163)] = 27392,
  [SMALL_STATE(1164)] = 27400,
  [SMALL_STATE(1165)] = 27408,
  [SMALL_STATE(1166)] = 27416,
  [SMALL_STATE(1167)] = 27424,
  [SMALL_STATE(1168)] = 27432,
  [SMALL_STATE(1169)] = 27440,
  [SMALL_STATE(1170)] = 27448,
  [SMALL_STATE(1171)] = 27456,
  [SMALL_STATE(1172)] = 27464,
  [SMALL_STATE(1173)] = 27472,
  [SMALL_STATE(1174)] = 27480,
  [SMALL_STATE(1175)] = 27488,
  [SMALL_STATE(1176)] = 27496,
  [SMALL_STATE(1177)] = 27504,
  [SMALL_STATE(1178)] = 27512,
  [SMALL_STATE(1179)] = 27520,
  [SMALL_STATE(1180)] = 27528,
  [SMALL_STATE(1181)] = 27536,
  [SMALL_STATE(1182)] = 27544,
  [SMALL_STATE(1183)] = 27552,
  [SMALL_STATE(1184)] = 27560,
  [SMALL_STATE(1185)] = 27568,
  [SMALL_STATE(1186)] = 27576,
  [SMALL_STATE(1187)] = 27584,
  [SMALL_STATE(1188)] = 27592,
  [SMALL_STATE(1189)] = 27600,
  [SMALL_STATE(1190)] = 27608,
  [SMALL_STATE(1191)] = 27616,
  [SMALL_STATE(1192)] = 27624,
  [SMALL_STATE(1193)] = 27632,
  [SMALL_STATE(1194)] = 27640,
  [SMALL_STATE(1195)] = 27648,
  [SMALL_STATE(1196)] = 27656,
  [SMALL_STATE(1197)] = 27664,
  [SMALL_STATE(1198)] = 27672,
  [SMALL_STATE(1199)] = 27680,
  [SMALL_STATE(1200)] = 27688,
  [SMALL_STATE(1201)] = 27696,
  [SMALL_STATE(1202)] = 27704,
  [SMALL_STATE(1203)] = 27712,
  [SMALL_STATE(1204)] = 27720,
  [SMALL_STATE(1205)] = 27728,
  [SMALL_STATE(1206)] = 27736,
  [SMALL_STATE(1207)] = 27744,
  [SMALL_STATE(1208)] = 27752,
  [SMALL_STATE(1209)] = 27760,
  [SMALL_STATE(1210)] = 27768,
  [SMALL_STATE(1211)] = 27776,
  [SMALL_STATE(1212)] = 27784,
  [SMALL_STATE(1213)] = 27792,
  [SMALL_STATE(1214)] = 27800,
  [SMALL_STATE(1215)] = 27808,
  [SMALL_STATE(1216)] = 27816,
  [SMALL_STATE(1217)] = 27824,
  [SMALL_STATE(1218)] = 27832,
  [SMALL_STATE(1219)] = 27842,
  [SMALL_STATE(1220)] = 27852,
  [SMALL_STATE(1221)] = 27862,
  [SMALL_STATE(1222)] = 27870,
  [SMALL_STATE(1223)] = 27878,
  [SMALL_STATE(1224)] = 27886,
  [SMALL_STATE(1225)] = 27894,
  [SMALL_STATE(1226)] = 27904,
  [SMALL_STATE(1227)] = 27912,
  [SMALL_STATE(1228)] = 27920,
  [SMALL_STATE(1229)] = 27928,
  [SMALL_STATE(1230)] = 27936,
  [SMALL_STATE(1231)] = 27944,
  [SMALL_STATE(1232)] = 27952,
  [SMALL_STATE(1233)] = 27960,
  [SMALL_STATE(1234)] = 27968,
  [SMALL_STATE(1235)] = 27976,
  [SMALL_STATE(1236)] = 27984,
  [SMALL_STATE(1237)] = 27992,
  [SMALL_STATE(1238)] = 28000,
  [SMALL_STATE(1239)] = 28008,
  [SMALL_STATE(1240)] = 28018,
  [SMALL_STATE(1241)] = 28026,
  [SMALL_STATE(1242)] = 28034,
  [SMALL_STATE(1243)] = 28042,
  [SMALL_STATE(1244)] = 28050,
  [SMALL_STATE(1245)] = 28058,
  [SMALL_STATE(1246)] = 28066,
  [SMALL_STATE(1247)] = 28076,
  [SMALL_STATE(1248)] = 28084,
  [SMALL_STATE(1249)] = 28092,
  [SMALL_STATE(1250)] = 28100,
  [SMALL_STATE(1251)] = 28108,
  [SMALL_STATE(1252)] = 28116,
  [SMALL_STATE(1253)] = 28124,
  [SMALL_STATE(1254)] = 28132,
  [SMALL_STATE(1255)] = 28140,
  [SMALL_STATE(1256)] = 28148,
  [SMALL_STATE(1257)] = 28156,
  [SMALL_STATE(1258)] = 28164,
  [SMALL_STATE(1259)] = 28172,
  [SMALL_STATE(1260)] = 28179,
  [SMALL_STATE(1261)] = 28186,
  [SMALL_STATE(1262)] = 28193,
  [SMALL_STATE(1263)] = 28200,
  [SMALL_STATE(1264)] = 28207,
  [SMALL_STATE(1265)] = 28214,
  [SMALL_STATE(1266)] = 28221,
  [SMALL_STATE(1267)] = 28228,
  [SMALL_STATE(1268)] = 28235,
  [SMALL_STATE(1269)] = 28242,
  [SMALL_STATE(1270)] = 28249,
  [SMALL_STATE(1271)] = 28256,
  [SMALL_STATE(1272)] = 28263,
  [SMALL_STATE(1273)] = 28270,
  [SMALL_STATE(1274)] = 28277,
  [SMALL_STATE(1275)] = 28284,
  [SMALL_STATE(1276)] = 28291,
  [SMALL_STATE(1277)] = 28298,
  [SMALL_STATE(1278)] = 28305,
  [SMALL_STATE(1279)] = 28312,
  [SMALL_STATE(1280)] = 28319,
  [SMALL_STATE(1281)] = 28326,
  [SMALL_STATE(1282)] = 28333,
  [SMALL_STATE(1283)] = 28340,
  [SMALL_STATE(1284)] = 28347,
  [SMALL_STATE(1285)] = 28354,
  [SMALL_STATE(1286)] = 28361,
  [SMALL_STATE(1287)] = 28368,
  [SMALL_STATE(1288)] = 28375,
  [SMALL_STATE(1289)] = 28382,
  [SMALL_STATE(1290)] = 28389,
  [SMALL_STATE(1291)] = 28396,
  [SMALL_STATE(1292)] = 28403,
  [SMALL_STATE(1293)] = 28410,
  [SMALL_STATE(1294)] = 28417,
  [SMALL_STATE(1295)] = 28424,
  [SMALL_STATE(1296)] = 28431,
  [SMALL_STATE(1297)] = 28438,
  [SMALL_STATE(1298)] = 28445,
  [SMALL_STATE(1299)] = 28452,
  [SMALL_STATE(1300)] = 28459,
  [SMALL_STATE(1301)] = 28466,
  [SMALL_STATE(1302)] = 28473,
  [SMALL_STATE(1303)] = 28480,
  [SMALL_STATE(1304)] = 28487,
  [SMALL_STATE(1305)] = 28494,
  [SMALL_STATE(1306)] = 28501,
  [SMALL_STATE(1307)] = 28508,
  [SMALL_STATE(1308)] = 28515,
  [SMALL_STATE(1309)] = 28522,
  [SMALL_STATE(1310)] = 28529,
  [SMALL_STATE(1311)] = 28536,
  [SMALL_STATE(1312)] = 28543,
  [SMALL_STATE(1313)] = 28550,
  [SMALL_STATE(1314)] = 28557,
  [SMALL_STATE(1315)] = 28564,
  [SMALL_STATE(1316)] = 28571,
  [SMALL_STATE(1317)] = 28578,
  [SMALL_STATE(1318)] = 28585,
  [SMALL_STATE(1319)] = 28592,
  [SMALL_STATE(1320)] = 28599,
  [SMALL_STATE(1321)] = 28606,
  [SMALL_STATE(1322)] = 28613,
  [SMALL_STATE(1323)] = 28620,
  [SMALL_STATE(1324)] = 28627,
  [SMALL_STATE(1325)] = 28634,
  [SMALL_STATE(1326)] = 28641,
  [SMALL_STATE(1327)] = 28648,
  [SMALL_STATE(1328)] = 28655,
  [SMALL_STATE(1329)] = 28662,
  [SMALL_STATE(1330)] = 28669,
  [SMALL_STATE(1331)] = 28676,
  [SMALL_STATE(1332)] = 28683,
  [SMALL_STATE(1333)] = 28690,
  [SMALL_STATE(1334)] = 28697,
  [SMALL_STATE(1335)] = 28704,
  [SMALL_STATE(1336)] = 28711,
  [SMALL_STATE(1337)] = 28718,
  [SMALL_STATE(1338)] = 28725,
  [SMALL_STATE(1339)] = 28732,
  [SMALL_STATE(1340)] = 28739,
  [SMALL_STATE(1341)] = 28746,
  [SMALL_STATE(1342)] = 28753,
  [SMALL_STATE(1343)] = 28760,
  [SMALL_STATE(1344)] = 28767,
  [SMALL_STATE(1345)] = 28774,
  [SMALL_STATE(1346)] = 28781,
  [SMALL_STATE(1347)] = 28788,
  [SMALL_STATE(1348)] = 28795,
  [SMALL_STATE(1349)] = 28802,
  [SMALL_STATE(1350)] = 28809,
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [71] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_blk_val_itm, 1),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__b_blk_key_itm, 1),
  [115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__b_blk_val_itm, 1),
  [117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_blk_val_itm, 1),
  [119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_blk_key_itm, 1),
  [121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_blk_key_itm, 1),
  [123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__b_blk_seq_itm, 1),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_blk_seq_itm, 1),
  [167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_blk_seq_itm, 1),
  [169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__blk_imp_itm_tal, 1),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exp_doc, 1),
  [187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__doc_wo_bgn_w_end_seq, 1),
  [365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__doc_w_bgn_w_end_seq, 1),
  [367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_prp_val, 1),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_prp_val, 1),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [389] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__r_flw_exp_par, 1), REDUCE(sym__r_sgl_flw_exp_par, 1),
  [392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_flw_exp_par, 1),
  [394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__r_flw_njl_ann_par, 1), REDUCE(sym__r_sgl_flw_njl_ann_par, 1),
  [479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_flw_njl_ann_par, 1),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_flw_map_dat, 3),
  [551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_flw_map_dat, 2),
  [553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_flw_map_dat, 2),
  [555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_flw_map_dat, 3),
  [557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_flw_seq_dat, 2),
  [559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_flw_seq_dat, 2),
  [561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_flw_seq_dat, 3),
  [563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_flw_seq_dat, 3),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_flw_exp_par, 1),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_flw_njl_ann_par, 1),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_flw_jsl_ann_par, 1),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_flw_jsl_ann_par, 1),
  [633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_prp, 1),
  [635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_sgl_prp, 1),
  [637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__br_prp, 1), REDUCE(sym__br_sgl_prp, 1),
  [640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__br_prp, 1), SHIFT(105),
  [645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_prp, 1),
  [647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_sgl_prp, 1),
  [649] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__r_prp, 1), REDUCE(sym__r_sgl_prp, 1),
  [652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [654] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__r_prp, 1), SHIFT(104),
  [657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_prp, 2),
  [659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_sgl_prp, 2),
  [661] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__br_prp, 2), REDUCE(sym__br_sgl_prp, 2),
  [664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_prp, 2),
  [666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_sgl_prp, 2),
  [668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__r_prp, 2), REDUCE(sym__r_sgl_prp, 2),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__r_blk_map_repeat1, 2), SHIFT_REPEAT(3),
  [736] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__r_blk_map_repeat1, 2), SHIFT_REPEAT(4),
  [739] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__r_blk_map_repeat1, 2), SHIFT_REPEAT(121),
  [742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__r_blk_map_repeat1, 2), SHIFT_REPEAT(132),
  [745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__r_blk_map_repeat1, 2), SHIFT_REPEAT(908),
  [748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__r_blk_map_repeat1, 2), SHIFT_REPEAT(893),
  [751] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__r_blk_map_repeat1, 2), SHIFT_REPEAT(1284),
  [754] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__r_blk_map_repeat1, 2), SHIFT_REPEAT(545),
  [757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__r_blk_map_repeat1, 2), SHIFT_REPEAT(546),
  [760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__r_blk_map_repeat1, 2), SHIFT_REPEAT(1338),
  [763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__r_blk_map_repeat1, 2),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_sgl_flw_col_dat, 2),
  [819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_sgl_flw_col_dat, 3),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__r_prp, 1), SHIFT(157),
  [826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__br_prp, 1), SHIFT(155),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__br_prp, 1), SHIFT(163),
  [836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [844] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__r_prp, 1), SHIFT(162),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_sgl_flw_exp_par, 1),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_sgl_flw_jsl_ann_par, 1),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_sgl_flw_njl_ann_par, 1),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exp_doc_end, 2),
  [923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__drs_doc_end, 2),
  [925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__imp_doc_end, 2),
  [927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__doc_end, 1),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__bgn_imp_doc_end, 2),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__blk_seq_itm_tal, 1),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__blk_imp_itm_tal, 2, .production_id = 5),
  [963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_sqt_str, 2),
  [965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_sgl_sqt_str, 2),
  [967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_sqt_str, 3),
  [969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_sgl_sqt_str, 3),
  [971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_sqt_str, 2),
  [973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_sgl_sqt_str, 2),
  [975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_blk_exp_itm, 1, .production_id = 2),
  [977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_pln_blk_val, 1),
  [979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_sgl_pln_blk_val, 1),
  [981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_als_val, 1),
  [983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_sgl_prp_val, 1),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_sqt_str, 3),
  [989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_sgl_sqt_str, 3),
  [991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_pln_blk_val, 1),
  [993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_sgl_pln_blk_val, 1),
  [995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_blk_exp_itm, 1, .production_id = 2),
  [997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__b_blk_exp_itm, 1, .production_id = 2),
  [999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__flw_map_tal, 1),
  [1001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__sgl_flw_map_tal, 1),
  [1003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__flw_seq_tal, 1),
  [1005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__sgl_flw_seq_tal, 1),
  [1007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_dqt_str, 3),
  [1009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_sgl_dqt_str, 3),
  [1011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_dqt_str, 3),
  [1013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_sgl_dqt_str, 3),
  [1015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_dqt_str, 2),
  [1017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_sgl_dqt_str, 2),
  [1019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_als_val, 1),
  [1021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_dqt_str, 2),
  [1023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_sgl_dqt_str, 2),
  [1025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_pln_blk_val, 2),
  [1027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_pln_blk_val, 2),
  [1029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [1031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [1033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [1035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [1037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [1039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [1041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [1045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [1047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [1051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [1061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [1063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [1069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [1071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [1077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [1079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [1081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [1083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [1085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [1087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [1089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [1091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [1093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__b_blk_map_itm, 1, .production_id = 1),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [1097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [1099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [1101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [1103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [1105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__b_blk_exp_itm, 1, .production_id = 3),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [1113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [1117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [1121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [1125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [1127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [1129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [1131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [1135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [1137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [1139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [1141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_blk_imp_itm, 2, .production_id = 8),
  [1143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_blk_imp_itm, 2, .production_id = 8),
  [1145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [1147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [1149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_blk_exp_itm, 2, .production_id = 9),
  [1151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_blk_exp_itm, 2, .production_id = 9),
  [1153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [1163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [1165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [1169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [1171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [1175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [1177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [1179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_blk_map_itm, 1, .production_id = 1),
  [1181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [1183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [1185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [1187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_blk_map_itm, 1, .production_id = 1),
  [1189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_blk_exp_itm, 1, .production_id = 3),
  [1191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_blk_seq_spc_val, 2),
  [1193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_blk_seq_spc_val, 2),
  [1195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__b_blk_seq_spc, 2),
  [1197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_blk_exp_itm, 1, .production_id = 3),
  [1199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [1201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [1205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [1207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [1247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [1265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_dqt_str, 5),
  [1267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_dqt_str, 5),
  [1269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_sqt_str, 4),
  [1271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_sqt_str, 4),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [1275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [1277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [1281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [1283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [1285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_dqt_str, 4),
  [1287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_dqt_str, 4),
  [1289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [1293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [1295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_blk_map, 3),
  [1297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_blk_map, 3),
  [1299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_blk_seq, 3),
  [1301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_blk_seq, 3),
  [1303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_blk_seq_r_val, 1),
  [1305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [1307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [1309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [1311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [1313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_blk_seq_val, 1),
  [1315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_blk_map_r_val, 1),
  [1317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_blk_map_val, 1),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [1321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [1323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [1327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [1329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_blk_str_val, 1),
  [1331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_blk_str_val, 1),
  [1333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_flw_seq_val, 1),
  [1335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_flw_seq_val, 1),
  [1337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_flw_map_val, 1),
  [1339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_flw_map_val, 1),
  [1341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [1343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [1345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [1347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__flw_map_tal, 2),
  [1349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__flw_seq_tal, 2),
  [1351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_dqt_str_val, 1),
  [1353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_blk_str, 3),
  [1355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_blk_str, 3),
  [1357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_blk_map, 2),
  [1359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_blk_map, 2),
  [1361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [1363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_blk_seq, 2),
  [1365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_blk_seq, 2),
  [1367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_dqt_str_val, 1),
  [1369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_sqt_str_val, 2),
  [1371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_dqt_str_val, 2),
  [1373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_flw_map_val, 2),
  [1375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_flw_seq_val, 2),
  [1377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_blk_str_val, 2),
  [1379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_blk_map_val, 2),
  [1381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_blk_seq_val, 2),
  [1383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [1387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [1389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_sqt_str_val, 2),
  [1391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_dqt_str_val, 2),
  [1393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_flw_map_val, 2),
  [1395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_flw_seq_val, 2),
  [1397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_blk_str_val, 2),
  [1399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_sqt_str_val, 1),
  [1401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_blk_map_br_val, 2),
  [1403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_blk_seq_br_val, 2),
  [1405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_sqt_str_val, 1),
  [1407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [1409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [1411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [1413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [1415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [1417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [1419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [1421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [1423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [1425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [1427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__b_blk_seq_spc_val, 1),
  [1429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_blk_str, 2),
  [1431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_blk_key_itm, 2, .production_id = 4),
  [1433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [1435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_blk_str, 2),
  [1437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_blk_key_itm, 2, .production_id = 4),
  [1439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__b_blk_key_itm, 2, .production_id = 4),
  [1441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__b_blk_val_itm, 2, .production_id = 5),
  [1443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [1447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [1449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_blk_val_itm, 2, .production_id = 5),
  [1451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_blk_val_itm, 2, .production_id = 5),
  [1453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_flw_map, 2),
  [1455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_flw_map, 2),
  [1457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__b_blk_imp_itm, 2, .production_id = 8),
  [1459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [1461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [1463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_flw_seq, 2),
  [1465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_flw_seq, 2),
  [1467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [1469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__b_blk_exp_itm, 2, .production_id = 9),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [1473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__b_sgl_prp_val, 1),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [1481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [1483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [1487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [1493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [1495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_sgl_prp_val, 1),
  [1497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [1499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__doc_wo_bgn_wo_end_seq, 1),
  [1501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__doc_w_bgn_wo_end_seq, 1),
  [1503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__br_mtl_dqt_ctn_repeat1, 2), SHIFT_REPEAT(397),
  [1506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__br_mtl_dqt_ctn_repeat1, 2),
  [1508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [1510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [1512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [1514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [1516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [1518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [1520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [1522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [1524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [1526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [1528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [1530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [1532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [1534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [1536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [1538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__r_sgl_dqt_ctn, 2), SHIFT_REPEAT(405),
  [1541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__r_sgl_dqt_ctn, 2),
  [1543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [1545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_mtl_dqt_ctn, 2),
  [1547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [1549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [1551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [1553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [1555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [1557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [1559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [1561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [1563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [1565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [1567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [1569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [1571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [1575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [1577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [1587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [1589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [1591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [1593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [1595] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__r_flw_map_itm, 1), REDUCE(sym__r_sgl_flw_col_itm, 1),
  [1598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_flw_map_itm, 1),
  [1600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [1602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [1604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_mtl_dqt_ctn, 1),
  [1606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [1608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [1610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [1612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [1614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [1616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [1618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [1620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [1622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [1624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [1626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [1628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [1630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [1632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [1634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [1636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [1638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [1640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [1642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [1644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [1646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [1648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [1650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [1652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [1654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [1656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [1658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [1660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [1662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [1664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [1666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [1668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [1670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [1672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [1674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [1676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [1678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [1680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__drs_doc_repeat1, 2), SHIFT_REPEAT(1342),
  [1683] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__drs_doc_repeat1, 2), SHIFT_REPEAT(1341),
  [1686] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__drs_doc_repeat1, 2), SHIFT_REPEAT(565),
  [1689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__drs_doc_repeat1, 2),
  [1691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [1693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [1695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [1697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [1699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [1703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [1705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [1707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [1709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_flw_map_itm, 1),
  [1711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [1715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [1717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [1719] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__br_mtl_sqt_ctn_repeat1, 2), SHIFT_REPEAT(466),
  [1722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__br_mtl_sqt_ctn_repeat1, 2),
  [1724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [1726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [1728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [1730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [1732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [1734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [1736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [1738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [1740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [1742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [1744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [1746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [1748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [1750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [1752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [1754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [1756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [1758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [1760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [1762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [1764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [1766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [1768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [1770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [1772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [1774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [1776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [1778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [1780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [1782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [1784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__r_flw_seq_itm, 1), REDUCE(sym__r_sgl_flw_col_itm, 1),
  [1787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_flw_seq_itm, 1),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [1803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_mtl_sqt_ctn, 1),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [1819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__b_sgl_prp, 1),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [1829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__r_dqt_str_repeat1, 2), SHIFT_REPEAT(420),
  [1832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__r_dqt_str_repeat1, 2), SHIFT_REPEAT(553),
  [1835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__r_dqt_str_repeat1, 2),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [1841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_mtl_sqt_ctn, 2),
  [1843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__r_sgl_sqt_ctn, 2), SHIFT_REPEAT(556),
  [1846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__r_sgl_sqt_ctn, 2),
  [1848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [1850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [1852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [1854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [1856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [1858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [1860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__s_dir_rsv, 1),
  [1862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [1864] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__r_pln_flw_val, 1), REDUCE(sym__r_sgl_pln_flw_val, 1),
  [1867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_pln_flw_val, 1),
  [1869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_pln_flw_val, 1),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [1873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [1883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__s_dir_rsv, 2),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [1891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_flw_seq_itm, 1),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [1895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_flw_seq_dat, 1),
  [1897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [1899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_flw_seq_dat, 1),
  [1901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [1907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_flw_map_dat, 1),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [1911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_flw_map_dat, 1),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [1915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [1919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_pln_flw_val, 2),
  [1921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_pln_flw_val, 2),
  [1923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__r_flw_map_dat_repeat1, 2),
  [1925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__r_flw_map_dat_repeat1, 2), SHIFT_REPEAT(77),
  [1928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__r_sqt_str, 3), REDUCE(sym__r_sgl_sqt_str, 3),
  [1931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__r_dqt_str, 3), REDUCE(sym__r_sgl_dqt_str, 3),
  [1934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__r_flw_seq_dat_repeat1, 2),
  [1936] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__r_flw_seq_dat_repeat1, 2), SHIFT_REPEAT(83),
  [1939] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__r_sqt_str, 2), REDUCE(sym__r_sgl_sqt_str, 2),
  [1942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__r_dqt_str, 2), REDUCE(sym__r_sgl_dqt_str, 2),
  [1945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__b_sgl_prp, 2),
  [1947] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__flw_map_tal, 1), REDUCE(sym__sgl_flw_map_tal, 1),
  [1950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__flw_seq_tal, 1), REDUCE(sym__sgl_flw_seq_tal, 1),
  [1953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__s_dir_rsv_repeat1, 2),
  [1955] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__s_dir_rsv_repeat1, 2), SHIFT_REPEAT(655),
  [1958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [1960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [1962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__r_sqt_str_repeat1, 2), SHIFT_REPEAT(532),
  [1965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__r_sqt_str_repeat1, 2),
  [1967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [1969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [1971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exp_doc_tal, 1),
  [1973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__imp_doc, 1),
  [1975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_mtl_dqt_ctn, 3),
  [1977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_flw_seq_itm, 1, .production_id = 6),
  [1979] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__r_sgl_sqt_ctn, 2), SHIFT_REPEAT(719),
  [1982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_sgl_flw_col_itm, 1),
  [1984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [1986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_sgl_flw_col_dat, 1),
  [1988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [1990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [1992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [1994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [1996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [1998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [2000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [2002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_flw_imp_br_par, 2, .production_id = 8),
  [2004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_flw_imp_br_par, 2, .production_id = 8),
  [2006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [2008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_flw_jsl_ann_par, 2, .production_id = 5),
  [2010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [2012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [2014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [2016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [2018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [2020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [2022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__r_sgl_flw_col_dat_repeat1, 2),
  [2024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__r_sgl_flw_col_dat_repeat1, 2), SHIFT_REPEAT(143),
  [2027] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__r_sgl_dqt_ctn, 2), SHIFT_REPEAT(744),
  [2030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_flw_imp_r_par, 2, .production_id = 8),
  [2032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_flw_imp_r_par, 2, .production_id = 8),
  [2034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_flw_njl_ann_par, 2, .production_id = 5),
  [2036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__s_dir_yml, 2),
  [2038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [2040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [2042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__flw_ann_par_tal, 1), REDUCE(sym__sgl_flw_ann_par_tal, 1),
  [2045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__flw_ann_par_tal, 1),
  [2047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [2049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [2051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_flw_njl_ann_par, 2, .production_id = 5),
  [2053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_flw_exp_par, 2, .production_id = 10),
  [2055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_flw_jsl_ann_par, 2, .production_id = 5),
  [2057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [2059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_flw_exp_par, 2, .production_id = 10),
  [2061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [2063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [2065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [2067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [2071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [2073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [2075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [2077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_flw_seq_itm, 1, .production_id = 1),
  [2079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_flw_seq_itm, 1, .production_id = 1),
  [2081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_flw_seq_itm, 1, .production_id = 6),
  [2083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [2085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [2093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [2095] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__r_blk_seq_repeat1, 2), SHIFT_REPEAT(8),
  [2098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__r_blk_seq_repeat1, 2),
  [2100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [2102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [2104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_flw_map_itm, 1, .production_id = 1),
  [2106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [2108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_flw_map_itm, 1, .production_id = 1),
  [2110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_flw_map_itm, 1, .production_id = 6),
  [2112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_flw_map_itm, 1, .production_id = 6),
  [2114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [2116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [2118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [2120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [2122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [2124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [2126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__s_dir_tag, 3),
  [2128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [2130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [2132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [2134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [2136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [2138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [2140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [2142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [2144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [2146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [2148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [2150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [2152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [2154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [2156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [2158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__flw_seq_dat_rpt, 2),
  [2160] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__r_sgl_flw_col_dat_repeat1, 2), SHIFT_REPEAT(152),
  [2163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__flw_map_dat_rpt, 2),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [2167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [2171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [2175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [2179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [2181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__sgl_flw_map_tal, 2),
  [2183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_sgl_sqt_str_val, 1),
  [2185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_sgl_pln_flw_val, 1),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [2191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [2195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__sgl_flw_seq_tal, 2),
  [2197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_sgl_flw_seq, 2),
  [2199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__bgn_imp_doc, 1),
  [2201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_sgl_flw_map, 2),
  [2203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_sgl_flw_seq_val, 2),
  [2205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_sgl_pln_flw_val, 2),
  [2207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exp_doc, 2),
  [2209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_sgl_dqt_str_val, 1),
  [2211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [2213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [2215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__r_blk_str_repeat1, 2), SHIFT_REPEAT(989),
  [2218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__r_blk_str_repeat1, 2),
  [2220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_sgl_flw_map_val, 2),
  [2222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_sgl_dqt_str_val, 2),
  [2224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_sgl_sqt_str_val, 2),
  [2226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_sgl_flw_seq_val, 1),
  [2228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_sgl_flw_map_val, 1),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [2232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [2234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [2236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [2238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [2240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [2242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__drs_doc, 2),
  [2244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__doc_w_bgn_wo_end, 1, .production_id = 7),
  [2246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [2248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__doc_wo_bgn_wo_end, 1, .production_id = 7),
  [2250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [2252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [2254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [2256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [2258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [2260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [2262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [2264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [2266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_sgl_flw_jsl_ann_par, 2, .production_id = 5),
  [2268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [2270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [2272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_sgl_flw_imp_par, 2, .production_id = 8),
  [2274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_sgl_flw_exp_par, 2, .production_id = 10),
  [2276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [2278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [2280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_sgl_flw_njl_ann_par, 2, .production_id = 5),
  [2282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__sgl_flw_col_dat_rpt, 2),
  [2284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_sgl_flw_col_itm, 1, .production_id = 1),
  [2286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_sgl_flw_col_itm, 1, .production_id = 6),
  [2288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [2290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [2292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__b_blk_seq_itm, 2),
  [2294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [2296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [2298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [2300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [2302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [2304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_blk_seq_itm, 2),
  [2306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [2308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [2310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_blk_seq_itm, 2),
  [2312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [2314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [2316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__b_sgl_dqt_str_val, 2),
  [2318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_sgl_pln_blk_val, 2),
  [2320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_sgl_flw_seq_val, 2),
  [2322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_sgl_dqt_str_val, 1),
  [2324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [2326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_sgl_flw_map_val, 1),
  [2328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [2330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [2334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__b_sgl_flw_seq_val, 1),
  [2336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_sgl_sqt_str_val, 1),
  [2338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_sgl_dqt_str_val, 2),
  [2340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [2342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__b_sgl_sqt_str_val, 2),
  [2344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_sgl_flw_seq_val, 1),
  [2346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__doc_w_bgn_w_end_seq, 2),
  [2348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__b_sgl_pln_blk_val, 1),
  [2350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_sgl_sqt_str_val, 2),
  [2352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stream, 1),
  [2354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__b_sgl_pln_blk_val, 2),
  [2356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__doc_w_bgn_wo_end_seq, 2),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [2360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [2362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [2364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stream, 3, .production_id = 7),
  [2366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_sgl_flw_seq, 2),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [2370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [2372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [2374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__b_sgl_sqt_str, 2),
  [2376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_sgl_flw_map, 2),
  [2378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stream, 3),
  [2380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__r_sgl_pln_blk_val, 2),
  [2382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__doc_wo_bgn_w_end_seq, 2),
  [2384] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [2386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__doc_wo_bgn_wo_end_seq, 2),
  [2388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__b_sgl_flw_seq, 2),
  [2390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__b_sgl_sqt_str, 3),
  [2392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__b_sgl_sqt_str_val, 1),
  [2394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stream, 2, .production_id = 7),
  [2396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [2398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__b_sgl_dqt_str_val, 1),
  [2400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__b_sgl_flw_map_val, 1),
  [2402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stream, 2),
  [2404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [2406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__b_sgl_flw_map, 2),
  [2408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__b_als_val, 1),
  [2410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__b_sgl_dqt_str, 2),
  [2412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [2414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [2416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__br_sgl_flw_map_val, 2),
  [2418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__b_sgl_flw_map_val, 2),
  [2420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__b_sgl_dqt_str, 3),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [2424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [2426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__b_sgl_flw_seq_val, 2),
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_yaml_external_scanner_create(void);
void tree_sitter_yaml_external_scanner_destroy(void *);
bool tree_sitter_yaml_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_yaml_external_scanner_serialize(void *, char *);
void tree_sitter_yaml_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_yaml(void) {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .symbol_metadata = ts_symbol_metadata,
    .parse_table = (const unsigned short *)ts_parse_table,
    .small_parse_table = (const uint16_t *)ts_small_parse_table,
    .small_parse_table_map = (const uint32_t *)ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .lex_modes = ts_lex_modes,
    .symbol_names = ts_symbol_names,
    .public_symbol_map = ts_symbol_map,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .field_count = FIELD_COUNT,
    .field_names = ts_field_names,
    .field_map_slices = (const TSFieldMapSlice *)ts_field_map_slices,
    .field_map_entries = (const TSFieldMapEntry *)ts_field_map_entries,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .lex_fn = ts_lex,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .external_scanner = {
      (const bool *)ts_external_scanner_states,
      ts_external_scanner_symbol_map,
      tree_sitter_yaml_external_scanner_create,
      tree_sitter_yaml_external_scanner_destroy,
      tree_sitter_yaml_external_scanner_scan,
      tree_sitter_yaml_external_scanner_serialize,
      tree_sitter_yaml_external_scanner_deserialize,
    },
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
